/// <reference path="./custom.d.ts" />
// tslint:disable
/**
 * 系统接口
 * 系统接口文档
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


import * as url from "url";
import * as portableFetch from "portable-fetch";
import { Configuration } from "./configuration";

let BASE_PATH = "http://192.168.1.42:9900".replace(/\/+$/, "");
const default_configuration = new Configuration();
const customHeaders = {};

export function setCustomHeader(key: string, value: string) {
    customHeaders[key] = value;
}

export function setAccessToken(token: string) {
    default_configuration.accessToken = token;
}

export function setBasePath(path: string) {
    BASE_PATH = path.replace(/\/+$/, "");
}

/**
 *
 * @export
 */
export const COLLECTION_FORMATS = {
    csv: ",",
    ssv: " ",
    tsv: "\t",
    pipes: "|",
};

/**
 *
 * @export
 * @interface FetchAPI
 */
export interface FetchAPI {
    (url: string, init?: any): Promise<Response>;
}

/**
 *
 * @export
 * @interface FetchArgs
 */
export interface FetchArgs {
    url: string;
    options: any;
}

/**
 *
 * @export
 * @class BaseAPI
 */
export class BaseAPI {
    protected configuration: Configuration;

    constructor(configuration?: Configuration, protected basePath: string = BASE_PATH, protected fetch: FetchAPI = portableFetch) {
        if (configuration) {
            this.configuration = configuration;
            this.basePath = configuration.basePath || this.basePath;
        }
    }
};

/**
 *
 * @export
 * @class RequiredError
 * @extends {Error}
 */
export class RequiredError extends Error {
    name: "RequiredError"
    constructor(public field: string, msg?: string) {
        super(msg);
    }
}

/**
 * 添加授权Form
 * @export
 * @interface AddAuthForm
 */
export interface AddAuthForm {
    /**
     * 被授予的id(项目或者权限组)
     * @type {Array<string>}
     * @memberof AddAuthForm
     */
    ids: Array<string>;
    /**
     * 角色ID
     * @type {string}
     * @memberof AddAuthForm
     */
    roleId: string;
    /**
     * 被授权者用户ID
     * @type {string}
     * @memberof AddAuthForm
     */
    userId: string;
}

/**
 * 
 * @export
 * @interface AddAuthPackageForm
 */
export interface AddAuthPackageForm {
    /**
     * 套餐名称
     * @type {string}
     * @memberof AddAuthPackageForm
     */
    name: string;
    /**
     * 套餐属性以及属性值
     * @type {Array<AuthPackageProperties>}
     * @memberof AddAuthPackageForm
     */
    properties: Array<AuthPackageProperties>;
    /**
     * 套餐类型0：普通套餐，1，默认套餐
     * @type {number}
     * @memberof AddAuthPackageForm
     */
    type: number;
}

/**
 * 
 * @export
 * @interface AddAuthPackagePropertiesConfigForm
 */
export interface AddAuthPackagePropertiesConfigForm {
    /**
     * 套餐属性的默认数量,即套餐，企业的的默认数量
     * @type {number}
     * @memberof AddAuthPackagePropertiesConfigForm
     */
    defaultLimit: number;
    /**
     * 名称
     * @type {string}
     * @memberof AddAuthPackagePropertiesConfigForm
     */
    name: string;
    /**
     * 数量，和价格对应，例如：1元10个)
     * @type {number}
     * @memberof AddAuthPackagePropertiesConfigForm
     */
    number: number;
    /**
     * 价格（RMB)
     * @type {number}
     * @memberof AddAuthPackagePropertiesConfigForm
     */
    price?: number;
    /**
     * 套餐的属性
     * @type {string}
     * @memberof AddAuthPackagePropertiesConfigForm
     */
    properties: string;
    /**
     * 排序号
     * @type {number}
     * @memberof AddAuthPackagePropertiesConfigForm
     */
    sort: number;
    /**
     * 单位
     * @type {string}
     * @memberof AddAuthPackagePropertiesConfigForm
     */
    unit?: string;
}

/**
 * 增加个人客户
 * @export
 * @interface AddClientForm
 */
export interface AddClientForm {
    /**
     * 客户企业地址
     * @type {string}
     * @memberof AddClientForm
     */
    address?: string;
    /**
     * 客户企业名称
     * @type {string}
     * @memberof AddClientForm
     */
    clientCompanyName: string;
    /**
     * 企业客户名称
     * @type {string}
     * @memberof AddClientForm
     */
    clientName: string;
    /**
     * 客户联系人邮箱
     * @type {string}
     * @memberof AddClientForm
     */
    contactEmail?: string;
    /**
     * 客户联系人名称
     * @type {string}
     * @memberof AddClientForm
     */
    contactName?: string;
    /**
     * 客户联系人电话
     * @type {string}
     * @memberof AddClientForm
     */
    contactPhone?: string;
    /**
     * 客户企业办公电话
     * @type {string}
     * @memberof AddClientForm
     */
    officePhone?: string;
    /**
     * 客户管理员密码
     * @type {string}
     * @memberof AddClientForm
     */
    password: string;
    /**
     * 客户手机号验证码
     * @type {string}
     * @memberof AddClientForm
     */
    phoneCode: string;
    /**
     * 客户企业备注
     * @type {string}
     * @memberof AddClientForm
     */
    remark?: string;
    /**
     * 客户联系人性别
     * @type {number}
     * @memberof AddClientForm
     */
    sex?: number;
    /**
     * 客户管理员账号
     * @type {string}
     * @memberof AddClientForm
     */
    username: string;
}

/**
 * 增加企业客户
 * @export
 * @interface AddCompanyClientForm
 */
export interface AddCompanyClientForm {
    /**
     * 企业客户的企业Id
     * @type {string}
     * @memberof AddCompanyClientForm
     */
    clientId: string;
    /**
     * 企业客户联系邮箱
     * @type {string}
     * @memberof AddCompanyClientForm
     */
    contactEmail?: string;
    /**
     * 企业客户联系人名称
     * @type {string}
     * @memberof AddCompanyClientForm
     */
    contactName?: string;
    /**
     * 企业客户联系电话
     * @type {string}
     * @memberof AddCompanyClientForm
     */
    contactPhone?: string;
    /**
     * 企业客户备注
     * @type {string}
     * @memberof AddCompanyClientForm
     */
    remark?: string;
}

/**
 * 
 * @export
 * @interface AddLiveVideoForm
 */
export interface AddLiveVideoForm {
    /**
     * 直播地址
     * @type {string}
     * @memberof AddLiveVideoForm
     */
    liveAddress: string;
    /**
     * 直播视屏名称
     * @type {string}
     * @memberof AddLiveVideoForm
     */
    name: string;
    /**
     * 项目id
     * @type {string}
     * @memberof AddLiveVideoForm
     */
    projectId: string;
    /**
     * 备注
     * @type {string}
     * @memberof AddLiveVideoForm
     */
    remark?: string;
    /**
     * 设备序列号
     * @type {string}
     * @memberof AddLiveVideoForm
     */
    serialNumber?: string;
    /**
     * 直播视频索引坐标值范围，0,1,2,3
     * @type {number}
     * @memberof AddLiveVideoForm
     */
    videoIndex?: number;
}

/**
 * 新增日志格式化模板Form
 * @export
 * @interface AddLogFormatForm
 */
export interface AddLogFormatForm {
    /**
     * 格式化模板
     * @type {string}
     * @memberof AddLogFormatForm
     */
    formatTemplate?: string;
    /**
     * 语言类型 (zh-cn
     * @type {string}
     * @memberof AddLogFormatForm
     */
    languageType: string;
    /**
     * 模块Id（属于那个日志的模板）sys-mncloud: 业务平台; sys-super: super平台; sys-wxapp: APP/微信小程序; 其它自定义模块Id
     * @type {string}
     * @memberof AddLogFormatForm
     */
    moduleId: string;
    /**
     * 名称
     * @type {string}
     * @memberof AddLogFormatForm
     */
    name: string;
    /**
     * 请求路径
     * @type {string}
     * @memberof AddLogFormatForm
     */
    requestUri: string;
}

/**
 * 添加项目看板过滤分组参数类
 * @export
 * @interface AddProjectBoardFilterGroupForm
 */
export interface AddProjectBoardFilterGroupForm {
    /**
     * 过滤分组名称
     * @type {string}
     * @memberof AddProjectBoardFilterGroupForm
     */
    name: string;
    /**
     * 所属看板Id
     * @type {string}
     * @memberof AddProjectBoardFilterGroupForm
     */
    projectBoardId: string;
    /**
     * 备注
     * @type {string}
     * @memberof AddProjectBoardFilterGroupForm
     */
    remark?: string;
    /**
     * 排序号
     * @type {number}
     * @memberof AddProjectBoardFilterGroupForm
     */
    sort?: number;
}

/**
 * 新增项目看板传输类
 * @export
 * @interface AddProjectBoardForm
 */
export interface AddProjectBoardForm {
    /**
     * 项目看板名称
     * @type {string}
     * @memberof AddProjectBoardForm
     */
    name?: string;
    /**
     * 项目看板备注
     * @type {string}
     * @memberof AddProjectBoardForm
     */
    remark?: string;
    /**
     * 项目看板序列号
     * @type {number}
     * @memberof AddProjectBoardForm
     */
    sort?: number;
    /**
     * 项目看板数据结构类型 [0:树结构, 1:过滤列表, 2:分组结构]
     * @type {string}
     * @memberof AddProjectBoardForm
     */
    structureType?: string;
    /**
     * 是否使用项目看板 [true：使用, false:不使用]
     * @type {boolean}
     * @memberof AddProjectBoardForm
     */
    useEnable?: boolean;
}

/**
 * 项目看板分组传输类
 * @export
 * @interface AddProjectBoardGroupNodeForm
 */
export interface AddProjectBoardGroupNodeForm {
    /**
     * 项目分组名称
     * @type {string}
     * @memberof AddProjectBoardGroupNodeForm
     */
    name: string;
    /**
     * 项目分组父节点ID [创建根节点：0, 创建子节点：上级节点Id]
     * @type {string}
     * @memberof AddProjectBoardGroupNodeForm
     */
    parentId?: string;
    /**
     * 所属项目看板Id
     * @type {string}
     * @memberof AddProjectBoardGroupNodeForm
     */
    projectBoardId?: string;
    /**
     * 备注
     * @type {string}
     * @memberof AddProjectBoardGroupNodeForm
     */
    remark?: string;
    /**
     * 排序号
     * @type {number}
     * @memberof AddProjectBoardGroupNodeForm
     */
    sort?: number;
}

/**
 * 添加项目与的参数
 * @export
 * @interface AddProjectForm
 */
export interface AddProjectForm {
    /**
     * 创建类型 0 自由项目，1 模板项目，2 复制项目
     * @type {number}
     * @memberof AddProjectForm
     */
    createdType: number;
    /**
     * 设备来源 0 内部设备 1 第三方设备
     * @type {number}
     * @memberof AddProjectForm
     */
    deviceFrom: number;
    /**
     * 项目名称
     * @type {string}
     * @memberof AddProjectForm
     */
    name: string;
    /**
     * 项目权限组Id
     * @type {string}
     * @memberof AddProjectForm
     */
    permissionGroupId: string;
    /**
     * 备注
     * @type {string}
     * @memberof AddProjectForm
     */
    remark?: string;
    /**
     * 排序号
     * @type {number}
     * @memberof AddProjectForm
     */
    sort?: number;
    /**
     * 模板id或项目id
     * @type {string}
     * @memberof AddProjectForm
     */
    sourceId?: string;
}

/**
 * 添加项目信息
 * @export
 * @interface AddProjectInfoForm
 */
export interface AddProjectInfoForm {
    /**
     * 报警距离 0 不报警，1, 一千米  5, 五千米 10, 十千米
     * @type {number}
     * @memberof AddProjectInfoForm
     */
    alarmRange: number;
    /**
     * 复制项目的来源 0 企业项目  1 系统项目
     * @type {number}
     * @memberof AddProjectInfoForm
     */
    copyProjectWay?: number;
    /**
     * 创建类型 0 自由项目，1 模板项目，2 复制项目
     * @type {number}
     * @memberof AddProjectInfoForm
     */
    createdType: number;
    /**
     * 设备来源 0 内部设备 1 第三方设备
     * @type {number}
     * @memberof AddProjectInfoForm
     */
    deviceFrom: number;
    /**
     * 纬度
     * @type {string}
     * @memberof AddProjectInfoForm
     */
    lat?: string;
    /**
     * 0 关闭，1 手动， 2 基站定位 3 gps(外置)
     * @type {number}
     * @memberof AddProjectInfoForm
     */
    locationType: number;
    /**
     * 经度
     * @type {string}
     * @memberof AddProjectInfoForm
     */
    lon?: string;
    /**
     * 项目名称
     * @type {string}
     * @memberof AddProjectInfoForm
     */
    name: string;
    /**
     * 项目权限组Id
     * @type {string}
     * @memberof AddProjectInfoForm
     */
    permissionGroupId: string;
    /**
     * 项目id
     * @type {string}
     * @memberof AddProjectInfoForm
     */
    projectId?: string;
    /**
     * 备注
     * @type {string}
     * @memberof AddProjectInfoForm
     */
    remark?: string;
    /**
     * 排序号
     * @type {number}
     * @memberof AddProjectInfoForm
     */
    sort?: number;
    /**
     * 模板id或项目id
     * @type {string}
     * @memberof AddProjectInfoForm
     */
    sourceId?: string;
}

/**
 * 新增项目属性枚举Form类
 * @export
 * @interface AddProjectPropertiesEnum
 */
export interface AddProjectPropertiesEnum {
    /**
     * 枚举名称
     * @type {string}
     * @memberof AddProjectPropertiesEnum
     */
    enumName: string;
    /**
     * 项目属性Id
     * @type {string}
     * @memberof AddProjectPropertiesEnum
     */
    propertiesId: string;
    /**
     * 枚举属性备注
     * @type {string}
     * @memberof AddProjectPropertiesEnum
     */
    remark?: string;
    /**
     * 枚举属性排序号
     * @type {number}
     * @memberof AddProjectPropertiesEnum
     */
    sort?: number;
}

/**
 * 新增项目属性类
 * @export
 * @interface AddProjectPropertiesForm
 */
export interface AddProjectPropertiesForm {
    /**
     * 日期属性值  {只有是日期属性 该属性才会有值}
     * @type {string}
     * @memberof AddProjectPropertiesForm
     */
    format?: string;
    /**
     * 项目属性名称
     * @type {string}
     * @memberof AddProjectPropertiesForm
     */
    name: string;
    /**
     * 属性备注
     * @type {string}
     * @memberof AddProjectPropertiesForm
     */
    remark?: string;
    /**
     * 排序号
     * @type {number}
     * @memberof AddProjectPropertiesForm
     */
    sort?: number;
    /**
     * 属性值类型 = 0：枚举、1：文本、2：日期、3：数字 
     * @type {string}
     * @memberof AddProjectPropertiesForm
     */
    type: string;
}

/**
 * 
 * @export
 * @interface AddThirdDeviceForm
 */
export interface AddThirdDeviceForm {
    /**
     * 
     * @type {string}
     * @memberof AddThirdDeviceForm
     */
    addDeviceAuthType?: string;
    /**
     * 
     * @type {string}
     * @memberof AddThirdDeviceForm
     */
    addDeviceFrom?: string;
    /**
     * 
     * @type {string}
     * @memberof AddThirdDeviceForm
     */
    addDeviceGroup?: string;
    /**
     * 
     * @type {string}
     * @memberof AddThirdDeviceForm
     */
    addDeviceProtocol?: string;
    /**
     * 
     * @type {string}
     * @memberof AddThirdDeviceForm
     */
    addDeviceTlsEnabled?: string;
    /**
     * 
     * @type {Array<AddThirdDeviceInfoForm>}
     * @memberof AddThirdDeviceForm
     */
    deviceList?: Array<AddThirdDeviceInfoForm>;
}

/**
 * 
 * @export
 * @interface AddThirdDeviceInfoForm
 */
export interface AddThirdDeviceInfoForm {
    /**
     * 
     * @type {string}
     * @memberof AddThirdDeviceInfoForm
     */
    addDeviceDesc?: string;
    /**
     * 
     * @type {string}
     * @memberof AddThirdDeviceInfoForm
     */
    addDeviceId?: string;
}

/**
 * 增加第三方设备变量form
 * @export
 * @interface AddThirdDeviceVariantForm
 */
export interface AddThirdDeviceVariantForm {
    /**
     * 数据类型
     * @type {string}
     * @memberof AddThirdDeviceVariantForm
     */
    addDataType?: string;
    /**
     * 是否启用线性换算
     * @type {string}
     * @memberof AddThirdDeviceVariantForm
     */
    addEnableLinear?: string;
    /**
     * 变量分组id
     * @type {string}
     * @memberof AddThirdDeviceVariantForm
     */
    addGroupId?: string;
    /**
     * 输入最大值
     * @type {string}
     * @memberof AddThirdDeviceVariantForm
     */
    addInputMax?: string;
    /**
     * 输入最小值
     * @type {string}
     * @memberof AddThirdDeviceVariantForm
     */
    addInputMin?: string;
    /**
     * 对接名称
     * @type {string}
     * @memberof AddThirdDeviceVariantForm
     */
    addJoinName?: string;
    /**
     * 输出数据类型
     * @type {string}
     * @memberof AddThirdDeviceVariantForm
     */
    addOutDataType?: string;
    /**
     * 输出最大值
     * @type {string}
     * @memberof AddThirdDeviceVariantForm
     */
    addOutMax?: string;
    /**
     * 输出最小值
     * @type {string}
     * @memberof AddThirdDeviceVariantForm
     */
    addOutMin?: string;
    /**
     * 存储类型
     * @type {string}
     * @memberof AddThirdDeviceVariantForm
     */
    addSaveType?: string;
    /**
     * 
     * @type {string}
     * @memberof AddThirdDeviceVariantForm
     */
    addSaveValue?: string;
    /**
     * 安全配置级别
     * @type {string}
     * @memberof AddThirdDeviceVariantForm
     */
    addVariantLevel?: string;
    /**
     * 变量名称
     * @type {string}
     * @memberof AddThirdDeviceVariantForm
     */
    addVariantName?: string;
    /**
     * 单位
     * @type {string}
     * @memberof AddThirdDeviceVariantForm
     */
    addVariantUnit?: string;
    /**
     * 读写类型
     * @type {string}
     * @memberof AddThirdDeviceVariantForm
     */
    addWriteable?: string;
    /**
     * 第三方设备id
     * @type {string}
     * @memberof AddThirdDeviceVariantForm
     */
    thirdDeviceId?: string;
}

/**
 * 新增日志form
 * @export
 * @interface AddUserLogForm
 */
export interface AddUserLogForm {
    /**
     * 请求端IP
     * @type {string}
     * @memberof AddUserLogForm
     */
    clientIp?: string;
    /**
     * 企业Id
     * @type {string}
     * @memberof AddUserLogForm
     */
    companyId?: string;
    /**
     * 日志详情
     * @type {string}
     * @memberof AddUserLogForm
     */
    details?: string;
    /**
     * 老数据迁移，0：不是，1，是
     * @type {string}
     * @memberof AddUserLogForm
     */
    oldDataMigration?: string;
    /**
     * 项目Id
     * @type {string}
     * @memberof AddUserLogForm
     */
    projectId?: string;
    /**
     * 请求路径
     * @type {string}
     * @memberof AddUserLogForm
     */
    requestUri?: string;
    /**
     * 请求地址
     * @type {string}
     * @memberof AddUserLogForm
     */
    requestUrl?: string;
    /**
     * 操作返回码
     * @type {string}
     * @memberof AddUserLogForm
     */
    resultCode?: string;
    /**
     * 返回值信息
     * @type {string}
     * @memberof AddUserLogForm
     */
    resultData?: string;
    /**
     * 返回值信息
     * @type {string}
     * @memberof AddUserLogForm
     */
    resultMessage?: string;
    /**
     * 用户Id
     * @type {string}
     * @memberof AddUserLogForm
     */
    userId?: string;
}

/**
 * 
 * @export
 * @interface AlarmAffirmVo
 */
export interface AlarmAffirmVo {
    /**
     * 确认方案
     * @type {string}
     * @memberof AlarmAffirmVo
     */
    confirmScheme?: string;
    /**
     * 确认报警时间
     * @type {string}
     * @memberof AlarmAffirmVo
     */
    confirmTime?: string;
}

/**
 * 报警配置表实体类
 * @export
 * @interface AlarmConfig
 */
export interface AlarmConfig {
    /**
     * 报警分类（自定义的分类）
     * @type {string}
     * @memberof AlarmConfig
     */
    alarmClassify?: string;
    /**
     * 报警所属分组 一个32位二进制的值
     * @type {number}
     * @memberof AlarmConfig
     */
    alarmGroup?: number;
    /**
     * 报警id
     * @type {number}
     * @memberof AlarmConfig
     */
    alarmId?: number;
    /**
     * 报警名称
     * @type {string}
     * @memberof AlarmConfig
     */
    alarmName?: string;
    /**
     * 报警确认类型 0:手动确认, 1:恢复后自动确认, 2:只有恢复后才能手动确认
     * @type {string}
     * @memberof AlarmConfig
     */
    confirmType?: string;
    /**
     * 创建人
     * @type {string}
     * @memberof AlarmConfig
     */
    createdBy?: string;
    /**
     * 报警详情
     * @type {string}
     * @memberof AlarmConfig
     */
    detail?: string;
    /**
     * 虚拟设备编号
     * @type {string}
     * @memberof AlarmConfig
     */
    deviceId?: string;
    /**
     * 报警表达式
     * @type {string}
     * @memberof AlarmConfig
     */
    expression?: string;
    /**
     * 报警级别 0：一般，1：重要，2：紧急
     * @type {string}
     * @memberof AlarmConfig
     */
    level?: string;
    /**
     * 报警位置
     * @type {string}
     * @memberof AlarmConfig
     */
    position?: string;
    /**
     * 延迟推送时间(单位秒,为0时不延迟)
     * @type {string}
     * @memberof AlarmConfig
     */
    pushDelayTime?: string;
    /**
     * 是否推送报警恢复消息 0：否，1：是
     * @type {string}
     * @memberof AlarmConfig
     */
    pushRestoreMessage?: string;
    /**
     * 报警恢复详情
     * @type {string}
     * @memberof AlarmConfig
     */
    restoreMessage?: string;
    /**
     * 排序号
     * @type {number}
     * @memberof AlarmConfig
     */
    sort?: number;
    /**
     * 变量id
     * @type {number}
     * @memberof AlarmConfig
     */
    variantId?: number;
}

/**
 * 
 * @export
 * @interface AlarmModel
 */
export interface AlarmModel {
}

/**
 * 
 * @export
 * @interface AlarmParam
 */
export interface AlarmParam {
    /**
     * ID
     * @type {string}
     * @memberof AlarmParam
     */
    alarmId?: string;
    /**
     * 设备id
     * @type {string}
     * @memberof AlarmParam
     */
    deviceId?: string;
}

/**
 * 用于查询报警 Param类
 * @export
 * @interface AlarmQueryParam
 */
export interface AlarmQueryParam {
    /**
     * 报警级别0：一般，1：重要，2：紧急
     * @type {string}
     * @memberof AlarmQueryParam
     */
    alarmLevel?: string;
    /**
     * 分页页码
     * @type {number}
     * @memberof AlarmQueryParam
     */
    currentPage?: number;
    /**
     * 设备ID
     * @type {string}
     * @memberof AlarmQueryParam
     */
    deviceId?: string;
    /**
     * 结束时间 yyyy-MM-dd hh:mm:ss
     * @type {string}
     * @memberof AlarmQueryParam
     */
    endTime?: string;
    /**
     * 条件搜索
     * @type {string}
     * @memberof AlarmQueryParam
     */
    keyword?: string;
    /**
     * 每页大小
     * @type {number}
     * @memberof AlarmQueryParam
     */
    pageSize?: number;
    /**
     * 项目ID
     * @type {string}
     * @memberof AlarmQueryParam
     */
    projectId?: string;
    /**
     * 开始时间 yyyy-MM-dd hh:mm:ss
     * @type {string}
     * @memberof AlarmQueryParam
     */
    startTime?: string;
}

/**
 * 报警确认时间恢复时间
 * @export
 * @interface AlarmTimeVo
 */
export interface AlarmTimeVo {
    /**
     * 报警时间
     * @type {string}
     * @memberof AlarmTimeVo
     */
    alarmTime?: string;
    /**
     * 确认报警时间
     * @type {string}
     * @memberof AlarmTimeVo
     */
    confirmTime?: string;
}

/**
 * 
 * @export
 * @interface AppMainMenu
 */
export interface AppMainMenu {
    /**
     *  0：组态，1：详情，2：报表：3：视频，4：创建保修
     * @type {string}
     * @memberof AppMainMenu
     */
    mainMenu?: string;
    /**
     * 项目id
     * @type {string}
     * @memberof AppMainMenu
     */
    projectId?: string;
}

/**
 * 区域代码表
 * @export
 * @interface Area
 */
export interface Area {
    /**
     * 别名
     * @type {string}
     * @memberof Area
     */
    alias?: string;
    /**
     * 区域代码
     * @type {string}
     * @memberof Area
     */
    code?: string;
    /**
     * 纬度
     * @type {string}
     * @memberof Area
     */
    latitude?: string;
    /**
     * 等级
     * @type {string}
     * @memberof Area
     */
    level?: string;
    /**
     * 经度
     * @type {string}
     * @memberof Area
     */
    longitude?: string;
    /**
     * 区域名称
     * @type {string}
     * @memberof Area
     */
    name?: string;
    /**
     * 父级区域代码
     * @type {string}
     * @memberof Area
     */
    parentCode?: string;
}

/**
 * 
 * @export
 * @interface AttentionStatusVo
 */
export interface AttentionStatusVo {
    /**
     * 项目id
     * @type {string}
     * @memberof AttentionStatusVo
     */
    projectId?: string;
    /**
     * 关注状态，0：未关注，1：已关注
     * @type {string}
     * @memberof AttentionStatusVo
     */
    status?: string;
}

/**
 * 
 * @export
 * @interface AuthCompanyAccount
 */
export interface AuthCompanyAccount {
    /**
     * 
     * @type {string}
     * @memberof AuthCompanyAccount
     */
    account?: string;
    /**
     * 
     * @type {string}
     * @memberof AuthCompanyAccount
     */
    companyId?: string;
    /**
     * 
     * @type {Date}
     * @memberof AuthCompanyAccount
     */
    createdTime?: Date;
    /**
     * 
     * @type {string}
     * @memberof AuthCompanyAccount
     */
    type?: string;
    /**
     * 
     * @type {Date}
     * @memberof AuthCompanyAccount
     */
    updatedTime?: Date;
}

/**
 * 
 * @export
 * @interface AuthLog
 */
export interface AuthLog {
    /**
     * 企业id
     * @type {string}
     * @memberof AuthLog
     */
    companyId?: string;
    /**
     * 企业名称
     * @type {string}
     * @memberof AuthLog
     */
    companyName?: string;
    /**
     * 详情（关联套餐和到期时间）
     * @type {string}
     * @memberof AuthLog
     */
    detail?: string;
    /**
     * 唯一id
     * @type {string}
     * @memberof AuthLog
     */
    id?: string;
    /**
     * 缴费金额
     * @type {number}
     * @memberof AuthLog
     */
    paymentAmount?: number;
    /**
     * 缴费时间
     * @type {string}
     * @memberof AuthLog
     */
    paymentTime?: string;
}

/**
 * 
 * @export
 * @interface AuthLogParam
 */
export interface AuthLogParam {
    /**
     * 当前页
     * @type {number}
     * @memberof AuthLogParam
     */
    currentPage: number;
    /**
     * 结束时间
     * @type {string}
     * @memberof AuthLogParam
     */
    endTime?: string;
    /**
     * 关键字
     * @type {string}
     * @memberof AuthLogParam
     */
    keyword?: string;
    /**
     * 每页大小
     * @type {number}
     * @memberof AuthLogParam
     */
    pageSize: number;
    /**
     * 开始时间
     * @type {string}
     * @memberof AuthLogParam
     */
    startTime?: string;
}

/**
 * 
 * @export
 * @interface AuthPackageProperties
 */
export interface AuthPackageProperties {
    /**
     * 套餐属性
     * @type {string}
     * @memberof AuthPackageProperties
     */
    properties: string;
    /**
     * 属性的值
     * @type {number}
     * @memberof AuthPackageProperties
     */
    value: number;
}

/**
 * 
 * @export
 * @interface AuthPackagePropertiesConfig
 */
export interface AuthPackagePropertiesConfig {
    /**
     * 属性的默认数量
     * @type {number}
     * @memberof AuthPackagePropertiesConfig
     */
    defaultLimit?: number;
    /**
     * id
     * @type {string}
     * @memberof AuthPackagePropertiesConfig
     */
    id?: string;
    /**
     * 名称
     * @type {string}
     * @memberof AuthPackagePropertiesConfig
     */
    name?: string;
    /**
     * 数量，和价格对应，例如：1元10个)
     * @type {number}
     * @memberof AuthPackagePropertiesConfig
     */
    number?: number;
    /**
     * 0:不是套餐属性，1：是套餐属性
     * @type {number}
     * @memberof AuthPackagePropertiesConfig
     */
    packageProperties?: number;
    /**
     * 价格（RMB)
     * @type {number}
     * @memberof AuthPackagePropertiesConfig
     */
    price?: number;
    /**
     * 套餐的属性
     * @type {string}
     * @memberof AuthPackagePropertiesConfig
     */
    properties?: string;
    /**
     * 排序号
     * @type {number}
     * @memberof AuthPackagePropertiesConfig
     */
    sort?: number;
    /**
     * 会否是系统额度0：不是，1是
     * @type {number}
     * @memberof AuthPackagePropertiesConfig
     */
    type?: number;
    /**
     * 单位
     * @type {string}
     * @memberof AuthPackagePropertiesConfig
     */
    unit?: string;
}

/**
 * 
 * @export
 * @interface AuthPackageVo
 */
export interface AuthPackageVo {
    /**
     * 套餐id
     * @type {string}
     * @memberof AuthPackageVo
     */
    id?: string;
    /**
     * 套餐名称
     * @type {string}
     * @memberof AuthPackageVo
     */
    name?: string;
    /**
     * 套餐价格
     * @type {number}
     * @memberof AuthPackageVo
     */
    packageFee?: number;
    /**
     * 套餐属性
     * @type {Array<AuthPackageProperties>}
     * @memberof AuthPackageVo
     */
    properties?: Array<AuthPackageProperties>;
    /**
     * 套餐类型0：普通套餐，1，默认套餐
     * @type {number}
     * @memberof AuthPackageVo
     */
    type?: number;
}

/**
 * 查询企业的充值订单Param
 * @export
 * @interface AuthPaymentRecordParam
 */
export interface AuthPaymentRecordParam {
    /**
     * 页码
     * @type {number}
     * @memberof AuthPaymentRecordParam
     */
    currentPage?: number;
    /**
     * 搜索结束时间
     * @type {string}
     * @memberof AuthPaymentRecordParam
     */
    endTime?: string;
    /**
     * 关键字
     * @type {string}
     * @memberof AuthPaymentRecordParam
     */
    keyword?: string;
    /**
     * 订单类型 0短信,1天气,2定位,3邮件,4流量,5语音
     * @type {string}
     * @memberof AuthPaymentRecordParam
     */
    orderType?: string;
    /**
     * 查询数量
     * @type {number}
     * @memberof AuthPaymentRecordParam
     */
    pageSize?: number;
    /**
     * 搜索开始时间
     * @type {string}
     * @memberof AuthPaymentRecordParam
     */
    startTime?: string;
}

/**
 * 
 * @export
 * @interface BindDeviceForm
 */
export interface BindDeviceForm {
    /**
     * 设备id
     * @type {string}
     * @memberof BindDeviceForm
     */
    deviceId: string;
    /**
     * device序列号
     * @type {string}
     * @memberof BindDeviceForm
     */
    serialNumber?: string;
}

/**
 * 
 * @export
 * @interface BindOrChangeThirdDeviceForm
 */
export interface BindOrChangeThirdDeviceForm {
    /**
     * 
     * @type {string}
     * @memberof BindOrChangeThirdDeviceForm
     */
    deviceId?: string;
    /**
     * 
     * @type {string}
     * @memberof BindOrChangeThirdDeviceForm
     */
    thirdDeviceId?: string;
}

/**
 * 报表看板树节点Vo
 * @export
 * @interface BoardAndCategoryTreeVo
 */
export interface BoardAndCategoryTreeVo {
    /**
     * 看板子节点
     * @type {Array<BoardAndCategoryTreeVo>}
     * @memberof BoardAndCategoryTreeVo
     */
    boardList?: Array<BoardAndCategoryTreeVo>;
    /**
     * 看板Id
     * @type {string}
     * @memberof BoardAndCategoryTreeVo
     */
    id?: string;
    /**
     * 看板名称
     * @type {string}
     * @memberof BoardAndCategoryTreeVo
     */
    name?: string;
    /**
     * 看板父节点Id
     * @type {string}
     * @memberof BoardAndCategoryTreeVo
     */
    parentId?: string;
    /**
     * 看板类型 0：看板分类，1：看板
     * @type {number}
     * @memberof BoardAndCategoryTreeVo
     */
    type?: number;
    /**
     * 看板报表路径
     * @type {string}
     * @memberof BoardAndCategoryTreeVo
     */
    url?: string;
}

/**
 * 授权项目
 * @export
 * @interface ClientProjectInfoVo
 */
export interface ClientProjectInfoVo {
    /**
     * 客户的企业id
     * @type {string}
     * @memberof ClientProjectInfoVo
     */
    clientId?: string;
    /**
     * 本企业id
     * @type {string}
     * @memberof ClientProjectInfoVo
     */
    companyId?: string;
    /**
     * 项目id
     * @type {string}
     * @memberof ClientProjectInfoVo
     */
    projectId?: string;
    /**
     * 项目名称
     * @type {string}
     * @memberof ClientProjectInfoVo
     */
    projectName?: string;
    /**
     * 项目角色关联关系的id
     * @type {string}
     * @memberof ClientProjectInfoVo
     */
    projectRelId?: string;
    /**
     * 项目授权的角色id
     * @type {string}
     * @memberof ClientProjectInfoVo
     */
    projectRoleId?: string;
    /**
     * 角色名称
     * @type {string}
     * @memberof ClientProjectInfoVo
     */
    roleName?: string;
}

/**
 * 企业信息
 * @export
 * @interface Company
 */
export interface Company {
    /**
     * 别名
     * @type {string}
     * @memberof Company
     */
    alias?: string;
    /**
     * 区域code
     * @type {string}
     * @memberof Company
     */
    areaCode?: string;
    /**
     * 是否可用
     * @type {string}
     * @memberof Company
     */
    available?: string;
    /**
     * 城市
     * @type {string}
     * @memberof Company
     */
    city?: string;
    /**
     * 企业超级管理员
     * @type {string}
     * @memberof Company
     */
    companyAdmin?: string;
    /**
     * 企业类型0：超级企业，1：普通企业，2：个人企业
     * @type {string}
     * @memberof Company
     */
    companyType?: string;
    /**
     * 国家
     * @type {string}
     * @memberof Company
     */
    country?: string;
    /**
     * 创建人
     * @type {string}
     * @memberof Company
     */
    createdBy?: string;
    /**
     * 创建时间
     * @type {Date}
     * @memberof Company
     */
    createdTime?: Date;
    /**
     * 区/县
     * @type {string}
     * @memberof Company
     */
    district?: string;
    /**
     * 企业id
     * @type {string}
     * @memberof Company
     */
    id?: string;
    /**
     * 行业
     * @type {string}
     * @memberof Company
     */
    industry?: string;
    /**
     * 是否锁定(0:未锁定 1:锁定
     * @type {string}
     * @memberof Company
     */
    locked?: string;
    /**
     * 企业名称
     * @type {string}
     * @memberof Company
     */
    name?: string;
    /**
     * 省
     * @type {string}
     * @memberof Company
     */
    province?: string;
    /**
     * 备注
     * @type {string}
     * @memberof Company
     */
    remark?: string;
    /**
     * 规模
     * @type {string}
     * @memberof Company
     */
    scale?: string;
    /**
     * 街道
     * @type {string}
     * @memberof Company
     */
    street?: string;
    /**
     * 最后修改时间
     * @type {Date}
     * @memberof Company
     */
    updatedTime?: Date;
    /**
     * 网址
     * @type {string}
     * @memberof Company
     */
    website?: string;
    /**
     * 年限
     * @type {string}
     * @memberof Company
     */
    years?: string;
}

/**
 * 
 * @export
 * @interface CompanyAuthInfo
 */
export interface CompanyAuthInfo {
    /**
     * 企业id
     * @type {string}
     * @memberof CompanyAuthInfo
     */
    companyId?: string;
    /**
     * 企业名称
     * @type {string}
     * @memberof CompanyAuthInfo
     */
    companyName?: string;
    /**
     * 过期时间
     * @type {string}
     * @memberof CompanyAuthInfo
     */
    expirationTime?: string;
    /**
     * 应缴费金额
     * @type {string}
     * @memberof CompanyAuthInfo
     */
    feesPayable?: string;
    /**
     * 套餐id
     * @type {string}
     * @memberof CompanyAuthInfo
     */
    packageId?: string;
    /**
     * 套餐名称
     * @type {string}
     * @memberof CompanyAuthInfo
     */
    packageName?: string;
    /**
     * 企业的额度list集合
     * @type {Array<CompanyResourceLimit>}
     * @memberof CompanyAuthInfo
     */
    propertiesList?: Array<CompanyResourceLimit>;
    /**
     * 企业状态，0：已冻结，1：正常，2：已到期
     * @type {string}
     * @memberof CompanyAuthInfo
     */
    status?: string;
}

/**
 * 
 * @export
 * @interface CompanyAuthInfoParam
 */
export interface CompanyAuthInfoParam {
    /**
     * 当前页
     * @type {number}
     * @memberof CompanyAuthInfoParam
     */
    currentPage: number;
    /**
     * 关键字
     * @type {string}
     * @memberof CompanyAuthInfoParam
     */
    keyword?: string;
    /**
     * 每页大小
     * @type {number}
     * @memberof CompanyAuthInfoParam
     */
    pageSize: number;
}

/**
 * 客户
 * @export
 * @interface CompanyClientVo
 */
export interface CompanyClientVo {
    /**
     * 地址
     * @type {string}
     * @memberof CompanyClientVo
     */
    address?: string;
    /**
     * 企业超级管理员id
     * @type {string}
     * @memberof CompanyClientVo
     */
    adminId?: string;
    /**
     * 可用（0：未审核，2：审核未通过，1或者空：可用）
     * @type {string}
     * @memberof CompanyClientVo
     */
    available?: string;
    /**
     * 客户企业名称
     * @type {string}
     * @memberof CompanyClientVo
     */
    clientCompanyName?: string;
    /**
     * 客户id 实际也是企业id
     * @type {string}
     * @memberof CompanyClientVo
     */
    clientId?: string;
    /**
     * 客户名称
     * @type {string}
     * @memberof CompanyClientVo
     */
    clientName?: string;
    /**
     * 企业id
     * @type {string}
     * @memberof CompanyClientVo
     */
    companyId?: string;
    /**
     * 客户的企业类型
     * @type {string}
     * @memberof CompanyClientVo
     */
    companyType?: string;
    /**
     * 电子邮件
     * @type {string}
     * @memberof CompanyClientVo
     */
    contactEmail?: string;
    /**
     * 联系人
     * @type {string}
     * @memberof CompanyClientVo
     */
    contactName?: string;
    /**
     * 联系电话
     * @type {string}
     * @memberof CompanyClientVo
     */
    contactPhone?: string;
    /**
     * 创建人
     * @type {string}
     * @memberof CompanyClientVo
     */
    createdBy?: string;
    /**
     * 创建时间
     * @type {string}
     * @memberof CompanyClientVo
     */
    createdTime?: string;
    /**
     * 主键
     * @type {string}
     * @memberof CompanyClientVo
     */
    id?: string;
    /**
     * 客户联系电话
     * @type {string}
     * @memberof CompanyClientVo
     */
    officePhone?: string;
    /**
     * 备注
     * @type {string}
     * @memberof CompanyClientVo
     */
    remark?: string;
    /**
     * 客户联系人性别
     * @type {string}
     * @memberof CompanyClientVo
     */
    sex?: string;
    /**
     * 修改时间
     * @type {string}
     * @memberof CompanyClientVo
     */
    updatedTime?: string;
    /**
     * 客户管理员账号
     * @type {string}
     * @memberof CompanyClientVo
     */
    username?: string;
}

/**
 * 企业信息传入对象
 * @export
 * @interface CompanyForm
 */
export interface CompanyForm {
    /**
     * 企业简称
     * @type {string}
     * @memberof CompanyForm
     */
    alias?: string;
    /**
     * 市code编码
     * @type {string}
     * @memberof CompanyForm
     */
    city?: string;
    /**
     * 国家
     * @type {string}
     * @memberof CompanyForm
     */
    country?: string;
    /**
     * 区code编码
     * @type {string}
     * @memberof CompanyForm
     */
    district?: string;
    /**
     * 主要行业
     * @type {string}
     * @memberof CompanyForm
     */
    industry?: string;
    /**
     * 企业名称
     * @type {string}
     * @memberof CompanyForm
     */
    name?: string;
    /**
     * 省code编码
     * @type {string}
     * @memberof CompanyForm
     */
    province?: string;
    /**
     * 公司规模
     * @type {string}
     * @memberof CompanyForm
     */
    scale?: string;
    /**
     * 街道详情
     * @type {string}
     * @memberof CompanyForm
     */
    street?: string;
    /**
     * 公司网址
     * @type {string}
     * @memberof CompanyForm
     */
    website?: string;
    /**
     * 企业年限
     * @type {string}
     * @memberof CompanyForm
     */
    years?: string;
}

/**
 * 
 * @export
 * @interface CompanyPackageForm
 */
export interface CompanyPackageForm {
    /**
     * 企业id
     * @type {string}
     * @memberof CompanyPackageForm
     */
    companyId: string;
    /**
     * 套餐id,为空为取消套餐授权
     * @type {string}
     * @memberof CompanyPackageForm
     */
    packageId?: string;
}

/**
 * 企业项目关联
 * @export
 * @interface CompanyProjectRel
 */
export interface CompanyProjectRel {
    /**
     * 项目为被授权项目时不为空，表示授权者企业的企业id
     * @type {string}
     * @memberof CompanyProjectRel
     */
    authCompanyId?: string;
    /**
     * 客户名称
     * @type {string}
     * @memberof CompanyProjectRel
     */
    clientName?: string;
    /**
     * 公司ID
     * @type {string}
     * @memberof CompanyProjectRel
     */
    companyId?: string;
    /**
     * 创建时间
     * @type {Date}
     * @memberof CompanyProjectRel
     */
    createdTime?: Date;
    /**
     * id
     * @type {string}
     * @memberof CompanyProjectRel
     */
    id?: string;
    /**
     * 项目ID
     * @type {string}
     * @memberof CompanyProjectRel
     */
    projectId?: string;
    /**
     * 角色ID（rel_type为1，即被授权项目，才会有项目角色）
     * @type {string}
     * @memberof CompanyProjectRel
     */
    projectRole?: string;
    /**
     * 关联类型 0自己项目|1被授权项目
     * @type {number}
     * @memberof CompanyProjectRel
     */
    relType?: number;
    /**
     * 描述
     * @type {string}
     * @memberof CompanyProjectRel
     */
    remark?: string;
    /**
     * 更新时间
     * @type {Date}
     * @memberof CompanyProjectRel
     */
    updatedTime?: Date;
}

/**
 * 
 * @export
 * @interface CompanyResourceLimit
 */
export interface CompanyResourceLimit {
    /**
     * 
     * @type {string}
     * @memberof CompanyResourceLimit
     */
    accountId?: string;
    /**
     * 
     * @type {string}
     * @memberof CompanyResourceLimit
     */
    companyId?: string;
    /**
     * 
     * @type {boolean}
     * @memberof CompanyResourceLimit
     */
    lanPattern?: boolean;
    /**
     * 额度属性
     * @type {string}
     * @memberof CompanyResourceLimit
     */
    properties?: string;
    /**
     * 额度属性名称
     * @type {string}
     * @memberof CompanyResourceLimit
     */
    propertiesName?: string;
    /**
     * 使用数量,-1 代表不限制
     * @type {number}
     * @memberof CompanyResourceLimit
     */
    total?: number;
    /**
     * 单位
     * @type {string}
     * @memberof CompanyResourceLimit
     */
    unit?: string;
    /**
     * 
     * @type {Date}
     * @memberof CompanyResourceLimit
     */
    updatedTime?: Date;
    /**
     * 总量
     * @type {number}
     * @memberof CompanyResourceLimit
     */
    used?: number;
}

/**
 * 
 * @export
 * @interface CompanyStatusForm
 */
export interface CompanyStatusForm {
    /**
     * 企业ID
     * @type {string}
     * @memberof CompanyStatusForm
     */
    companyId: string;
    /**
     * 状态：0，冻结，1：正常
     * @type {string}
     * @memberof CompanyStatusForm
     */
    status: string;
}

/**
 * 企业(树)Vo
 * @export
 * @interface CompanyTreeVo
 */
export interface CompanyTreeVo {
    /**
     * 企业id
     * @type {string}
     * @memberof CompanyTreeVo
     */
    companyId?: string;
    /**
     * 企业名称
     * @type {string}
     * @memberof CompanyTreeVo
     */
    companyName?: string;
    /**
     * 项目集合
     * @type {Array<ProjectTreeVo>}
     * @memberof CompanyTreeVo
     */
    projects?: Array<ProjectTreeVo>;
}

/**
 * 查询条件储存参数
 * @export
 * @interface ConditionStorageParam
 */
export interface ConditionStorageParam {
    /**
     * 项目或模板Id
     * @type {string}
     * @memberof ConditionStorageParam
     */
    resourceId?: string;
    /**
     *  project: 项目, template: 模板 all: 企业
     * @type {string}
     * @memberof ConditionStorageParam
     */
    resourceType?: string;
}

/**
 * 条件储存标签Vo类
 * @export
 * @interface ConditionTagVo
 */
export interface ConditionTagVo {
    /**
     * 条件标签id
     * @type {string}
     * @memberof ConditionTagVo
     */
    id?: string;
    /**
     * 是否已被绑定 false = 已绑定
     * @type {boolean}
     * @memberof ConditionTagVo
     */
    isBind?: boolean;
    /**
     * 条件标签名称
     * @type {string}
     * @memberof ConditionTagVo
     */
    name?: string;
    /**
     * 条件标签排序号
     * @type {number}
     * @memberof ConditionTagVo
     */
    sort?: number;
}

/**
 * 条件存储vo
 * @export
 * @interface ConditionVo
 */
export interface ConditionVo {
    /**
     * 条件存储名称
     * @type {string}
     * @memberof ConditionVo
     */
    conditionName?: string;
    /**
     * 条件存储绑定的设备id
     * @type {string}
     * @memberof ConditionVo
     */
    deviceId?: string;
    /**
     * 条件存储id
     * @type {string}
     * @memberof ConditionVo
     */
    id?: string;
    /**
     * 绑定条件标签Id
     * @type {string}
     * @memberof ConditionVo
     */
    tagId?: string;
}

/**
 * 
 * @export
 * @interface ConfigurationRuntimeUrlVo
 */
export interface ConfigurationRuntimeUrlVo {
    /**
     * 项目id
     * @type {string}
     * @memberof ConfigurationRuntimeUrlVo
     */
    projectId?: string;
    /**
     * 项目运行态id
     * @type {string}
     * @memberof ConfigurationRuntimeUrlVo
     */
    runtimeUrl?: string;
}

/**
 * 拷贝项目属性Form
 * @export
 * @interface CopyProjectPropertiesForm
 */
export interface CopyProjectPropertiesForm {
    /**
     * 目标属性Id
     * @type {string}
     * @memberof CopyProjectPropertiesForm
     */
    id?: string;
    /**
     * 新属性名
     * @type {string}
     * @memberof CopyProjectPropertiesForm
     */
    name?: string;
}

/**
 * 数据字典
 * @export
 * @interface DataDictionary
 */
export interface DataDictionary {
    /**
     * 创建时间
     * @type {Date}
     * @memberof DataDictionary
     */
    createdTime?: Date;
    /**
     * 数据字典所在分组
     * @type {string}
     * @memberof DataDictionary
     */
    groupCode?: string;
    /**
     * 主键
     * @type {string}
     * @memberof DataDictionary
     */
    id?: string;
    /**
     * 数据字典名称
     * @type {string}
     * @memberof DataDictionary
     */
    name?: string;
    /**
     * 修改时间
     * @type {Date}
     * @memberof DataDictionary
     */
    updatedTime?: Date;
}

/**
 * 数据推送实体
 * @export
 * @interface DataPushRule
 */
export interface DataPushRule {
    /**
     * 创建时间
     * @type {Date}
     * @memberof DataPushRule
     */
    createdTime?: Date;
    /**
     * 启用状态(0:禁用 1:启用)
     * @type {boolean}
     * @memberof DataPushRule
     */
    enable?: boolean;
    /**
     * 事件ID
     * @type {string}
     * @memberof DataPushRule
     */
    eventId?: string;
    /**
     * 规则id
     * @type {string}
     * @memberof DataPushRule
     */
    id?: string;
    /**
     * 消息推送配置信息
     * @type {string}
     * @memberof DataPushRule
     */
    messagePushConfig?: string;
    /**
     * 消息推送方式
     * @type {string}
     * @memberof DataPushRule
     */
    messagePushType?: string;
    /**
     * 模块Id：sys-mncloud: 业务平台; sys-super: super平台; sys-wxapp: APP/微信小程序; 其它自定义模块Id
     * @type {string}
     * @memberof DataPushRule
     */
    moduleId?: string;
    /**
     * 规则名称
     * @type {string}
     * @memberof DataPushRule
     */
    ruleName?: string;
    /**
     * 修改时间
     * @type {Date}
     * @memberof DataPushRule
     */
    updatedTime?: Date;
}

/**
 * 
 * @export
 * @interface DataPushRuleVo
 */
export interface DataPushRuleVo {
    /**
     * 
     * @type {string}
     * @memberof DataPushRuleVo
     */
    id?: string;
    /**
     * 
     * @type {string}
     * @memberof DataPushRuleVo
     */
    ruleName?: string;
}

/**
 * 删除历史数据或报警Form
 * @export
 * @interface DelAlarmOrHistoryForm
 */
export interface DelAlarmOrHistoryForm {
    /**
     * 结束
     * @type {string}
     * @memberof DelAlarmOrHistoryForm
     */
    endTime: string;
    /**
     * 项目ID
     * @type {string}
     * @memberof DelAlarmOrHistoryForm
     */
    projectId: string;
    /**
     * 开始日期
     * @type {string}
     * @memberof DelAlarmOrHistoryForm
     */
    startTime: string;
}

/**
 * 删除授权Form
 * @export
 * @interface DeleteAuthForm
 */
export interface DeleteAuthForm {
    /**
     * 项目id或者权限组id
     * @type {Array<string>}
     * @memberof DeleteAuthForm
     */
    ids: Array<string>;
    /**
     * 用户ID
     * @type {string}
     * @memberof DeleteAuthForm
     */
    userId: string;
}

/**
 * 删除变量收藏分组form
 * @export
 * @interface DeleteVariantFavoriteGroupForm
 */
export interface DeleteVariantFavoriteGroupForm {
    /**
     * 收藏组id
     * @type {string}
     * @memberof DeleteVariantFavoriteGroupForm
     */
    favoriteId: string;
    /**
     * 指定收藏组id所属的类型。可选[project,template]
     * @type {string}
     * @memberof DeleteVariantFavoriteGroupForm
     */
    resourceType: string;
}

/**
 * 部门
 * @export
 * @interface DepartForm
 */
export interface DepartForm {
    /**
     * 部门id(修改时必须有,添加时不需要)
     * @type {string}
     * @memberof DepartForm
     */
    id?: string;
    /**
     * 部门名称
     * @type {string}
     * @memberof DepartForm
     */
    name: string;
    /**
     * 父级部门id
     * @type {string}
     * @memberof DepartForm
     */
    parentId: string;
    /**
     * 描述
     * @type {string}
     * @memberof DepartForm
     */
    remark?: string;
    /**
     * 排序号
     * @type {number}
     * @memberof DepartForm
     */
    sort?: number;
}

/**
 * 部门
 * @export
 * @interface Department
 */
export interface Department {
    /**
     * 子部门
     * @type {Array<Department>}
     * @memberof Department
     */
    children?: Array<Department>;
    /**
     * 企业id
     * @type {string}
     * @memberof Department
     */
    companyId?: string;
    /**
     * 创建人
     * @type {string}
     * @memberof Department
     */
    createdBy?: string;
    /**
     * 创建时间
     * @type {Date}
     * @memberof Department
     */
    createdTime?: Date;
    /**
     * 主键
     * @type {string}
     * @memberof Department
     */
    id?: string;
    /**
     * 名称
     * @type {string}
     * @memberof Department
     */
    name?: string;
    /**
     * 父级id
     * @type {string}
     * @memberof Department
     */
    parentId?: string;
    /**
     * 备注
     * @type {string}
     * @memberof Department
     */
    remark?: string;
    /**
     * 排序号
     * @type {number}
     * @memberof Department
     */
    sort?: number;
    /**
     * 修改时间
     * @type {Date}
     * @memberof Department
     */
    updatedTime?: Date;
}

/**
 * 
 * @export
 * @interface DeviceAuthConfig
 */
export interface DeviceAuthConfig {
    /**
     * 免费报警
     * @type {number}
     * @memberof DeviceAuthConfig
     */
    alarm: number;
    /**
     * 免费历史数据额度(M)
     * @type {number}
     * @memberof DeviceAuthConfig
     */
    dataSpace: number;
    /**
     * 免费变量
     * @type {number}
     * @memberof DeviceAuthConfig
     */
    variant: number;
}

/**
 * 
 * @export
 * @interface DeviceInfoVo
 */
export interface DeviceInfoVo {
    /**
     * 配置版本号(云端)
     * @type {string}
     * @memberof DeviceInfoVo
     */
    cloudVersion?: string;
    /**
     * Device信息 key:字段，DevicePropertiesPojo: 详情
     * @type {{ [key: string]: DevicePropertiesVo; }}
     * @memberof DeviceInfoVo
     */
    deviceProperties?: { [key: string]: DevicePropertiesVo; };
    /**
     * Device的id
     * @type {string}
     * @memberof DeviceInfoVo
     */
    id?: string;
    /**
     * 是否是GPS设备
     * @type {boolean}
     * @memberof DeviceInfoVo
     */
    isGps?: boolean;
    /**
     * 是否是第三方设备
     * @type {boolean}
     * @memberof DeviceInfoVo
     */
    isThirdDevice?: boolean;
    /**
     * BOX型号版本号
     * @type {string}
     * @memberof DeviceInfoVo
     */
    model?: string;
    /**
     * Device名称
     * @type {string}
     * @memberof DeviceInfoVo
     */
    name?: string;
    /**
     * Device序列号
     * @type {string}
     * @memberof DeviceInfoVo
     */
    serialNumber?: string;
    /**
     * 第三方设备id
     * @type {string}
     * @memberof DeviceInfoVo
     */
    thirdDeviceId?: string;
}

/**
 * 
 * @export
 * @interface DeviceModel
 */
export interface DeviceModel {
    /**
     * 
     * @type {string}
     * @memberof DeviceModel
     */
    id?: string;
    /**
     * 
     * @type {string}
     * @memberof DeviceModel
     */
    name?: string;
    /**
     * 
     * @type {Array<PlcModel>}
     * @memberof DeviceModel
     */
    plcModels?: Array<PlcModel>;
}

/**
 * Device监控后台设备详情vo
 * @export
 * @interface DeviceMonitorDeviceDetailVo
 */
export interface DeviceMonitorDeviceDetailVo {
    /**
     * 详细信息
     * @type {DeviceMonitorVo}
     * @memberof DeviceMonitorDeviceDetailVo
     */
    collectorInfo?: DeviceMonitorVo;
    /**
     * Device信息
     * @type {Array<DevicePropertiesVo>}
     * @memberof DeviceMonitorDeviceDetailVo
     */
    devicePropertiesVos?: Array<DevicePropertiesVo>;
    /**
     * plc信息
     * @type {Array<DeviceMonitorVo>}
     * @memberof DeviceMonitorDeviceDetailVo
     */
    plcs?: Array<DeviceMonitorVo>;
    /**
     * 统计信息
     * @type {any}
     * @memberof DeviceMonitorDeviceDetailVo
     */
    statistic?: any;
}

/**
 * Device监控Param
 * @export
 * @interface DeviceMonitorParam
 */
export interface DeviceMonitorParam {
    /**
     * 页码
     * @type {number}
     * @memberof DeviceMonitorParam
     */
    currentPage?: number;
    /**
     * 查询数量
     * @type {number}
     * @memberof DeviceMonitorParam
     */
    pageSize?: number;
    /**
     * 查询查询项目的ids
     * @type {Array<string>}
     * @memberof DeviceMonitorParam
     */
    projectIds?: Array<string>;
    /**
     * 查询key
     * @type {string}
     * @memberof DeviceMonitorParam
     */
    searchKey?: string;
    /**
     * 获取Device的类型,项目设备:project 游离设备:free
     * @type {string}
     * @memberof DeviceMonitorParam
     */
    type?: string;
}

/**
 * 超级用户查看平台Device监控Vo
 * @export
 * @interface DeviceMonitorVo
 */
export interface DeviceMonitorVo {
    /**
     * 企业名称
     * @type {string}
     * @memberof DeviceMonitorVo
     */
    companyName?: string;
    /**
     * 断线次数
     * @type {number}
     * @memberof DeviceMonitorVo
     */
    disconnectionTimes?: number;
    /**
     * 上次离线时间
     * @type {Date}
     * @memberof DeviceMonitorVo
     */
    lastOff?: Date;
    /**
     * 上次在线时间
     * @type {Date}
     * @memberof DeviceMonitorVo
     */
    lastOn?: Date;
    /**
     * DeviceName或者plcName
     * @type {string}
     * @memberof DeviceMonitorVo
     */
    name?: string;
    /**
     * 在线率
     * @type {number}
     * @memberof DeviceMonitorVo
     */
    onlineRate?: number;
    /**
     * 包数
     * @type {number}
     * @memberof DeviceMonitorVo
     */
    packages?: number;
    /**
     * 项目id
     * @type {string}
     * @memberof DeviceMonitorVo
     */
    projectId?: string;
    /**
     * 项目名称
     * @type {string}
     * @memberof DeviceMonitorVo
     */
    projectName?: string;
    /**
     * 协议
     * @type {string}
     * @memberof DeviceMonitorVo
     */
    protocol?: string;
    /**
     * 设备序列号
     * @type {string}
     * @memberof DeviceMonitorVo
     */
    serialNumber?: string;
    /**
     * 状态
     * @type {boolean}
     * @memberof DeviceMonitorVo
     */
    status?: boolean;
    /**
     * 是否同步
     * @type {boolean}
     * @memberof DeviceMonitorVo
     */
    synchronous?: boolean;
    /**
     * 是否是第三方设备
     * @type {boolean}
     * @memberof DeviceMonitorVo
     */
    thirdDevice?: boolean;
    /**
     * 第三方设备id
     * @type {string}
     * @memberof DeviceMonitorVo
     */
    thirdDeviceId?: string;
    /**
     * 状态改变时间
     * @type {Date}
     * @memberof DeviceMonitorVo
     */
    time?: Date;
    /**
     * 总离线时间
     * @type {number}
     * @memberof DeviceMonitorVo
     */
    totalOfflineTime?: number;
    /**
     * 总在线时间
     * @type {number}
     * @memberof DeviceMonitorVo
     */
    totalOnlineTime?: number;
    /**
     * 版本
     * @type {string}
     * @memberof DeviceMonitorVo
     */
    version?: string;
}

/**
 * 盒子离线记录Vo
 * @export
 * @interface DeviceOfflineRecordVo
 */
export interface DeviceOfflineRecordVo {
    /**
     * 离线时长
     * @type {string}
     * @memberof DeviceOfflineRecordVo
     */
    offlineDurationTime?: string;
    /**
     * 离线时间
     * @type {Date}
     * @memberof DeviceOfflineRecordVo
     */
    offlineTime?: Date;
    /**
     * 上线时长
     * @type {string}
     * @memberof DeviceOfflineRecordVo
     */
    onlineDurationTime?: string;
    /**
     * 上线时间
     * @type {Date}
     * @memberof DeviceOfflineRecordVo
     */
    onlineTime?: Date;
}

/**
 * 
 * @export
 * @interface DeviceOnlineOfflineRecordVo
 */
export interface DeviceOnlineOfflineRecordVo {
    /**
     * 
     * @type {Date}
     * @memberof DeviceOnlineOfflineRecordVo
     */
    createdTime?: Date;
    /**
     * plc的ud
     * @type {string}
     * @memberof DeviceOnlineOfflineRecordVo
     */
    id?: string;
    /**
     * 
     * @type {Date}
     * @memberof DeviceOnlineOfflineRecordVo
     */
    offlineTime?: Date;
    /**
     * 在线时长
     * @type {string}
     * @memberof DeviceOnlineOfflineRecordVo
     */
    onlineCount?: string;
    /**
     * 
     * @type {Date}
     * @memberof DeviceOnlineOfflineRecordVo
     */
    onlineTime?: Date;
    /**
     * plc名称
     * @type {string}
     * @memberof DeviceOnlineOfflineRecordVo
     */
    plcName?: string;
}

/**
 * 设备在线统计vo
 * @export
 * @interface DeviceOnlineStatisticsVo
 */
export interface DeviceOnlineStatisticsVo {
    /**
     * 在线数量
     * @type {number}
     * @memberof DeviceOnlineStatisticsVo
     */
    onlineCount?: number;
    /**
     * 总数量
     * @type {number}
     * @memberof DeviceOnlineStatisticsVo
     */
    sumCount?: number;
    /**
     * 类型名称
     * @type {string}
     * @memberof DeviceOnlineStatisticsVo
     */
    typeName?: string;
}

/**
 * 
 * @export
 * @interface DevicePropertiesVo
 */
export interface DevicePropertiesVo {
    /**
     * 创建时间
     * @type {Date}
     * @memberof DevicePropertiesVo
     */
    createdTime?: Date;
    /**
     * 属性名称(如卡号/ip/版本等等)
     * @type {string}
     * @memberof DevicePropertiesVo
     */
    name?: string;
    /**
     * 设备序列号,12位数字
     * @type {number}
     * @memberof DevicePropertiesVo
     */
    serialNumber?: number;
    /**
     * 更新时间
     * @type {Date}
     * @memberof DevicePropertiesVo
     */
    updatedTime?: Date;
    /**
     * 属性值
     * @type {string}
     * @memberof DevicePropertiesVo
     */
    value?: string;
}

/**
 * 超级用户查看平台Device实时数据
 * @export
 * @interface DeviceRealTimeDataVo
 */
export interface DeviceRealTimeDataVo {
    /**
     * 状态
     * @type {boolean}
     * @memberof DeviceRealTimeDataVo
     */
    status?: boolean;
    /**
     * 更新时间
     * @type {string}
     * @memberof DeviceRealTimeDataVo
     */
    time?: string;
    /**
     * 变量值
     * @type {string}
     * @memberof DeviceRealTimeDataVo
     */
    value?: string;
    /**
     * 变量id
     * @type {string}
     * @memberof DeviceRealTimeDataVo
     */
    variantId?: string;
    /**
     * 变量名称
     * @type {string}
     * @memberof DeviceRealTimeDataVo
     */
    variantName?: string;
}

/**
 * 
 * @export
 * @interface DeviceStatusInfoVo
 */
export interface DeviceStatusInfoVo {
    /**
     * 设备id
     * @type {string}
     * @memberof DeviceStatusInfoVo
     */
    id?: string;
    /**
     * 设备名称
     * @type {string}
     * @memberof DeviceStatusInfoVo
     */
    name?: string;
    /**
     * 离线次数
     * @type {number}
     * @memberof DeviceStatusInfoVo
     */
    offLineCount?: number;
    /**
     * 离线时长(秒)
     * @type {number}
     * @memberof DeviceStatusInfoVo
     */
    offLineDuration?: number;
    /**
     * 在线时长(秒)
     * @type {number}
     * @memberof DeviceStatusInfoVo
     */
    onLineDuration?: number;
    /**
     * 在线时间(天/时/分/秒)
     * @type {string}
     * @memberof DeviceStatusInfoVo
     */
    onLineTime?: string;
    /**
     * 设备的在线状态,true:在线，false 离线
     * @type {boolean}
     * @memberof DeviceStatusInfoVo
     */
    onlineStatus?: boolean;
    /**
     * plc的状态信息
     * @type {Array<PlcStatusVo>}
     * @memberof DeviceStatusInfoVo
     */
    plcList?: Array<PlcStatusVo>;
}

/**
 * 设备的基本信息
 * @export
 * @interface DeviceVo
 */
export interface DeviceVo {
    /**
     * 设备Id
     * @type {string}
     * @memberof DeviceVo
     */
    id?: string;
    /**
     * 设备名称
     * @type {string}
     * @memberof DeviceVo
     */
    name?: string;
    /**
     * 项目或模板id
     * @type {string}
     * @memberof DeviceVo
     */
    resourceId?: string;
    /**
     * 序列号
     * @type {string}
     * @memberof DeviceVo
     */
    serialNumber?: string;
}

/**
 * 
 * @export
 * @interface EmailTemplateMessageParam
 */
export interface EmailTemplateMessageParam {
    /**
     * 模板服务
     * @type {string}
     * @memberof EmailTemplateMessageParam
     */
    action?: string;
    /**
     * 企业id
     * @type {string}
     * @memberof EmailTemplateMessageParam
     */
    companyId?: string;
    /**
     * 参数名称以及参数内容
     * @type {{ [key: string]: string; }}
     * @memberof EmailTemplateMessageParam
     */
    content?: { [key: string]: string; };
    /**
     * 邮件地址
     * @type {Array<string>}
     * @memberof EmailTemplateMessageParam
     */
    emailAddress?: Array<string>;
}

/**
 * 事件和回调地址关系
 * @export
 * @interface EventCallbackRel
 */
export interface EventCallbackRel {
    /**
     * 回调请求超时时间
     * @type {number}
     * @memberof EventCallbackRel
     */
    callbackTimeout?: number;
    /**
     * 回调地址
     * @type {string}
     * @memberof EventCallbackRel
     */
    callbackUrl?: string;
    /**
     * 创建时间
     * @type {Date}
     * @memberof EventCallbackRel
     */
    createdTime?: Date;
    /**
     * 事件配置描述
     * @type {string}
     * @memberof EventCallbackRel
     */
    description?: string;
    /**
     * 是否启用, 0:禁用, 1:启用
     * @type {boolean}
     * @memberof EventCallbackRel
     */
    enabled?: boolean;
    /**
     * 事件id
     * @type {string}
     * @memberof EventCallbackRel
     */
    eventId?: string;
    /**
     * 事件回调Id
     * @type {string}
     * @memberof EventCallbackRel
     */
    id?: string;
    /**
     * 拦截时是否忽略接口错误, 0:不忽略  1:忽略
     * @type {boolean}
     * @memberof EventCallbackRel
     */
    ignoreError?: boolean;
    /**
     * 模块Id：sys-mncloud: 业务平台; sys-super: super平台; sys-wxapp: APP/微信小程序; 其它自定义模块Id
     * @type {string}
     * @memberof EventCallbackRel
     */
    moduleId?: string;
    /**
     * 备注
     * @type {string}
     * @memberof EventCallbackRel
     */
    remark?: string;
    /**
     * 触发类型, 1: 通知, 2:拦截
     * @type {number}
     * @memberof EventCallbackRel
     */
    type?: number;
    /**
     * 更新时间
     * @type {Date}
     * @memberof EventCallbackRel
     */
    updatedTime?: Date;
}

/**
 * 
 * @export
 * @interface EventPojo
 */
export interface EventPojo {
    /**
     * 
     * @type {Date}
     * @memberof EventPojo
     */
    createdTime?: Date;
    /**
     * 
     * @type {string}
     * @memberof EventPojo
     */
    id?: string;
    /**
     * 
     * @type {string}
     * @memberof EventPojo
     */
    name?: string;
    /**
     * 
     * @type {string}
     * @memberof EventPojo
     */
    parentId?: string;
    /**
     * 
     * @type {string}
     * @memberof EventPojo
     */
    payload?: string;
    /**
     * 
     * @type {number}
     * @memberof EventPojo
     */
    sort?: number;
    /**
     * 
     * @type {number}
     * @memberof EventPojo
     */
    type?: number;
}

/**
 * 
 * @export
 * @interface ExpirationTimeForm
 */
export interface ExpirationTimeForm {
    /**
     * 企业ID
     * @type {string}
     * @memberof ExpirationTimeForm
     */
    companyId: string;
    /**
     * 过期时间（-1:永久，1：一年，2:两年，3:三年，5:五年）
     * @type {number}
     * @memberof ExpirationTimeForm
     */
    expirationTime: number;
}

/**
 * 导出报警
 * @export
 * @interface ExportAlarmParam
 */
export interface ExportAlarmParam {
    /**
     * 报警级别0：一般，1：重要，2：紧急
     * @type {string}
     * @memberof ExportAlarmParam
     */
    alarmLevel?: string;
    /**
     * 设备ID
     * @type {Array<string>}
     * @memberof ExportAlarmParam
     */
    deviceIds?: Array<string>;
    /**
     * 结束时间 yyyy-MM-dd hh:mm:ss
     * @type {string}
     * @memberof ExportAlarmParam
     */
    endTime?: string;
    /**
     * 查询条件
     * @type {string}
     * @memberof ExportAlarmParam
     */
    keyword?: string;
    /**
     * 项目ID
     * @type {string}
     * @memberof ExportAlarmParam
     */
    projectId?: string;
    /**
     * 开始时间 yyyy-MM-dd hh:mm:ss
     * @type {string}
     * @memberof ExportAlarmParam
     */
    startTime?: string;
    /**
     * realtime:活跃报警，history:历史报警
     * @type {string}
     * @memberof ExportAlarmParam
     */
    type: string;
}

/**
 * 消息查询
 * @export
 * @interface ExportMessageCenterForm
 */
export interface ExportMessageCenterForm {
    /**
     * 消息类型(报警、报修、维保、服务)||值可选【alarmMsg,faultMsg,mainTainMsg,serviceMsg】
     * @type {string}
     * @memberof ExportMessageCenterForm
     */
    msgType: string;
}

/**
 * 
 * @export
 * @interface FeesPayableForm
 */
export interface FeesPayableForm {
    /**
     * 企业ID
     * @type {string}
     * @memberof FeesPayableForm
     */
    companyId: string;
    /**
     * 应缴费用
     * @type {number}
     * @memberof FeesPayableForm
     */
    feesPayable: number;
}

/**
 * 用于客户授权项目的角色列表
 * @export
 * @interface ForeignAuthorizedRoleVo
 */
export interface ForeignAuthorizedRoleVo {
    /**
     * 角色id
     * @type {string}
     * @memberof ForeignAuthorizedRoleVo
     */
    id?: string;
    /**
     * 当前绑定的变量类别
     * @type {string}
     * @memberof ForeignAuthorizedRoleVo
     */
    levelCheck?: string;
    /**
     * 角色有查看变量的类别
     * @type {string}
     * @memberof ForeignAuthorizedRoleVo
     */
    levelCheckIds?: string;
    /**
     * 当前绑定的控制类别
     * @type {string}
     * @memberof ForeignAuthorizedRoleVo
     */
    levelControl?: string;
    /**
     * 角色控制类别的id集合
     * @type {string}
     * @memberof ForeignAuthorizedRoleVo
     */
    levelControlIds?: string;
    /**
     * 角色id
     * @type {string}
     * @memberof ForeignAuthorizedRoleVo
     */
    roleName?: string;
}

/**
 * 
 * @export
 * @interface GpsVariantForm
 */
export interface GpsVariantForm {
    /**
     * 设备id
     * @type {string}
     * @memberof GpsVariantForm
     */
    deviceId: string;
    /**
     * lat维度
     * @type {string}
     * @memberof GpsVariantForm
     */
    latVariantId?: string;
    /**
     * lon经度
     * @type {string}
     * @memberof GpsVariantForm
     */
    lonVariantId?: string;
}

/**
 * 
 * @export
 * @interface HistoryAlarmVo
 */
export interface HistoryAlarmVo {
    /**
     * 报警详情
     * @type {string}
     * @memberof HistoryAlarmVo
     */
    alarmDetail?: string;
    /**
     * 报警配置id
     * @type {string}
     * @memberof HistoryAlarmVo
     */
    alarmId?: string;
    /**
     * 报警详情0：一般，1：重要，2：紧急
     * @type {string}
     * @memberof HistoryAlarmVo
     */
    alarmLevel?: string;
    /**
     * 报警备注
     * @type {string}
     * @memberof HistoryAlarmVo
     */
    alarmRemark?: string;
    /**
     * 报警时间
     * @type {Date}
     * @memberof HistoryAlarmVo
     */
    alarmTime?: Date;
    /**
     * 确认方案
     * @type {string}
     * @memberof HistoryAlarmVo
     */
    confirmScheme?: string;
    /**
     * 确认报警时间
     * @type {Date}
     * @memberof HistoryAlarmVo
     */
    confirmTime?: Date;
    /**
     * 确认类型
     * @type {string}
     * @memberof HistoryAlarmVo
     */
    confirmType?: string;
    /**
     * 虚拟设置id
     * @type {string}
     * @memberof HistoryAlarmVo
     */
    deviceId?: string;
    /**
     * 采集器名称
     * @type {string}
     * @memberof HistoryAlarmVo
     */
    deviceName?: string;
    /**
     * 报警id
     * @type {string}
     * @memberof HistoryAlarmVo
     */
    id?: string;
    /**
     * 项目名称
     * @type {string}
     * @memberof HistoryAlarmVo
     */
    projectName?: string;
}

/**
 * 
 * @export
 * @interface IPageAuthLog
 */
export interface IPageAuthLog {
    /**
     * 
     * @type {number}
     * @memberof IPageAuthLog
     */
    current?: number;
    /**
     * 
     * @type {boolean}
     * @memberof IPageAuthLog
     */
    hitCount?: boolean;
    /**
     * 
     * @type {number}
     * @memberof IPageAuthLog
     */
    pages?: number;
    /**
     * 
     * @type {Array<AuthLog>}
     * @memberof IPageAuthLog
     */
    records?: Array<AuthLog>;
    /**
     * 
     * @type {boolean}
     * @memberof IPageAuthLog
     */
    searchCount?: boolean;
    /**
     * 
     * @type {number}
     * @memberof IPageAuthLog
     */
    size?: number;
    /**
     * 
     * @type {number}
     * @memberof IPageAuthLog
     */
    total?: number;
}

/**
 * 
 * @export
 * @interface IPageAuthPackageVo
 */
export interface IPageAuthPackageVo {
    /**
     * 
     * @type {number}
     * @memberof IPageAuthPackageVo
     */
    current?: number;
    /**
     * 
     * @type {boolean}
     * @memberof IPageAuthPackageVo
     */
    hitCount?: boolean;
    /**
     * 
     * @type {number}
     * @memberof IPageAuthPackageVo
     */
    pages?: number;
    /**
     * 
     * @type {Array<AuthPackageVo>}
     * @memberof IPageAuthPackageVo
     */
    records?: Array<AuthPackageVo>;
    /**
     * 
     * @type {boolean}
     * @memberof IPageAuthPackageVo
     */
    searchCount?: boolean;
    /**
     * 
     * @type {number}
     * @memberof IPageAuthPackageVo
     */
    size?: number;
    /**
     * 
     * @type {number}
     * @memberof IPageAuthPackageVo
     */
    total?: number;
}

/**
 * 
 * @export
 * @interface IPageCompanyAuthInfo
 */
export interface IPageCompanyAuthInfo {
    /**
     * 
     * @type {number}
     * @memberof IPageCompanyAuthInfo
     */
    current?: number;
    /**
     * 
     * @type {boolean}
     * @memberof IPageCompanyAuthInfo
     */
    hitCount?: boolean;
    /**
     * 
     * @type {number}
     * @memberof IPageCompanyAuthInfo
     */
    pages?: number;
    /**
     * 
     * @type {Array<CompanyAuthInfo>}
     * @memberof IPageCompanyAuthInfo
     */
    records?: Array<CompanyAuthInfo>;
    /**
     * 
     * @type {boolean}
     * @memberof IPageCompanyAuthInfo
     */
    searchCount?: boolean;
    /**
     * 
     * @type {number}
     * @memberof IPageCompanyAuthInfo
     */
    size?: number;
    /**
     * 
     * @type {number}
     * @memberof IPageCompanyAuthInfo
     */
    total?: number;
}

/**
 * 
 * @export
 * @interface IPageCompanyClientVo
 */
export interface IPageCompanyClientVo {
    /**
     * 
     * @type {number}
     * @memberof IPageCompanyClientVo
     */
    current?: number;
    /**
     * 
     * @type {boolean}
     * @memberof IPageCompanyClientVo
     */
    hitCount?: boolean;
    /**
     * 
     * @type {number}
     * @memberof IPageCompanyClientVo
     */
    pages?: number;
    /**
     * 
     * @type {Array<CompanyClientVo>}
     * @memberof IPageCompanyClientVo
     */
    records?: Array<CompanyClientVo>;
    /**
     * 
     * @type {boolean}
     * @memberof IPageCompanyClientVo
     */
    searchCount?: boolean;
    /**
     * 
     * @type {number}
     * @memberof IPageCompanyClientVo
     */
    size?: number;
    /**
     * 
     * @type {number}
     * @memberof IPageCompanyClientVo
     */
    total?: number;
}

/**
 * 
 * @export
 * @interface IPageDeviceMonitorVo
 */
export interface IPageDeviceMonitorVo {
    /**
     * 
     * @type {number}
     * @memberof IPageDeviceMonitorVo
     */
    current?: number;
    /**
     * 
     * @type {boolean}
     * @memberof IPageDeviceMonitorVo
     */
    hitCount?: boolean;
    /**
     * 
     * @type {number}
     * @memberof IPageDeviceMonitorVo
     */
    pages?: number;
    /**
     * 
     * @type {Array<DeviceMonitorVo>}
     * @memberof IPageDeviceMonitorVo
     */
    records?: Array<DeviceMonitorVo>;
    /**
     * 
     * @type {boolean}
     * @memberof IPageDeviceMonitorVo
     */
    searchCount?: boolean;
    /**
     * 
     * @type {number}
     * @memberof IPageDeviceMonitorVo
     */
    size?: number;
    /**
     * 
     * @type {number}
     * @memberof IPageDeviceMonitorVo
     */
    total?: number;
}

/**
 * 
 * @export
 * @interface IPageHistoryAlarmVo
 */
export interface IPageHistoryAlarmVo {
    /**
     * 
     * @type {number}
     * @memberof IPageHistoryAlarmVo
     */
    current?: number;
    /**
     * 
     * @type {boolean}
     * @memberof IPageHistoryAlarmVo
     */
    hitCount?: boolean;
    /**
     * 
     * @type {number}
     * @memberof IPageHistoryAlarmVo
     */
    pages?: number;
    /**
     * 
     * @type {Array<HistoryAlarmVo>}
     * @memberof IPageHistoryAlarmVo
     */
    records?: Array<HistoryAlarmVo>;
    /**
     * 
     * @type {boolean}
     * @memberof IPageHistoryAlarmVo
     */
    searchCount?: boolean;
    /**
     * 
     * @type {number}
     * @memberof IPageHistoryAlarmVo
     */
    size?: number;
    /**
     * 
     * @type {number}
     * @memberof IPageHistoryAlarmVo
     */
    total?: number;
}

/**
 * 
 * @export
 * @interface IPageMessageCenterVo
 */
export interface IPageMessageCenterVo {
    /**
     * 
     * @type {number}
     * @memberof IPageMessageCenterVo
     */
    current?: number;
    /**
     * 
     * @type {boolean}
     * @memberof IPageMessageCenterVo
     */
    hitCount?: boolean;
    /**
     * 
     * @type {number}
     * @memberof IPageMessageCenterVo
     */
    pages?: number;
    /**
     * 
     * @type {Array<MessageCenterVo>}
     * @memberof IPageMessageCenterVo
     */
    records?: Array<MessageCenterVo>;
    /**
     * 
     * @type {boolean}
     * @memberof IPageMessageCenterVo
     */
    searchCount?: boolean;
    /**
     * 
     * @type {number}
     * @memberof IPageMessageCenterVo
     */
    size?: number;
    /**
     * 
     * @type {number}
     * @memberof IPageMessageCenterVo
     */
    total?: number;
}

/**
 * 
 * @export
 * @interface IPageMessagePushRecord
 */
export interface IPageMessagePushRecord {
    /**
     * 
     * @type {number}
     * @memberof IPageMessagePushRecord
     */
    current?: number;
    /**
     * 
     * @type {boolean}
     * @memberof IPageMessagePushRecord
     */
    hitCount?: boolean;
    /**
     * 
     * @type {number}
     * @memberof IPageMessagePushRecord
     */
    pages?: number;
    /**
     * 
     * @type {Array<MessagePushRecord>}
     * @memberof IPageMessagePushRecord
     */
    records?: Array<MessagePushRecord>;
    /**
     * 
     * @type {boolean}
     * @memberof IPageMessagePushRecord
     */
    searchCount?: boolean;
    /**
     * 
     * @type {number}
     * @memberof IPageMessagePushRecord
     */
    size?: number;
    /**
     * 
     * @type {number}
     * @memberof IPageMessagePushRecord
     */
    total?: number;
}

/**
 * 
 * @export
 * @interface IPagePaymentRecord
 */
export interface IPagePaymentRecord {
    /**
     * 
     * @type {number}
     * @memberof IPagePaymentRecord
     */
    current?: number;
    /**
     * 
     * @type {boolean}
     * @memberof IPagePaymentRecord
     */
    hitCount?: boolean;
    /**
     * 
     * @type {number}
     * @memberof IPagePaymentRecord
     */
    pages?: number;
    /**
     * 
     * @type {Array<PaymentRecord>}
     * @memberof IPagePaymentRecord
     */
    records?: Array<PaymentRecord>;
    /**
     * 
     * @type {boolean}
     * @memberof IPagePaymentRecord
     */
    searchCount?: boolean;
    /**
     * 
     * @type {number}
     * @memberof IPagePaymentRecord
     */
    size?: number;
    /**
     * 
     * @type {number}
     * @memberof IPagePaymentRecord
     */
    total?: number;
}

/**
 * 
 * @export
 * @interface IPageRealTimeAlarmVo
 */
export interface IPageRealTimeAlarmVo {
    /**
     * 
     * @type {number}
     * @memberof IPageRealTimeAlarmVo
     */
    current?: number;
    /**
     * 
     * @type {boolean}
     * @memberof IPageRealTimeAlarmVo
     */
    hitCount?: boolean;
    /**
     * 
     * @type {number}
     * @memberof IPageRealTimeAlarmVo
     */
    pages?: number;
    /**
     * 
     * @type {Array<RealTimeAlarmVo>}
     * @memberof IPageRealTimeAlarmVo
     */
    records?: Array<RealTimeAlarmVo>;
    /**
     * 
     * @type {boolean}
     * @memberof IPageRealTimeAlarmVo
     */
    searchCount?: boolean;
    /**
     * 
     * @type {number}
     * @memberof IPageRealTimeAlarmVo
     */
    size?: number;
    /**
     * 
     * @type {number}
     * @memberof IPageRealTimeAlarmVo
     */
    total?: number;
}

/**
 * 
 * @export
 * @interface IPageRegisterCompanyVo
 */
export interface IPageRegisterCompanyVo {
    /**
     * 
     * @type {number}
     * @memberof IPageRegisterCompanyVo
     */
    current?: number;
    /**
     * 
     * @type {boolean}
     * @memberof IPageRegisterCompanyVo
     */
    hitCount?: boolean;
    /**
     * 
     * @type {number}
     * @memberof IPageRegisterCompanyVo
     */
    pages?: number;
    /**
     * 
     * @type {Array<RegisterCompanyVo>}
     * @memberof IPageRegisterCompanyVo
     */
    records?: Array<RegisterCompanyVo>;
    /**
     * 
     * @type {boolean}
     * @memberof IPageRegisterCompanyVo
     */
    searchCount?: boolean;
    /**
     * 
     * @type {number}
     * @memberof IPageRegisterCompanyVo
     */
    size?: number;
    /**
     * 
     * @type {number}
     * @memberof IPageRegisterCompanyVo
     */
    total?: number;
}

/**
 * 
 * @export
 * @interface IPageSuperCompanyVo
 */
export interface IPageSuperCompanyVo {
    /**
     * 
     * @type {number}
     * @memberof IPageSuperCompanyVo
     */
    current?: number;
    /**
     * 
     * @type {boolean}
     * @memberof IPageSuperCompanyVo
     */
    hitCount?: boolean;
    /**
     * 
     * @type {number}
     * @memberof IPageSuperCompanyVo
     */
    pages?: number;
    /**
     * 
     * @type {Array<SuperCompanyVo>}
     * @memberof IPageSuperCompanyVo
     */
    records?: Array<SuperCompanyVo>;
    /**
     * 
     * @type {boolean}
     * @memberof IPageSuperCompanyVo
     */
    searchCount?: boolean;
    /**
     * 
     * @type {number}
     * @memberof IPageSuperCompanyVo
     */
    size?: number;
    /**
     * 
     * @type {number}
     * @memberof IPageSuperCompanyVo
     */
    total?: number;
}

/**
 * 
 * @export
 * @interface IPageSuperProjectVo
 */
export interface IPageSuperProjectVo {
    /**
     * 
     * @type {number}
     * @memberof IPageSuperProjectVo
     */
    current?: number;
    /**
     * 
     * @type {boolean}
     * @memberof IPageSuperProjectVo
     */
    hitCount?: boolean;
    /**
     * 
     * @type {number}
     * @memberof IPageSuperProjectVo
     */
    pages?: number;
    /**
     * 
     * @type {Array<SuperProjectVo>}
     * @memberof IPageSuperProjectVo
     */
    records?: Array<SuperProjectVo>;
    /**
     * 
     * @type {boolean}
     * @memberof IPageSuperProjectVo
     */
    searchCount?: boolean;
    /**
     * 
     * @type {number}
     * @memberof IPageSuperProjectVo
     */
    size?: number;
    /**
     * 
     * @type {number}
     * @memberof IPageSuperProjectVo
     */
    total?: number;
}

/**
 * 
 * @export
 * @interface IPageSuperUserVo
 */
export interface IPageSuperUserVo {
    /**
     * 
     * @type {number}
     * @memberof IPageSuperUserVo
     */
    current?: number;
    /**
     * 
     * @type {boolean}
     * @memberof IPageSuperUserVo
     */
    hitCount?: boolean;
    /**
     * 
     * @type {number}
     * @memberof IPageSuperUserVo
     */
    pages?: number;
    /**
     * 
     * @type {Array<SuperUserVo>}
     * @memberof IPageSuperUserVo
     */
    records?: Array<SuperUserVo>;
    /**
     * 
     * @type {boolean}
     * @memberof IPageSuperUserVo
     */
    searchCount?: boolean;
    /**
     * 
     * @type {number}
     * @memberof IPageSuperUserVo
     */
    size?: number;
    /**
     * 
     * @type {number}
     * @memberof IPageSuperUserVo
     */
    total?: number;
}

/**
 * 
 * @export
 * @interface IPageSysLogLanguageFormat
 */
export interface IPageSysLogLanguageFormat {
    /**
     * 
     * @type {number}
     * @memberof IPageSysLogLanguageFormat
     */
    current?: number;
    /**
     * 
     * @type {boolean}
     * @memberof IPageSysLogLanguageFormat
     */
    hitCount?: boolean;
    /**
     * 
     * @type {number}
     * @memberof IPageSysLogLanguageFormat
     */
    pages?: number;
    /**
     * 
     * @type {Array<SysLogLanguageFormat>}
     * @memberof IPageSysLogLanguageFormat
     */
    records?: Array<SysLogLanguageFormat>;
    /**
     * 
     * @type {boolean}
     * @memberof IPageSysLogLanguageFormat
     */
    searchCount?: boolean;
    /**
     * 
     * @type {number}
     * @memberof IPageSysLogLanguageFormat
     */
    size?: number;
    /**
     * 
     * @type {number}
     * @memberof IPageSysLogLanguageFormat
     */
    total?: number;
}

/**
 * 
 * @export
 * @interface IPageUserLog
 */
export interface IPageUserLog {
    /**
     * 
     * @type {number}
     * @memberof IPageUserLog
     */
    current?: number;
    /**
     * 
     * @type {boolean}
     * @memberof IPageUserLog
     */
    hitCount?: boolean;
    /**
     * 
     * @type {number}
     * @memberof IPageUserLog
     */
    pages?: number;
    /**
     * 
     * @type {Array<UserLog>}
     * @memberof IPageUserLog
     */
    records?: Array<UserLog>;
    /**
     * 
     * @type {boolean}
     * @memberof IPageUserLog
     */
    searchCount?: boolean;
    /**
     * 
     * @type {number}
     * @memberof IPageUserLog
     */
    size?: number;
    /**
     * 
     * @type {number}
     * @memberof IPageUserLog
     */
    total?: number;
}

/**
 * 
 * @export
 * @interface IPageVariantDetailedInfoVo
 */
export interface IPageVariantDetailedInfoVo {
    /**
     * 
     * @type {number}
     * @memberof IPageVariantDetailedInfoVo
     */
    current?: number;
    /**
     * 
     * @type {boolean}
     * @memberof IPageVariantDetailedInfoVo
     */
    hitCount?: boolean;
    /**
     * 
     * @type {number}
     * @memberof IPageVariantDetailedInfoVo
     */
    pages?: number;
    /**
     * 
     * @type {Array<VariantDetailedInfoVo>}
     * @memberof IPageVariantDetailedInfoVo
     */
    records?: Array<VariantDetailedInfoVo>;
    /**
     * 
     * @type {boolean}
     * @memberof IPageVariantDetailedInfoVo
     */
    searchCount?: boolean;
    /**
     * 
     * @type {number}
     * @memberof IPageVariantDetailedInfoVo
     */
    size?: number;
    /**
     * 
     * @type {number}
     * @memberof IPageVariantDetailedInfoVo
     */
    total?: number;
}

/**
 * 
 * @export
 * @interface IccidThreshold
 */
export interface IccidThreshold {
    /**
     * 虚拟设备Id
     * @type {string}
     * @memberof IccidThreshold
     */
    deviceId?: string;
    /**
     * SIM卡流量阈值
     * @type {number}
     * @memberof IccidThreshold
     */
    threshold?: number;
}

/**
 * 
 * @export
 * @interface IccidThresholdInfo
 */
export interface IccidThresholdInfo {
    /**
     * 
     * @type {number}
     * @memberof IccidThresholdInfo
     */
    balanceFlow?: number;
    /**
     * 
     * @type {string}
     * @memberof IccidThresholdInfo
     */
    deviceId?: string;
    /**
     * 
     * @type {string}
     * @memberof IccidThresholdInfo
     */
    deviceName?: string;
    /**
     * 
     * @type {string}
     * @memberof IccidThresholdInfo
     */
    expirationTime?: string;
    /**
     * 
     * @type {string}
     * @memberof IccidThresholdInfo
     */
    iccid?: string;
    /**
     * 
     * @type {string}
     * @memberof IccidThresholdInfo
     */
    projectId?: string;
    /**
     * 
     * @type {string}
     * @memberof IccidThresholdInfo
     */
    status?: string;
    /**
     * 
     * @type {number}
     * @memberof IccidThresholdInfo
     */
    threshold?: number;
    /**
     * 
     * @type {number}
     * @memberof IccidThresholdInfo
     */
    totalFlow?: number;
}

/**
 * 
 * @export
 * @interface LiveVideo
 */
export interface LiveVideo {
    /**
     * 创建人
     * @type {string}
     * @memberof LiveVideo
     */
    createdBy?: string;
    /**
     * id
     * @type {string}
     * @memberof LiveVideo
     */
    id?: string;
    /**
     * 直播源地址
     * @type {string}
     * @memberof LiveVideo
     */
    liveAddress?: string;
    /**
     * 名称
     * @type {string}
     * @memberof LiveVideo
     */
    name?: string;
    /**
     * 项目id
     * @type {string}
     * @memberof LiveVideo
     */
    projectId?: string;
    /**
     * 备注
     * @type {string}
     * @memberof LiveVideo
     */
    remark?: string;
    /**
     * 序列号
     * @type {string}
     * @memberof LiveVideo
     */
    serialNumber?: string;
    /**
     * 索引
     * @type {number}
     * @memberof LiveVideo
     */
    videoIndex?: number;
}

/**
 * 查询日志格式化参数类
 * @export
 * @interface LogFormatParam
 */
export interface LogFormatParam {
    /**
     * 当前页码
     * @type {number}
     * @memberof LogFormatParam
     */
    currentPage: number;
    /**
     * 模糊搜索
     * @type {string}
     * @memberof LogFormatParam
     */
    keyword?: string;
    /**
     * 语言类型 (zh_cn
     * @type {string}
     * @memberof LogFormatParam
     */
    languageType?: string;
    /**
     * 模块Id（获取指定模块的日志） 为空: 全部; sys-mncloud: 业务平台; sys-super: super平台; sys-wxapp: APP/微信小程序; 其它自定义模块Id
     * @type {string}
     * @memberof LogFormatParam
     */
    moduleId?: string;
    /**
     * 每页个数
     * @type {number}
     * @memberof LogFormatParam
     */
    pageSize: number;
    /**
     * 请求路径
     * @type {string}
     * @memberof LogFormatParam
     */
    requestUri?: string;
}

/**
 * 系统用户
 * @export
 * @interface LoginAppUser
 */
export interface LoginAppUser {
    /**
     * 
     * @type {boolean}
     * @memberof LoginAppUser
     */
    accountNonExpired?: boolean;
    /**
     * 
     * @type {boolean}
     * @memberof LoginAppUser
     */
    accountNonLocked?: boolean;
    /**
     * 地址
     * @type {string}
     * @memberof LoginAppUser
     */
    address?: string;
    /**
     * 头像地址
     * @type {string}
     * @memberof LoginAppUser
     */
    avatar?: string;
    /**
     * 企业标识
     * @type {string}
     * @memberof LoginAppUser
     */
    companyId?: string;
    /**
     * 创建人
     * @type {string}
     * @memberof LoginAppUser
     */
    createdBy?: string;
    /**
     * 创建时间
     * @type {Date}
     * @memberof LoginAppUser
     */
    createdTime?: Date;
    /**
     * 
     * @type {boolean}
     * @memberof LoginAppUser
     */
    credentialsNonExpired?: boolean;
    /**
     * 部门标识
     * @type {string}
     * @memberof LoginAppUser
     */
    departmentId?: string;
    /**
     * 邮箱
     * @type {string}
     * @memberof LoginAppUser
     */
    email?: string;
    /**
     * 是否启用(1是 0否)
     * @type {boolean}
     * @memberof LoginAppUser
     */
    enabled?: boolean;
    /**
     * 主键id
     * @type {string}
     * @memberof LoginAppUser
     */
    id?: string;
    /**
     * 账号是否锁定(1:锁定 0:未锁定)
     * @type {boolean}
     * @memberof LoginAppUser
     */
    lock?: boolean;
    /**
     * 昵称
     * @type {string}
     * @memberof LoginAppUser
     */
    nickname?: string;
    /**
     * 办公号码
     * @type {string}
     * @memberof LoginAppUser
     */
    officePhone?: string;
    /**
     * 密码
     * @type {string}
     * @memberof LoginAppUser
     */
    password?: string;
    /**
     * 
     * @type {Array<string>}
     * @memberof LoginAppUser
     */
    permission?: Array<string>;
    /**
     * 手机号
     * @type {string}
     * @memberof LoginAppUser
     */
    phone?: string;
    /**
     * 
     * @type {string}
     * @memberof LoginAppUser
     */
    phoneCode?: string;
    /**
     * 备注
     * @type {string}
     * @memberof LoginAppUser
     */
    remark?: string;
    /**
     * 
     * @type {Array<string>}
     * @memberof LoginAppUser
     */
    resource?: Array<string>;
    /**
     * 性别(0:男 1:女 2:未知)
     * @type {number}
     * @memberof LoginAppUser
     */
    sex?: number;
    /**
     * 二次开发访问密钥
     * @type {string}
     * @memberof LoginAppUser
     */
    sid?: string;
    /**
     * 用户来源(0:注册 1:企业手动添加 2:超管审核添加 3:系统自动添加)
     * @type {number}
     * @memberof LoginAppUser
     */
    source?: number;
    /**
     * 类型 0超级管理员(super),1超级企业管理员2企业管理员,3企业用户,4部门管理员 5部门用户
     * @type {number}
     * @memberof LoginAppUser
     */
    type?: number;
    /**
     * 更新时间
     * @type {Date}
     * @memberof LoginAppUser
     */
    updatedTime?: Date;
    /**
     * 
     * @type {string}
     * @memberof LoginAppUser
     */
    userId?: string;
    /**
     * 用户名
     * @type {string}
     * @memberof LoginAppUser
     */
    username?: string;
}

/**
 * 登录用户Vo
 * @export
 * @interface LoginUserVo
 */
export interface LoginUserVo {
    /**
     * 头像地址
     * @type {string}
     * @memberof LoginUserVo
     */
    avatar?: string;
    /**
     * 企业id
     * @type {string}
     * @memberof LoginUserVo
     */
    companyId?: string;
    /**
     * 部门id
     * @type {string}
     * @memberof LoginUserVo
     */
    departmentId?: string;
    /**
     * 用户id
     * @type {string}
     * @memberof LoginUserVo
     */
    id?: string;
    /**
     * 昵称
     * @type {string}
     * @memberof LoginUserVo
     */
    nickname?: string;
    /**
     * 资源
     * @type {Array<string>}
     * @memberof LoginUserVo
     */
    permissionCodes?: Array<string>;
    /**
     * 手机号码
     * @type {string}
     * @memberof LoginUserVo
     */
    phone?: string;
    /**
     * 路由菜单
     * @type {Array<RouteVo>}
     * @memberof LoginUserVo
     */
    routeMenu?: Array<RouteVo>;
    /**
     * 类型(0超级管理员(super),1超级企业管理员2企业管理员,3企业用户,4部门管理员5部门用户,6个人开发者)
     * @type {number}
     * @memberof LoginUserVo
     */
    type?: number;
    /**
     * 用户名
     * @type {string}
     * @memberof LoginUserVo
     */
    username?: string;
}

/**
 * 
 * @export
 * @interface MapStringInt
 */
export interface MapStringInt {
    [key: string]: ModelInteger;

}

/**
 * 
 * @export
 * @interface MapStringListArrayObject
 */
export interface MapStringListArrayObject {
    [key: string]: Array;

}

/**
 * 
 * @export
 * @interface MapStringObject
 */
export interface MapStringObject {
    [key: string]: any;

}

/**
 * 
 * @export
 * @interface MapStringString
 */
export interface MapStringString {
    [key: string]: string;

}

/**
 * 菜单
 * @export
 * @interface Menu
 */
export interface Menu {
    /**
     * 1系统菜单，2项目菜单，3仅授权可见
     * @type {number}
     * @memberof Menu
     */
    businessType?: number;
    /**
     * 认证类型:0(super)用户的菜单，所有用户可用的菜单,2系统认证相关（需要通过权限控制的用户菜单）3 企业管理相关的菜单
     * @type {number}
     * @memberof Menu
     */
    certification?: number;
    /**
     * 
     * @type {Array<Menu>}
     * @memberof Menu
     */
    children?: Array<Menu>;
    /**
     * 创建人
     * @type {string}
     * @memberof Menu
     */
    createdBy?: string;
    /**
     * 创建时间
     * @type {Date}
     * @memberof Menu
     */
    createdTime?: Date;
    /**
     * 菜单类型, 0: 默认vue页面, 1: 分类节点, 2: iframe嵌入, 3: 和平台代码混合开发, 4: 自定义, 开发者来维护菜单元素
     * @type {number}
     * @memberof Menu
     */
    customMenuType?: number;
    /**
     * 
     * @type {boolean}
     * @memberof Menu
     */
    disabled?: boolean;
    /**
     * 是否启用菜单, 0:禁用, 1:启用
     * @type {number}
     * @memberof Menu
     */
    enabled?: number;
    /**
     * 图标
     * @type {string}
     * @memberof Menu
     */
    icon?: string;
    /**
     * 主键
     * @type {string}
     * @memberof Menu
     */
    id?: string;
    /**
     * 
     * @type {Array<string>}
     * @memberof Menu
     */
    interfaceIds?: Array<string>;
    /**
     * 
     * @type {Array<MenuInterfaceRel>}
     * @memberof Menu
     */
    interfaceRels?: Array<MenuInterfaceRel>;
    /**
     * 
     * @type {Array<string>}
     * @memberof Menu
     */
    menuIds?: Array<string>;
    /**
     * 
     * @type {string}
     * @memberof Menu
     */
    menuOrInterface?: string;
    /**
     * 菜单对应模块id
     * @type {string}
     * @memberof Menu
     */
    moduleId?: string;
    /**
     * 菜单名称
     * @type {string}
     * @memberof Menu
     */
    name?: string;
    /**
     * 父标识
     * @type {string}
     * @memberof Menu
     */
    parentId?: string;
    /**
     * 备注
     * @type {string}
     * @memberof Menu
     */
    remark?: string;
    /**
     * 
     * @type {string}
     * @memberof Menu
     */
    resourceTitle?: string;
    /**
     * 资源值
     * @type {string}
     * @memberof Menu
     */
    resourceValue?: string;
    /**
     * 
     * @type {string}
     * @memberof Menu
     */
    roleCode?: string;
    /**
     * 
     * @type {string}
     * @memberof Menu
     */
    roleId?: string;
    /**
     * 排序
     * @type {number}
     * @memberof Menu
     */
    sort?: number;
    /**
     * 来源, 1系统内置, 2开发者添加
     * @type {number}
     * @memberof Menu
     */
    source?: number;
    /**
     * 类型,1目录,2权限,3按钮
     * @type {number}
     * @memberof Menu
     */
    type?: number;
    /**
     * 不安全模式, 开启后所有接口都可以调用, 0:不开启 1:开启
     * @type {number}
     * @memberof Menu
     */
    unsafeMode?: number;
    /**
     * 修改时间
     * @type {Date}
     * @memberof Menu
     */
    updatedTime?: Date;
    /**
     * 前台页面url
     * @type {string}
     * @memberof Menu
     */
    url?: string;
    /**
     * 前台path
     * @type {string}
     * @memberof Menu
     */
    urlPath?: string;
}

/**
 * 菜单表单信息
 * @export
 * @interface MenuForm
 */
export interface MenuForm {
    /**
     * 1系统菜单，2项目菜单，3仅授权可见
     * @type {number}
     * @memberof MenuForm
     */
    businessType?: number;
    /**
     * 认证类型:0(super)用户的菜单，所有用户可用的菜单,2系统认证相关（需要通过权限控制的用户菜单）3 企业管理相关的菜单
     * @type {number}
     * @memberof MenuForm
     */
    certification?: number;
    /**
     * 菜单类型, 0: 默认vue页面, 1: 分类节点, 2: iframe嵌入, 3: 和平台代码混合开发, 4: 自定义, 开发者来维护菜单元素
     * @type {number}
     * @memberof MenuForm
     */
    customMenuType?: number;
    /**
     * 是否启用菜单, 0:禁用, 1:启用
     * @type {number}
     * @memberof MenuForm
     */
    enabled?: number;
    /**
     * 图标
     * @type {string}
     * @memberof MenuForm
     */
    icon?: string;
    /**
     * 菜单id
     * @type {string}
     * @memberof MenuForm
     */
    id?: string;
    /**
     * 菜单对应模块id
     * @type {string}
     * @memberof MenuForm
     */
    moduleId?: string;
    /**
     * 菜单名称
     * @type {string}
     * @memberof MenuForm
     */
    name?: string;
    /**
     * 父id
     * @type {string}
     * @memberof MenuForm
     */
    parentId?: string;
    /**
     * 备注
     * @type {string}
     * @memberof MenuForm
     */
    remark?: string;
    /**
     * 资源值
     * @type {string}
     * @memberof MenuForm
     */
    resourceValue?: string;
    /**
     * 排序
     * @type {number}
     * @memberof MenuForm
     */
    sort?: number;
    /**
     * 来源, 1系统内置, 2开发者添加
     * @type {number}
     * @memberof MenuForm
     */
    source?: number;
    /**
     * 类型,1目录,2权限,3按钮
     * @type {number}
     * @memberof MenuForm
     */
    type?: number;
    /**
     * 不安全模式, 开启后所有接口都可以调用, 0:不开启 1:开启
     * @type {number}
     * @memberof MenuForm
     */
    unsafeMode?: number;
    /**
     * 前台页面url
     * @type {string}
     * @memberof MenuForm
     */
    url?: string;
    /**
     * 前台path
     * @type {string}
     * @memberof MenuForm
     */
    urlPath?: string;
}

/**
 * 菜单接口关联
 * @export
 * @interface MenuInterfaceRel
 */
export interface MenuInterfaceRel {
    /**
     * 创建时间
     * @type {Date}
     * @memberof MenuInterfaceRel
     */
    createdTime?: Date;
    /**
     * 
     * @type {boolean}
     * @memberof MenuInterfaceRel
     */
    disabled?: boolean;
    /**
     * 是否参与显式的授权（即是否在角色管理的权限树中显示），1是，0否
     * @type {boolean}
     * @memberof MenuInterfaceRel
     */
    explicitGrant?: boolean;
    /**
     * 接口Id
     * @type {string}
     * @memberof MenuInterfaceRel
     */
    interfaceId?: string;
    /**
     * 
     * @type {string}
     * @memberof MenuInterfaceRel
     */
    interfaceName?: string;
    /**
     * 
     * @type {string}
     * @memberof MenuInterfaceRel
     */
    interfacePath?: string;
    /**
     * 
     * @type {string}
     * @memberof MenuInterfaceRel
     */
    interfacePathMethod?: string;
    /**
     * 菜单Id
     * @type {string}
     * @memberof MenuInterfaceRel
     */
    menuId?: string;
    /**
     * 
     * @type {string}
     * @memberof MenuInterfaceRel
     */
    menuOrInterface?: string;
    /**
     * 修改时间
     * @type {Date}
     * @memberof MenuInterfaceRel
     */
    updatedTime?: Date;
}

/**
 * 菜单vo
 * @export
 * @interface MenuVo
 */
export interface MenuVo {
    /**
     * 1系统菜单，2项目菜单，3仅授权可见
     * @type {number}
     * @memberof MenuVo
     */
    businessType?: number;
    /**
     * 
     * @type {boolean}
     * @memberof MenuVo
     */
    checked?: boolean;
    /**
     * 
     * @type {Array<MenuVo>}
     * @memberof MenuVo
     */
    children?: Array<MenuVo>;
    /**
     * 
     * @type {string}
     * @memberof MenuVo
     */
    current?: string;
    /**
     * 
     * @type {boolean}
     * @memberof MenuVo
     */
    disabled?: boolean;
    /**
     * 菜单id
     * @type {string}
     * @memberof MenuVo
     */
    id?: string;
    /**
     * 菜单名称
     * @type {string}
     * @memberof MenuVo
     */
    name?: string;
    /**
     * 
     * @type {boolean}
     * @memberof MenuVo
     */
    open?: boolean;
    /**
     * 父id
     * @type {string}
     * @memberof MenuVo
     */
    parentId?: string;
    /**
     * 类型,0:接口 1:菜单
     * @type {string}
     * @memberof MenuVo
     */
    type?: string;
}

/**
 * 报警消息分组
 * @export
 * @interface MessageAlarmGroupVo
 */
export interface MessageAlarmGroupVo {
    /**
     * 标记
     * @type {boolean}
     * @memberof MessageAlarmGroupVo
     */
    flag?: boolean;
    /**
     * 位置
     * @type {number}
     * @memberof MessageAlarmGroupVo
     */
    index?: number;
    /**
     * 状态
     * @type {boolean}
     * @memberof MessageAlarmGroupVo
     */
    status?: boolean;
}

/**
 * 消息查询
 * @export
 * @interface MessageCenterForm
 */
export interface MessageCenterForm {
    /**
     * 当前页
     * @type {number}
     * @memberof MessageCenterForm
     */
    currentPage: number;
    /**
     * 结束时间范围
     * @type {string}
     * @memberof MessageCenterForm
     */
    endTime: string;
    /**
     * 消息类型(报警、报修、维保、服务)||值可选【alarmMsg,faultMsg,mainTainMsg,serviceMsg】
     * @type {string}
     * @memberof MessageCenterForm
     */
    msgType: string;
    /**
     * 当前页数量
     * @type {number}
     * @memberof MessageCenterForm
     */
    pageSize: number;
    /**
     * 消息读取状态[0:未读，1，已读]
     * @type {string}
     * @memberof MessageCenterForm
     */
    readStatus?: string;
    /**
     * 开始时间范围
     * @type {string}
     * @memberof MessageCenterForm
     */
    startTime: string;
}

/**
 * 消息
 * @export
 * @interface MessageCenterVo
 */
export interface MessageCenterVo {
    /**
     * 消息内容
     * @type {string}
     * @memberof MessageCenterVo
     */
    content?: string;
    /**
     * 创建时间
     * @type {string}
     * @memberof MessageCenterVo
     */
    createdTime?: string;
    /**
     * 消息表主键
     * @type {string}
     * @memberof MessageCenterVo
     */
    id?: string;
    /**
     * 消息主题
     * @type {string}
     * @memberof MessageCenterVo
     */
    messageSubject?: string;
    /**
     * 消息类型名称
     * @type {string}
     * @memberof MessageCenterVo
     */
    messageType?: string;
    /**
     * 消息类型Id
     * @type {string}
     * @memberof MessageCenterVo
     */
    messageTypeId?: string;
    /**
     * 项目id
     * @type {string}
     * @memberof MessageCenterVo
     */
    projectId?: string;
    /**
     * 项目名称(如果存在自定义名称，则用自定义的，如果不存在，则用项目名称)
     * @type {string}
     * @memberof MessageCenterVo
     */
    projectName?: string;
    /**
     * 消息状态  0 未读  1 已读
     * @type {string}
     * @memberof MessageCenterVo
     */
    readStatus?: string;
    /**
     * 消息主题-消息类型名称 组合
     * @type {string}
     * @memberof MessageCenterVo
     */
    subjectName?: string;
    /**
     * 消息标题
     * @type {string}
     * @memberof MessageCenterVo
     */
    title?: string;
    /**
     * 
     * @type {string}
     * @memberof MessageCenterVo
     */
    type?: string;
}

/**
 * 
 * @export
 * @interface MessagePushRecord
 */
export interface MessagePushRecord {
    /**
     * 企业id
     * @type {string}
     * @memberof MessagePushRecord
     */
    companyId?: string;
    /**
     * 详细内容
     * @type {string}
     * @memberof MessagePushRecord
     */
    content?: string;
    /**
     * 创建时间
     * @type {Date}
     * @memberof MessagePushRecord
     */
    createdTime?: Date;
    /**
     * 失败原因
     * @type {string}
     * @memberof MessagePushRecord
     */
    failReason?: string;
    /**
     * 唯一id
     * @type {string}
     * @memberof MessagePushRecord
     */
    id?: string;
    /**
     * 发送状态，0:失败,  1:成功
     * @type {number}
     * @memberof MessagePushRecord
     */
    status?: number;
    /**
     * 手机号/邮件/微信id
     * @type {string}
     * @memberof MessagePushRecord
     */
    targets?: string;
    /**
     * 类型，0:短信,  1:语音短信，2：邮件，3：微信
     * @type {number}
     * @memberof MessagePushRecord
     */
    type?: number;
}

/**
 * 消息接收
 * @export
 * @interface MessageRecevieVo
 */
export interface MessageRecevieVo {
    /**
     * 推送管理标识
     * @type {boolean}
     * @memberof MessageRecevieVo
     */
    flag?: boolean;
    /**
     * 消息类型id
     * @type {string}
     * @memberof MessageRecevieVo
     */
    messageTypeId?: string;
    /**
     * 消息类型名称
     * @type {string}
     * @memberof MessageRecevieVo
     */
    name?: string;
    /**
     * 项目id
     * @type {string}
     * @memberof MessageRecevieVo
     */
    projectId?: string;
    /**
     * 消息推送方式
     * @type {string}
     * @memberof MessageRecevieVo
     */
    pushway?: string;
    /**
     * 规则id
     * @type {string}
     * @memberof MessageRecevieVo
     */
    regulationId?: string;
    /**
     * 角色id
     * @type {string}
     * @memberof MessageRecevieVo
     */
    roleId?: string;
    /**
     * 消息主题
     * @type {string}
     * @memberof MessageRecevieVo
     */
    subject?: string;
    /**
     * 员工id
     * @type {string}
     * @memberof MessageRecevieVo
     */
    userId?: string;
}

/**
 * 
 * @export
 * @interface MetaVo
 */
export interface MetaVo {
    /**
     * 
     * @type {string}
     * @memberof MetaVo
     */
    icon?: string;
    /**
     * 
     * @type {string}
     * @memberof MetaVo
     */
    id?: string;
    /**
     * 
     * @type {boolean}
     * @memberof MetaVo
     */
    leaf?: boolean;
    /**
     * 
     * @type {number}
     * @memberof MetaVo
     */
    level?: number;
    /**
     * 
     * @type {string}
     * @memberof MetaVo
     */
    parent?: string;
    /**
     * 
     * @type {string}
     * @memberof MetaVo
     */
    resouceValue?: string;
    /**
     * 
     * @type {string}
     * @memberof MetaVo
     */
    title?: string;
}

/**
 * 接口
 * @export
 * @interface ModelInterface
 */
export interface ModelInterface {
    /**
     * 创建时间
     * @type {Date}
     * @memberof ModelInterface
     */
    createdTime?: Date;
    /**
     * 接口描述
     * @type {string}
     * @memberof ModelInterface
     */
    description?: string;
    /**
     * 主键
     * @type {string}
     * @memberof ModelInterface
     */
    id?: string;
    /**
     * 接口名称
     * @type {string}
     * @memberof ModelInterface
     */
    name?: string;
    /**
     * 接口路径
     * @type {string}
     * @memberof ModelInterface
     */
    path?: string;
    /**
     * 接口类型：get/post
     * @type {string}
     * @memberof ModelInterface
     */
    pathMethod?: string;
    /**
     * 接口所属标签，用于分类
     * @type {string}
     * @memberof ModelInterface
     */
    tag?: string;
    /**
     * 修改时间
     * @type {Date}
     * @memberof ModelInterface
     */
    updatedTime?: Date;
    /**
     * 该接口对应平台版本
     * @type {string}
     * @memberof ModelInterface
     */
    version?: string;
}

/**
 * 模块实体
 * @export
 * @interface ModulePojo
 */
export interface ModulePojo {
    /**
     * 模块前端业务类型(1: 企业平台, 2: super平台, 3: 手机端)
     * @type {number}
     * @memberof ModulePojo
     */
    businessType?: number;
    /**
     * 创建时间
     * @type {Date}
     * @memberof ModulePojo
     */
    createdTime?: Date;
    /**
     * 是否启用(0:禁用 1:启用)
     * @type {number}
     * @memberof ModulePojo
     */
    enabled?: number;
    /**
     * 模块Id：sys-mncloud: 业务平台; sys-super: super平台; sys-wxapp: APP/微信小程序; 其它自定义模块Id
     * @type {string}
     * @memberof ModulePojo
     */
    id?: string;
    /**
     * 模块名
     * @type {string}
     * @memberof ModulePojo
     */
    name?: string;
    /**
     * 备注
     * @type {string}
     * @memberof ModulePojo
     */
    remark?: string;
    /**
     * 模块类型(1: 系统, 2: 自定义)
     * @type {number}
     * @memberof ModulePojo
     */
    type?: number;
    /**
     * 更新时间)
     * @type {Date}
     * @memberof ModulePojo
     */
    updatedTime?: Date;
}

/**
 * 
 * @export
 * @interface NewCompanyProbationaryConfig
 */
export interface NewCompanyProbationaryConfig {
    /**
     * 0:开启试用，1：关闭试用
     * @type {string}
     * @memberof NewCompanyProbationaryConfig
     */
    checked: string;
    /**
     * 试用时间(天)
     * @type {number}
     * @memberof NewCompanyProbationaryConfig
     */
    days: number;
}

/**
 * 
 * @export
 * @interface NodeStatisticsInfo
 */
export interface NodeStatisticsInfo {
    /**
     * 设备免费短信条数
     * @type {number}
     * @memberof NodeStatisticsInfo
     */
    companyDeviceTotal?: number;
    /**
     * 企业短信的总条数
     * @type {number}
     * @memberof NodeStatisticsInfo
     */
    companyNodeTotal?: number;
    /**
     * 企业可用条数
     * @type {number}
     * @memberof NodeStatisticsInfo
     */
    companyNodeTotalUsable?: number;
    /**
     * 企业免费短信额度
     * @type {number}
     * @memberof NodeStatisticsInfo
     */
    companyNoteNum?: number;
    /**
     * 企业可使用语音
     * @type {number}
     * @memberof NodeStatisticsInfo
     */
    companyVoiceTotal?: number;
    /**
     * 企业已用语音
     * @type {number}
     * @memberof NodeStatisticsInfo
     */
    companyVoiceUsed?: number;
    /**
     * 平台有阿里巴巴接入
     * @type {boolean}
     * @memberof NodeStatisticsInfo
     */
    platformOwnAlibabaAccess?: boolean;
    /**
     * 短信包的购买总量
     * @type {number}
     * @memberof NodeStatisticsInfo
     */
    purchaseNoteCount?: number;
}

/**
 * 
 * @export
 * @interface OldCompanyStrategyConfig
 */
export interface OldCompanyStrategyConfig {
    /**
     * 0:关闭老企业策略，1：开启老企业策略
     * @type {string}
     * @memberof OldCompanyStrategyConfig
     */
    checked?: string;
    /**
     * 过度结束时间
     * @type {string}
     * @memberof OldCompanyStrategyConfig
     */
    endTime?: string;
    /**
     * 过度开始时间
     * @type {string}
     * @memberof OldCompanyStrategyConfig
     */
    startTime?: string;
    /**
     * 策略状态,0:未触发可以修改策略，1：已经触发，不可修改策略
     * @type {string}
     * @memberof OldCompanyStrategyConfig
     */
    strategyStatus?: string;
}

/**
 * 
 * @export
 * @interface OldCompanyStrategyConfigForm
 */
export interface OldCompanyStrategyConfigForm {
    /**
     * 0:关闭老企业策略，1：开启老企业策略
     * @type {string}
     * @memberof OldCompanyStrategyConfigForm
     */
    checked: string;
    /**
     * 过度结束时间
     * @type {string}
     * @memberof OldCompanyStrategyConfigForm
     */
    endTime: string;
    /**
     * 过度开始时间
     * @type {string}
     * @memberof OldCompanyStrategyConfigForm
     */
    startTime: string;
}

/**
 * 
 * @export
 * @interface OrderParam
 */
export interface OrderParam {
    /**
     * 卡号(充值iccid时不能为空)
     * @type {Array<string>}
     * @memberof OrderParam
     */
    iccids?: Array<string>;
    /**
     * 套餐Id
     * @type {string}
     * @memberof OrderParam
     */
    packageId: string;
}

/**
 * 
 * @export
 * @interface PayParam
 */
export interface PayParam {
    /**
     * 微信JSAPI需要的参数
     * @type {string}
     * @memberof PayParam
     */
    appId?: string;
    /**
     * 公众号openId,JSAPI 需要的参数
     * @type {string}
     * @memberof PayParam
     */
    openid?: string;
    /**
     * 订单id
     * @type {string}
     * @memberof PayParam
     */
    orderId?: string;
    /**
     * 
     * @type {string}
     * @memberof PayParam
     */
    type?: string;
    /**
     * 微信JSAPI需要的参数
     * @type {string}
     * @memberof PayParam
     */
    wechatUrl?: string;
}

/**
 * 
 * @export
 * @interface PaymentRecord
 */
export interface PaymentRecord {
    /**
     * 企业id 
     * @type {string}
     * @memberof PaymentRecord
     */
    companyId?: string;
    /**
     * 订单创建时间
     * @type {Date}
     * @memberof PaymentRecord
     */
    createdTime?: Date;
    /**
     * 充值详情，iccid等
     * @type {string}
     * @memberof PaymentRecord
     */
    detail?: string;
    /**
     * 订单id
     * @type {string}
     * @memberof PaymentRecord
     */
    id?: string;
    /**
     * 微信支付的商户号
     * @type {string}
     * @memberof PaymentRecord
     */
    mchId?: string;
    /**
     * 缴费金额
     * @type {number}
     * @memberof PaymentRecord
     */
    money?: number;
    /**
     * 充值额度
     * @type {number}
     * @memberof PaymentRecord
     */
    orderCount?: number;
    /**
     * 订单类型 1短信,2天气,3定位,4邮件,5流量,6语音 
     * @type {string}
     * @memberof PaymentRecord
     */
    orderType?: string;
    /**
     * 套餐名称 
     * @type {string}
     * @memberof PaymentRecord
     */
    packageName?: string;
    /**
     * 充值的方式 0:微信
     * @type {string}
     * @memberof PaymentRecord
     */
    payMethod?: string;
    /**
     * 订单支付时间
     * @type {Date}
     * @memberof PaymentRecord
     */
    payTime?: Date;
    /**
     * 订单状态，0:失败，1:成功 
     * @type {string}
     * @memberof PaymentRecord
     */
    status?: string;
    /**
     * 交易的类型
     * @type {string}
     * @memberof PaymentRecord
     */
    tradeType?: string;
}

/**
 * 权限组
 * @export
 * @interface PermissionGroup
 */
export interface PermissionGroup {
    /**
     * 企业ID
     * @type {string}
     * @memberof PermissionGroup
     */
    companyId?: string;
    /**
     * 创建人
     * @type {string}
     * @memberof PermissionGroup
     */
    createdBy?: string;
    /**
     * 创建时间
     * @type {Date}
     * @memberof PermissionGroup
     */
    createdTime?: Date;
    /**
     * 是否默认 0否 1是
     * @type {number}
     * @memberof PermissionGroup
     */
    def?: number;
    /**
     * 是否禁用
     * @type {boolean}
     * @memberof PermissionGroup
     */
    disabled?: boolean;
    /**
     * 主键
     * @type {string}
     * @memberof PermissionGroup
     */
    id?: string;
    /**
     * 名称
     * @type {string}
     * @memberof PermissionGroup
     */
    name?: string;
    /**
     * 
     * @type {Array<MapStringObject>}
     * @memberof PermissionGroup
     */
    projects?: Array<MapStringObject>;
    /**
     * 备注
     * @type {string}
     * @memberof PermissionGroup
     */
    remark?: string;
    /**
     * 修改时间
     * @type {Date}
     * @memberof PermissionGroup
     */
    updatedTime?: Date;
}

/**
 * 权限VO
 * @export
 * @interface PermissionVo
 */
export interface PermissionVo {
    /**
     * 权限组或者项目ID
     * @type {string}
     * @memberof PermissionVo
     */
    id?: string;
    /**
     * 权限组或者项目名称
     * @type {string}
     * @memberof PermissionVo
     */
    name?: string;
    /**
     * 角色Id
     * @type {string}
     * @memberof PermissionVo
     */
    roleId?: string;
    /**
     * 角色名称
     * @type {string}
     * @memberof PermissionVo
     */
    roleName?: string;
    /**
     *  0 权限组 1项目
     * @type {number}
     * @memberof PermissionVo
     */
    type?: number;
    /**
     * 用户Id
     * @type {string}
     * @memberof PermissionVo
     */
    userId?: string;
}

/**
 * 个人的手机号表单信息
 * @export
 * @interface PersonalPhoneForm
 */
export interface PersonalPhoneForm {
    /**
     * 手机号
     * @type {string}
     * @memberof PersonalPhoneForm
     */
    phone?: string;
    /**
     * 手机验证码
     * @type {string}
     * @memberof PersonalPhoneForm
     */
    phoneCode?: string;
}

/**
 * 个人基本信息表单信息
 * @export
 * @interface PersonalUserForm
 */
export interface PersonalUserForm {
    /**
     * 地址
     * @type {string}
     * @memberof PersonalUserForm
     */
    address?: string;
    /**
     * 昵称
     * @type {string}
     * @memberof PersonalUserForm
     */
    nickname?: string;
    /**
     * 性别(0:男 1:女 2:未知)
     * @type {number}
     * @memberof PersonalUserForm
     */
    sex?: number;
}

/**
 * 
 * @export
 * @interface PlatformAuthInfo
 */
export interface PlatformAuthInfo {
    /**
     * 每个企业免费短信条数
     * @type {number}
     * @memberof PlatformAuthInfo
     */
    companyNoteTotal?: number;
    /**
     * device短信免费
     * @type {number}
     * @memberof PlatformAuthInfo
     */
    deviceNoteTotal?: number;
    /**
     * 第三方设备总量
     * @type {number}
     * @memberof PlatformAuthInfo
     */
    deviceTotal?: number;
    /**
     * 第三方设备已使用数
     * @type {number}
     * @memberof PlatformAuthInfo
     */
    deviceUsed?: number;
    /**
     * 邮件调用次数/年
     * @type {number}
     * @memberof PlatformAuthInfo
     */
    emailTotal?: number;
    /**
     * 邮件已使用数
     * @type {number}
     * @memberof PlatformAuthInfo
     */
    emailUsed?: number;
    /**
     * 定位调用次数/年
     * @type {number}
     * @memberof PlatformAuthInfo
     */
    locationTotal?: number;
    /**
     * 定位已使用数
     * @type {number}
     * @memberof PlatformAuthInfo
     */
    locationUsed?: number;
    /**
     * 变量
     * @type {number}
     * @memberof PlatformAuthInfo
     */
    variantTotal?: number;
    /**
     * 变量已使用数
     * @type {number}
     * @memberof PlatformAuthInfo
     */
    variantUsed?: number;
    /**
     * 天启调用次数/年
     * @type {number}
     * @memberof PlatformAuthInfo
     */
    weatherTotal?: number;
    /**
     * 天启已使用数
     * @type {number}
     * @memberof PlatformAuthInfo
     */
    weatherUsed?: number;
}

/**
 * 
 * @export
 * @interface PlatformStatusInfoVo
 */
export interface PlatformStatusInfoVo {
    /**
     * 平台到期时间
     * @type {string}
     * @memberof PlatformStatusInfoVo
     */
    expirationTime?: string;
    /**
     * 授权状态0:已过期，1：正常，2：试用
     * @type {string}
     * @memberof PlatformStatusInfoVo
     */
    status?: string;
}

/**
 * 
 * @export
 * @interface PlatformTemplateMessageParam
 */
export interface PlatformTemplateMessageParam {
    /**
     * 模板服务
     * @type {string}
     * @memberof PlatformTemplateMessageParam
     */
    action?: string;
    /**
     * 参数名称以及参数内容
     * @type {{ [key: string]: string; }}
     * @memberof PlatformTemplateMessageParam
     */
    content?: { [key: string]: string; };
    /**
     * 
     * @type {string}
     * @memberof PlatformTemplateMessageParam
     */
    messageTypeId?: string;
    /**
     * 项目id
     * @type {string}
     * @memberof PlatformTemplateMessageParam
     */
    projectId?: string;
    /**
     * 是否所有用户共享该消息
     * @type {boolean}
     * @memberof PlatformTemplateMessageParam
     */
    shared?: boolean;
    /**
     * 用户id
     * @type {Array<string>}
     * @memberof PlatformTemplateMessageParam
     */
    userIds?: Array<string>;
}

/**
 * 
 * @export
 * @interface Plc
 */
export interface Plc {
    /**
     * 虚拟设备id
     * @type {string}
     * @memberof Plc
     */
    deviceId?: string;
    /**
     * PLC设备名称
     * @type {string}
     * @memberof Plc
     */
    name?: string;
    /**
     * PLC设备ID
     * @type {number}
     * @memberof Plc
     */
    plcId?: number;
    /**
     * 项目或模板id
     * @type {string}
     * @memberof Plc
     */
    resourceId?: string;
    /**
     * 排序号
     * @type {number}
     * @memberof Plc
     */
    sort?: number;
}

/**
 * 
 * @export
 * @interface PlcModel
 */
export interface PlcModel {
    /**
     * 
     * @type {string}
     * @memberof PlcModel
     */
    name?: string;
    /**
     * 
     * @type {number}
     * @memberof PlcModel
     */
    plcId?: number;
    /**
     * 
     * @type {Array<VariantModel>}
     * @memberof PlcModel
     */
    variantModels?: Array<VariantModel>;
}

/**
 * 
 * @export
 * @interface PlcStatusVo
 */
export interface PlcStatusVo {
    /**
     * 设备id
     * @type {string}
     * @memberof PlcStatusVo
     */
    deviceId?: string;
    /**
     * plc名称
     * @type {string}
     * @memberof PlcStatusVo
     */
    name?: string;
    /**
     * plc的在线状态,true:在线，false 离线
     * @type {boolean}
     * @memberof PlcStatusVo
     */
    onlineStatus?: boolean;
    /**
     * plcid
     * @type {number}
     * @memberof PlcStatusVo
     */
    plcId?: number;
    /**
     * 
     * @type {number}
     * @memberof PlcStatusVo
     */
    time?: number;
}

/**
 * 
 * @export
 * @interface Project
 */
export interface Project {
    /**
     * 项目的创建时间
     * @type {Date}
     * @memberof Project
     */
    createdTime?: Date;
    /**
     * 项目ID
     * @type {string}
     * @memberof Project
     */
    id?: string;
    /**
     * 项目的纬度(地球经纬度)
     * @type {string}
     * @memberof Project
     */
    lat?: string;
    /**
     * 项目的经度(地球经纬度)
     * @type {string}
     * @memberof Project
     */
    lon?: string;
    /**
     * 项目名称
     * @type {string}
     * @memberof Project
     */
    name?: string;
    /**
     * 项目备注
     * @type {string}
     * @memberof Project
     */
    remark?: string;
    /**
     * 
     * @type {Date}
     * @memberof Project
     */
    updatedTime?: Date;
}

/**
 * 
 * @export
 * @interface ProjectAlarmMessageParam
 */
export interface ProjectAlarmMessageParam {
    /**
     * 消息组
     * @type {number}
     * @memberof ProjectAlarmMessageParam
     */
    messageGroup?: number;
    /**
     * 消息类型id
     * @type {string}
     * @memberof ProjectAlarmMessageParam
     */
    messageTypeId?: string;
    /**
     * 消息详细参数
     * @type {{ [key: string]: string; }}
     * @memberof ProjectAlarmMessageParam
     */
    params?: { [key: string]: string; };
    /**
     * 项目id
     * @type {string}
     * @memberof ProjectAlarmMessageParam
     */
    projectId?: string;
}

/**
 * 项目看板实体类
 * @export
 * @interface ProjectBoard
 */
export interface ProjectBoard {
    /**
     * 项目看板类型
     * @type {string}
     * @memberof ProjectBoard
     */
    boardType?: string;
    /**
     * 项目看板所属企业ID
     * @type {string}
     * @memberof ProjectBoard
     */
    companyId?: string;
    /**
     * 项目看板创建人
     * @type {string}
     * @memberof ProjectBoard
     */
    createdBy?: string;
    /**
     * 项目看板创建时间
     * @type {Date}
     * @memberof ProjectBoard
     */
    createdTime?: Date;
    /**
     * 项目看板ID
     * @type {string}
     * @memberof ProjectBoard
     */
    id?: string;
    /**
     * 项目看板名称
     * @type {string}
     * @memberof ProjectBoard
     */
    name?: string;
    /**
     * 项目看板是否移动端显示
     * @type {boolean}
     * @memberof ProjectBoard
     */
    phoneEnable?: boolean;
    /**
     * 项目看板备注
     * @type {string}
     * @memberof ProjectBoard
     */
    remark?: string;
    /**
     * 项目看板排序号
     * @type {number}
     * @memberof ProjectBoard
     */
    sort?: number;
    /**
     * 项目看板结构类型
     * @type {string}
     * @memberof ProjectBoard
     */
    structureType?: string;
    /**
     * 项目看板修改时间
     * @type {Date}
     * @memberof ProjectBoard
     */
    updatedTime?: Date;
    /**
     * 是否使用项目看板
     * @type {boolean}
     * @memberof ProjectBoard
     */
    useEnable?: boolean;
}

/**
 * 项目看板过滤分组 筛选值Vo
 * @export
 * @interface ProjectBoardFilterGroupPropertiesValueVo
 */
export interface ProjectBoardFilterGroupPropertiesValueVo {
    /**
     * 筛选值下的子节点
     * @type {Array<ProjectBoardFilterGroupPropertiesValueVo>}
     * @memberof ProjectBoardFilterGroupPropertiesValueVo
     */
    children?: Array<ProjectBoardFilterGroupPropertiesValueVo>;
    /**
     * 筛选值 地区(对应地区名称) 日期(对应年月) 客户(对应客户Id) 属性值(对应属性Id)
     * @type {string}
     * @memberof ProjectBoardFilterGroupPropertiesValueVo
     */
    id?: string;
    /**
     * 筛选值名称 地区(对应的地区名称) 日期(根据筛选类型 加上对应的后缀= 值[2022]+‘年’) 客户=客户名称  属性值=属性值名称
     * @type {string}
     * @memberof ProjectBoardFilterGroupPropertiesValueVo
     */
    name?: string;
    /**
     * 筛选值类型 地区为0  日期为1 客户为2  属性值为3
     * @type {string}
     * @memberof ProjectBoardFilterGroupPropertiesValueVo
     */
    type?: string;
}

/**
 * 看板过滤条件Vo
 * @export
 * @interface ProjectBoardFilterGroupPropertiesVo
 */
export interface ProjectBoardFilterGroupPropertiesVo {
    /**
     * 创建时间
     * @type {Date}
     * @memberof ProjectBoardFilterGroupPropertiesVo
     */
    createdTime?: Date;
    /**
     * 筛选名称 地区,客户,日期,属性名称
     * @type {string}
     * @memberof ProjectBoardFilterGroupPropertiesVo
     */
    name?: string;
    /**
     * 属性类型 0：枚举、1：文本、2：日期、3：数字 (type为3时 该属性则不为空)
     * @type {string}
     * @memberof ProjectBoardFilterGroupPropertiesVo
     */
    propertiesType?: string;
    /**
     * 排序号
     * @type {number}
     * @memberof ProjectBoardFilterGroupPropertiesVo
     */
    sort?: number;
    /**
     *  筛选类型 0=地区 1=客户 2=日期 3=属性
     * @type {string}
     * @memberof ProjectBoardFilterGroupPropertiesVo
     */
    type?: string;
    /**
     * 筛选值 [0]=地区,1=客户,[2]=日期,3=属性Id
     * @type {string}
     * @memberof ProjectBoardFilterGroupPropertiesVo
     */
    value?: string;
}

/**
 * 项目看板过滤分组Vo类
 * @export
 * @interface ProjectBoardFilterGroupVo
 */
export interface ProjectBoardFilterGroupVo {
    /**
     * 看板Id
     * @type {string}
     * @memberof ProjectBoardFilterGroupVo
     */
    boardId?: string;
    /**
     * 创建时间
     * @type {Date}
     * @memberof ProjectBoardFilterGroupVo
     */
    createdTime?: Date;
    /**
     * 过滤分组Id
     * @type {string}
     * @memberof ProjectBoardFilterGroupVo
     */
    id?: string;
    /**
     * 过滤分组名称
     * @type {string}
     * @memberof ProjectBoardFilterGroupVo
     */
    name?: string;
    /**
     * 过滤分组备注
     * @type {string}
     * @memberof ProjectBoardFilterGroupVo
     */
    remark?: string;
    /**
     * 排序号
     * @type {number}
     * @memberof ProjectBoardFilterGroupVo
     */
    sort?: number;
}

/**
 * 过滤分组类型和值
 * @export
 * @interface ProjectBoardFilterPropertiesTypeValue
 */
export interface ProjectBoardFilterPropertiesTypeValue {
    /**
     * 属性类型的id
     * @type {string}
     * @memberof ProjectBoardFilterPropertiesTypeValue
     */
    propertiesId?: string;
    /**
     * 过滤分组类型（类型：['0: 省', '1: 市', '2: 区', '3: 客户', '4: 年', '5:月', '6:属性']
     * @type {string}
     * @memberof ProjectBoardFilterPropertiesTypeValue
     */
    type?: string;
    /**
     * 过滤分组类值 值为类型 （类型为 属性或客户 值=对应的Id）
     * @type {string}
     * @memberof ProjectBoardFilterPropertiesTypeValue
     */
    value?: string;
}

/**
 * 项目看板节点传输类
 * @export
 * @interface ProjectBoardGroupNodeForm
 */
export interface ProjectBoardGroupNodeForm {
    /**
     * 项目分组节点ID
     * @type {string}
     * @memberof ProjectBoardGroupNodeForm
     */
    id: string;
    /**
     * 项目分组名称
     * @type {string}
     * @memberof ProjectBoardGroupNodeForm
     */
    name: string;
    /**
     * 备注
     * @type {string}
     * @memberof ProjectBoardGroupNodeForm
     */
    remark?: string;
    /**
     * 排序号
     * @type {number}
     * @memberof ProjectBoardGroupNodeForm
     */
    sort?: number;
}

/**
 * 项目看板分组节点返回类 用于前端渲染数据
 * @export
 * @interface ProjectBoardGroupNodeVo
 */
export interface ProjectBoardGroupNodeVo {
    /**
     * 项目看板分组子节点
     * @type {Array<ProjectBoardGroupNodeVo>}
     * @memberof ProjectBoardGroupNodeVo
     */
    children?: Array<ProjectBoardGroupNodeVo>;
    /**
     * 创建时间
     * @type {Date}
     * @memberof ProjectBoardGroupNodeVo
     */
    createdTime?: Date;
    /**
     * 项目分组节点ID
     * @type {string}
     * @memberof ProjectBoardGroupNodeVo
     */
    id?: string;
    /**
     * 项目分组节点名称
     * @type {string}
     * @memberof ProjectBoardGroupNodeVo
     */
    label?: string;
    /**
     * 项目分组父节点ID （根节点=0,子节点=父节点ID）
     * @type {string}
     * @memberof ProjectBoardGroupNodeVo
     */
    parentId?: string;
    /**
     * 节点所属的项目看板ID
     * @type {string}
     * @memberof ProjectBoardGroupNodeVo
     */
    projectBoardId?: string;
    /**
     * 备注
     * @type {string}
     * @memberof ProjectBoardGroupNodeVo
     */
    remark?: string;
    /**
     * 排序号
     * @type {number}
     * @memberof ProjectBoardGroupNodeVo
     */
    sort?: number;
}

/**
 * 项目看板分组与节点与项目之间的关联关系 接口参数类
 * @export
 * @interface ProjectBoardGroupRelForm
 */
export interface ProjectBoardGroupRelForm {
    /**
     * 项目看板分组节点Id
     * @type {string}
     * @memberof ProjectBoardGroupRelForm
     */
    nodeId: string;
    /**
     * N个项目Id
     * @type {Array<string>}
     * @memberof ProjectBoardGroupRelForm
     */
    projectIds: Array<string>;
}

/**
 * 项目看板分组节点与项目关联Vo
 * @export
 * @interface ProjectBoardGroupRelVo
 */
export interface ProjectBoardGroupRelVo {
    /**
     * N个项目信息
     * @type {Array<ProjectBoardGroupRelevanceVo>}
     * @memberof ProjectBoardGroupRelVo
     */
    project: Array<ProjectBoardGroupRelevanceVo>;
    /**
     * 项目看板分组节点ID
     * @type {string}
     * @memberof ProjectBoardGroupRelVo
     */
    projectGroupId: string;
}

/**
 * 看板项目分组VO类 
 * @export
 * @interface ProjectBoardGroupRelevanceVo
 */
export interface ProjectBoardGroupRelevanceVo {
    /**
     * 项目Id
     * @type {string}
     * @memberof ProjectBoardGroupRelevanceVo
     */
    projectId?: string;
    /**
     * 项目名称
     * @type {string}
     * @memberof ProjectBoardGroupRelevanceVo
     */
    projectName?: string;
}

/**
 * 项目看板树节点VO类
 * @export
 * @interface ProjectBoardTreeNodeVo
 */
export interface ProjectBoardTreeNodeVo {
    /**
     * 创建时间 用于排序时序列号相同 在根据创建时间进行排序
     * @type {Date}
     * @memberof ProjectBoardTreeNodeVo
     */
    createdTime: Date;
    /**
     * 节点ID
     * @type {string}
     * @memberof ProjectBoardTreeNodeVo
     */
    id: string;
    /**
     * 日期类属性值 0：年 1：年月
     * @type {string}
     * @memberof ProjectBoardTreeNodeVo
     */
    level?: string;
    /**
     * 节点类型名称
     * @type {string}
     * @memberof ProjectBoardTreeNodeVo
     */
    name?: string;
    /**
     * 树节点层级 在一个看板下是唯一的(前端不能传入 后端自动根据顺序添加)
     * @type {number}
     * @memberof ProjectBoardTreeNodeVo
     */
    sort: number;
    /**
     * 项目看板节点类型 0:省、1市、2 区、3客户、4年、5月、6项目属性 、7:系统项目
     * @type {string}
     * @memberof ProjectBoardTreeNodeVo
     */
    type: string;
    /**
     * 类型=6项目属性(属性ID) 类型!=属性(为类型名称)
     * @type {string}
     * @memberof ProjectBoardTreeNodeVo
     */
    value: string;
}

/**
 * 项目看板Vo类
 * @export
 * @interface ProjectBoardVo
 */
export interface ProjectBoardVo {
    /**
     * 项目看板类型 {0=系统 | 1=企业}
     * @type {string}
     * @memberof ProjectBoardVo
     */
    boardType?: string;
    /**
     * 项目看板创建时间
     * @type {Date}
     * @memberof ProjectBoardVo
     */
    createdTime?: Date;
    /**
     * 项目看板ID
     * @type {string}
     * @memberof ProjectBoardVo
     */
    id?: string;
    /**
     * 项目看板名称
     * @type {string}
     * @memberof ProjectBoardVo
     */
    name?: string;
    /**
     * 项目看板是否在移动端使用 {0=不使用 | 1= 使用}
     * @type {boolean}
     * @memberof ProjectBoardVo
     */
    phoneEnable?: boolean;
    /**
     * 项目看板备注
     * @type {string}
     * @memberof ProjectBoardVo
     */
    remark?: string;
    /**
     * 项目看板排序号
     * @type {number}
     * @memberof ProjectBoardVo
     */
    sort?: number;
    /**
     * 项目看板数据结构类型 {0=树结构 | 1=列表 | 2=分组}
     * @type {string}
     * @memberof ProjectBoardVo
     */
    structureType?: string;
    /**
     * 项目看板是否使用 {0=不使用 | 1=使用}
     * @type {boolean}
     * @memberof ProjectBoardVo
     */
    useEnable?: boolean;
}

/**
 * 项目条件储存绑定条件标签 form类
 * @export
 * @interface ProjectConditionTagStorageRelForm
 */
export interface ProjectConditionTagStorageRelForm {
    /**
     * 项目Id
     * @type {string}
     * @memberof ProjectConditionTagStorageRelForm
     */
    id?: string;
    /**
     * 条件储存Id
     * @type {string}
     * @memberof ProjectConditionTagStorageRelForm
     */
    storageId?: string;
    /**
     * 条件标签Id
     * @type {string}
     * @memberof ProjectConditionTagStorageRelForm
     */
    tagId?: string;
}

/**
 * 控制变量成功后，数据采集也许不能立即显示控制的值。设置延迟间隔会立即显示控制的值。
 * @export
 * @interface ProjectDataDelay
 */
export interface ProjectDataDelay {
    /**
     * 控制延迟：1开启，0关闭 
     * @type {string}
     * @memberof ProjectDataDelay
     */
    controlDelay: string;
    /**
     * 
     * @type {Date}
     * @memberof ProjectDataDelay
     */
    createdTime?: Date;
    /**
     * 延迟间隔(秒) 
     * @type {number}
     * @memberof ProjectDataDelay
     */
    delayInterval: number;
    /**
     * 项目ID 
     * @type {string}
     * @memberof ProjectDataDelay
     */
    projectId: string;
    /**
     * 
     * @type {Date}
     * @memberof ProjectDataDelay
     */
    updatedTime?: Date;
}

/**
 * 
 * @export
 * @interface ProjectDataDelayForm
 */
export interface ProjectDataDelayForm {
    /**
     * 控制延迟：1开启，0关闭 
     * @type {string}
     * @memberof ProjectDataDelayForm
     */
    controlDelay: string;
    /**
     * 延迟间隔(秒) 
     * @type {number}
     * @memberof ProjectDataDelayForm
     */
    delayInterval: number;
    /**
     * 项目ID 
     * @type {string}
     * @memberof ProjectDataDelayForm
     */
    projectId: string;
}

/**
 * 
 * @export
 * @interface ProjectForm
 */
export interface ProjectForm {
    /**
     * 项目ID
     * @type {string}
     * @memberof ProjectForm
     */
    id?: string;
    /**
     * 项目名称
     * @type {string}
     * @memberof ProjectForm
     */
    name?: string;
    /**
     * 项目备注
     * @type {string}
     * @memberof ProjectForm
     */
    remark?: string;
    /**
     * 项目的排序号
     * @type {number}
     * @memberof ProjectForm
     */
    sort?: number;
}

/**
 * 
 * @export
 * @interface ProjectInfo
 */
export interface ProjectInfo {
    /**
     * 设备来源； 0：内部的设备，1：第三方的设备
     * @type {string}
     * @memberof ProjectInfo
     */
    deviceFrom?: string;
    /**
     * 定位方式（1：手动，2：基站定位，3：GPS定位，0：关闭）
     * @type {number}
     * @memberof ProjectInfo
     */
    locationType?: number;
    /**
     * 项目ID
     * @type {string}
     * @memberof ProjectInfo
     */
    projectId?: string;
    /**
     * 项目类型 0：自由项目，1：引用模板项目
     * @type {number}
     * @memberof ProjectInfo
     */
    projectType?: number;
    /**
     * 模板Id,自由项目为空
     * @type {string}
     * @memberof ProjectInfo
     */
    templateId?: string;
    /**
     * 模板名称,自由项目为空
     * @type {string}
     * @memberof ProjectInfo
     */
    templateName?: string;
}

/**
 * 
 * @export
 * @interface ProjectInfoForm
 */
export interface ProjectInfoForm {
    /**
     * 定位方式（1：手动，2：基站定位，3：GPS定位，0：关闭）
     * @type {number}
     * @memberof ProjectInfoForm
     */
    locationType?: number;
    /**
     * 项目ID
     * @type {string}
     * @memberof ProjectInfoForm
     */
    projectId?: string;
}

/**
 * 
 * @export
 * @interface ProjectLocationConfig
 */
export interface ProjectLocationConfig {
    /**
     * 报警范围 0:关闭，1:1千米，5:5千米，10:10千米
     * @type {number}
     * @memberof ProjectLocationConfig
     */
    alarmRange?: number;
    /**
     * 虚拟设备id
     * @type {string}
     * @memberof ProjectLocationConfig
     */
    deviceId?: string;
    /**
     * 项目id
     * @type {string}
     * @memberof ProjectLocationConfig
     */
    projectId?: string;
}

/**
 * 
 * @export
 * @interface ProjectLocationForm
 */
export interface ProjectLocationForm {
    /**
     * 报警范围 0:关闭，1:1千米，5:5千米，10:10千米
     * @type {number}
     * @memberof ProjectLocationForm
     */
    alarmRange?: number;
    /**
     * 虚拟设备id
     * @type {string}
     * @memberof ProjectLocationForm
     */
    deviceId?: string;
    /**
     * 项目ID 
     * @type {string}
     * @memberof ProjectLocationForm
     */
    projectId: string;
}

/**
 * 
 * @export
 * @interface ProjectLocationInfoVo
 */
export interface ProjectLocationInfoVo {
    /**
     * 报警范围 0:关闭，1:1千米，5:5千米，10:10千米
     * @type {number}
     * @memberof ProjectLocationInfoVo
     */
    alarmRange?: number;
    /**
     * 
     * @type {boolean}
     * @memberof ProjectLocationInfoVo
     */
    isGps?: boolean;
    /**
     * 
     * @type {string}
     * @memberof ProjectLocationInfoVo
     */
    lat?: string;
    /**
     * 
     * @type {string}
     * @memberof ProjectLocationInfoVo
     */
    lon?: string;
    /**
     * 
     * @type {string}
     * @memberof ProjectLocationInfoVo
     */
    projectId?: string;
}

/**
 * 
 * @export
 * @interface ProjectLonLatForm
 */
export interface ProjectLonLatForm {
    /**
     * 项目的纬度(地球经纬度),为空时清除项目的经纬度
     * @type {string}
     * @memberof ProjectLonLatForm
     */
    lat?: string;
    /**
     * 项目的经度(地球经纬度),为空时清除项目的经纬度
     * @type {string}
     * @memberof ProjectLonLatForm
     */
    lon?: string;
    /**
     * 项目ID
     * @type {string}
     * @memberof ProjectLonLatForm
     */
    projectId: string;
}

/**
 * 
 * @export
 * @interface ProjectModel
 */
export interface ProjectModel {
    /**
     * 
     * @type {Array<DeviceModel>}
     * @memberof ProjectModel
     */
    deviceModels?: Array<DeviceModel>;
    /**
     * 
     * @type {string}
     * @memberof ProjectModel
     */
    id?: string;
    /**
     * 
     * @type {string}
     * @memberof ProjectModel
     */
    name?: string;
    /**
     * 
     * @type {string}
     * @memberof ProjectModel
     */
    permissionGroupId?: string;
    /**
     * 
     * @type {string}
     * @memberof ProjectModel
     */
    type?: string;
    /**
     * 
     * @type {Array<VariantFavoriteModel>}
     * @memberof ProjectModel
     */
    variantFavoriteModels?: Array<VariantFavoriteModel>;
}

/**
 * 属性与项目关联VO
 * @export
 * @interface ProjectPropertiesActionVo
 */
export interface ProjectPropertiesActionVo {
    /**
     * 项目Id
     * @type {string}
     * @memberof ProjectPropertiesActionVo
     */
    projectId?: string;
    /**
     * 项目名
     * @type {string}
     * @memberof ProjectPropertiesActionVo
     */
    projectName?: string;
    /**
     * 属性Id
     * @type {string}
     * @memberof ProjectPropertiesActionVo
     */
    propertiesId?: string;
    /**
     * 属性名
     * @type {string}
     * @memberof ProjectPropertiesActionVo
     */
    propertiesName?: string;
    /**
     * 属性值
     * @type {string}
     * @memberof ProjectPropertiesActionVo
     */
    propertiesValue?: string;
}

/**
 * 属性 关联/取消项目参数类
 * @export
 * @interface ProjectPropertiesRelParam
 */
export interface ProjectPropertiesRelParam {
    /**
     * N个项目Id
     * @type {Array<string>}
     * @memberof ProjectPropertiesRelParam
     */
    projectIds?: Array<string>;
    /**
     * 属性Id
     * @type {string}
     * @memberof ProjectPropertiesRelParam
     */
    propertiesId?: string;
}

/**
 * 项目和属性值之间的关系
 * @export
 * @interface ProjectPropertiesValueVo
 */
export interface ProjectPropertiesValueVo {
    /**
     * 企业id
     * @type {string}
     * @memberof ProjectPropertiesValueVo
     */
    companyId?: string;
    /**
     * 时间格式
     * @type {string}
     * @memberof ProjectPropertiesValueVo
     */
    format?: string;
    /**
     * 属性名称
     * @type {string}
     * @memberof ProjectPropertiesValueVo
     */
    name?: string;
    /**
     * 项目id
     * @type {string}
     * @memberof ProjectPropertiesValueVo
     */
    projectId?: string;
    /**
     * 属性id
     * @type {string}
     * @memberof ProjectPropertiesValueVo
     */
    propertiesId?: string;
    /**
     * 属性类型
     * @type {string}
     * @memberof ProjectPropertiesValueVo
     */
    type?: string;
    /**
     * 属性值
     * @type {string}
     * @memberof ProjectPropertiesValueVo
     */
    value?: string;
}

/**
 * 项目属性VO类
 * @export
 * @interface ProjectPropertiesVo
 */
export interface ProjectPropertiesVo {
    /**
     * 创建时间
     * @type {Date}
     * @memberof ProjectPropertiesVo
     */
    createdTime?: Date;
    /**
     * 0： 年，1：年月，2：年月日，3年月日时
     * @type {string}
     * @memberof ProjectPropertiesVo
     */
    format?: string;
    /**
     * 属性Id
     * @type {string}
     * @memberof ProjectPropertiesVo
     */
    id?: string;
    /**
     * 属性名称
     * @type {string}
     * @memberof ProjectPropertiesVo
     */
    name?: string;
    /**
     * 属性备注
     * @type {string}
     * @memberof ProjectPropertiesVo
     */
    remark?: string;
    /**
     * 属性排序号
     * @type {number}
     * @memberof ProjectPropertiesVo
     */
    sort?: number;
    /**
     * 属性类型 [0：枚举、1：文本、2：日期、3：数字]
     * @type {string}
     * @memberof ProjectPropertiesVo
     */
    type?: string;
}

/**
 * 
 * @export
 * @interface ProjectServiceMessageParam
 */
export interface ProjectServiceMessageParam {
    /**
     * 消息类型id
     * @type {string}
     * @memberof ProjectServiceMessageParam
     */
    messageTypeId?: string;
    /**
     * 消息详细参数
     * @type {{ [key: string]: string; }}
     * @memberof ProjectServiceMessageParam
     */
    params?: { [key: string]: string; };
    /**
     * 项目id
     * @type {string}
     * @memberof ProjectServiceMessageParam
     */
    projectId?: string;
}

/**
 * 
 * @export
 * @interface ProjectStatistics
 */
export interface ProjectStatistics {
    /**
     * 报警数量(条)
     * @type {number}
     * @memberof ProjectStatistics
     */
    alarm?: number;
    /**
     * 历史数据大小(M)
     * @type {number}
     * @memberof ProjectStatistics
     */
    historyData?: number;
    /**
     * 项目id
     * @type {string}
     * @memberof ProjectStatistics
     */
    id?: string;
    /**
     * 项目名称
     * @type {string}
     * @memberof ProjectStatistics
     */
    name?: string;
}

/**
 * 
 * @export
 * @interface ProjectStatisticsDownLoadParam
 */
export interface ProjectStatisticsDownLoadParam {
    /**
     * 结束时间
     * @type {string}
     * @memberof ProjectStatisticsDownLoadParam
     */
    endTime: string;
    /**
     * 要查询的项目列表 为空查询所有项目
     * @type {string}
     * @memberof ProjectStatisticsDownLoadParam
     */
    projectId?: string;
    /**
     * 开始日期
     * @type {string}
     * @memberof ProjectStatisticsDownLoadParam
     */
    startTime: string;
}

/**
 * 
 * @export
 * @interface ProjectStatisticsParam
 */
export interface ProjectStatisticsParam {
    /**
     * 结束时间
     * @type {string}
     * @memberof ProjectStatisticsParam
     */
    endTime: string;
    /**
     * 要查询的项目列表 为空查询所有项目
     * @type {Array<string>}
     * @memberof ProjectStatisticsParam
     */
    projectIds?: Array<string>;
    /**
     * 开始日期
     * @type {string}
     * @memberof ProjectStatisticsParam
     */
    startTime: string;
}

/**
 * 
 * @export
 * @interface ProjectStatus
 */
export interface ProjectStatus {
    /**
     * 报警状态：0:无报警，1：有报警
     * @type {string}
     * @memberof ProjectStatus
     */
    alarmStatus?: string;
    /**
     * 序列号状态： 0:部分设备未绑定序列号，1：所有设备均已绑定序列号
     * @type {string}
     * @memberof ProjectStatus
     */
    bindSerialNumber?: string;
    /**
     * 设备状态： 0:部分设备离线，1：全部在线
     * @type {string}
     * @memberof ProjectStatus
     */
    deviceStatus?: string;
    /**
     * 项目有无设备：0:项目无设备，1：项目有设备
     * @type {string}
     * @memberof ProjectStatus
     */
    hasDevice?: string;
    /**
     * PLC状态 0:部分离线，1：全部在线
     * @type {string}
     * @memberof ProjectStatus
     */
    plcStatus?: string;
    /**
     * 项目id
     * @type {string}
     * @memberof ProjectStatus
     */
    projectId?: string;
    /**
     * 同步状态： 0:不需要同步，1：需要同步
     * @type {{ [key: string]: string; }}
     * @memberof ProjectStatus
     */
    statusInfo?: { [key: string]: string; };
    /**
     * 同步状态： 0:不需要同步，1：需要同步
     * @type {string}
     * @memberof ProjectStatus
     */
    synchronizationStatus?: string;
}

/**
 * 项目(树)Vo
 * @export
 * @interface ProjectTreeVo
 */
export interface ProjectTreeVo {
    /**
     * 项目id
     * @type {string}
     * @memberof ProjectTreeVo
     */
    projectId?: string;
    /**
     * 项目名称
     * @type {string}
     * @memberof ProjectTreeVo
     */
    projectName?: string;
}

/**
 * 
 * @export
 * @interface ProjectVo
 */
export interface ProjectVo {
    /**
     * 授权企业id
     * @type {string}
     * @memberof ProjectVo
     */
    authCompanyId?: string;
    /**
     * 市
     * @type {string}
     * @memberof ProjectVo
     */
    city?: string;
    /**
     * 国家
     * @type {string}
     * @memberof ProjectVo
     */
    country?: string;
    /**
     * 项目的创建时间
     * @type {Date}
     * @memberof ProjectVo
     */
    createdTime?: Date;
    /**
     * 区/县
     * @type {string}
     * @memberof ProjectVo
     */
    district?: string;
    /**
     * 项目ID
     * @type {string}
     * @memberof ProjectVo
     */
    id?: string;
    /**
     * 项目的纬度(地球经纬度)
     * @type {string}
     * @memberof ProjectVo
     */
    lat?: string;
    /**
     * 项目的经度(地球经纬度)
     * @type {string}
     * @memberof ProjectVo
     */
    lon?: string;
    /**
     * 项目名称
     * @type {string}
     * @memberof ProjectVo
     */
    name?: string;
    /**
     * 项目所在的权限组Id
     * @type {string}
     * @memberof ProjectVo
     */
    permissionGroupId?: string;
    /**
     * 省
     * @type {string}
     * @memberof ProjectVo
     */
    province?: string;
    /**
     * 项目备注
     * @type {string}
     * @memberof ProjectVo
     */
    remark?: string;
    /**
     * 项目排序号
     * @type {number}
     * @memberof ProjectVo
     */
    sort?: number;
}

/**
 * 树看板 分类条件VO
 * @export
 * @interface PropertiesBoardTreeConditionVo
 */
export interface PropertiesBoardTreeConditionVo {
    /**
     * 属性Id  当类型属于 属性时
     * @type {string}
     * @memberof PropertiesBoardTreeConditionVo
     */
    propertiesId?: string;
    /**
     * 属性类型:= 0:省、 1:市、 2:区、 3:客户、 4:年、 5:月、 6:项目属性
     * @type {string}
     * @memberof PropertiesBoardTreeConditionVo
     */
    type?: string;
    /**
     * 对应类型的值
     * @type {string}
     * @memberof PropertiesBoardTreeConditionVo
     */
    value?: string;
}

/**
 * 枚举属性值Vo类
 * @export
 * @interface PropertiesEnumVo
 */
export interface PropertiesEnumVo {
    /**
     * 枚举属性Id
     * @type {string}
     * @memberof PropertiesEnumVo
     */
    id?: string;
    /**
     * 枚举属性名称
     * @type {string}
     * @memberof PropertiesEnumVo
     */
    name?: string;
    /**
     * 属性Id
     * @type {string}
     * @memberof PropertiesEnumVo
     */
    propertiesId?: string;
    /**
     * 枚举属性备注
     * @type {string}
     * @memberof PropertiesEnumVo
     */
    remark?: string;
    /**
     * 枚举属性排序号
     * @type {number}
     * @memberof PropertiesEnumVo
     */
    sort?: number;
}

/**
 * 属性值VO类
 * @export
 * @interface PropertiesValueVo
 */
export interface PropertiesValueVo {
    /**
     * 项目id
     * @type {string}
     * @memberof PropertiesValueVo
     */
    projectId?: string;
    /**
     * 属性id
     * @type {string}
     * @memberof PropertiesValueVo
     */
    propertiesId?: string;
    /**
     * 属性值
     * @type {string}
     * @memberof PropertiesValueVo
     */
    propertiesValue?: string;
}

/**
 * 
 * @export
 * @interface Protocol
 */
export interface Protocol {
    /**
     * 
     * @type {string}
     * @memberof Protocol
     */
    companyId?: string;
    /**
     * 
     * @type {string}
     * @memberof Protocol
     */
    createdBy?: string;
    /**
     * 
     * @type {string}
     * @memberof Protocol
     */
    createdTime?: string;
    /**
     * 
     * @type {string}
     * @memberof Protocol
     */
    disabledReason?: string;
    /**
     * 
     * @type {string}
     * @memberof Protocol
     */
    disabledState?: string;
    /**
     * 
     * @type {string}
     * @memberof Protocol
     */
    id?: string;
    /**
     * 
     * @type {string}
     * @memberof Protocol
     */
    name?: string;
    /**
     * 
     * @type {string}
     * @memberof Protocol
     */
    remark?: string;
    /**
     * 
     * @type {string}
     * @memberof Protocol
     */
    source?: string;
    /**
     * 
     * @type {string}
     * @memberof Protocol
     */
    type?: string;
}

/**
 * 
 * @export
 * @interface ProtocolAction
 */
export interface ProtocolAction {
    /**
     * 
     * @type {string}
     * @memberof ProtocolAction
     */
    createdBy?: string;
    /**
     * 
     * @type {string}
     * @memberof ProtocolAction
     */
    createdTime?: string;
    /**
     * 
     * @type {string}
     * @memberof ProtocolAction
     */
    customDesc?: string;
    /**
     * 
     * @type {string}
     * @memberof ProtocolAction
     */
    customId?: string;
    /**
     * 
     * @type {string}
     * @memberof ProtocolAction
     */
    customName?: string;
    /**
     * 
     * @type {string}
     * @memberof ProtocolAction
     */
    payload?: string;
    /**
     * 
     * @type {string}
     * @memberof ProtocolAction
     */
    protocolId?: string;
    /**
     * 
     * @type {string}
     * @memberof ProtocolAction
     */
    topic?: string;
}

/**
 * 
 * @export
 * @interface ProtocolActionForm
 */
export interface ProtocolActionForm {
    /**
     * 
     * @type {string}
     * @memberof ProtocolActionForm
     */
    customDesc?: string;
    /**
     * 
     * @type {string}
     * @memberof ProtocolActionForm
     */
    customId?: string;
    /**
     * 
     * @type {string}
     * @memberof ProtocolActionForm
     */
    customName?: string;
    /**
     * 
     * @type {string}
     * @memberof ProtocolActionForm
     */
    payload?: string;
    /**
     * 
     * @type {string}
     * @memberof ProtocolActionForm
     */
    protocolId?: string;
    /**
     * 
     * @type {string}
     * @memberof ProtocolActionForm
     */
    topic?: string;
}

/**
 * 
 * @export
 * @interface ProtocolForm
 */
export interface ProtocolForm {
    /**
     * 
     * @type {string}
     * @memberof ProtocolForm
     */
    id?: string;
    /**
     * 
     * @type {string}
     * @memberof ProtocolForm
     */
    name?: string;
    /**
     * 
     * @type {string}
     * @memberof ProtocolForm
     */
    remark?: string;
}

/**
 * 
 * @export
 * @interface ProtocolScriptForm
 */
export interface ProtocolScriptForm {
    /**
     * 
     * @type {string}
     * @memberof ProtocolScriptForm
     */
    protocolId?: string;
    /**
     * 
     * @type {string}
     * @memberof ProtocolScriptForm
     */
    scriptData?: string;
}

/**
 * 
 * @export
 * @interface ProtocolScriptVo
 */
export interface ProtocolScriptVo {
    /**
     * 
     * @type {string}
     * @memberof ProtocolScriptVo
     */
    disabledReason?: string;
    /**
     * 
     * @type {string}
     * @memberof ProtocolScriptVo
     */
    disabledState?: string;
    /**
     * 
     * @type {string}
     * @memberof ProtocolScriptVo
     */
    name?: string;
    /**
     * 
     * @type {string}
     * @memberof ProtocolScriptVo
     */
    scriptData?: string;
    /**
     * 
     * @type {string}
     * @memberof ProtocolScriptVo
     */
    source?: string;
}

/**
 * 
 * @export
 * @interface ProxyConfigPojo
 */
export interface ProxyConfigPojo {
    /**
     * 创建时间
     * @type {Date}
     * @memberof ProxyConfigPojo
     */
    createdTime?: Date;
    /**
     * 是否启用(0: 禁用, 1:启用)
     * @type {number}
     * @memberof ProxyConfigPojo
     */
    enabled?: number;
    /**
     * 代理配置Id
     * @type {string}
     * @memberof ProxyConfigPojo
     */
    id?: string;
    /**
     * 模块Id：sys-mncloud: 业务平台; sys-super: super平台; sys-wxapp: APP/微信小程序; 其它自定义模块Id
     * @type {string}
     * @memberof ProxyConfigPojo
     */
    moduleId?: string;
    /**
     * 代理名称
     * @type {string}
     * @memberof ProxyConfigPojo
     */
    name?: string;
    /**
     * 对外输出路径
     * @type {string}
     * @memberof ProxyConfigPojo
     */
    outputPath?: string;
    /**
     * 代理类型(1: 静态资源, 2: 反向代理)
     * @type {number}
     * @memberof ProxyConfigPojo
     */
    proxyType?: number;
    /**
     * 备注
     * @type {string}
     * @memberof ProxyConfigPojo
     */
    remark?: string;
    /**
     * 源路径
     * @type {string}
     * @memberof ProxyConfigPojo
     */
    sourcePath?: string;
    /**
     * 类型(1: 平台内部映射, 2: 自定义模块映射)
     * @type {number}
     * @memberof ProxyConfigPojo
     */
    type?: number;
    /**
     * 更新时间
     * @type {Date}
     * @memberof ProxyConfigPojo
     */
    updatedTime?: Date;
}

/**
 * 绑定微信
 * @export
 * @interface PublicUserForm
 */
export interface PublicUserForm {
    /**
     * 
     * @type {string}
     * @memberof PublicUserForm
     */
    openId?: string;
    /**
     * 
     * @type {string}
     * @memberof PublicUserForm
     */
    userId?: string;
}

/**
 * 
 * @export
 * @interface QueryAuthPackageParam
 */
export interface QueryAuthPackageParam {
    /**
     * 当前页
     * @type {number}
     * @memberof QueryAuthPackageParam
     */
    currentPage: number;
    /**
     * 关键字
     * @type {string}
     * @memberof QueryAuthPackageParam
     */
    keyword?: string;
    /**
     * 每页大小
     * @type {number}
     * @memberof QueryAuthPackageParam
     */
    pageSize: number;
}

/**
 * 条件存储历史数据查询Param
 * @export
 * @interface QueryConditionHistoryParam
 */
export interface QueryConditionHistoryParam {
    /**
     * 条件存储id
     * @type {string}
     * @memberof QueryConditionHistoryParam
     */
    conditionStorageId: string;
    /**
     * 结束时间
     * @type {string}
     * @memberof QueryConditionHistoryParam
     */
    endTime: string;
    /**
     * 开始时间
     * @type {string}
     * @memberof QueryConditionHistoryParam
     */
    startTime: string;
}

/**
 * 
 * @export
 * @interface QueryDeviceListParam
 */
export interface QueryDeviceListParam {
    /**
     * 项目或模板id的数组
     * @type {Array<string>}
     * @memberof QueryDeviceListParam
     */
    resourceIds: Array<string>;
    /**
     * 查询类型,project:项目的device列表，template:模板的device列表
     * @type {string}
     * @memberof QueryDeviceListParam
     */
    resourceType: string;
}

/**
 * 历史数据查询
 * @export
 * @interface QueryHistoryCurveForm
 */
export interface QueryHistoryCurveForm {
    /**
     * 结束时间
     * @type {string}
     * @memberof QueryHistoryCurveForm
     */
    endTime: string;
    /**
     * 条件存储查询->条件存储id|导出曲线数据->收藏组id 与resourceType对应
     * @type {string}
     * @memberof QueryHistoryCurveForm
     */
    resourceId?: string;
    /**
     * 导出曲线数据->变量来源  传入[variantFavorite，condition]
     * @type {string}
     * @memberof QueryHistoryCurveForm
     */
    resourceType: string;
    /**
     * 开始时间
     * @type {string}
     * @memberof QueryHistoryCurveForm
     */
    startTime: string;
}

/**
 * 
 * @export
 * @interface QueryPlcListParam
 */
export interface QueryPlcListParam {
    /**
     * 项目或模板id的数组
     * @type {Array<string>}
     * @memberof QueryPlcListParam
     */
    resourceIds: Array<string>;
    /**
     * 查询类型,project:项目的device列表，template:模板的device列表
     * @type {string}
     * @memberof QueryPlcListParam
     */
    resourceType: string;
}

/**
 * 
 * @export
 * @interface QueryProjectListParam
 */
export interface QueryProjectListParam {
    /**
     * 报警状态：0未报警，1报警
     * @type {string}
     * @memberof QueryProjectListParam
     */
    alarmStatus?: string;
    /**
     * 地区搜索，格式:   省、 省:市、 省:市:区
     * @type {string}
     * @memberof QueryProjectListParam
     */
    area?: string;
    /**
     * 是否都绑定序列号：0未绑定，1已绑定
     * @type {string}
     * @memberof QueryProjectListParam
     */
    bindSerialNumber?: string;
    /**
     * 客户id
     * @type {string}
     * @memberof QueryProjectListParam
     */
    clientId?: string;
    /**
     * 关键字:客户名称模糊搜索
     * @type {string}
     * @memberof QueryProjectListParam
     */
    clientKeyword?: string;
    /**
     * 项目关注状态：0未关注，1关注
     * @type {string}
     * @memberof QueryProjectListParam
     */
    isAttention?: string;
    /**
     * 关键字:搜索项目名称
     * @type {string}
     * @memberof QueryProjectListParam
     */
    keyword?: string;
    /**
     * 项目在线状态：0离线，1在线
     * @type {string}
     * @memberof QueryProjectListParam
     */
    onlineStatus?: string;
    /**
     * 权限组id
     * @type {string}
     * @memberof QueryProjectListParam
     */
    permissionGroupId?: string;
    /**
     * plc链接状态：0连接失败，1连接成功
     * @type {string}
     * @memberof QueryProjectListParam
     */
    plcConnectionStatus?: string;
    /**
     * 项目类型0：自由项目，1模板项目
     * @type {string}
     * @memberof QueryProjectListParam
     */
    projectType?: string;
    /**
     * 属性id
     * @type {string}
     * @memberof QueryProjectListParam
     */
    propertiesId?: string;
    /**
     * 属性值id
     * @type {string}
     * @memberof QueryProjectListParam
     */
    propertiesValueId?: string;
    /**
     * 关键字:设备序列号模糊搜索
     * @type {string}
     * @memberof QueryProjectListParam
     */
    serialNumberKeyword?: string;
    /**
     * 模板id
     * @type {string}
     * @memberof QueryProjectListParam
     */
    templateId?: string;
}

/**
 * 
 * @export
 * @interface QueryProjectParam
 */
export interface QueryProjectParam {
    /**
     * 报警状态：0未报警，1报警
     * @type {string}
     * @memberof QueryProjectParam
     */
    alarmStatus?: string;
    /**
     * 地区搜索，格式:   省、 省:市、 省:市:区
     * @type {string}
     * @memberof QueryProjectParam
     */
    area?: string;
    /**
     * 是否都绑定序列号：0未绑定，1已绑定
     * @type {string}
     * @memberof QueryProjectParam
     */
    bindSerialNumber?: string;
    /**
     * 项目看板Id
     * @type {string}
     * @memberof QueryProjectParam
     */
    boardId: string;
    /**
     * 客户id
     * @type {string}
     * @memberof QueryProjectParam
     */
    clientId?: string;
    /**
     * 项目关注状态：0未关注，1关注
     * @type {string}
     * @memberof QueryProjectParam
     */
    isAttention?: string;
    /**
     * 关键字:搜索项目名称/设备序列号/客户名称 
     * @type {string}
     * @memberof QueryProjectParam
     */
    keyword?: string;
    /**
     * 项目在线状态：0离线，1在线
     * @type {string}
     * @memberof QueryProjectParam
     */
    onlineStatus?: string;
    /**
     * 权限组id
     * @type {string}
     * @memberof QueryProjectParam
     */
    permissionGroupId?: string;
    /**
     * plc链接状态：0连接失败，1连接成功
     * @type {string}
     * @memberof QueryProjectParam
     */
    plcConnectionStatus?: string;
    /**
     * 项目类型0：自由项目，1模板项目
     * @type {string}
     * @memberof QueryProjectParam
     */
    projectType?: string;
    /**
     * 属性id
     * @type {string}
     * @memberof QueryProjectParam
     */
    propertiesId?: string;
    /**
     * 属性值id
     * @type {string}
     * @memberof QueryProjectParam
     */
    propertiesValue?: string;
    /**
     * 是否是本企业的项目0：自由项目，1：被授权项目
     * @type {string}
     * @memberof QueryProjectParam
     */
    relType?: string;
    /**
     * 模板id
     * @type {string}
     * @memberof QueryProjectParam
     */
    templateId?: string;
}

/**
 * 查询第三方报警列表
 * @export
 * @interface QueryThirdAlarmListForm
 */
export interface QueryThirdAlarmListForm {
    /**
     * 当前页码
     * @type {number}
     * @memberof QueryThirdAlarmListForm
     */
    currentPage?: number;
    /**
     * 单页大小
     * @type {number}
     * @memberof QueryThirdAlarmListForm
     */
    pageSize?: number;
    /**
     * 第三方设备ID
     * @type {string}
     * @memberof QueryThirdAlarmListForm
     */
    thirdDeviceId?: string;
}

/**
 * 第三方设备变量分组的form
 * @export
 * @interface QueryThirdVaribleListForm
 */
export interface QueryThirdVaribleListForm {
    /**
     * 当前页码
     * @type {number}
     * @memberof QueryThirdVaribleListForm
     */
    currentPage?: number;
    /**
     * 变量分组id
     * @type {string}
     * @memberof QueryThirdVaribleListForm
     */
    groupId?: string;
    /**
     * 单页大小
     * @type {number}
     * @memberof QueryThirdVaribleListForm
     */
    pageSize?: number;
    /**
     * 第三方设备ID
     * @type {string}
     * @memberof QueryThirdVaribleListForm
     */
    thirdDeviceId?: string;
}

/**
 * 查询变量分组数据Param
 * @export
 * @interface QueryVariantGroupParam
 */
export interface QueryVariantGroupParam {
    /**
     * 资源id
     * @type {string}
     * @memberof QueryVariantGroupParam
     */
    resourceId: string;
    /**
     * 指定资源id的类型。可选[project,template]
     * @type {string}
     * @memberof QueryVariantGroupParam
     */
    resourceType: string;
}

/**
 * 查询变量历史数据Param
 * @export
 * @interface QueryVariantHistoryParam
 */
export interface QueryVariantHistoryParam {
    /**
     * 结束时间
     * @type {string}
     * @memberof QueryVariantHistoryParam
     */
    endTime: string;
    /**
     * 开始时间
     * @type {string}
     * @memberof QueryVariantHistoryParam
     */
    startTime: string;
    /**
     * 变量集合 格式[deviceId:variantId,...]
     * @type {Array<string>}
     * @memberof QueryVariantHistoryParam
     */
    variantList: Array<string>;
}

/**
 * 查询变量 指标参数类
 * @export
 * @interface QueryVariantIndexParam
 */
export interface QueryVariantIndexParam {
    /**
     * 设备Id
     * @type {string}
     * @memberof QueryVariantIndexParam
     */
    deviceId: string;
    /**
     * 模板/项目Id
     * @type {string}
     * @memberof QueryVariantIndexParam
     */
    resourceId: string;
    /**
     * project/template
     * @type {string}
     * @memberof QueryVariantIndexParam
     */
    resourceType: string;
    /**
     * 变量Id
     * @type {number}
     * @memberof QueryVariantIndexParam
     */
    variantId: number;
}

/**
 * 查询变量信息
 * @export
 * @interface QueryVariantParam
 */
export interface QueryVariantParam {
    /**
     * 当前页
     * @type {number}
     * @memberof QueryVariantParam
     */
    currentPage: number;
    /**
     * 只返回存在 条件储存关联关系的 变量
     * @type {boolean}
     * @memberof QueryVariantParam
     */
    isStorageStored?: boolean;
    /**
     * 返回存在 储存的变量
     * @type {boolean}
     * @memberof QueryVariantParam
     */
    isStored?: boolean;
    /**
     * 模糊搜索变量id/名称
     * @type {string}
     * @memberof QueryVariantParam
     */
    keyword?: string;
    /**
     * 分页大小
     * @type {number}
     * @memberof QueryVariantParam
     */
    pageSize: number;
    /**
     * 资源id列表,由resourceType指定类型
     * @type {Array<string>}
     * @memberof QueryVariantParam
     */
    resourceIds: Array<string>;
    /**
     * 资源类型，可选【project=‘项目’,template=‘模板’,device=‘设备’,variantFavorite=‘变量组’,condition=‘条件储存’,variantTag=‘变量标签’】
     * @type {string}
     * @memberof QueryVariantParam
     */
    resourceType: string;
    /**
     * 类型 可传值：[0,1,2,3]对应【0.不存储，1.周期存储（需要制定saveValue周期时间）,2.变化存储，3.条件存储】
     * @type {string}
     * @memberof QueryVariantParam
     */
    saveType?: string;
    /**
     * 值，在saveType指定为1时需要指定savaValue
     * @type {string}
     * @memberof QueryVariantParam
     */
    saveValue?: string;
    /**
     * 变量分组id
     * @type {Array<string>}
     * @memberof QueryVariantParam
     */
    variantGroupIds?: Array<string>;
    /**
     * 控制等级
     * @type {string}
     * @memberof QueryVariantParam
     */
    variantLevel?: string;
    /**
     * 可读/读写
     * @type {string}
     * @memberof QueryVariantParam
     */
    writeable?: string;
}

/**
 * 
 * @export
 * @interface RealTimeAlarmVo
 */
export interface RealTimeAlarmVo {
    /**
     * 报警详情
     * @type {string}
     * @memberof RealTimeAlarmVo
     */
    alarmDetail?: string;
    /**
     * 报警配置id
     * @type {string}
     * @memberof RealTimeAlarmVo
     */
    alarmId?: string;
    /**
     * 报警详情0：一般，1：重要，2：紧急
     * @type {string}
     * @memberof RealTimeAlarmVo
     */
    alarmLevel?: string;
    /**
     * 报警备注
     * @type {string}
     * @memberof RealTimeAlarmVo
     */
    alarmRemark?: string;
    /**
     * 报警时间
     * @type {Date}
     * @memberof RealTimeAlarmVo
     */
    alarmTime?: Date;
    /**
     * 确认类型 0: 手动确认, 1: 恢复后自动确认, 2: 恢复后手动确认
     * @type {string}
     * @memberof RealTimeAlarmVo
     */
    confirmType?: string;
    /**
     * 虚拟设置id
     * @type {string}
     * @memberof RealTimeAlarmVo
     */
    deviceId?: string;
    /**
     * 采集器名称
     * @type {string}
     * @memberof RealTimeAlarmVo
     */
    deviceName?: string;
    /**
     * 报警id
     * @type {string}
     * @memberof RealTimeAlarmVo
     */
    id?: string;
    /**
     * 项目名称
     * @type {string}
     * @memberof RealTimeAlarmVo
     */
    projectName?: string;
    /**
     * 恢复确认类型 0: 未恢复, 1: 已恢复
     * @type {string}
     * @memberof RealTimeAlarmVo
     */
    restore?: string;
}

/**
 * 审批企业Form
 * @export
 * @interface RegisterAuditForm
 */
export interface RegisterAuditForm {
    /**
     * 注册企业id
     * @type {string}
     * @memberof RegisterAuditForm
     */
    id: string;
    /**
     * 备注
     * @type {string}
     * @memberof RegisterAuditForm
     */
    remark?: string;
    /**
     * 状态（0：未处理，1：已通过，2：未通过）
     * @type {string}
     * @memberof RegisterAuditForm
     */
    status: string;
}

/**
 * 注册公司表单信息
 * @export
 * @interface RegisterCompanyForm
 */
export interface RegisterCompanyForm {
    /**
     * 公司名称
     * @type {string}
     * @memberof RegisterCompanyForm
     */
    companyName: string;
    /**
     * 邮箱地址
     * @type {string}
     * @memberof RegisterCompanyForm
     */
    email?: string;
    /**
     * 标识 0:普通注册 1:客户管理注册企业 2:super添加企业
     * @type {number}
     * @memberof RegisterCompanyForm
     */
    flag?: number;
    /**
     * 用户昵称
     * @type {string}
     * @memberof RegisterCompanyForm
     */
    nickname?: string;
    /**
     * 密码
     * @type {string}
     * @memberof RegisterCompanyForm
     */
    password: string;
    /**
     * 手机号
     * @type {string}
     * @memberof RegisterCompanyForm
     */
    phone: string;
    /**
     * 手机验证码
     * @type {string}
     * @memberof RegisterCompanyForm
     */
    phoneCode: string;
    /**
     * 备注
     * @type {string}
     * @memberof RegisterCompanyForm
     */
    remark?: string;
    /**
     * 账号
     * @type {string}
     * @memberof RegisterCompanyForm
     */
    username: string;
}

/**
 * 注册企业Vo
 * @export
 * @interface RegisterCompanyVo
 */
export interface RegisterCompanyVo {
    /**
     * 企业名称
     * @type {string}
     * @memberof RegisterCompanyVo
     */
    companyName?: string;
    /**
     * 创建时间
     * @type {Date}
     * @memberof RegisterCompanyVo
     */
    createdTime?: Date;
    /**
     * 邮箱
     * @type {string}
     * @memberof RegisterCompanyVo
     */
    email?: string;
    /**
     * 企业id
     * @type {string}
     * @memberof RegisterCompanyVo
     */
    id?: string;
    /**
     * 用户名
     * @type {string}
     * @memberof RegisterCompanyVo
     */
    nickname?: string;
    /**
     * 手机号
     * @type {string}
     * @memberof RegisterCompanyVo
     */
    phone?: string;
    /**
     * 备注
     * @type {string}
     * @memberof RegisterCompanyVo
     */
    remark?: string;
    /**
     * 状态（0：未处理，1：已通过，2：未通过）
     * @type {string}
     * @memberof RegisterCompanyVo
     */
    status?: string;
    /**
     * 修改时间
     * @type {Date}
     * @memberof RegisterCompanyVo
     */
    updatedTime?: Date;
    /**
     * 账号
     * @type {string}
     * @memberof RegisterCompanyVo
     */
    username?: string;
}

/**
 * 推送规则
 * @export
 * @interface Regulation
 */
export interface Regulation {
    /**
     * 企业Id
     * @type {string}
     * @memberof Regulation
     */
    companyId?: string;
    /**
     * 规则创建时间
     * @type {Date}
     * @memberof Regulation
     */
    createdTime?: Date;
    /**
     * 规则ID
     * @type {string}
     * @memberof Regulation
     */
    id?: string;
    /**
     * 规则名称
     * @type {string}
     * @memberof Regulation
     */
    name?: string;
    /**
     * 规则创建时间
     * @type {Date}
     * @memberof Regulation
     */
    time?: Date;
    /**
     * 
     * @type {Date}
     * @memberof Regulation
     */
    updatedTime?: Date;
}

/**
 * 推送规则分组
 * @export
 * @interface RegulationAlarmGroupVo
 */
export interface RegulationAlarmGroupVo {
    /**
     * 位置
     * @type {number}
     * @memberof RegulationAlarmGroupVo
     */
    index?: number;
    /**
     * 状态
     * @type {boolean}
     * @memberof RegulationAlarmGroupVo
     */
    status?: boolean;
}

/**
 * 推送规则Form
 * @export
 * @interface RegulationForm
 */
export interface RegulationForm {
    /**
     * 规则ID,修改时required
     * @type {string}
     * @memberof RegulationForm
     */
    id?: string;
    /**
     * 规则名称
     * @type {string}
     * @memberof RegulationForm
     */
    name: string;
    /**
     * 规则类型0表示新增，1表示修改
     * @type {string}
     * @memberof RegulationForm
     */
    type: string;
}

/**
 * 查询推送规则的分组设置
 * @export
 * @interface RegulationMessageGroupForm
 */
export interface RegulationMessageGroupForm {
    /**
     * 标识
     * @type {boolean}
     * @memberof RegulationMessageGroupForm
     */
    flag: boolean;
    /**
     * index
     * @type {number}
     * @memberof RegulationMessageGroupForm
     */
    index: number;
    /**
     * 推送id
     * @type {string}
     * @memberof RegulationMessageGroupForm
     */
    regulationId: string;
}

/**
 * 推送规则与角色关联关系Vo
 * @export
 * @interface RegulationRoleVo
 */
export interface RegulationRoleVo {
    /**
     * 角色名称
     * @type {string}
     * @memberof RegulationRoleVo
     */
    name?: string;
    /**
     * 推送规则id
     * @type {string}
     * @memberof RegulationRoleVo
     */
    regulationId?: string;
    /**
     * 角色id
     * @type {string}
     * @memberof RegulationRoleVo
     */
    roleId?: string;
    /**
     * 角色类型 0系统角色  1项目角色
     * @type {string}
     * @memberof RegulationRoleVo
     */
    roleType?: string;
}

/**
 * 推送消息类型
 * @export
 * @interface RegulationTypeVo
 */
export interface RegulationTypeVo {
    /**
     * 推送管理标识
     * @type {boolean}
     * @memberof RegulationTypeVo
     */
    flag?: boolean;
    /**
     * 消息类型id
     * @type {string}
     * @memberof RegulationTypeVo
     */
    messageTypeId?: string;
    /**
     * 消息类型名称
     * @type {string}
     * @memberof RegulationTypeVo
     */
    name?: string;
    /**
     * 消息推送方式
     * @type {string}
     * @memberof RegulationTypeVo
     */
    pushway?: string;
    /**
     * 消息主题
     * @type {string}
     * @memberof RegulationTypeVo
     */
    subject?: string;
}

/**
 * 
 * @export
 * @interface ReportBoardVo
 */
export interface ReportBoardVo {
    /**
     * 报表看板id
     * @type {string}
     * @memberof ReportBoardVo
     */
    id?: string;
    /**
     * 报表看板名称
     * @type {string}
     * @memberof ReportBoardVo
     */
    name?: string;
    /**
     * 报表看板运行url
     * @type {string}
     * @memberof ReportBoardVo
     */
    url?: string;
}

/**
 * 重置个人客户密码
 * @export
 * @interface ResetClientPasswordForm
 */
export interface ResetClientPasswordForm {
    /**
     * 客户ID
     * @type {string}
     * @memberof ResetClientPasswordForm
     */
    clientId?: string;
    /**
     * 图形验证码
     * @type {string}
     * @memberof ResetClientPasswordForm
     */
    code?: string;
    /**
     * 图形验证码设备ID
     * @type {string}
     * @memberof ResetClientPasswordForm
     */
    deviceId?: string;
}

/**
 * 重置用户密码Form
 * @export
 * @interface ResetPasswordForm
 */
export interface ResetPasswordForm {
    /**
     * 图形验证码
     * @type {string}
     * @memberof ResetPasswordForm
     */
    code?: string;
    /**
     * 图形验证码设备ID
     * @type {string}
     * @memberof ResetPasswordForm
     */
    deviceId?: string;
    /**
     * 手机验证码
     * @type {string}
     * @memberof ResetPasswordForm
     */
    phoneCode?: string;
    /**
     * 用户ID
     * @type {string}
     * @memberof ResetPasswordForm
     */
    userId?: string;
}

/**
 * 
 * @export
 * @interface ResourceLimitAlarmThreshold
 */
export interface ResourceLimitAlarmThreshold {
    /**
     * 企业id
     * @type {string}
     * @memberof ResourceLimitAlarmThreshold
     */
    companyId?: string;
    /**
     * 额度阈值的开启状态 关闭0，开启 1
     * @type {string}
     * @memberof ResourceLimitAlarmThreshold
     */
    limitThreshold?: string;
    /**
     * 额度阈值比列10-90
     * @type {number}
     * @memberof ResourceLimitAlarmThreshold
     */
    limitThresholdSize?: number;
    /**
     * 
     * @type {Date}
     * @memberof ResourceLimitAlarmThreshold
     */
    updatedTime?: Date;
}

/**
 * 
 * @export
 * @interface ResourceLimitAlarmThresholdParam
 */
export interface ResourceLimitAlarmThresholdParam {
    /**
     * 企业id
     * @type {string}
     * @memberof ResourceLimitAlarmThresholdParam
     */
    companyId?: string;
    /**
     * 额度阈值的开启状态 关闭0，开启 1
     * @type {string}
     * @memberof ResourceLimitAlarmThresholdParam
     */
    limitThreshold?: string;
    /**
     * 额度阈值比列10-90
     * @type {number}
     * @memberof ResourceLimitAlarmThresholdParam
     */
    limitThresholdSize?: number;
}

/**
 * 
 * @export
 * @interface Result
 */
export interface Result {
    /**
     * 
     * @type {string}
     * @memberof Result
     */
    code?: string;
    /**
     * 
     * @type {any}
     * @memberof Result
     */
    data?: any;
    /**
     * 
     * @type {string}
     * @memberof Result
     */
    msg?: string;
    /**
     * 
     * @type {Date}
     * @memberof Result
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultAddProjectInfoForm
 */
export interface ResultAddProjectInfoForm {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultAddProjectInfoForm
     */
    code?: string;
    /**
     * 响应数据
     * @type {AddProjectInfoForm}
     * @memberof ResultAddProjectInfoForm
     */
    data?: AddProjectInfoForm;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultAddProjectInfoForm
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultAddProjectInfoForm
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultAlarmConfig
 */
export interface ResultAlarmConfig {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultAlarmConfig
     */
    code?: string;
    /**
     * 响应数据
     * @type {AlarmConfig}
     * @memberof ResultAlarmConfig
     */
    data?: AlarmConfig;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultAlarmConfig
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultAlarmConfig
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultArea
 */
export interface ResultArea {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultArea
     */
    code?: string;
    /**
     * 响应数据
     * @type {Area}
     * @memberof ResultArea
     */
    data?: Area;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultArea
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultArea
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultCompany
 */
export interface ResultCompany {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultCompany
     */
    code?: string;
    /**
     * 响应数据
     * @type {Company}
     * @memberof ResultCompany
     */
    data?: Company;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultCompany
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultCompany
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultCompanyAuthInfo
 */
export interface ResultCompanyAuthInfo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultCompanyAuthInfo
     */
    code?: string;
    /**
     * 响应数据
     * @type {CompanyAuthInfo}
     * @memberof ResultCompanyAuthInfo
     */
    data?: CompanyAuthInfo;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultCompanyAuthInfo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultCompanyAuthInfo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultCompanyProjectRel
 */
export interface ResultCompanyProjectRel {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultCompanyProjectRel
     */
    code?: string;
    /**
     * 响应数据
     * @type {CompanyProjectRel}
     * @memberof ResultCompanyProjectRel
     */
    data?: CompanyProjectRel;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultCompanyProjectRel
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultCompanyProjectRel
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultDataDictionary
 */
export interface ResultDataDictionary {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultDataDictionary
     */
    code?: string;
    /**
     * 响应数据
     * @type {DataDictionary}
     * @memberof ResultDataDictionary
     */
    data?: DataDictionary;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultDataDictionary
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultDataDictionary
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultDataPushRule
 */
export interface ResultDataPushRule {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultDataPushRule
     */
    code?: string;
    /**
     * 响应数据
     * @type {DataPushRule}
     * @memberof ResultDataPushRule
     */
    data?: DataPushRule;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultDataPushRule
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultDataPushRule
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultDeviceAuthConfig
 */
export interface ResultDeviceAuthConfig {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultDeviceAuthConfig
     */
    code?: string;
    /**
     * 响应数据
     * @type {DeviceAuthConfig}
     * @memberof ResultDeviceAuthConfig
     */
    data?: DeviceAuthConfig;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultDeviceAuthConfig
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultDeviceAuthConfig
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultDeviceMonitorDeviceDetailVo
 */
export interface ResultDeviceMonitorDeviceDetailVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultDeviceMonitorDeviceDetailVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {DeviceMonitorDeviceDetailVo}
     * @memberof ResultDeviceMonitorDeviceDetailVo
     */
    data?: DeviceMonitorDeviceDetailVo;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultDeviceMonitorDeviceDetailVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultDeviceMonitorDeviceDetailVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultIPageAuthLog
 */
export interface ResultIPageAuthLog {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultIPageAuthLog
     */
    code?: string;
    /**
     * 响应数据
     * @type {IPageAuthLog}
     * @memberof ResultIPageAuthLog
     */
    data?: IPageAuthLog;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultIPageAuthLog
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultIPageAuthLog
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultIPageAuthPackageVo
 */
export interface ResultIPageAuthPackageVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultIPageAuthPackageVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {IPageAuthPackageVo}
     * @memberof ResultIPageAuthPackageVo
     */
    data?: IPageAuthPackageVo;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultIPageAuthPackageVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultIPageAuthPackageVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultIPageCompanyAuthInfo
 */
export interface ResultIPageCompanyAuthInfo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultIPageCompanyAuthInfo
     */
    code?: string;
    /**
     * 响应数据
     * @type {IPageCompanyAuthInfo}
     * @memberof ResultIPageCompanyAuthInfo
     */
    data?: IPageCompanyAuthInfo;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultIPageCompanyAuthInfo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultIPageCompanyAuthInfo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultIPageCompanyClientVo
 */
export interface ResultIPageCompanyClientVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultIPageCompanyClientVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {IPageCompanyClientVo}
     * @memberof ResultIPageCompanyClientVo
     */
    data?: IPageCompanyClientVo;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultIPageCompanyClientVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultIPageCompanyClientVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultIPageDeviceMonitorVo
 */
export interface ResultIPageDeviceMonitorVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultIPageDeviceMonitorVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {IPageDeviceMonitorVo}
     * @memberof ResultIPageDeviceMonitorVo
     */
    data?: IPageDeviceMonitorVo;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultIPageDeviceMonitorVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultIPageDeviceMonitorVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultIPageHistoryAlarmVo
 */
export interface ResultIPageHistoryAlarmVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultIPageHistoryAlarmVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {IPageHistoryAlarmVo}
     * @memberof ResultIPageHistoryAlarmVo
     */
    data?: IPageHistoryAlarmVo;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultIPageHistoryAlarmVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultIPageHistoryAlarmVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultIPageMessageCenterVo
 */
export interface ResultIPageMessageCenterVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultIPageMessageCenterVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {IPageMessageCenterVo}
     * @memberof ResultIPageMessageCenterVo
     */
    data?: IPageMessageCenterVo;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultIPageMessageCenterVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultIPageMessageCenterVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultIPageMessagePushRecord
 */
export interface ResultIPageMessagePushRecord {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultIPageMessagePushRecord
     */
    code?: string;
    /**
     * 响应数据
     * @type {IPageMessagePushRecord}
     * @memberof ResultIPageMessagePushRecord
     */
    data?: IPageMessagePushRecord;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultIPageMessagePushRecord
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultIPageMessagePushRecord
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultIPagePaymentRecord
 */
export interface ResultIPagePaymentRecord {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultIPagePaymentRecord
     */
    code?: string;
    /**
     * 响应数据
     * @type {IPagePaymentRecord}
     * @memberof ResultIPagePaymentRecord
     */
    data?: IPagePaymentRecord;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultIPagePaymentRecord
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultIPagePaymentRecord
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultIPageRealTimeAlarmVo
 */
export interface ResultIPageRealTimeAlarmVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultIPageRealTimeAlarmVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {IPageRealTimeAlarmVo}
     * @memberof ResultIPageRealTimeAlarmVo
     */
    data?: IPageRealTimeAlarmVo;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultIPageRealTimeAlarmVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultIPageRealTimeAlarmVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultIPageRegisterCompanyVo
 */
export interface ResultIPageRegisterCompanyVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultIPageRegisterCompanyVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {IPageRegisterCompanyVo}
     * @memberof ResultIPageRegisterCompanyVo
     */
    data?: IPageRegisterCompanyVo;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultIPageRegisterCompanyVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultIPageRegisterCompanyVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultIPageSuperCompanyVo
 */
export interface ResultIPageSuperCompanyVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultIPageSuperCompanyVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {IPageSuperCompanyVo}
     * @memberof ResultIPageSuperCompanyVo
     */
    data?: IPageSuperCompanyVo;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultIPageSuperCompanyVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultIPageSuperCompanyVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultIPageSuperProjectVo
 */
export interface ResultIPageSuperProjectVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultIPageSuperProjectVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {IPageSuperProjectVo}
     * @memberof ResultIPageSuperProjectVo
     */
    data?: IPageSuperProjectVo;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultIPageSuperProjectVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultIPageSuperProjectVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultIPageSuperUserVo
 */
export interface ResultIPageSuperUserVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultIPageSuperUserVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {IPageSuperUserVo}
     * @memberof ResultIPageSuperUserVo
     */
    data?: IPageSuperUserVo;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultIPageSuperUserVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultIPageSuperUserVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultIPageSysLogLanguageFormat
 */
export interface ResultIPageSysLogLanguageFormat {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultIPageSysLogLanguageFormat
     */
    code?: string;
    /**
     * 响应数据
     * @type {IPageSysLogLanguageFormat}
     * @memberof ResultIPageSysLogLanguageFormat
     */
    data?: IPageSysLogLanguageFormat;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultIPageSysLogLanguageFormat
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultIPageSysLogLanguageFormat
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultIPageUserLog
 */
export interface ResultIPageUserLog {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultIPageUserLog
     */
    code?: string;
    /**
     * 响应数据
     * @type {IPageUserLog}
     * @memberof ResultIPageUserLog
     */
    data?: IPageUserLog;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultIPageUserLog
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultIPageUserLog
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultIPageVariantDetailedInfoVo
 */
export interface ResultIPageVariantDetailedInfoVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultIPageVariantDetailedInfoVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {IPageVariantDetailedInfoVo}
     * @memberof ResultIPageVariantDetailedInfoVo
     */
    data?: IPageVariantDetailedInfoVo;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultIPageVariantDetailedInfoVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultIPageVariantDetailedInfoVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultInt
 */
export interface ResultInt {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultInt
     */
    code?: string;
    /**
     * 响应数据
     * @type {number}
     * @memberof ResultInt
     */
    data?: number;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultInt
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultInt
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListAlarmAffirmVo
 */
export interface ResultListAlarmAffirmVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListAlarmAffirmVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<AlarmAffirmVo>}
     * @memberof ResultListAlarmAffirmVo
     */
    data?: Array<AlarmAffirmVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListAlarmAffirmVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListAlarmAffirmVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListAlarmConfig
 */
export interface ResultListAlarmConfig {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListAlarmConfig
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<AlarmConfig>}
     * @memberof ResultListAlarmConfig
     */
    data?: Array<AlarmConfig>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListAlarmConfig
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListAlarmConfig
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListAlarmTimeVo
 */
export interface ResultListAlarmTimeVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListAlarmTimeVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<AlarmTimeVo>}
     * @memberof ResultListAlarmTimeVo
     */
    data?: Array<AlarmTimeVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListAlarmTimeVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListAlarmTimeVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListAppMainMenu
 */
export interface ResultListAppMainMenu {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListAppMainMenu
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<AppMainMenu>}
     * @memberof ResultListAppMainMenu
     */
    data?: Array<AppMainMenu>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListAppMainMenu
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListAppMainMenu
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListArea
 */
export interface ResultListArea {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListArea
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<Area>}
     * @memberof ResultListArea
     */
    data?: Array<Area>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListArea
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListArea
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListAttentionStatusVo
 */
export interface ResultListAttentionStatusVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListAttentionStatusVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<AttentionStatusVo>}
     * @memberof ResultListAttentionStatusVo
     */
    data?: Array<AttentionStatusVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListAttentionStatusVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListAttentionStatusVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListAuthPackagePropertiesConfig
 */
export interface ResultListAuthPackagePropertiesConfig {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListAuthPackagePropertiesConfig
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<AuthPackagePropertiesConfig>}
     * @memberof ResultListAuthPackagePropertiesConfig
     */
    data?: Array<AuthPackagePropertiesConfig>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListAuthPackagePropertiesConfig
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListAuthPackagePropertiesConfig
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListBoardAndCategoryTreeVo
 */
export interface ResultListBoardAndCategoryTreeVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListBoardAndCategoryTreeVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<BoardAndCategoryTreeVo>}
     * @memberof ResultListBoardAndCategoryTreeVo
     */
    data?: Array<BoardAndCategoryTreeVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListBoardAndCategoryTreeVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListBoardAndCategoryTreeVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListClientProjectInfoVo
 */
export interface ResultListClientProjectInfoVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListClientProjectInfoVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<ClientProjectInfoVo>}
     * @memberof ResultListClientProjectInfoVo
     */
    data?: Array<ClientProjectInfoVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListClientProjectInfoVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListClientProjectInfoVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListCompanyTreeVo
 */
export interface ResultListCompanyTreeVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListCompanyTreeVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<CompanyTreeVo>}
     * @memberof ResultListCompanyTreeVo
     */
    data?: Array<CompanyTreeVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListCompanyTreeVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListCompanyTreeVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListConditionTagVo
 */
export interface ResultListConditionTagVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListConditionTagVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<ConditionTagVo>}
     * @memberof ResultListConditionTagVo
     */
    data?: Array<ConditionTagVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListConditionTagVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListConditionTagVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListConditionVo
 */
export interface ResultListConditionVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListConditionVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<ConditionVo>}
     * @memberof ResultListConditionVo
     */
    data?: Array<ConditionVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListConditionVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListConditionVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListConfigurationRuntimeUrlVo
 */
export interface ResultListConfigurationRuntimeUrlVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListConfigurationRuntimeUrlVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<ConfigurationRuntimeUrlVo>}
     * @memberof ResultListConfigurationRuntimeUrlVo
     */
    data?: Array<ConfigurationRuntimeUrlVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListConfigurationRuntimeUrlVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListConfigurationRuntimeUrlVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListDataDictionary
 */
export interface ResultListDataDictionary {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListDataDictionary
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<DataDictionary>}
     * @memberof ResultListDataDictionary
     */
    data?: Array<DataDictionary>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListDataDictionary
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListDataDictionary
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListDataPushRuleVo
 */
export interface ResultListDataPushRuleVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListDataPushRuleVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<DataPushRuleVo>}
     * @memberof ResultListDataPushRuleVo
     */
    data?: Array<DataPushRuleVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListDataPushRuleVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListDataPushRuleVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListDepartment
 */
export interface ResultListDepartment {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListDepartment
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<Department>}
     * @memberof ResultListDepartment
     */
    data?: Array<Department>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListDepartment
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListDepartment
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListDeviceInfoVo
 */
export interface ResultListDeviceInfoVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListDeviceInfoVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<DeviceInfoVo>}
     * @memberof ResultListDeviceInfoVo
     */
    data?: Array<DeviceInfoVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListDeviceInfoVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListDeviceInfoVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListDeviceOfflineRecordVo
 */
export interface ResultListDeviceOfflineRecordVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListDeviceOfflineRecordVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<DeviceOfflineRecordVo>}
     * @memberof ResultListDeviceOfflineRecordVo
     */
    data?: Array<DeviceOfflineRecordVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListDeviceOfflineRecordVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListDeviceOfflineRecordVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListDeviceOnlineOfflineRecordVo
 */
export interface ResultListDeviceOnlineOfflineRecordVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListDeviceOnlineOfflineRecordVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<DeviceOnlineOfflineRecordVo>}
     * @memberof ResultListDeviceOnlineOfflineRecordVo
     */
    data?: Array<DeviceOnlineOfflineRecordVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListDeviceOnlineOfflineRecordVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListDeviceOnlineOfflineRecordVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListDeviceOnlineStatisticsVo
 */
export interface ResultListDeviceOnlineStatisticsVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListDeviceOnlineStatisticsVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<DeviceOnlineStatisticsVo>}
     * @memberof ResultListDeviceOnlineStatisticsVo
     */
    data?: Array<DeviceOnlineStatisticsVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListDeviceOnlineStatisticsVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListDeviceOnlineStatisticsVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListDeviceRealTimeDataVo
 */
export interface ResultListDeviceRealTimeDataVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListDeviceRealTimeDataVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<DeviceRealTimeDataVo>}
     * @memberof ResultListDeviceRealTimeDataVo
     */
    data?: Array<DeviceRealTimeDataVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListDeviceRealTimeDataVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListDeviceRealTimeDataVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListDeviceStatusInfoVo
 */
export interface ResultListDeviceStatusInfoVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListDeviceStatusInfoVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<DeviceStatusInfoVo>}
     * @memberof ResultListDeviceStatusInfoVo
     */
    data?: Array<DeviceStatusInfoVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListDeviceStatusInfoVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListDeviceStatusInfoVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListDeviceVo
 */
export interface ResultListDeviceVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListDeviceVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<DeviceVo>}
     * @memberof ResultListDeviceVo
     */
    data?: Array<DeviceVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListDeviceVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListDeviceVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListEventCallbackRel
 */
export interface ResultListEventCallbackRel {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListEventCallbackRel
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<EventCallbackRel>}
     * @memberof ResultListEventCallbackRel
     */
    data?: Array<EventCallbackRel>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListEventCallbackRel
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListEventCallbackRel
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListEventPojo
 */
export interface ResultListEventPojo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListEventPojo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<EventPojo>}
     * @memberof ResultListEventPojo
     */
    data?: Array<EventPojo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListEventPojo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListEventPojo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListForeignAuthorizedRoleVo
 */
export interface ResultListForeignAuthorizedRoleVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListForeignAuthorizedRoleVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<ForeignAuthorizedRoleVo>}
     * @memberof ResultListForeignAuthorizedRoleVo
     */
    data?: Array<ForeignAuthorizedRoleVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListForeignAuthorizedRoleVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListForeignAuthorizedRoleVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListIccidThreshold
 */
export interface ResultListIccidThreshold {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListIccidThreshold
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<IccidThreshold>}
     * @memberof ResultListIccidThreshold
     */
    data?: Array<IccidThreshold>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListIccidThreshold
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListIccidThreshold
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListIccidThresholdInfo
 */
export interface ResultListIccidThresholdInfo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListIccidThresholdInfo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<IccidThresholdInfo>}
     * @memberof ResultListIccidThresholdInfo
     */
    data?: Array<IccidThresholdInfo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListIccidThresholdInfo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListIccidThresholdInfo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListInterface
 */
export interface ResultListInterface {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListInterface
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<ModelInterface>}
     * @memberof ResultListInterface
     */
    data?: Array<ModelInterface>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListInterface
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListInterface
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListLiveVideo
 */
export interface ResultListLiveVideo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListLiveVideo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<LiveVideo>}
     * @memberof ResultListLiveVideo
     */
    data?: Array<LiveVideo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListLiveVideo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListLiveVideo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListMenu
 */
export interface ResultListMenu {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListMenu
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<Menu>}
     * @memberof ResultListMenu
     */
    data?: Array<Menu>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListMenu
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListMenu
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListMenuVo
 */
export interface ResultListMenuVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListMenuVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<MenuVo>}
     * @memberof ResultListMenuVo
     */
    data?: Array<MenuVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListMenuVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListMenuVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListMessageAlarmGroupVo
 */
export interface ResultListMessageAlarmGroupVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListMessageAlarmGroupVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<MessageAlarmGroupVo>}
     * @memberof ResultListMessageAlarmGroupVo
     */
    data?: Array<MessageAlarmGroupVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListMessageAlarmGroupVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListMessageAlarmGroupVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListMessageRecevieVo
 */
export interface ResultListMessageRecevieVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListMessageRecevieVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<MessageRecevieVo>}
     * @memberof ResultListMessageRecevieVo
     */
    data?: Array<MessageRecevieVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListMessageRecevieVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListMessageRecevieVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListModulePojo
 */
export interface ResultListModulePojo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListModulePojo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<ModulePojo>}
     * @memberof ResultListModulePojo
     */
    data?: Array<ModulePojo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListModulePojo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListModulePojo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListPermissionGroup
 */
export interface ResultListPermissionGroup {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListPermissionGroup
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<PermissionGroup>}
     * @memberof ResultListPermissionGroup
     */
    data?: Array<PermissionGroup>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListPermissionGroup
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListPermissionGroup
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListPermissionVo
 */
export interface ResultListPermissionVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListPermissionVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<PermissionVo>}
     * @memberof ResultListPermissionVo
     */
    data?: Array<PermissionVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListPermissionVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListPermissionVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListPlc
 */
export interface ResultListPlc {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListPlc
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<Plc>}
     * @memberof ResultListPlc
     */
    data?: Array<Plc>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListPlc
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListPlc
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListProject
 */
export interface ResultListProject {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListProject
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<Project>}
     * @memberof ResultListProject
     */
    data?: Array<Project>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListProject
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListProject
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListProjectBoardFilterGroupPropertiesValueVo
 */
export interface ResultListProjectBoardFilterGroupPropertiesValueVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListProjectBoardFilterGroupPropertiesValueVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<ProjectBoardFilterGroupPropertiesValueVo>}
     * @memberof ResultListProjectBoardFilterGroupPropertiesValueVo
     */
    data?: Array<ProjectBoardFilterGroupPropertiesValueVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListProjectBoardFilterGroupPropertiesValueVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListProjectBoardFilterGroupPropertiesValueVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListProjectBoardFilterGroupPropertiesVo
 */
export interface ResultListProjectBoardFilterGroupPropertiesVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListProjectBoardFilterGroupPropertiesVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<ProjectBoardFilterGroupPropertiesVo>}
     * @memberof ResultListProjectBoardFilterGroupPropertiesVo
     */
    data?: Array<ProjectBoardFilterGroupPropertiesVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListProjectBoardFilterGroupPropertiesVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListProjectBoardFilterGroupPropertiesVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListProjectBoardFilterGroupVo
 */
export interface ResultListProjectBoardFilterGroupVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListProjectBoardFilterGroupVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<ProjectBoardFilterGroupVo>}
     * @memberof ResultListProjectBoardFilterGroupVo
     */
    data?: Array<ProjectBoardFilterGroupVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListProjectBoardFilterGroupVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListProjectBoardFilterGroupVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListProjectBoardFilterPropertiesTypeValue
 */
export interface ResultListProjectBoardFilterPropertiesTypeValue {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListProjectBoardFilterPropertiesTypeValue
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<ProjectBoardFilterPropertiesTypeValue>}
     * @memberof ResultListProjectBoardFilterPropertiesTypeValue
     */
    data?: Array<ProjectBoardFilterPropertiesTypeValue>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListProjectBoardFilterPropertiesTypeValue
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListProjectBoardFilterPropertiesTypeValue
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListProjectBoardGroupNodeVo
 */
export interface ResultListProjectBoardGroupNodeVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListProjectBoardGroupNodeVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<ProjectBoardGroupNodeVo>}
     * @memberof ResultListProjectBoardGroupNodeVo
     */
    data?: Array<ProjectBoardGroupNodeVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListProjectBoardGroupNodeVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListProjectBoardGroupNodeVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListProjectBoardGroupRelevanceVo
 */
export interface ResultListProjectBoardGroupRelevanceVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListProjectBoardGroupRelevanceVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<ProjectBoardGroupRelevanceVo>}
     * @memberof ResultListProjectBoardGroupRelevanceVo
     */
    data?: Array<ProjectBoardGroupRelevanceVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListProjectBoardGroupRelevanceVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListProjectBoardGroupRelevanceVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListProjectBoardTreeNodeVo
 */
export interface ResultListProjectBoardTreeNodeVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListProjectBoardTreeNodeVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<ProjectBoardTreeNodeVo>}
     * @memberof ResultListProjectBoardTreeNodeVo
     */
    data?: Array<ProjectBoardTreeNodeVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListProjectBoardTreeNodeVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListProjectBoardTreeNodeVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListProjectBoardVo
 */
export interface ResultListProjectBoardVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListProjectBoardVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<ProjectBoardVo>}
     * @memberof ResultListProjectBoardVo
     */
    data?: Array<ProjectBoardVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListProjectBoardVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListProjectBoardVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListProjectInfo
 */
export interface ResultListProjectInfo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListProjectInfo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<ProjectInfo>}
     * @memberof ResultListProjectInfo
     */
    data?: Array<ProjectInfo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListProjectInfo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListProjectInfo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListProjectPropertiesActionVo
 */
export interface ResultListProjectPropertiesActionVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListProjectPropertiesActionVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<ProjectPropertiesActionVo>}
     * @memberof ResultListProjectPropertiesActionVo
     */
    data?: Array<ProjectPropertiesActionVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListProjectPropertiesActionVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListProjectPropertiesActionVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListProjectPropertiesValueVo
 */
export interface ResultListProjectPropertiesValueVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListProjectPropertiesValueVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<ProjectPropertiesValueVo>}
     * @memberof ResultListProjectPropertiesValueVo
     */
    data?: Array<ProjectPropertiesValueVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListProjectPropertiesValueVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListProjectPropertiesValueVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListProjectPropertiesVo
 */
export interface ResultListProjectPropertiesVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListProjectPropertiesVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<ProjectPropertiesVo>}
     * @memberof ResultListProjectPropertiesVo
     */
    data?: Array<ProjectPropertiesVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListProjectPropertiesVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListProjectPropertiesVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListProjectStatistics
 */
export interface ResultListProjectStatistics {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListProjectStatistics
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<ProjectStatistics>}
     * @memberof ResultListProjectStatistics
     */
    data?: Array<ProjectStatistics>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListProjectStatistics
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListProjectStatistics
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListProjectStatus
 */
export interface ResultListProjectStatus {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListProjectStatus
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<ProjectStatus>}
     * @memberof ResultListProjectStatus
     */
    data?: Array<ProjectStatus>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListProjectStatus
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListProjectStatus
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListProjectVo
 */
export interface ResultListProjectVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListProjectVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<ProjectVo>}
     * @memberof ResultListProjectVo
     */
    data?: Array<ProjectVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListProjectVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListProjectVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListPropertiesBoardTreeConditionVo
 */
export interface ResultListPropertiesBoardTreeConditionVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListPropertiesBoardTreeConditionVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<PropertiesBoardTreeConditionVo>}
     * @memberof ResultListPropertiesBoardTreeConditionVo
     */
    data?: Array<PropertiesBoardTreeConditionVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListPropertiesBoardTreeConditionVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListPropertiesBoardTreeConditionVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListPropertiesEnumVo
 */
export interface ResultListPropertiesEnumVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListPropertiesEnumVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<PropertiesEnumVo>}
     * @memberof ResultListPropertiesEnumVo
     */
    data?: Array<PropertiesEnumVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListPropertiesEnumVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListPropertiesEnumVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListPropertiesValueVo
 */
export interface ResultListPropertiesValueVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListPropertiesValueVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<PropertiesValueVo>}
     * @memberof ResultListPropertiesValueVo
     */
    data?: Array<PropertiesValueVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListPropertiesValueVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListPropertiesValueVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListProtocol
 */
export interface ResultListProtocol {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListProtocol
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<Protocol>}
     * @memberof ResultListProtocol
     */
    data?: Array<Protocol>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListProtocol
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListProtocol
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListProtocolAction
 */
export interface ResultListProtocolAction {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListProtocolAction
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<ProtocolAction>}
     * @memberof ResultListProtocolAction
     */
    data?: Array<ProtocolAction>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListProtocolAction
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListProtocolAction
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListProxyConfigPojo
 */
export interface ResultListProxyConfigPojo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListProxyConfigPojo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<ProxyConfigPojo>}
     * @memberof ResultListProxyConfigPojo
     */
    data?: Array<ProxyConfigPojo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListProxyConfigPojo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListProxyConfigPojo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListRegulation
 */
export interface ResultListRegulation {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListRegulation
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<Regulation>}
     * @memberof ResultListRegulation
     */
    data?: Array<Regulation>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListRegulation
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListRegulation
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListRegulationRoleVo
 */
export interface ResultListRegulationRoleVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListRegulationRoleVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<RegulationRoleVo>}
     * @memberof ResultListRegulationRoleVo
     */
    data?: Array<RegulationRoleVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListRegulationRoleVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListRegulationRoleVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListRegulationTypeVo
 */
export interface ResultListRegulationTypeVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListRegulationTypeVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<RegulationTypeVo>}
     * @memberof ResultListRegulationTypeVo
     */
    data?: Array<RegulationTypeVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListRegulationTypeVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListRegulationTypeVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListReportBoardVo
 */
export interface ResultListReportBoardVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListReportBoardVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<ReportBoardVo>}
     * @memberof ResultListReportBoardVo
     */
    data?: Array<ReportBoardVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListReportBoardVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListReportBoardVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListRole
 */
export interface ResultListRole {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListRole
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<Role>}
     * @memberof ResultListRole
     */
    data?: Array<Role>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListRole
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListRole
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListSim
 */
export interface ResultListSim {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListSim
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<Sim>}
     * @memberof ResultListSim
     */
    data?: Array<Sim>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListSim
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListSim
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListSimulateAlarmRule
 */
export interface ResultListSimulateAlarmRule {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListSimulateAlarmRule
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<SimulateAlarmRule>}
     * @memberof ResultListSimulateAlarmRule
     */
    data?: Array<SimulateAlarmRule>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListSimulateAlarmRule
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListSimulateAlarmRule
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListSimulateRule
 */
export interface ResultListSimulateRule {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListSimulateRule
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<SimulateRule>}
     * @memberof ResultListSimulateRule
     */
    data?: Array<SimulateRule>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListSimulateRule
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListSimulateRule
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListSimulateRuleSnRel
 */
export interface ResultListSimulateRuleSnRel {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListSimulateRuleSnRel
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<SimulateRuleSnRel>}
     * @memberof ResultListSimulateRuleSnRel
     */
    data?: Array<SimulateRuleSnRel>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListSimulateRuleSnRel
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListSimulateRuleSnRel
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListSimulateVariantConfig
 */
export interface ResultListSimulateVariantConfig {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListSimulateVariantConfig
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<SimulateVariantConfig>}
     * @memberof ResultListSimulateVariantConfig
     */
    data?: Array<SimulateVariantConfig>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListSimulateVariantConfig
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListSimulateVariantConfig
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListSmsPackage
 */
export interface ResultListSmsPackage {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListSmsPackage
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<SmsPackage>}
     * @memberof ResultListSmsPackage
     */
    data?: Array<SmsPackage>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListSmsPackage
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListSmsPackage
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListStorageStrategyConfig
 */
export interface ResultListStorageStrategyConfig {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListStorageStrategyConfig
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<StorageStrategyConfig>}
     * @memberof ResultListStorageStrategyConfig
     */
    data?: Array<StorageStrategyConfig>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListStorageStrategyConfig
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListStorageStrategyConfig
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListString
 */
export interface ResultListString {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListString
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<string>}
     * @memberof ResultListString
     */
    data?: Array<string>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListString
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListString
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListSysLogLanguageFormat
 */
export interface ResultListSysLogLanguageFormat {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListSysLogLanguageFormat
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<SysLogLanguageFormat>}
     * @memberof ResultListSysLogLanguageFormat
     */
    data?: Array<SysLogLanguageFormat>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListSysLogLanguageFormat
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListSysLogLanguageFormat
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListSystemInformation
 */
export interface ResultListSystemInformation {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListSystemInformation
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<SystemInformation>}
     * @memberof ResultListSystemInformation
     */
    data?: Array<SystemInformation>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListSystemInformation
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListSystemInformation
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListTdeviceidPdeviceidRel
 */
export interface ResultListTdeviceidPdeviceidRel {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListTdeviceidPdeviceidRel
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<TdeviceidPdeviceidRel>}
     * @memberof ResultListTdeviceidPdeviceidRel
     */
    data?: Array<TdeviceidPdeviceidRel>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListTdeviceidPdeviceidRel
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListTdeviceidPdeviceidRel
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListTemplateVo
 */
export interface ResultListTemplateVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListTemplateVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<TemplateVo>}
     * @memberof ResultListTemplateVo
     */
    data?: Array<TemplateVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListTemplateVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListTemplateVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListThirdDeviceVaribleVo
 */
export interface ResultListThirdDeviceVaribleVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListThirdDeviceVaribleVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<ThirdDeviceVaribleVo>}
     * @memberof ResultListThirdDeviceVaribleVo
     */
    data?: Array<ThirdDeviceVaribleVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListThirdDeviceVaribleVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListThirdDeviceVaribleVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListThirdGroupSimpleVo
 */
export interface ResultListThirdGroupSimpleVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListThirdGroupSimpleVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<ThirdGroupSimpleVo>}
     * @memberof ResultListThirdGroupSimpleVo
     */
    data?: Array<ThirdGroupSimpleVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListThirdGroupSimpleVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListThirdGroupSimpleVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListThirdGroupVo
 */
export interface ResultListThirdGroupVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListThirdGroupVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<ThirdGroupVo>}
     * @memberof ResultListThirdGroupVo
     */
    data?: Array<ThirdGroupVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListThirdGroupVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListThirdGroupVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListThirdPartyDevice
 */
export interface ResultListThirdPartyDevice {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListThirdPartyDevice
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<ThirdPartyDevice>}
     * @memberof ResultListThirdPartyDevice
     */
    data?: Array<ThirdPartyDevice>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListThirdPartyDevice
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListThirdPartyDevice
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListThirdProtocoVo
 */
export interface ResultListThirdProtocoVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListThirdProtocoVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<ThirdProtocoVo>}
     * @memberof ResultListThirdProtocoVo
     */
    data?: Array<ThirdProtocoVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListThirdProtocoVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListThirdProtocoVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListTreeNodeVo
 */
export interface ResultListTreeNodeVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListTreeNodeVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<TreeNodeVo>}
     * @memberof ResultListTreeNodeVo
     */
    data?: Array<TreeNodeVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListTreeNodeVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListTreeNodeVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListUserAuthorizationProjectVo
 */
export interface ResultListUserAuthorizationProjectVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListUserAuthorizationProjectVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<UserAuthorizationProjectVo>}
     * @memberof ResultListUserAuthorizationProjectVo
     */
    data?: Array<UserAuthorizationProjectVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListUserAuthorizationProjectVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListUserAuthorizationProjectVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListUserVo
 */
export interface ResultListUserVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListUserVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<UserVo>}
     * @memberof ResultListUserVo
     */
    data?: Array<UserVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListUserVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListUserVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListVariantDetailedInfoVo
 */
export interface ResultListVariantDetailedInfoVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListVariantDetailedInfoVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<VariantDetailedInfoVo>}
     * @memberof ResultListVariantDetailedInfoVo
     */
    data?: Array<VariantDetailedInfoVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListVariantDetailedInfoVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListVariantDetailedInfoVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListVariantFavoriteVo
 */
export interface ResultListVariantFavoriteVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListVariantFavoriteVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<VariantFavoriteVo>}
     * @memberof ResultListVariantFavoriteVo
     */
    data?: Array<VariantFavoriteVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListVariantFavoriteVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListVariantFavoriteVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListVariantGroup
 */
export interface ResultListVariantGroup {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListVariantGroup
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<VariantGroup>}
     * @memberof ResultListVariantGroup
     */
    data?: Array<VariantGroup>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListVariantGroup
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListVariantGroup
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListVariantGroupVo
 */
export interface ResultListVariantGroupVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListVariantGroupVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<VariantGroupVo>}
     * @memberof ResultListVariantGroupVo
     */
    data?: Array<VariantGroupVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListVariantGroupVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListVariantGroupVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListVariantRealtimeValue
 */
export interface ResultListVariantRealtimeValue {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListVariantRealtimeValue
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<VariantRealtimeValue>}
     * @memberof ResultListVariantRealtimeValue
     */
    data?: Array<VariantRealtimeValue>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListVariantRealtimeValue
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListVariantRealtimeValue
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListVariantTagVo
 */
export interface ResultListVariantTagVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListVariantTagVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<VariantTagVo>}
     * @memberof ResultListVariantTagVo
     */
    data?: Array<VariantTagVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListVariantTagVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListVariantTagVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultListWechatPublicUserVo
 */
export interface ResultListWechatPublicUserVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultListWechatPublicUserVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {Array<WechatPublicUserVo>}
     * @memberof ResultListWechatPublicUserVo
     */
    data?: Array<WechatPublicUserVo>;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultListWechatPublicUserVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultListWechatPublicUserVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultLoginAppUser
 */
export interface ResultLoginAppUser {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultLoginAppUser
     */
    code?: string;
    /**
     * 响应数据
     * @type {LoginAppUser}
     * @memberof ResultLoginAppUser
     */
    data?: LoginAppUser;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultLoginAppUser
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultLoginAppUser
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultLoginUserVo
 */
export interface ResultLoginUserVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultLoginUserVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {LoginUserVo}
     * @memberof ResultLoginUserVo
     */
    data?: LoginUserVo;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultLoginUserVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultLoginUserVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultMapStringInt
 */
export interface ResultMapStringInt {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultMapStringInt
     */
    code?: string;
    /**
     * 响应数据
     * @type {{ [key: string]: number; }}
     * @memberof ResultMapStringInt
     */
    data?: { [key: string]: number; };
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultMapStringInt
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultMapStringInt
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultMapStringListArrayObject
 */
export interface ResultMapStringListArrayObject {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultMapStringListArrayObject
     */
    code?: string;
    /**
     * 响应数据
     * @type {{ [key: string]: Array<Array<any>>; }}
     * @memberof ResultMapStringListArrayObject
     */
    data?: { [key: string]: Array<Array<any>>; };
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultMapStringListArrayObject
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultMapStringListArrayObject
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultMapStringString
 */
export interface ResultMapStringString {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultMapStringString
     */
    code?: string;
    /**
     * 响应数据
     * @type {{ [key: string]: string; }}
     * @memberof ResultMapStringString
     */
    data?: { [key: string]: string; };
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultMapStringString
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultMapStringString
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultMenu
 */
export interface ResultMenu {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultMenu
     */
    code?: string;
    /**
     * 响应数据
     * @type {Menu}
     * @memberof ResultMenu
     */
    data?: Menu;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultMenu
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultMenu
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultNewCompanyProbationaryConfig
 */
export interface ResultNewCompanyProbationaryConfig {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultNewCompanyProbationaryConfig
     */
    code?: string;
    /**
     * 响应数据
     * @type {NewCompanyProbationaryConfig}
     * @memberof ResultNewCompanyProbationaryConfig
     */
    data?: NewCompanyProbationaryConfig;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultNewCompanyProbationaryConfig
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultNewCompanyProbationaryConfig
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultNodeStatisticsInfo
 */
export interface ResultNodeStatisticsInfo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultNodeStatisticsInfo
     */
    code?: string;
    /**
     * 响应数据
     * @type {NodeStatisticsInfo}
     * @memberof ResultNodeStatisticsInfo
     */
    data?: NodeStatisticsInfo;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultNodeStatisticsInfo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultNodeStatisticsInfo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultObject
 */
export interface ResultObject {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultObject
     */
    code?: string;
    /**
     * 响应数据
     * @type {any}
     * @memberof ResultObject
     */
    data?: any;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultObject
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultObject
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultOldCompanyStrategyConfig
 */
export interface ResultOldCompanyStrategyConfig {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultOldCompanyStrategyConfig
     */
    code?: string;
    /**
     * 响应数据
     * @type {OldCompanyStrategyConfig}
     * @memberof ResultOldCompanyStrategyConfig
     */
    data?: OldCompanyStrategyConfig;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultOldCompanyStrategyConfig
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultOldCompanyStrategyConfig
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultPlatformAuthInfo
 */
export interface ResultPlatformAuthInfo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultPlatformAuthInfo
     */
    code?: string;
    /**
     * 响应数据
     * @type {PlatformAuthInfo}
     * @memberof ResultPlatformAuthInfo
     */
    data?: PlatformAuthInfo;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultPlatformAuthInfo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultPlatformAuthInfo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultPlatformStatusInfoVo
 */
export interface ResultPlatformStatusInfoVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultPlatformStatusInfoVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {PlatformStatusInfoVo}
     * @memberof ResultPlatformStatusInfoVo
     */
    data?: PlatformStatusInfoVo;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultPlatformStatusInfoVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultPlatformStatusInfoVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultProjectBoard
 */
export interface ResultProjectBoard {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultProjectBoard
     */
    code?: string;
    /**
     * 响应数据
     * @type {ProjectBoard}
     * @memberof ResultProjectBoard
     */
    data?: ProjectBoard;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultProjectBoard
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultProjectBoard
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultProjectBoardGroupRelVo
 */
export interface ResultProjectBoardGroupRelVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultProjectBoardGroupRelVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {ProjectBoardGroupRelVo}
     * @memberof ResultProjectBoardGroupRelVo
     */
    data?: ProjectBoardGroupRelVo;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultProjectBoardGroupRelVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultProjectBoardGroupRelVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultProjectDataDelay
 */
export interface ResultProjectDataDelay {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultProjectDataDelay
     */
    code?: string;
    /**
     * 响应数据
     * @type {ProjectDataDelay}
     * @memberof ResultProjectDataDelay
     */
    data?: ProjectDataDelay;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultProjectDataDelay
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultProjectDataDelay
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultProjectInfo
 */
export interface ResultProjectInfo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultProjectInfo
     */
    code?: string;
    /**
     * 响应数据
     * @type {ProjectInfo}
     * @memberof ResultProjectInfo
     */
    data?: ProjectInfo;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultProjectInfo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultProjectInfo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultProjectLocationConfig
 */
export interface ResultProjectLocationConfig {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultProjectLocationConfig
     */
    code?: string;
    /**
     * 响应数据
     * @type {ProjectLocationConfig}
     * @memberof ResultProjectLocationConfig
     */
    data?: ProjectLocationConfig;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultProjectLocationConfig
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultProjectLocationConfig
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultProtocolScriptVo
 */
export interface ResultProtocolScriptVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultProtocolScriptVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {ProtocolScriptVo}
     * @memberof ResultProtocolScriptVo
     */
    data?: ProtocolScriptVo;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultProtocolScriptVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultProtocolScriptVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultResourceLimitAlarmThreshold
 */
export interface ResultResourceLimitAlarmThreshold {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultResourceLimitAlarmThreshold
     */
    code?: string;
    /**
     * 响应数据
     * @type {ResourceLimitAlarmThreshold}
     * @memberof ResultResourceLimitAlarmThreshold
     */
    data?: ResourceLimitAlarmThreshold;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultResourceLimitAlarmThreshold
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultResourceLimitAlarmThreshold
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultRole
 */
export interface ResultRole {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultRole
     */
    code?: string;
    /**
     * 响应数据
     * @type {Role}
     * @memberof ResultRole
     */
    data?: Role;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultRole
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultRole
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultRoleLevelRel
 */
export interface ResultRoleLevelRel {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultRoleLevelRel
     */
    code?: string;
    /**
     * 响应数据
     * @type {RoleLevelRel}
     * @memberof ResultRoleLevelRel
     */
    data?: RoleLevelRel;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultRoleLevelRel
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultRoleLevelRel
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultString
 */
export interface ResultString {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultString
     */
    code?: string;
    /**
     * 响应数据
     * @type {string}
     * @memberof ResultString
     */
    data?: string;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultString
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultString
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultSurveillanceVideoVo
 */
export interface ResultSurveillanceVideoVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultSurveillanceVideoVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {SurveillanceVideoVo}
     * @memberof ResultSurveillanceVideoVo
     */
    data?: SurveillanceVideoVo;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultSurveillanceVideoVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultSurveillanceVideoVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultTemplate
 */
export interface ResultTemplate {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultTemplate
     */
    code?: string;
    /**
     * 响应数据
     * @type {Template}
     * @memberof ResultTemplate
     */
    data?: Template;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultTemplate
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultTemplate
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultThirdDeviceAlarmVo
 */
export interface ResultThirdDeviceAlarmVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultThirdDeviceAlarmVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {ThirdDeviceAlarmVo}
     * @memberof ResultThirdDeviceAlarmVo
     */
    data?: ThirdDeviceAlarmVo;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultThirdDeviceAlarmVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultThirdDeviceAlarmVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultThirdDeviceInfoVo
 */
export interface ResultThirdDeviceInfoVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultThirdDeviceInfoVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {ThirdDeviceInfoVo}
     * @memberof ResultThirdDeviceInfoVo
     */
    data?: ThirdDeviceInfoVo;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultThirdDeviceInfoVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultThirdDeviceInfoVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultThirdDeviceVaribleVo
 */
export interface ResultThirdDeviceVaribleVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultThirdDeviceVaribleVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {ThirdDeviceVaribleVo}
     * @memberof ResultThirdDeviceVaribleVo
     */
    data?: ThirdDeviceVaribleVo;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultThirdDeviceVaribleVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultThirdDeviceVaribleVo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultTokenInfo
 */
export interface ResultTokenInfo {
    /**
     * 
     * @type {string}
     * @memberof ResultTokenInfo
     */
    code?: string;
    /**
     * 
     * @type {TokenInfo}
     * @memberof ResultTokenInfo
     */
    data?: TokenInfo;
    /**
     * 
     * @type {string}
     * @memberof ResultTokenInfo
     */
    msg?: string;
    /**
     * 
     * @type {Date}
     * @memberof ResultTokenInfo
     */
    time?: Date;
}

/**
 * 
 * @export
 * @interface ResultVariantIndexVo
 */
export interface ResultVariantIndexVo {
    /**
     * 响应码
     * @type {string}
     * @memberof ResultVariantIndexVo
     */
    code?: string;
    /**
     * 响应数据
     * @type {VariantIndexVo}
     * @memberof ResultVariantIndexVo
     */
    data?: VariantIndexVo;
    /**
     * 响应消息
     * @type {string}
     * @memberof ResultVariantIndexVo
     */
    msg?: string;
    /**
     * 响应时间
     * @type {Date}
     * @memberof ResultVariantIndexVo
     */
    time?: Date;
}

/**
 * 系统角色
 * @export
 * @interface Role
 */
export interface Role {
    /**
     * 
     * @type {Array<string>}
     * @memberof Role
     */
    areaId?: Array<string>;
    /**
     * 企业标识
     * @type {string}
     * @memberof Role
     */
    companyId?: string;
    /**
     * 
     * @type {Array<string>}
     * @memberof Role
     */
    controlTypeId?: Array<string>;
    /**
     * 创建人
     * @type {string}
     * @memberof Role
     */
    createdBy?: string;
    /**
     * 创建时间
     * @type {Date}
     * @memberof Role
     */
    createdTime?: Date;
    /**
     * 是否默认:0否,1是
     * @type {number}
     * @memberof Role
     */
    def?: number;
    /**
     * 
     * @type {boolean}
     * @memberof Role
     */
    disabled?: boolean;
    /**
     * 主键id
     * @type {string}
     * @memberof Role
     */
    id?: string;
    /**
     * 角色名
     * @type {string}
     * @memberof Role
     */
    name?: string;
    /**
     * 备注信息
     * @type {string}
     * @memberof Role
     */
    remark?: string;
    /**
     * 类型:0系统角色，1项目角色
     * @type {number}
     * @memberof Role
     */
    type?: number;
    /**
     * 修改时间
     * @type {Date}
     * @memberof Role
     */
    updatedTime?: Date;
    /**
     * 
     * @type {string}
     * @memberof Role
     */
    userId?: string;
}

/**
 * 角色类别关系
 * @export
 * @interface RoleLevelRel
 */
export interface RoleLevelRel {
    /**
     * 创建时间
     * @type {Date}
     * @memberof RoleLevelRel
     */
    createdTime?: Date;
    /**
     * 角色有查看变量的类别
     * @type {string}
     * @memberof RoleLevelRel
     */
    levelCheckIds?: string;
    /**
     * 控制类别ids
     * @type {string}
     * @memberof RoleLevelRel
     */
    levelControlIds?: string;
    /**
     * 角色id
     * @type {string}
     * @memberof RoleLevelRel
     */
    roleId?: string;
    /**
     * 修改时间
     * @type {Date}
     * @memberof RoleLevelRel
     */
    updatedTime?: Date;
}

/**
 * 角色类别表单信息
 * @export
 * @interface RoleLevelRelForm
 */
export interface RoleLevelRelForm {
    /**
     * 控制类别ids(前端传值用于修改)
     * @type {Array<number>}
     * @memberof RoleLevelRelForm
     */
    check?: Array<number>;
    /**
     * 角色有查看变量的类别(前端传值用于修改)
     * @type {Array<number>}
     * @memberof RoleLevelRelForm
     */
    control?: Array<number>;
    /**
     * 角色id
     * @type {string}
     * @memberof RoleLevelRelForm
     */
    roleId: string;
}

/**
 * 
 * @export
 * @interface RouteVo
 */
export interface RouteVo {
    /**
     * 
     * @type {Array<RouteVo>}
     * @memberof RouteVo
     */
    children?: Array<RouteVo>;
    /**
     * 
     * @type {string}
     * @memberof RouteVo
     */
    component?: string;
    /**
     * 
     * @type {string}
     * @memberof RouteVo
     */
    id?: string;
    /**
     * 
     * @type {MetaVo}
     * @memberof RouteVo
     */
    meta?: MetaVo;
    /**
     * 
     * @type {string}
     * @memberof RouteVo
     */
    name?: string;
    /**
     * 
     * @type {string}
     * @memberof RouteVo
     */
    path?: string;
    /**
     * 
     * @type {string}
     * @memberof RouteVo
     */
    redirect?: string;
    /**
     * 
     * @type {number}
     * @memberof RouteVo
     */
    type?: number;
}

/**
 * 客户项目授权
 * @export
 * @interface SaveGrantProjectForm
 */
export interface SaveGrantProjectForm {
    /**
     * 客户企业id
     * @type {string}
     * @memberof SaveGrantProjectForm
     */
    clientId: string;
    /**
     * 授权字符串
     * @type {Array<string>}
     * @memberof SaveGrantProjectForm
     */
    grantArr: Array<string>;
}

/**
 * 收藏分组
 * @export
 * @interface SaveVariantFavoriteForm
 */
export interface SaveVariantFavoriteForm {
    /**
     * 收藏组id（修改时需要）
     * @type {string}
     * @memberof SaveVariantFavoriteForm
     */
    favoriteId?: string;
    /**
     * 资源id 可传projectId或templateId
     * @type {string}
     * @memberof SaveVariantFavoriteForm
     */
    resourceId: string;
    /**
     * 资源类型 project或template
     * @type {string}
     * @memberof SaveVariantFavoriteForm
     */
    resourceType: string;
    /**
     * 收藏分组名称
     * @type {string}
     * @memberof SaveVariantFavoriteForm
     */
    variantFavoriteName: string;
    /**
     * 变量Id与设备Id拼接, 拼接内容 = 'deviceId:variantId' 
     * @type {Array<string>}
     * @memberof SaveVariantFavoriteForm
     */
    variantIds: Array<string>;
}

/**
 * 搜索客户param
 * @export
 * @interface SearchClientParam
 */
export interface SearchClientParam {
    /**
     * 当前页
     * @type {number}
     * @memberof SearchClientParam
     */
    currentPage: number;
    /**
     * 搜索内容
     * @type {string}
     * @memberof SearchClientParam
     */
    keyword?: string;
    /**
     * 每页大小
     * @type {number}
     * @memberof SearchClientParam
     */
    pageSize: number;
}

/**
 * 
 * @export
 * @interface Sim
 */
export interface Sim {
    /**
     * 剩余流量
     * @type {number}
     * @memberof Sim
     */
    balanceFlow?: number;
    /**
     * 设备Id
     * @type {string}
     * @memberof Sim
     */
    deviceId?: string;
    /**
     * 设备名称
     * @type {string}
     * @memberof Sim
     */
    deviceName?: string;
    /**
     * 过期时间
     * @type {string}
     * @memberof Sim
     */
    expirationTime?: string;
    /**
     * iccid
     * @type {string}
     * @memberof Sim
     */
    iccid?: string;
    /**
     * 月用流量
     * @type {number}
     * @memberof Sim
     */
    monthUse?: number;
    /**
     * 运营商
     * @type {string}
     * @memberof Sim
     */
    operator?: string;
    /**
     * 运营商分组
     * @type {string}
     * @memberof Sim
     */
    operatorId?: string;
    /**
     * 项目id
     * @type {string}
     * @memberof Sim
     */
    projectId?: string;
    /**
     * 项目名称
     * @type {string}
     * @memberof Sim
     */
    projectName?: string;
    /**
     * 开的充值状态0：不可充值，1：可充值
     * @type {string}
     * @memberof Sim
     */
    rechargeStatus?: string;
    /**
     * 设备序列号
     * @type {string}
     * @memberof Sim
     */
    serialNumber?: string;
    /**
     * 过滤状态，0：停机，1：正常,2：注销,3：其它
     * @type {string}
     * @memberof Sim
     */
    status?: string;
    /**
     * 卡的状态描述信息
     * @type {string}
     * @memberof Sim
     */
    statusDescription?: string;
    /**
     * 总流量
     * @type {number}
     * @memberof Sim
     */
    totalFlow?: number;
}

/**
 * 模拟硬件的报警规则
 * @export
 * @interface SimulateAlarmRule
 */
export interface SimulateAlarmRule {
    /**
     * 报警id
     * @type {number}
     * @memberof SimulateAlarmRule
     */
    alarmId?: number;
    /**
     * 创建时间
     * @type {Date}
     * @memberof SimulateAlarmRule
     */
    createdTime?: Date;
    /**
     * 描述
     * @type {string}
     * @memberof SimulateAlarmRule
     */
    remark?: string;
    /**
     * 规则ID
     * @type {string}
     * @memberof SimulateAlarmRule
     */
    ruleId?: string;
    /**
     * 报警模拟触发间隔,单位:分钟
     * @type {number}
     * @memberof SimulateAlarmRule
     */
    triggerInterval?: number;
    /**
     * 修改时间
     * @type {Date}
     * @memberof SimulateAlarmRule
     */
    updatedTime?: Date;
}

/**
 * 模拟规则信息
 * @export
 * @interface SimulateRule
 */
export interface SimulateRule {
    /**
     * 创建时间
     * @type {Date}
     * @memberof SimulateRule
     */
    createdTime?: Date;
    /**
     * 描述
     * @type {string}
     * @memberof SimulateRule
     */
    remark?: string;
    /**
     * 规则id
     * @type {string}
     * @memberof SimulateRule
     */
    ruleId?: string;
    /**
     * 规则名称
     * @type {string}
     * @memberof SimulateRule
     */
    ruleName?: string;
    /**
     * 修改时间
     * @type {Date}
     * @memberof SimulateRule
     */
    updatedTime?: Date;
}

/**
 * 规则-序列号关联
 * @export
 * @interface SimulateRuleSnRel
 */
export interface SimulateRuleSnRel {
    /**
     * 创建时间
     * @type {Date}
     * @memberof SimulateRuleSnRel
     */
    createdTime?: Date;
    /**
     * 描述
     * @type {string}
     * @memberof SimulateRuleSnRel
     */
    remark?: string;
    /**
     * 规则id
     * @type {string}
     * @memberof SimulateRuleSnRel
     */
    ruleId?: string;
    /**
     * 序列号
     * @type {string}
     * @memberof SimulateRuleSnRel
     */
    serialNumber?: string;
    /**
     * 修改时间
     * @type {Date}
     * @memberof SimulateRuleSnRel
     */
    updatedTime?: Date;
}

/**
 * 模拟硬件的变量配置
 * @export
 * @interface SimulateVariantConfig
 */
export interface SimulateVariantConfig {
    /**
     * 创建时间
     * @type {Date}
     * @memberof SimulateVariantConfig
     */
    createdTime?: Date;
    /**
     * 范围最大值
     * @type {number}
     * @memberof SimulateVariantConfig
     */
    max?: number;
    /**
     * 范围最小值
     * @type {number}
     * @memberof SimulateVariantConfig
     */
    min?: number;
    /**
     * 描述
     * @type {string}
     * @memberof SimulateVariantConfig
     */
    remark?: string;
    /**
     * 规则ID
     * @type {string}
     * @memberof SimulateVariantConfig
     */
    ruleId?: string;
    /**
     * 模拟数据变化的类型:fixed,random,increase,decrease
     * @type {string}
     * @memberof SimulateVariantConfig
     */
    simulateType?: string;
    /**
     * 自增或自减时的步进最大值
     * @type {number}
     * @memberof SimulateVariantConfig
     */
    stepMax?: number;
    /**
     * 自增或自减时的步进最小值
     * @type {number}
     * @memberof SimulateVariantConfig
     */
    stepMin?: number;
    /**
     * 触发间隔，以秒为单位
     * @type {number}
     * @memberof SimulateVariantConfig
     */
    triggerInterval?: number;
    /**
     * 修改时间
     * @type {Date}
     * @memberof SimulateVariantConfig
     */
    updatedTime?: Date;
    /**
     * 变量id
     * @type {number}
     * @memberof SimulateVariantConfig
     */
    variantId?: number;
}

/**
 * 模拟添加报警参数
 * @export
 * @interface SimulationAlarmForm
 */
export interface SimulationAlarmForm {
    /**
     * 报警Id
     * @type {number}
     * @memberof SimulationAlarmForm
     */
    alarmId?: number;
    /**
     * 报警详细
     * @type {string}
     * @memberof SimulationAlarmForm
     */
    detail?: string;
    /**
     * 虚拟设备Id
     * @type {string}
     * @memberof SimulationAlarmForm
     */
    deviceId?: string;
    /**
     * 添加N条报警信息
     * @type {number}
     * @memberof SimulationAlarmForm
     */
    saveCountEveryDay?: number;
    /**
     * 添加时间 开始区间
     * @type {string}
     * @memberof SimulationAlarmForm
     */
    saveStartTime?: string;
    /**
     * 添加时间 结束区间
     * @type {string}
     * @memberof SimulationAlarmForm
     */
    saveStopTime?: string;
}

/**
 * 
 * @export
 * @interface SmsMessageParam
 */
export interface SmsMessageParam {
    /**
     * 短信推送服务
     * @type {string}
     * @memberof SmsMessageParam
     */
    action?: string;
    /**
     * 企业id
     * @type {string}
     * @memberof SmsMessageParam
     */
    companyId?: string;
    /**
     * 短信参数名称以及参数内容
     * @type {{ [key: string]: string; }}
     * @memberof SmsMessageParam
     */
    content?: { [key: string]: string; };
    /**
     * 手机号
     * @type {Array<string>}
     * @memberof SmsMessageParam
     */
    phones?: Array<string>;
}

/**
 * 
 * @export
 * @interface SmsPackage
 */
export interface SmsPackage {
    /**
     * 套餐类别
     * @type {number}
     * @memberof SmsPackage
     */
    comboType?: number;
    /**
     * 套餐额度
     * @type {number}
     * @memberof SmsPackage
     */
    count?: number;
    /**
     * 套餐ID
     * @type {string}
     * @memberof SmsPackage
     */
    id?: string;
    /**
     * 套餐名称
     * @type {string}
     * @memberof SmsPackage
     */
    name?: string;
    /**
     * 套餐价格
     * @type {number}
     * @memberof SmsPackage
     */
    price?: number;
    /**
     * 类型,1短信,2天气,3定位,4邮件,5流量,6语音7Device短信
     * @type {string}
     * @memberof SmsPackage
     */
    type?: string;
}

/**
 * 获取短信发送记录Param
 * @export
 * @interface SmsRecordParam
 */
export interface SmsRecordParam {
    /**
     * 页码
     * @type {number}
     * @memberof SmsRecordParam
     */
    currentPage?: number;
    /**
     * 结束时间
     * @type {string}
     * @memberof SmsRecordParam
     */
    endTime?: string;
    /**
     * 查询数量
     * @type {number}
     * @memberof SmsRecordParam
     */
    pageSize?: number;
    /**
     * 手机号搜索
     * @type {string}
     * @memberof SmsRecordParam
     */
    phone?: string;
    /**
     *  状态，0:失败，1:成功
     * @type {string}
     * @memberof SmsRecordParam
     */
    smsStatus?: string;
    /**
     * 类型， 0:短信,   1:语音短信
     * @type {string}
     * @memberof SmsRecordParam
     */
    smsType?: string;
    /**
     * 开始时间
     * @type {string}
     * @memberof SmsRecordParam
     */
    startTime?: string;
}

/**
 * 
 * @export
 * @interface SpecifyServiceMessageParam
 */
export interface SpecifyServiceMessageParam {
    /**
     * 消息类型id
     * @type {string}
     * @memberof SpecifyServiceMessageParam
     */
    messageTypeId?: string;
    /**
     * 消息详细参数
     * @type {{ [key: string]: string; }}
     * @memberof SpecifyServiceMessageParam
     */
    params?: { [key: string]: string; };
    /**
     * 用户id
     * @type {Array<string>}
     * @memberof SpecifyServiceMessageParam
     */
    userIds?: Array<string>;
}

/**
 * 
 * @export
 * @interface SpecifyUserMessageParam
 */
export interface SpecifyUserMessageParam {
    /**
     * 消息组
     * @type {number}
     * @memberof SpecifyUserMessageParam
     */
    messageGroup?: number;
    /**
     * 消息类型id
     * @type {string}
     * @memberof SpecifyUserMessageParam
     */
    messageTypeId?: string;
    /**
     * 消息详细参数
     * @type {{ [key: string]: string; }}
     * @memberof SpecifyUserMessageParam
     */
    params?: { [key: string]: string; };
    /**
     * 项目id(可选)
     * @type {string}
     * @memberof SpecifyUserMessageParam
     */
    projectId?: string;
    /**
     * 用户id
     * @type {Array<string>}
     * @memberof SpecifyUserMessageParam
     */
    userIds?: Array<string>;
}

/**
 * 
 * @export
 * @interface StorageStrategyConfig
 */
export interface StorageStrategyConfig {
    /**
     * 企业id
     * @type {string}
     * @memberof StorageStrategyConfig
     */
    companyId?: string;
    /**
     * 报警数据储存周期状态  关闭0, 开启1
     * @type {string}
     * @memberof StorageStrategyConfig
     */
    status?: string;
    /**
     * 历史数据储存周期状态 0报警，1历史数据
     * @type {string}
     * @memberof StorageStrategyConfig
     */
    type?: string;
    /**
     * 
     * @type {Date}
     * @memberof StorageStrategyConfig
     */
    updatedTime?: Date;
    /**
     * 时间(月)，值为2，代表2个月自动删除
     * @type {number}
     * @memberof StorageStrategyConfig
     */
    value?: number;
}

/**
 * 
 * @export
 * @interface StorageStrategyConfigParam
 */
export interface StorageStrategyConfigParam {
    /**
     * 报警数据储存周期状态  关闭0, 开启1
     * @type {string}
     * @memberof StorageStrategyConfigParam
     */
    status?: string;
    /**
     * 历史数据储存周期状态 0报警，1历史数据
     * @type {string}
     * @memberof StorageStrategyConfigParam
     */
    type?: string;
    /**
     * 时间(月)，值为2，代表2个月自动删除
     * @type {number}
     * @memberof StorageStrategyConfigParam
     */
    value?: number;
}

/**
 * super企业Vo
 * @export
 * @interface SuperCompanyVo
 */
export interface SuperCompanyVo {
    /**
     * 别名(简称)
     * @type {string}
     * @memberof SuperCompanyVo
     */
    alias?: string;
    /**
     * 企业id
     * @type {string}
     * @memberof SuperCompanyVo
     */
    companyId?: string;
    /**
     * 企业名称
     * @type {string}
     * @memberof SuperCompanyVo
     */
    companyName?: string;
    /**
     * 创建时间
     * @type {Date}
     * @memberof SuperCompanyVo
     */
    createdTime?: Date;
    /**
     * 设备数量
     * @type {number}
     * @memberof SuperCompanyVo
     */
    deviceCount?: number;
    /**
     * 行业
     * @type {string}
     * @memberof SuperCompanyVo
     */
    industry?: string;
    /**
     * 地理位置
     * @type {string}
     * @memberof SuperCompanyVo
     */
    location?: string;
    /**
     * 管理员昵称
     * @type {string}
     * @memberof SuperCompanyVo
     */
    nickname?: string;
    /**
     * 项目数量
     * @type {number}
     * @memberof SuperCompanyVo
     */
    projectCount?: number;
    /**
     * 用户数量
     * @type {number}
     * @memberof SuperCompanyVo
     */
    userCount?: number;
    /**
     * 管理员账号
     * @type {string}
     * @memberof SuperCompanyVo
     */
    username?: string;
}

/**
 * super后台项目vo
 * @export
 * @interface SuperProjectVo
 */
export interface SuperProjectVo {
    /**
     * 企业名称
     * @type {string}
     * @memberof SuperProjectVo
     */
    companyName?: string;
    /**
     * 创建时间
     * @type {string}
     * @memberof SuperProjectVo
     */
    createdTime?: string;
    /**
     * device数量
     * @type {number}
     * @memberof SuperProjectVo
     */
    deviceCount?: number;
    /**
     * 地理位置
     * @type {string}
     * @memberof SuperProjectVo
     */
    location?: string;
    /**
     * 项目id
     * @type {string}
     * @memberof SuperProjectVo
     */
    projectId?: string;
    /**
     * 项目名称
     * @type {string}
     * @memberof SuperProjectVo
     */
    projectName?: string;
    /**
     * 变量数量
     * @type {number}
     * @memberof SuperProjectVo
     */
    variantCount?: number;
}

/**
 * super后台用户Vo
 * @export
 * @interface SuperUserVo
 */
export interface SuperUserVo {
    /**
     * 企业名称
     * @type {string}
     * @memberof SuperUserVo
     */
    companyName?: string;
    /**
     * 创建时间
     * @type {Date}
     * @memberof SuperUserVo
     */
    createdTime?: Date;
    /**
     * 邮箱
     * @type {string}
     * @memberof SuperUserVo
     */
    email?: string;
    /**
     * 状态(账号是否被锁定 1:被锁定、0是未锁定)
     * @type {string}
     * @memberof SuperUserVo
     */
    lock?: string;
    /**
     * 上次上线时间
     * @type {Date}
     * @memberof SuperUserVo
     */
    loginTime?: Date;
    /**
     * 昵称
     * @type {string}
     * @memberof SuperUserVo
     */
    nickname?: string;
    /**
     * 手机号
     * @type {string}
     * @memberof SuperUserVo
     */
    phone?: string;
    /**
     * 用户id
     * @type {string}
     * @memberof SuperUserVo
     */
    userId?: string;
    /**
     * 用户名
     * @type {string}
     * @memberof SuperUserVo
     */
    username?: string;
}

/**
 * 
 * @export
 * @interface SurveillanceVideoVo
 */
export interface SurveillanceVideoVo {
    /**
     * AppKey
     * @type {string}
     * @memberof SurveillanceVideoVo
     */
    accessToken?: string;
    /**
     * 密匙
     * @type {string}
     * @memberof SurveillanceVideoVo
     */
    appKey?: string;
    /**
     * 项目ID
     * @type {string}
     * @memberof SurveillanceVideoVo
     */
    projectId?: string;
    /**
     * 安全码
     * @type {string}
     * @memberof SurveillanceVideoVo
     */
    secret?: string;
    /**
     * 监控地址
     * @type {Array<string>}
     * @memberof SurveillanceVideoVo
     */
    urls?: Array<string>;
}

/**
 * 推送方式
 * @export
 * @interface SwitchPushWayForm
 */
export interface SwitchPushWayForm {
    /**
     * 消息类型id
     * @type {string}
     * @memberof SwitchPushWayForm
     */
    messageTypeId: string;
    /**
     * 推送方式
     * @type {string}
     * @memberof SwitchPushWayForm
     */
    pushway: string;
    /**
     * 切换的值  true or false
     * @type {boolean}
     * @memberof SwitchPushWayForm
     */
    switchType: boolean;
}

/**
 * 推送方式传参
 * @export
 * @interface SwitchRegulationPushWayForm
 */
export interface SwitchRegulationPushWayForm {
    /**
     * 消息类型的id
     * @type {string}
     * @memberof SwitchRegulationPushWayForm
     */
    messageTypeId: string;
    /**
     * 推送方式[ 0：短信推送，1：微信推送，2：邮箱推送，3：平台推送，4：报警推送]
     * @type {string}
     * @memberof SwitchRegulationPushWayForm
     */
    pushWay: string;
    /**
     * 推送id
     * @type {string}
     * @memberof SwitchRegulationPushWayForm
     */
    regulationId: string;
    /**
     * 切换类型，true 添加，false 删除
     * @type {boolean}
     * @memberof SwitchRegulationPushWayForm
     */
    switchType: boolean;
}

/**
 * 操作日志描述模板
 * @export
 * @interface SysLogLanguageFormat
 */
export interface SysLogLanguageFormat {
    /**
     * 格式化模板
     * @type {string}
     * @memberof SysLogLanguageFormat
     */
    formatTemplate?: string;
    /**
     * 主键id
     * @type {string}
     * @memberof SysLogLanguageFormat
     */
    id?: string;
    /**
     * 语言类型 
     * @type {string}
     * @memberof SysLogLanguageFormat
     */
    languageType?: string;
    /**
     * 模块Id（获取指定模块的日志） sys-mncloud: 业务平台; sys-super: super平台; sys-wxapp: APP/微信小程序; 其它自定义模块Id
     * @type {string}
     * @memberof SysLogLanguageFormat
     */
    moduleId?: string;
    /**
     * 日志描述
     * @type {string}
     * @memberof SysLogLanguageFormat
     */
    name?: string;
    /**
     * 请求路径
     * @type {string}
     * @memberof SysLogLanguageFormat
     */
    requestUri?: string;
}

/**
 * 绑定微信
 * @export
 * @interface SysUserLoginForm
 */
export interface SysUserLoginForm {
    /**
     * 
     * @type {string}
     * @memberof SysUserLoginForm
     */
    appid?: string;
    /**
     * 
     * @type {string}
     * @memberof SysUserLoginForm
     */
    openId?: string;
    /**
     * 
     * @type {string}
     * @memberof SysUserLoginForm
     */
    password?: string;
    /**
     * 
     * @type {string}
     * @memberof SysUserLoginForm
     */
    username?: string;
}

/**
 * 系统信息
 * @export
 * @interface SystemInformation
 */
export interface SystemInformation {
    /**
     * 创建时间
     * @type {Date}
     * @memberof SystemInformation
     */
    createdTime?: Date;
    /**
     * 属性名称 
     * @type {string}
     * @memberof SystemInformation
     */
    name?: string;
    /**
     * 功能备注
     * @type {string}
     * @memberof SystemInformation
     */
    remark?: string;
    /**
     * 修改时间
     * @type {Date}
     * @memberof SystemInformation
     */
    updatedTime?: Date;
    /**
     * 属性值
     * @type {string}
     * @memberof SystemInformation
     */
    value?: string;
}

/**
 * 
 * @export
 * @interface TdeviceidPdeviceidRel
 */
export interface TdeviceidPdeviceidRel {
    /**
     * 
     * @type {Date}
     * @memberof TdeviceidPdeviceidRel
     */
    createdTime?: Date;
    /**
     * 
     * @type {string}
     * @memberof TdeviceidPdeviceidRel
     */
    projectDeviceId?: string;
    /**
     * 
     * @type {string}
     * @memberof TdeviceidPdeviceidRel
     */
    projectId?: string;
    /**
     * 
     * @type {string}
     * @memberof TdeviceidPdeviceidRel
     */
    templateDeviceId?: string;
    /**
     * 
     * @type {string}
     * @memberof TdeviceidPdeviceidRel
     */
    templateId?: string;
}

/**
 * 模板实体类
 * @export
 * @interface Template
 */
export interface Template {
    /**
     * 模板所属企业Id
     * @type {string}
     * @memberof Template
     */
    companyId?: string;
    /**
     * 模板创建人 （当前登录用户的Id）
     * @type {string}
     * @memberof Template
     */
    createdBy?: string;
    /**
     * 模板创建时间
     * @type {Date}
     * @memberof Template
     */
    createdTime?: Date;
    /**
     * 模板设备来源 (0=内部设备|1=第三方设备)
     * @type {string}
     * @memberof Template
     */
    deviceFrom?: string;
    /**
     * 模板Id
     * @type {string}
     * @memberof Template
     */
    id?: string;
    /**
     * 模板名称
     * @type {string}
     * @memberof Template
     */
    name?: string;
    /**
     * 模板备注
     * @type {string}
     * @memberof Template
     */
    remark?: string;
    /**
     * 模板修改时间
     * @type {Date}
     * @memberof Template
     */
    updatedTime?: Date;
}

/**
 * 模板条件储存绑定条件标签 form类
 * @export
 * @interface TemplateConditionTagStorageRelForm
 */
export interface TemplateConditionTagStorageRelForm {
    /**
     * 模板Id
     * @type {string}
     * @memberof TemplateConditionTagStorageRelForm
     */
    id?: string;
    /**
     * 条件储存Id
     * @type {string}
     * @memberof TemplateConditionTagStorageRelForm
     */
    storageId?: string;
    /**
     * 条件标签Id
     * @type {string}
     * @memberof TemplateConditionTagStorageRelForm
     */
    tagId?: string;
}

/**
 * 模板返回Vo类
 * @export
 * @interface TemplateVo
 */
export interface TemplateVo {
    /**
     * 企业Id
     * @type {string}
     * @memberof TemplateVo
     */
    companyId?: string;
    /**
     * 模板创建时间 用于排序
     * @type {Date}
     * @memberof TemplateVo
     */
    createdTime?: Date;
    /**
     * 模板设备来源  0：内部的设备，1：第三方的设备
     * @type {string}
     * @memberof TemplateVo
     */
    deviceFrom?: string;
    /**
     * 模板Id
     * @type {string}
     * @memberof TemplateVo
     */
    id?: string;
    /**
     * 模板名称
     * @type {string}
     * @memberof TemplateVo
     */
    name?: string;
    /**
     * 模板备注
     * @type {string}
     * @memberof TemplateVo
     */
    remark?: string;
}

/**
 * 报警配置表实体类
 * @export
 * @interface ThirdDeviceAlarmForm
 */
export interface ThirdDeviceAlarmForm {
    /**
     * 报警分类（自定义的分类）
     * @type {string}
     * @memberof ThirdDeviceAlarmForm
     */
    alarmClassify?: string;
    /**
     * 报警所属分组 一个32位二进制的值
     * @type {number}
     * @memberof ThirdDeviceAlarmForm
     */
    alarmGroup?: number;
    /**
     * 报警id
     * @type {number}
     * @memberof ThirdDeviceAlarmForm
     */
    alarmId?: number;
    /**
     * 报警名称
     * @type {string}
     * @memberof ThirdDeviceAlarmForm
     */
    alarmName?: string;
    /**
     * 报警确认类型 0:手动确认, 1:恢复后自动确认, 2:只有恢复后才能手动确认
     * @type {string}
     * @memberof ThirdDeviceAlarmForm
     */
    confirmType?: string;
    /**
     * 创建人
     * @type {string}
     * @memberof ThirdDeviceAlarmForm
     */
    createdBy?: string;
    /**
     * 报警详情
     * @type {string}
     * @memberof ThirdDeviceAlarmForm
     */
    detail?: string;
    /**
     * 
     * @type {string}
     * @memberof ThirdDeviceAlarmForm
     */
    deviceId?: string;
    /**
     * 报警表达式
     * @type {string}
     * @memberof ThirdDeviceAlarmForm
     */
    expression?: string;
    /**
     * 报警级别 0：一般，1：重要，2：紧急
     * @type {string}
     * @memberof ThirdDeviceAlarmForm
     */
    level?: string;
    /**
     * 报警位置
     * @type {string}
     * @memberof ThirdDeviceAlarmForm
     */
    position?: string;
    /**
     * 延迟推送时间(单位秒,为0时不延迟)
     * @type {string}
     * @memberof ThirdDeviceAlarmForm
     */
    pushDelayTime?: string;
    /**
     * 是否推送报警恢复消息 0：否，1：是
     * @type {string}
     * @memberof ThirdDeviceAlarmForm
     */
    pushRestoreMessage?: string;
    /**
     * 报警恢复详情
     * @type {string}
     * @memberof ThirdDeviceAlarmForm
     */
    restoreMessage?: string;
    /**
     * 排序号
     * @type {number}
     * @memberof ThirdDeviceAlarmForm
     */
    sort?: number;
    /**
     * 变量id
     * @type {number}
     * @memberof ThirdDeviceAlarmForm
     */
    variantId?: number;
}

/**
 * 报警配置表实体类
 * @export
 * @interface ThirdDeviceAlarmVo
 */
export interface ThirdDeviceAlarmVo {
    /**
     * 报警分类（自定义的分类）
     * @type {string}
     * @memberof ThirdDeviceAlarmVo
     */
    alarmClassify?: string;
    /**
     * 报警所属分组 一个32位二进制的值
     * @type {number}
     * @memberof ThirdDeviceAlarmVo
     */
    alarmGroup?: number;
    /**
     * 报警id
     * @type {number}
     * @memberof ThirdDeviceAlarmVo
     */
    alarmId?: number;
    /**
     * 报警名称
     * @type {string}
     * @memberof ThirdDeviceAlarmVo
     */
    alarmName?: string;
    /**
     * 报警确认类型 0:手动确认, 1:恢复后自动确认, 2:只有恢复后才能手动确认
     * @type {string}
     * @memberof ThirdDeviceAlarmVo
     */
    confirmType?: string;
    /**
     * 创建人
     * @type {string}
     * @memberof ThirdDeviceAlarmVo
     */
    createdBy?: string;
    /**
     * 报警详情
     * @type {string}
     * @memberof ThirdDeviceAlarmVo
     */
    detail?: string;
    /**
     * 虚拟设备编号
     * @type {string}
     * @memberof ThirdDeviceAlarmVo
     */
    deviceId?: string;
    /**
     * 报警表达式
     * @type {string}
     * @memberof ThirdDeviceAlarmVo
     */
    expression?: string;
    /**
     * 报警级别 0：一般，1：重要，2：紧急
     * @type {string}
     * @memberof ThirdDeviceAlarmVo
     */
    level?: string;
    /**
     * 报警位置
     * @type {string}
     * @memberof ThirdDeviceAlarmVo
     */
    position?: string;
    /**
     * 延迟推送时间(单位秒,为0时不延迟)
     * @type {string}
     * @memberof ThirdDeviceAlarmVo
     */
    pushDelayTime?: string;
    /**
     * 是否推送报警恢复消息 0：否，1：是
     * @type {string}
     * @memberof ThirdDeviceAlarmVo
     */
    pushRestoreMessage?: string;
    /**
     * 报警恢复详情
     * @type {string}
     * @memberof ThirdDeviceAlarmVo
     */
    restoreMessage?: string;
    /**
     * 排序号
     * @type {number}
     * @memberof ThirdDeviceAlarmVo
     */
    sort?: number;
    /**
     * 变量id
     * @type {number}
     * @memberof ThirdDeviceAlarmVo
     */
    variantId?: number;
    /**
     * 
     * @type {string}
     * @memberof ThirdDeviceAlarmVo
     */
    variantName?: string;
}

/**
 * 第三方设备分组form
 * @export
 * @interface ThirdDeviceGroupForm
 */
export interface ThirdDeviceGroupForm {
    /**
     * 分组描述信息
     * @type {string}
     * @memberof ThirdDeviceGroupForm
     */
    groupDesc?: string;
    /**
     * 分组id，修改时需要
     * @type {string}
     * @memberof ThirdDeviceGroupForm
     */
    id?: string;
    /**
     * 分组名称
     * @type {string}
     * @memberof ThirdDeviceGroupForm
     */
    name?: string;
}

/**
 * 第三方设备详细信息
 * @export
 * @interface ThirdDeviceInfoVo
 */
export interface ThirdDeviceInfoVo {
    /**
     * 权限验证方式
     * @type {string}
     * @memberof ThirdDeviceInfoVo
     */
    authType?: string;
    /**
     * 所属企业Id
     * @type {string}
     * @memberof ThirdDeviceInfoVo
     */
    companyId?: string;
    /**
     * 创建人
     * @type {string}
     * @memberof ThirdDeviceInfoVo
     */
    createdBy?: string;
    /**
     * 创建时间
     * @type {string}
     * @memberof ThirdDeviceInfoVo
     */
    createdTime?: string;
    /**
     * 所属分组
     * @type {string}
     * @memberof ThirdDeviceInfoVo
     */
    groupId?: string;
    /**
     * 分组名称
     * @type {string}
     * @memberof ThirdDeviceInfoVo
     */
    groupName?: string;
    /**
     * 第三方设备Id
     * @type {string}
     * @memberof ThirdDeviceInfoVo
     */
    id?: string;
    /**
     * 绑定的项目id
     * @type {string}
     * @memberof ThirdDeviceInfoVo
     */
    projectId?: string;
    /**
     * 所属项目名称
     * @type {string}
     * @memberof ThirdDeviceInfoVo
     */
    projectName?: string;
    /**
     * 设备所属协议ID
     * @type {string}
     * @memberof ThirdDeviceInfoVo
     */
    protocolId?: string;
    /**
     * 协议名称
     * @type {string}
     * @memberof ThirdDeviceInfoVo
     */
    protocolName?: string;
    /**
     * 设备描述
     * @type {string}
     * @memberof ThirdDeviceInfoVo
     */
    remark?: string;
    /**
     * 设备密钥
     * @type {string}
     * @memberof ThirdDeviceInfoVo
     */
    secret?: string;
    /**
     * 序列号
     * @type {string}
     * @memberof ThirdDeviceInfoVo
     */
    serialNumber?: string;
    /**
     * 模板名称
     * @type {string}
     * @memberof ThirdDeviceInfoVo
     */
    templateName?: string;
    /**
     * 是否启用
     * @type {string}
     * @memberof ThirdDeviceInfoVo
     */
    tlsEnabled?: string;
    /**
     * 修改时间
     * @type {string}
     * @memberof ThirdDeviceInfoVo
     */
    updatedTime?: string;
}

/**
 * 第三方设备变量分组的form
 * @export
 * @interface ThirdDeviceVaribleGroupFrom
 */
export interface ThirdDeviceVaribleGroupFrom {
    /**
     * 第三方分组id
     * @type {string}
     * @memberof ThirdDeviceVaribleGroupFrom
     */
    groupId?: string;
    /**
     * 第三方分组名称
     * @type {string}
     * @memberof ThirdDeviceVaribleGroupFrom
     */
    groupName?: string;
    /**
     * 第三方设备id
     * @type {string}
     * @memberof ThirdDeviceVaribleGroupFrom
     */
    thirdDeviceId?: string;
}

/**
 * 变量表实体类
 * @export
 * @interface ThirdDeviceVaribleVo
 */
export interface ThirdDeviceVaribleVo {
    /**
     * 变量地址
     * @type {string}
     * @memberof ThirdDeviceVaribleVo
     */
    addr?: string;
    /**
     * 创建人
     * @type {string}
     * @memberof ThirdDeviceVaribleVo
     */
    createdBy?: string;
    /**
     * 数据类型
     * @type {string}
     * @memberof ThirdDeviceVaribleVo
     */
    dataType?: string;
    /**
     * 虚拟设备号
     * @type {string}
     * @memberof ThirdDeviceVaribleVo
     */
    deviceId?: string;
    /**
     * 
     * @type {number}
     * @memberof ThirdDeviceVaribleVo
     */
    enableLinear?: number;
    /**
     * 
     * @type {string}
     * @memberof ThirdDeviceVaribleVo
     */
    enableLinearFlag?: string;
    /**
     * 变量组id
     * @type {number}
     * @memberof ThirdDeviceVaribleVo
     */
    groupId?: number;
    /**
     * 变量组名称
     * @type {string}
     * @memberof ThirdDeviceVaribleVo
     */
    groupName?: string;
    /**
     * 
     * @type {string}
     * @memberof ThirdDeviceVaribleVo
     */
    inputMax?: string;
    /**
     * 
     * @type {string}
     * @memberof ThirdDeviceVaribleVo
     */
    inputMin?: string;
    /**
     * 
     * @type {string}
     * @memberof ThirdDeviceVaribleVo
     */
    joinName?: string;
    /**
     * 变量名称
     * @type {string}
     * @memberof ThirdDeviceVaribleVo
     */
    name?: string;
    /**
     * 
     * @type {string}
     * @memberof ThirdDeviceVaribleVo
     */
    outDataType?: string;
    /**
     * 
     * @type {string}
     * @memberof ThirdDeviceVaribleVo
     */
    outMax?: string;
    /**
     * 
     * @type {string}
     * @memberof ThirdDeviceVaribleVo
     */
    outMin?: string;
    /**
     * 是否在移动端显示 0:不显示 1:显示
     * @type {number}
     * @memberof ThirdDeviceVaribleVo
     */
    phoneVisible?: number;
    /**
     * PLC设备Id
     * @type {number}
     * @memberof ThirdDeviceVaribleVo
     */
    plcId?: number;
    /**
     * 历史存储类型 0:不存储，1:周期存储，2:变化存储，3:条件存储
     * @type {string}
     * @memberof ThirdDeviceVaribleVo
     */
    saveType?: string;
    /**
     * 历史存储值（1,5,10,30,60分钟），save_type为1(周期存储)，才会有save_value
     * @type {string}
     * @memberof ThirdDeviceVaribleVo
     */
    saveValue?: string;
    /**
     * 排序号
     * @type {number}
     * @memberof ThirdDeviceVaribleVo
     */
    sort?: number;
    /**
     * 手机端为false显示文本
     * @type {string}
     * @memberof ThirdDeviceVaribleVo
     */
    textFalse?: string;
    /**
     * 手机端为true显示文本
     * @type {string}
     * @memberof ThirdDeviceVaribleVo
     */
    textTrue?: string;
    /**
     * 变量单位
     * @type {string}
     * @memberof ThirdDeviceVaribleVo
     */
    unit?: string;
    /**
     * 每个虚拟设备的变量id从1递增
     * @type {number}
     * @memberof ThirdDeviceVaribleVo
     */
    variantId?: number;
    /**
     * 变量类别 '':不启用类别，2:专家类，3:工程师类，4:操作师类
     * @type {string}
     * @memberof ThirdDeviceVaribleVo
     */
    variantLevel?: string;
    /**
     * 是否可写 0:只读，1:可读可写
     * @type {string}
     * @memberof ThirdDeviceVaribleVo
     */
    writeable?: string;
}

/**
 * 
 * @export
 * @interface ThirdDeviceVo
 */
export interface ThirdDeviceVo {
    /**
     * 
     * @type {string}
     * @memberof ThirdDeviceVo
     */
    id?: string;
    /**
     * 
     * @type {string}
     * @memberof ThirdDeviceVo
     */
    name?: string;
    /**
     * 
     * @type {string}
     * @memberof ThirdDeviceVo
     */
    remark?: string;
    /**
     * 
     * @type {string}
     * @memberof ThirdDeviceVo
     */
    serialNumber?: string;
    /**
     * 
     * @type {string}
     * @memberof ThirdDeviceVo
     */
    type?: string;
}

/**
 * 简单得第三方设备分组信息
 * @export
 * @interface ThirdGroupSimpleVo
 */
export interface ThirdGroupSimpleVo {
    /**
     * 分组描述
     * @type {string}
     * @memberof ThirdGroupSimpleVo
     */
    groupDesc?: string;
    /**
     * 分组id
     * @type {string}
     * @memberof ThirdGroupSimpleVo
     */
    id?: string;
    /**
     * 分组名称
     * @type {string}
     * @memberof ThirdGroupSimpleVo
     */
    name?: string;
}

/**
 * 第三方设备分组vo
 * @export
 * @interface ThirdGroupVo
 */
export interface ThirdGroupVo {
    /**
     * 分组下的设备列表
     * @type {Array<ThirdDeviceVo>}
     * @memberof ThirdGroupVo
     */
    children?: Array<ThirdDeviceVo>;
    /**
     * 描述信息
     * @type {string}
     * @memberof ThirdGroupVo
     */
    groupDesc?: string;
    /**
     * 分组id
     * @type {string}
     * @memberof ThirdGroupVo
     */
    id?: string;
    /**
     * 分组名称
     * @type {string}
     * @memberof ThirdGroupVo
     */
    name?: string;
    /**
     * 类型
     * @type {string}
     * @memberof ThirdGroupVo
     */
    type?: string;
}

/**
 * 第三方设备实体类
 * @export
 * @interface ThirdPartyDevice
 */
export interface ThirdPartyDevice {
    /**
     * 权限验证方式
     * @type {string}
     * @memberof ThirdPartyDevice
     */
    authType?: string;
    /**
     * 所属企业Id
     * @type {string}
     * @memberof ThirdPartyDevice
     */
    companyId?: string;
    /**
     * 创建人
     * @type {string}
     * @memberof ThirdPartyDevice
     */
    createdBy?: string;
    /**
     * 创建时间
     * @type {string}
     * @memberof ThirdPartyDevice
     */
    createdTime?: string;
    /**
     * 所属分组
     * @type {string}
     * @memberof ThirdPartyDevice
     */
    groupId?: string;
    /**
     * 第三方设备Id
     * @type {string}
     * @memberof ThirdPartyDevice
     */
    id?: string;
    /**
     * 设备所属协议ID
     * @type {string}
     * @memberof ThirdPartyDevice
     */
    protocolId?: string;
    /**
     * 设备描述
     * @type {string}
     * @memberof ThirdPartyDevice
     */
    remark?: string;
    /**
     * 设备密钥
     * @type {string}
     * @memberof ThirdPartyDevice
     */
    secret?: string;
    /**
     * 序列号
     * @type {string}
     * @memberof ThirdPartyDevice
     */
    serialNumber?: string;
    /**
     * 是否启用
     * @type {string}
     * @memberof ThirdPartyDevice
     */
    tlsEnabled?: string;
    /**
     * 修改时间
     * @type {string}
     * @memberof ThirdPartyDevice
     */
    updatedTime?: string;
}

/**
 * 第三方设备的协议vo
 * @export
 * @interface ThirdProtocoVo
 */
export interface ThirdProtocoVo {
    /**
     * 协议id
     * @type {string}
     * @memberof ThirdProtocoVo
     */
    id?: string;
    /**
     * 协议名称
     * @type {string}
     * @memberof ThirdProtocoVo
     */
    name?: string;
    /**
     * 备注
     * @type {string}
     * @memberof ThirdProtocoVo
     */
    remark?: string;
}

/**
 * 
 * @export
 * @interface TimeBucketParam
 */
export interface TimeBucketParam {
    /**
     * 结束时间
     * @type {string}
     * @memberof TimeBucketParam
     */
    endTime?: string;
    /**
     * 项目id
     * @type {Array<string>}
     * @memberof TimeBucketParam
     */
    projectIds: Array<string>;
    /**
     * 开始时间
     * @type {string}
     * @memberof TimeBucketParam
     */
    startTime?: string;
}

/**
 * 
 * @export
 * @interface TokenInfo
 */
export interface TokenInfo {
    /**
     * 
     * @type {string}
     * @memberof TokenInfo
     */
    accessToken?: string;
    /**
     * 
     * @type {string}
     * @memberof TokenInfo
     */
    tokenType?: string;
    /**
     * 
     * @type {string}
     * @memberof TokenInfo
     */
    refreshToken?: string;
    /**
     * 
     * @type {number}
     * @memberof TokenInfo
     */
    expiresIn?: number;
    /**
     * 
     * @type {string}
     * @memberof TokenInfo
     */
    scope?: string;
}

/**
 * 
 * @export
 * @interface TreeNodeVo
 */
export interface TreeNodeVo {
    /**
     * 子节点
     * @type {Array<any>}
     * @memberof TreeNodeVo
     */
    children?: Array<any>;
    /**
     * 节点唯一id
     * @type {string}
     * @memberof TreeNodeVo
     */
    id?: string;
    /**
     * 是否为项目节点
     * @type {boolean}
     * @memberof TreeNodeVo
     */
    isProject?: boolean;
    /**
     * 节点名称
     * @type {string}
     * @memberof TreeNodeVo
     */
    name?: string;
    /**
     * 排序号
     * @type {number}
     * @memberof TreeNodeVo
     */
    sort?: number;
}

/**
 * 第三方设备信息
 * @export
 * @interface UpdThirdDeviceForm
 */
export interface UpdThirdDeviceForm {
    /**
     * 权限验证方式
     * @type {string}
     * @memberof UpdThirdDeviceForm
     */
    authType?: string;
    /**
     * 所属企业Id
     * @type {string}
     * @memberof UpdThirdDeviceForm
     */
    companyId?: string;
    /**
     * 创建人
     * @type {string}
     * @memberof UpdThirdDeviceForm
     */
    createdBy?: string;
    /**
     * 创建时间
     * @type {string}
     * @memberof UpdThirdDeviceForm
     */
    createdTime?: string;
    /**
     * 所属分组
     * @type {string}
     * @memberof UpdThirdDeviceForm
     */
    groupId?: string;
    /**
     * 第三方设备Id
     * @type {string}
     * @memberof UpdThirdDeviceForm
     */
    id?: string;
    /**
     * 设备所属协议ID
     * @type {string}
     * @memberof UpdThirdDeviceForm
     */
    protocolId?: string;
    /**
     * 设备描述
     * @type {string}
     * @memberof UpdThirdDeviceForm
     */
    remark?: string;
    /**
     * 设备密钥
     * @type {string}
     * @memberof UpdThirdDeviceForm
     */
    secret?: string;
    /**
     * 序列号
     * @type {string}
     * @memberof UpdThirdDeviceForm
     */
    serialNumber?: string;
    /**
     * 是否启用
     * @type {string}
     * @memberof UpdThirdDeviceForm
     */
    tlsEnabled?: string;
    /**
     * 修改时间
     * @type {string}
     * @memberof UpdThirdDeviceForm
     */
    updatedTime?: string;
}

/**
 * 更换超管Form
 * @export
 * @interface UpdateAdminForm
 */
export interface UpdateAdminForm {
    /**
     * 手机验证码
     * @type {string}
     * @memberof UpdateAdminForm
     */
    phoneCode: string;
    /**
     * 用户标识
     * @type {string}
     * @memberof UpdateAdminForm
     */
    userId: string;
}

/**
 * 
 * @export
 * @interface UpdateAuthPackageForm
 */
export interface UpdateAuthPackageForm {
    /**
     * 套餐id
     * @type {string}
     * @memberof UpdateAuthPackageForm
     */
    id: string;
    /**
     * 套餐名称
     * @type {string}
     * @memberof UpdateAuthPackageForm
     */
    name: string;
    /**
     * 套餐属性以及属性值
     * @type {Array<AuthPackageProperties>}
     * @memberof UpdateAuthPackageForm
     */
    properties: Array<AuthPackageProperties>;
    /**
     * 套餐类型0：普通套餐，1，默认套餐
     * @type {number}
     * @memberof UpdateAuthPackageForm
     */
    type: number;
}

/**
 * 
 * @export
 * @interface UpdateAuthPackagePropertiesConfigForm
 */
export interface UpdateAuthPackagePropertiesConfigForm {
    /**
     * id
     * @type {string}
     * @memberof UpdateAuthPackagePropertiesConfigForm
     */
    id: string;
    /**
     * 数量，和价格对应，例如：1元10个)
     * @type {number}
     * @memberof UpdateAuthPackagePropertiesConfigForm
     */
    number: number;
    /**
     * 价格（RMB)
     * @type {number}
     * @memberof UpdateAuthPackagePropertiesConfigForm
     */
    price: number;
    /**
     * 排序号
     * @type {number}
     * @memberof UpdateAuthPackagePropertiesConfigForm
     */
    sort: number;
}

/**
 * 修改个人客户
 * @export
 * @interface UpdateClientForm
 */
export interface UpdateClientForm {
    /**
     * 客户企业地址
     * @type {string}
     * @memberof UpdateClientForm
     */
    address?: string;
    /**
     * 客户企业名称
     * @type {string}
     * @memberof UpdateClientForm
     */
    clientCompanyName: string;
    /**
     * 客户企业id
     * @type {string}
     * @memberof UpdateClientForm
     */
    clientId: string;
    /**
     * 企业客户名称
     * @type {string}
     * @memberof UpdateClientForm
     */
    clientName: string;
    /**
     * 客户联系人邮箱
     * @type {string}
     * @memberof UpdateClientForm
     */
    contactEmail?: string;
    /**
     * 客户联系人名称
     * @type {string}
     * @memberof UpdateClientForm
     */
    contactName?: string;
    /**
     * 客户联系人电话
     * @type {string}
     * @memberof UpdateClientForm
     */
    contactPhone?: string;
    /**
     * 客户企业办公电话
     * @type {string}
     * @memberof UpdateClientForm
     */
    officePhone?: string;
    /**
     * 客户企业备注
     * @type {string}
     * @memberof UpdateClientForm
     */
    remark?: string;
    /**
     * 客户联系人性别
     * @type {number}
     * @memberof UpdateClientForm
     */
    sex?: number;
    /**
     * 客户管理员账号
     * @type {string}
     * @memberof UpdateClientForm
     */
    username: string;
}

/**
 * 修改企业客户
 * @export
 * @interface UpdateCompanyClientForm
 */
export interface UpdateCompanyClientForm {
    /**
     * 企业客户的企业Id
     * @type {string}
     * @memberof UpdateCompanyClientForm
     */
    clientId: string;
    /**
     * 企业客户名称
     * @type {string}
     * @memberof UpdateCompanyClientForm
     */
    clientName?: string;
    /**
     * 企业客户联系邮箱
     * @type {string}
     * @memberof UpdateCompanyClientForm
     */
    contactEmail?: string;
    /**
     * 企业客户联系人名称
     * @type {string}
     * @memberof UpdateCompanyClientForm
     */
    contactName?: string;
    /**
     * 企业客户联系电话
     * @type {string}
     * @memberof UpdateCompanyClientForm
     */
    contactPhone?: string;
    /**
     * 企业客户备注
     * @type {string}
     * @memberof UpdateCompanyClientForm
     */
    remark?: string;
}

/**
 * 修改条件标签Form
 * @export
 * @interface UpdateConditionTagForm
 */
export interface UpdateConditionTagForm {
    /**
     * 标签Id
     * @type {string}
     * @memberof UpdateConditionTagForm
     */
    id?: string;
    /**
     * 标签名
     * @type {string}
     * @memberof UpdateConditionTagForm
     */
    name?: string;
    /**
     * 排序号
     * @type {number}
     * @memberof UpdateConditionTagForm
     */
    sort?: number;
}

/**
 * 修改枚举属性From
 * @export
 * @interface UpdateEnumPropertiesForm
 */
export interface UpdateEnumPropertiesForm {
    /**
     * 枚举属性值Id
     * @type {string}
     * @memberof UpdateEnumPropertiesForm
     */
    id: string;
    /**
     * 枚举属性值名称
     * @type {string}
     * @memberof UpdateEnumPropertiesForm
     */
    name: string;
    /**
     * 枚举备注
     * @type {string}
     * @memberof UpdateEnumPropertiesForm
     */
    remark?: string;
    /**
     * 排序号
     * @type {number}
     * @memberof UpdateEnumPropertiesForm
     */
    sort?: number;
}

/**
 * 
 * @export
 * @interface UpdateLiveVideoForm
 */
export interface UpdateLiveVideoForm {
    /**
     * id
     * @type {string}
     * @memberof UpdateLiveVideoForm
     */
    id: string;
    /**
     * 直播地址
     * @type {string}
     * @memberof UpdateLiveVideoForm
     */
    liveAddress?: string;
    /**
     * 直播视屏名称
     * @type {string}
     * @memberof UpdateLiveVideoForm
     */
    name?: string;
    /**
     * 备注
     * @type {string}
     * @memberof UpdateLiveVideoForm
     */
    remark?: string;
    /**
     * 设备序列号
     * @type {string}
     * @memberof UpdateLiveVideoForm
     */
    serialNumber?: string;
}

/**
 * 修改角色菜单权限
 * @export
 * @interface UpdateMenuForm
 */
export interface UpdateMenuForm {
    /**
     * 接口id集合
     * @type {Array<string>}
     * @memberof UpdateMenuForm
     */
    interfaceIds?: Array<string>;
    /**
     * 菜单id集合
     * @type {Array<string>}
     * @memberof UpdateMenuForm
     */
    menuIds?: Array<string>;
    /**
     * 主键
     * @type {string}
     * @memberof UpdateMenuForm
     */
    roleId?: string;
}

/**
 * 修改看板过滤分组Form
 * @export
 * @interface UpdateProjectBoardFilterGroupForm
 */
export interface UpdateProjectBoardFilterGroupForm {
    /**
     * 过滤分组Id
     * @type {string}
     * @memberof UpdateProjectBoardFilterGroupForm
     */
    id: string;
    /**
     * 过滤分组名称
     * @type {string}
     * @memberof UpdateProjectBoardFilterGroupForm
     */
    name: string;
    /**
     * 备注
     * @type {string}
     * @memberof UpdateProjectBoardFilterGroupForm
     */
    remark?: string;
    /**
     * 排序号
     * @type {number}
     * @memberof UpdateProjectBoardFilterGroupForm
     */
    sort?: number;
}

/**
 * 保存过滤分组筛选值Form
 * @export
 * @interface UpdateProjectBoardFilterPropertiesForm
 */
export interface UpdateProjectBoardFilterPropertiesForm {
    /**
     * 过滤分组Id
     * @type {string}
     * @memberof UpdateProjectBoardFilterPropertiesForm
     */
    filterGroupId: string;
    /**
     * 过滤分组类型和值
     * @type {Array<ProjectBoardFilterPropertiesTypeValue>}
     * @memberof UpdateProjectBoardFilterPropertiesForm
     */
    typeValues: Array<ProjectBoardFilterPropertiesTypeValue>;
}

/**
 * 修改项目看板传输类
 * @export
 * @interface UpdateProjectBoardForm
 */
export interface UpdateProjectBoardForm {
    /**
     * 项目看板Id
     * @type {string}
     * @memberof UpdateProjectBoardForm
     */
    id: string;
    /**
     * 项目看板名称
     * @type {string}
     * @memberof UpdateProjectBoardForm
     */
    name: string;
    /**
     * 是否在移动端使用项目看板 true:使用  false:不使用
     * @type {boolean}
     * @memberof UpdateProjectBoardForm
     */
    phoneEnable?: boolean;
    /**
     * 项目看板备注
     * @type {string}
     * @memberof UpdateProjectBoardForm
     */
    remark?: string;
    /**
     * 项目看板序列号
     * @type {number}
     * @memberof UpdateProjectBoardForm
     */
    sort?: number;
    /**
     * 是否使用项目看板 true:使用  false:不使用
     * @type {boolean}
     * @memberof UpdateProjectBoardForm
     */
    useEnable: boolean;
}

/**
 * 项目看板树节点 Form类
 * @export
 * @interface UpdateProjectBoardTreeNodeForm
 */
export interface UpdateProjectBoardTreeNodeForm {
    /**
     * 节点所属看板ID
     * @type {string}
     * @memberof UpdateProjectBoardTreeNodeForm
     */
    projectBoardId: string;
    /**
     * N个节点值与类型信息
     * @type {Array<UpdateProjectBoardTreeNodeValTypeForm>}
     * @memberof UpdateProjectBoardTreeNodeForm
     */
    projectBoardTreeNodeValTypeForms?: Array<UpdateProjectBoardTreeNodeValTypeForm>;
}

/**
 * 保存项目看树节点 值与类型
 * @export
 * @interface UpdateProjectBoardTreeNodeValTypeForm
 */
export interface UpdateProjectBoardTreeNodeValTypeForm {
    /**
     * 属性为 日期类属性时 level等于对应的值  0：年，1：月
     * @type {string}
     * @memberof UpdateProjectBoardTreeNodeValTypeForm
     */
    level?: string;
    /**
     * 类型   0:省、1市、2 区、3客户、4年、5月、6项目属性 、7:系统项目
     * @type {string}
     * @memberof UpdateProjectBoardTreeNodeValTypeForm
     */
    type?: string;
    /**
     * 值  为属性则是 属性Id
     * @type {string}
     * @memberof UpdateProjectBoardTreeNodeValTypeForm
     */
    value?: string;
}

/**
 * 修改项目属性Form类
 * @export
 * @interface UpdateProjectPropertiesForm
 */
export interface UpdateProjectPropertiesForm {
    /**
     * 日期属性内容   0： 年，1：年月，2：年月日，3年月日时
     * @type {string}
     * @memberof UpdateProjectPropertiesForm
     */
    format?: string;
    /**
     * 项目属性ID
     * @type {string}
     * @memberof UpdateProjectPropertiesForm
     */
    id: string;
    /**
     * 项目属性名称
     * @type {string}
     * @memberof UpdateProjectPropertiesForm
     */
    name?: string;
    /**
     * 项目属性备注
     * @type {string}
     * @memberof UpdateProjectPropertiesForm
     */
    remark?: string;
    /**
     * 项目属性排序号
     * @type {number}
     * @memberof UpdateProjectPropertiesForm
     */
    sort?: number;
}

/**
 * 
 * @export
 * @interface UpdateProjectPropertiesValueForm
 */
export interface UpdateProjectPropertiesValueForm {
    /**
     * 项目id
     * @type {string}
     * @memberof UpdateProjectPropertiesValueForm
     */
    projectId?: string;
    /**
     * 属性id
     * @type {string}
     * @memberof UpdateProjectPropertiesValueForm
     */
    propertiesId?: string;
    /**
     * 项目属性值
     * @type {string}
     * @memberof UpdateProjectPropertiesValueForm
     */
    value?: string;
}

/**
 * 
 * @export
 * @interface UpdateProtocolForm
 */
export interface UpdateProtocolForm {
    /**
     * 
     * @type {string}
     * @memberof UpdateProtocolForm
     */
    id?: string;
    /**
     * 
     * @type {string}
     * @memberof UpdateProtocolForm
     */
    name?: string;
    /**
     * 
     * @type {string}
     * @memberof UpdateProtocolForm
     */
    remark?: string;
}

/**
 * 添加角色表单信息
 * @export
 * @interface UpdateRoleForm
 */
export interface UpdateRoleForm {
    /**
     * 角色id(修改时必须要)
     * @type {string}
     * @memberof UpdateRoleForm
     */
    id?: string;
    /**
     * 角色名
     * @type {string}
     * @memberof UpdateRoleForm
     */
    name: string;
    /**
     * 0系统角色,1项目角色,2企业管理,3部门管理,4所有用户通用,5super角色
     * @type {number}
     * @memberof UpdateRoleForm
     */
    type: number;
}

/**
 * 
 * @export
 * @interface UpdateSurveillanceVideoForm
 */
export interface UpdateSurveillanceVideoForm {
    /**
     * AppKey
     * @type {string}
     * @memberof UpdateSurveillanceVideoForm
     */
    appKey?: string;
    /**
     * 项目ID
     * @type {string}
     * @memberof UpdateSurveillanceVideoForm
     */
    projectId?: string;
    /**
     * Secret
     * @type {string}
     * @memberof UpdateSurveillanceVideoForm
     */
    secret?: string;
    /**
     * 监控地址
     * @type {Array<string>}
     * @memberof UpdateSurveillanceVideoForm
     */
    urls?: Array<string>;
}

/**
 * 修改模板Form类
 * @export
 * @interface UpdateTemplateForm
 */
export interface UpdateTemplateForm {
    /**
     * 模板Id
     * @type {string}
     * @memberof UpdateTemplateForm
     */
    id: string;
    /**
     * 模板名称
     * @type {string}
     * @memberof UpdateTemplateForm
     */
    name: string;
    /**
     * 模板备注
     * @type {string}
     * @memberof UpdateTemplateForm
     */
    remark?: string;
}

/**
 * 修改用户信息Form
 * @export
 * @interface UpdateUserForm
 */
export interface UpdateUserForm {
    /**
     * 地址
     * @type {string}
     * @memberof UpdateUserForm
     */
    address?: string;
    /**
     * 部门ID
     * @type {string}
     * @memberof UpdateUserForm
     */
    departmentId?: string;
    /**
     * 电子邮箱
     * @type {string}
     * @memberof UpdateUserForm
     */
    email?: string;
    /**
     * 用户id
     * @type {string}
     * @memberof UpdateUserForm
     */
    id?: string;
    /**
     * 账号是否锁定(1:锁定 0未锁定)
     * @type {boolean}
     * @memberof UpdateUserForm
     */
    lock?: boolean;
    /**
     * 昵称
     * @type {string}
     * @memberof UpdateUserForm
     */
    nickname?: string;
    /**
     * 办公电话
     * @type {string}
     * @memberof UpdateUserForm
     */
    officePhone?: string;
    /**
     * 旧手机号
     * @type {string}
     * @memberof UpdateUserForm
     */
    oldPhone?: string;
    /**
     * 手机号
     * @type {string}
     * @memberof UpdateUserForm
     */
    phone?: string;
    /**
     * 手机验证码
     * @type {string}
     * @memberof UpdateUserForm
     */
    phoneCode?: string;
    /**
     * 角色ID
     * @type {string}
     * @memberof UpdateUserForm
     */
    roleId?: string;
    /**
     * 性别(0:男 1:女 2:未知)
     * @type {number}
     * @memberof UpdateUserForm
     */
    sex?: number;
    /**
     * 数据来源(0注册审核,1企业管理菜单中手动添加,2超级用户添加企业时生成,3系统自动添加)
     * @type {number}
     * @memberof UpdateUserForm
     */
    source?: number;
    /**
     * 类型(1管理员 2普通用户)与实际的type不一样
     * @type {number}
     * @memberof UpdateUserForm
     */
    type?: number;
    /**
     * 用户名
     * @type {string}
     * @memberof UpdateUserForm
     */
    username: string;
}

/**
 * 修改变量标签Form
 * @export
 * @interface UpdateVariantTagForm
 */
export interface UpdateVariantTagForm {
    /**
     * 变量标签Id
     * @type {string}
     * @memberof UpdateVariantTagForm
     */
    id?: string;
    /**
     * 标签名
     * @type {string}
     * @memberof UpdateVariantTagForm
     */
    name?: string;
    /**
     * 排序号
     * @type {number}
     * @memberof UpdateVariantTagForm
     */
    sort?: number;
}

/**
 * 项目列表
 * @export
 * @interface UserAuthorizationProjectVo
 */
export interface UserAuthorizationProjectVo {
    /**
     * 子节点
     * @type {Array<UserAuthorizationProjectVo>}
     * @memberof UserAuthorizationProjectVo
     */
    children?: Array<UserAuthorizationProjectVo>;
    /**
     * 项目所属企业id
     * @type {string}
     * @memberof UserAuthorizationProjectVo
     */
    companyId?: string;
    /**
     * 
     * @type {string}
     * @memberof UserAuthorizationProjectVo
     */
    def?: string;
    /**
     * 项目组id
     * @type {string}
     * @memberof UserAuthorizationProjectVo
     */
    groupId?: string;
    /**
     * 项目所属组名称
     * @type {string}
     * @memberof UserAuthorizationProjectVo
     */
    groupName?: string;
    /**
     * 项目id
     * @type {string}
     * @memberof UserAuthorizationProjectVo
     */
    projectId?: string;
    /**
     * 项目名称
     * @type {string}
     * @memberof UserAuthorizationProjectVo
     */
    projectName?: string;
    /**
     * 
     * @type {number}
     * @memberof UserAuthorizationProjectVo
     */
    type?: number;
}

/**
 * 添加用户信息Form
 * @export
 * @interface UserForm
 */
export interface UserForm {
    /**
     * 地址
     * @type {string}
     * @memberof UserForm
     */
    address?: string;
    /**
     * 部门ID
     * @type {string}
     * @memberof UserForm
     */
    departmentId?: string;
    /**
     * 图片验证码设备id
     * @type {string}
     * @memberof UserForm
     */
    deviceId?: string;
    /**
     * 电子邮箱
     * @type {string}
     * @memberof UserForm
     */
    email?: string;
    /**
     * 账号是否锁定(1:锁定 0未锁定)
     * @type {boolean}
     * @memberof UserForm
     */
    lock?: boolean;
    /**
     * 昵称
     * @type {string}
     * @memberof UserForm
     */
    nickname?: string;
    /**
     * 办公电话
     * @type {string}
     * @memberof UserForm
     */
    officePhone?: string;
    /**
     * 密码
     * @type {string}
     * @memberof UserForm
     */
    password: string;
    /**
     * 手机号
     * @type {string}
     * @memberof UserForm
     */
    phone?: string;
    /**
     * 手机验证码
     * @type {string}
     * @memberof UserForm
     */
    phoneCode?: string;
    /**
     * 角色ID
     * @type {string}
     * @memberof UserForm
     */
    roleId?: string;
    /**
     * 性别(0:男 1:女 2:未知)
     * @type {number}
     * @memberof UserForm
     */
    sex?: number;
    /**
     * 数据来源(0注册审核,1企业管理菜单中手动添加,2超级用户添加企业时生成,3系统自动添加)
     * @type {number}
     * @memberof UserForm
     */
    source?: number;
    /**
     * 类型(1管理员 2普通用户)与实际的type不一样
     * @type {number}
     * @memberof UserForm
     */
    type?: number;
    /**
     * 用户名
     * @type {string}
     * @memberof UserForm
     */
    username: string;
}

/**
 * 用户操作日志
 * @export
 * @interface UserLog
 */
export interface UserLog {
    /**
     * 请求端IP
     * @type {string}
     * @memberof UserLog
     */
    clientIp?: string;
    /**
     * 企业Id
     * @type {string}
     * @memberof UserLog
     */
    companyId?: string;
    /**
     * 日志详情
     * @type {string}
     * @memberof UserLog
     */
    details?: string;
    /**
     * 日志Id
     * @type {string}
     * @memberof UserLog
     */
    id?: string;
    /**
     * 用户名
     * @type {string}
     * @memberof UserLog
     */
    nickname?: string;
    /**
     * 老数据迁移，0：不是，1，是
     * @type {string}
     * @memberof UserLog
     */
    oldDataMigration?: string;
    /**
     * 项目Id
     * @type {string}
     * @memberof UserLog
     */
    projectId?: string;
    /**
     * 记录时间
     * @type {string}
     * @memberof UserLog
     */
    requestTime?: string;
    /**
     * 操作返回码
     * @type {string}
     * @memberof UserLog
     */
    resultCode?: string;
    /**
     * 返回值信息
     * @type {string}
     * @memberof UserLog
     */
    resultData?: string;
    /**
     * 返回值信息
     * @type {string}
     * @memberof UserLog
     */
    resultMessage?: string;
    /**
     * 用户Id
     * @type {string}
     * @memberof UserLog
     */
    userId?: string;
    /**
     * 用户账号
     * @type {string}
     * @memberof UserLog
     */
    username?: string;
}

/**
 * 查询日志参数类
 * @export
 * @interface UserLogParam
 */
export interface UserLogParam {
    /**
     * 当前页码
     * @type {number}
     * @memberof UserLogParam
     */
    currentPage: number;
    /**
     * 结束日期 （日期选择范围只能在 一个月内）
     * @type {string}
     * @memberof UserLogParam
     */
    endTime: string;
    /**
     * 每页个数
     * @type {number}
     * @memberof UserLogParam
     */
    pageSize: number;
    /**
     * 该值为空时 默认查询 企业日志
     * @type {string}
     * @memberof UserLogParam
     */
    projectId?: string;
    /**
     * 开始日期 （日期选择范围只能在 一个月内）
     * @type {string}
     * @memberof UserLogParam
     */
    startTime: string;
}

/**
 * 用户Vo
 * @export
 * @interface UserVo
 */
export interface UserVo {
    /**
     * 地址
     * @type {string}
     * @memberof UserVo
     */
    address?: string;
    /**
     * 头像地址
     * @type {string}
     * @memberof UserVo
     */
    avatar?: string;
    /**
     * 创建人
     * @type {string}
     * @memberof UserVo
     */
    createdBy?: string;
    /**
     * 创建时间
     * @type {Date}
     * @memberof UserVo
     */
    createdTime?: Date;
    /**
     * 部门标识
     * @type {string}
     * @memberof UserVo
     */
    departmentId?: string;
    /**
     * 部门名称
     * @type {string}
     * @memberof UserVo
     */
    departmentName?: string;
    /**
     * 邮箱
     * @type {string}
     * @memberof UserVo
     */
    email?: string;
    /**
     * 是否启用:1是0否
     * @type {boolean}
     * @memberof UserVo
     */
    enabled?: boolean;
    /**
     * 主键id
     * @type {string}
     * @memberof UserVo
     */
    id?: string;
    /**
     * 昵称
     * @type {string}
     * @memberof UserVo
     */
    nickname?: string;
    /**
     * 办公号码
     * @type {string}
     * @memberof UserVo
     */
    officePhone?: string;
    /**
     * 手机号
     * @type {string}
     * @memberof UserVo
     */
    phone?: string;
    /**
     * 备注
     * @type {string}
     * @memberof UserVo
     */
    remark?: string;
    /**
     * 角色id
     * @type {string}
     * @memberof UserVo
     */
    roleId?: string;
    /**
     * 角色name
     * @type {string}
     * @memberof UserVo
     */
    roleName?: string;
    /**
     * 性别 0.男,1女,2未知
     * @type {number}
     * @memberof UserVo
     */
    sex?: number;
    /**
     * 二次开发访问密钥
     * @type {string}
     * @memberof UserVo
     */
    sid?: string;
    /**
     * 类型 0超级管理员(super),1超级企业管理员2企业管理员,3企业用户,4部门管理员5部门用户
     * @type {number}
     * @memberof UserVo
     */
    type?: number;
    /**
     * 修改时间
     * @type {Date}
     * @memberof UserVo
     */
    updatedTime?: Date;
    /**
     * 用户名
     * @type {string}
     * @memberof UserVo
     */
    username?: string;
}

/**
 * 变量绑定标签Form类
 * @export
 * @interface VariantBindingTagForm
 */
export interface VariantBindingTagForm {
    /**
     * 设备Id
     * @type {string}
     * @memberof VariantBindingTagForm
     */
    deviceId?: string;
    /**
     * 项目/模板Id
     * @type {string}
     * @memberof VariantBindingTagForm
     */
    resourceId?: string;
    /**
     * 变量Id
     * @type {number}
     * @memberof VariantBindingTagForm
     */
    variantId?: number;
    /**
     * 变量标签Id
     * @type {string}
     * @memberof VariantBindingTagForm
     */
    variantTagId?: string;
}

/**
 * 变量详细信息
 * @export
 * @interface VariantDetailedInfoVo
 */
export interface VariantDetailedInfoVo {
    /**
     * 变量地址
     * @type {string}
     * @memberof VariantDetailedInfoVo
     */
    addr?: string;
    /**
     * 变量地址
     * @type {string}
     * @memberof VariantDetailedInfoVo
     */
    collectorName?: string;
    /**
     * 数据类型
     * @type {string}
     * @memberof VariantDetailedInfoVo
     */
    dataType?: string;
    /**
     * 设备id
     * @type {string}
     * @memberof VariantDetailedInfoVo
     */
    deviceId?: string;
    /**
     * 分组名称
     * @type {string}
     * @memberof VariantDetailedInfoVo
     */
    groupName?: string;
    /**
     * 安全类型名称
     * @type {string}
     * @memberof VariantDetailedInfoVo
     */
    levelName?: string;
    /**
     * 可移动的
     * @type {number}
     * @memberof VariantDetailedInfoVo
     */
    phoneVisible?: number;
    /**
     * plc名称
     * @type {string}
     * @memberof VariantDetailedInfoVo
     */
    plcName?: string;
    /**
     * 项目Id
     * @type {string}
     * @memberof VariantDetailedInfoVo
     */
    projectId?: string;
    /**
     * 是否只读
     * @type {boolean}
     * @memberof VariantDetailedInfoVo
     */
    readOnly?: boolean;
    /**
     * 保存类型
     * @type {string}
     * @memberof VariantDetailedInfoVo
     */
    saveType?: string;
    /**
     * 保存值
     * @type {string}
     * @memberof VariantDetailedInfoVo
     */
    saveValue?: string;
    /**
     * 排序号
     * @type {number}
     * @memberof VariantDetailedInfoVo
     */
    sort?: number;
    /**
     * 关联标签id
     * @type {string}
     * @memberof VariantDetailedInfoVo
     */
    tagId?: string;
    /**
     * 关联标签name
     * @type {string}
     * @memberof VariantDetailedInfoVo
     */
    tagName?: string;
    /**
     * textFalse
     * @type {string}
     * @memberof VariantDetailedInfoVo
     */
    textFalse?: string;
    /**
     * textTrue
     * @type {string}
     * @memberof VariantDetailedInfoVo
     */
    textTrue?: string;
    /**
     * 单位
     * @type {string}
     * @memberof VariantDetailedInfoVo
     */
    unit?: string;
    /**
     * 变量id
     * @type {number}
     * @memberof VariantDetailedInfoVo
     */
    variantId?: number;
    /**
     * 变量级别
     * @type {string}
     * @memberof VariantDetailedInfoVo
     */
    variantLevel?: string;
    /**
     * 变量name
     * @type {string}
     * @memberof VariantDetailedInfoVo
     */
    variantName?: string;
    /**
     * 读写
     * @type {string}
     * @memberof VariantDetailedInfoVo
     */
    writeable?: string;
}

/**
 * 
 * @export
 * @interface VariantFavoriteModel
 */
export interface VariantFavoriteModel {
    /**
     * 
     * @type {string}
     * @memberof VariantFavoriteModel
     */
    id?: string;
    /**
     * 
     * @type {string}
     * @memberof VariantFavoriteModel
     */
    name?: string;
    /**
     * 
     * @type {string}
     * @memberof VariantFavoriteModel
     */
    variantIds?: string;
}

/**
 * 变量收藏分组Vo
 * @export
 * @interface VariantFavoriteVo
 */
export interface VariantFavoriteVo {
    /**
     * 创建人
     * @type {string}
     * @memberof VariantFavoriteVo
     */
    createdBy?: string;
    /**
     * 创建时间
     * @type {Date}
     * @memberof VariantFavoriteVo
     */
    createdTime?: Date;
    /**
     * 收藏组id
     * @type {string}
     * @memberof VariantFavoriteVo
     */
    id?: string;
    /**
     * 收藏组名称
     * @type {string}
     * @memberof VariantFavoriteVo
     */
    name?: string;
    /**
     * 描述
     * @type {string}
     * @memberof VariantFavoriteVo
     */
    remark?: string;
    /**
     * 修改时间
     * @type {Date}
     * @memberof VariantFavoriteVo
     */
    updatedTime?: Date;
}

/**
 * 变量组Pojo类
 * @export
 * @interface VariantGroup
 */
export interface VariantGroup {
    /**
     * 虚拟设备Id
     * @type {string}
     * @memberof VariantGroup
     */
    deviceId?: string;
    /**
     * 变量组Id
     * @type {number}
     * @memberof VariantGroup
     */
    groupId?: number;
    /**
     * 变量组唯一Id
     * @type {string}
     * @memberof VariantGroup
     */
    id?: string;
    /**
     * 变量组名称
     * @type {string}
     * @memberof VariantGroup
     */
    name?: string;
    /**
     * 变量组排序号
     * @type {number}
     * @memberof VariantGroup
     */
    sortNo?: number;
}

/**
 * 变量分组Vo
 * @export
 * @interface VariantGroupVo
 */
export interface VariantGroupVo {
    /**
     * 设备id
     * @type {string}
     * @memberof VariantGroupVo
     */
    deviceId?: string;
    /**
     * 分组id
     * @type {string}
     * @memberof VariantGroupVo
     */
    groupId?: string;
    /**
     * 分组名称
     * @type {string}
     * @memberof VariantGroupVo
     */
    groupName?: string;
}

/**
 * 维护变量指标 Form
 * @export
 * @interface VariantIndexForm
 */
export interface VariantIndexForm {
    /**
     * 设备Id
     * @type {string}
     * @memberof VariantIndexForm
     */
    deviceId: string;
    /**
     * add/del（新增变量指标或 删除变量指标）
     * @type {string}
     * @memberof VariantIndexForm
     */
    operateType: string;
    /**
     * 模板/项目Id
     * @type {string}
     * @memberof VariantIndexForm
     */
    resourceId: string;
    /**
     * project/template
     * @type {string}
     * @memberof VariantIndexForm
     */
    resourceType?: string;
    /**
     * 变量Id
     * @type {number}
     * @memberof VariantIndexForm
     */
    variantId: number;
    /**
     * 变量指标
     * @type {string}
     * @memberof VariantIndexForm
     */
    variantIndex: string;
}

/**
 * 变量指标
 * @export
 * @interface VariantIndexVo
 */
export interface VariantIndexVo {
    /**
     * 创建时间
     * @type {Date}
     * @memberof VariantIndexVo
     */
    createdTime?: Date;
    /**
     * 虚拟设备ID
     * @type {string}
     * @memberof VariantIndexVo
     */
    deviceId?: string;
    /**
     * 值类型
     * @type {string}
     * @memberof VariantIndexVo
     */
    indexType?: string;
    /**
     * 项目/模板ID
     * @type {string}
     * @memberof VariantIndexVo
     */
    resourceId?: string;
    /**
     * project/template
     * @type {string}
     * @memberof VariantIndexVo
     */
    resourceType?: string;
    /**
     * 修改时间
     * @type {Date}
     * @memberof VariantIndexVo
     */
    updatedTime?: Date;
    /**
     * 变量ID
     * @type {number}
     * @memberof VariantIndexVo
     */
    variantId?: number;
    /**
     * 变量名称
     * @type {string}
     * @memberof VariantIndexVo
     */
    variantName?: string;
}

/**
 * 
 * @export
 * @interface VariantModel
 */
export interface VariantModel {
    /**
     * 
     * @type {string}
     * @memberof VariantModel
     */
    addr?: string;
    /**
     * 
     * @type {Array<AlarmModel>}
     * @memberof VariantModel
     */
    alarmModels?: Array<AlarmModel>;
    /**
     * 
     * @type {string}
     * @memberof VariantModel
     */
    dataType?: string;
    /**
     * 
     * @type {string}
     * @memberof VariantModel
     */
    deviceId?: string;
    /**
     * 
     * @type {string}
     * @memberof VariantModel
     */
    group?: string;
    /**
     * 
     * @type {string}
     * @memberof VariantModel
     */
    name?: string;
    /**
     * 
     * @type {number}
     * @memberof VariantModel
     */
    saveCountEveryDay?: number;
    /**
     * 
     * @type {number}
     * @memberof VariantModel
     */
    saveMaxValue?: number;
    /**
     * 
     * @type {number}
     * @memberof VariantModel
     */
    saveMinValue?: number;
    /**
     * 
     * @type {string}
     * @memberof VariantModel
     */
    saveStartTime?: string;
    /**
     * 
     * @type {string}
     * @memberof VariantModel
     */
    saveStopTime?: string;
    /**
     * 
     * @type {string}
     * @memberof VariantModel
     */
    saveType?: string;
    /**
     * 
     * @type {string}
     * @memberof VariantModel
     */
    saveValue?: string;
    /**
     * 
     * @type {number}
     * @memberof VariantModel
     */
    variantId?: number;
}

/**
 * 
 * @export
 * @interface VariantRealtimeValue
 */
export interface VariantRealtimeValue {
    /**
     * 变量状态
     * @type {boolean}
     * @memberof VariantRealtimeValue
     */
    good?: boolean;
    /**
     * 变量值时间
     * @type {number}
     * @memberof VariantRealtimeValue
     */
    time?: number;
    /**
     * 变量值
     * @type {string}
     * @memberof VariantRealtimeValue
     */
    value?: string;
    /**
     * 变量id
     * @type {string}
     * @memberof VariantRealtimeValue
     */
    variantId?: string;
}

/**
 * 变量标签Vo类
 * @export
 * @interface VariantTagVo
 */
export interface VariantTagVo {
    /**
     * 变量标签id
     * @type {string}
     * @memberof VariantTagVo
     */
    id?: string;
    /**
     * 指标
     * @type {string}
     * @memberof VariantTagVo
     */
    indexType?: string;
    /**
     * 是否已被绑定
     * @type {boolean}
     * @memberof VariantTagVo
     */
    isBind?: boolean;
    /**
     * 变量标签名称
     * @type {string}
     * @memberof VariantTagVo
     */
    name?: string;
    /**
     * 排序号
     * @type {number}
     * @memberof VariantTagVo
     */
    sort?: number;
}

/**
 * 
 * @export
 * @interface VoiceMessageParam
 */
export interface VoiceMessageParam {
    /**
     * 语音模板
     * @type {string}
     * @memberof VoiceMessageParam
     */
    action?: string;
    /**
     * 企业id
     * @type {string}
     * @memberof VoiceMessageParam
     */
    companyId?: string;
    /**
     * 语音参数名称以及参数内容
     * @type {{ [key: string]: string; }}
     * @memberof VoiceMessageParam
     */
    content?: { [key: string]: string; };
    /**
     * 手机号
     * @type {Array<string>}
     * @memberof VoiceMessageParam
     */
    phones?: Array<string>;
}

/**
 * 
 * @export
 * @interface WeChatMessageParam
 */
export interface WeChatMessageParam {
    /**
     * 微信推送服务
     * @type {string}
     * @memberof WeChatMessageParam
     */
    action?: string;
    /**
     * 企业id
     * @type {string}
     * @memberof WeChatMessageParam
     */
    companyId?: string;
    /**
     * 微信参数名称以及参数内容
     * @type {{ [key: string]: string; }}
     * @memberof WeChatMessageParam
     */
    content?: { [key: string]: string; };
    /**
     * 用户id
     * @type {Array<string>}
     * @memberof WeChatMessageParam
     */
    userIds?: Array<string>;
}

/**
 * 绑定微信
 * @export
 * @interface WechatConfigForm
 */
export interface WechatConfigForm {
    /**
     * 公众号的appid
     * @type {string}
     * @memberof WechatConfigForm
     */
    appid?: string;
    /**
     * 回调返回的code
     * @type {string}
     * @memberof WechatConfigForm
     */
    code?: string;
    /**
     * 是否为Native
     * @type {boolean}
     * @memberof WechatConfigForm
     */
    isNative?: boolean;
}

/**
 * 
 * @export
 * @interface WechatPublicUserVo
 */
export interface WechatPublicUserVo {
    /**
     * 创建时间
     * @type {Date}
     * @memberof WechatPublicUserVo
     */
    createdTime?: Date;
    /**
     * 昵称
     * @type {string}
     * @memberof WechatPublicUserVo
     */
    nickname?: string;
    /**
     * code换取的openid
     * @type {string}
     * @memberof WechatPublicUserVo
     */
    openid?: string;
    /**
     * 用户id
     * @type {string}
     * @memberof WechatPublicUserVo
     */
    userId?: string;
    /**
     * 账号
     * @type {string}
     * @memberof WechatPublicUserVo
     */
    username?: string;
}

/**
 * 
 * @export
 * @interface WriteVariantValue
 */
export interface WriteVariantValue {
    /**
     * 设备ID
     * @type {string}
     * @memberof WriteVariantValue
     */
    deviceId?: string;
    /**
     * 变量值
     * @type {string}
     * @memberof WriteVariantValue
     */
    value?: string;
    /**
     * 变量ID
     * @type {number}
     * @memberof WriteVariantValue
     */
    variantId?: number;
}


/**
 * AlarmApi - fetch parameter creator
 * 报警
 * @export
 */
export const AlarmApiFetchParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 根据传入的用户以及多个报警Id 确认报警信息
         * @summary 确认报警
         * @param {Array<string>} ids N个报警Id
         * @param {string} [confirmScheme] 确认报警方案
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        confirmAlarm(ids: Array<string>, confirmScheme?: string, options: any = {}): FetchArgs {
            // verify required parameter 'ids' is not null or undefined
            if (ids === null || ids === undefined) {
                throw new RequiredError('ids','Required parameter ids was null or undefined when calling confirmAlarm.');
            }
            const localVarPath = `/api-business/alarm/confirmAlarm`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"Array&lt;string&gt;" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["confirmScheme"] = confirmScheme;
        mapObj["ids"] = ids;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据传入的历史报警Id 删除对应的历史报警信息
         * @summary 删除历史报警
         * @param {Array<string>} ids N个历史报警Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteHistoryAlarm(ids: Array<string>, options: any = {}): FetchArgs {
            // verify required parameter 'ids' is not null or undefined
            if (ids === null || ids === undefined) {
                throw new RequiredError('ids','Required parameter ids was null or undefined when calling deleteHistoryAlarm.');
            }
            const localVarPath = `/api-business/alarm/deleteHistoryAlarm`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"Array&lt;string&gt;" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["ids"] = ids;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据传入的设备Id以及报警Id 返回对应的单个报警配置信息
         * @summary 获取报警配置
         * @param {string} alarmId 报警Id
         * @param {string} deviceId 设备Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAlarmConfig(alarmId: string, deviceId: string, options: any = {}): FetchArgs {
            // verify required parameter 'alarmId' is not null or undefined
            if (alarmId === null || alarmId === undefined) {
                throw new RequiredError('alarmId','Required parameter alarmId was null or undefined when calling getAlarmConfig.');
            }
            // verify required parameter 'deviceId' is not null or undefined
            if (deviceId === null || deviceId === undefined) {
                throw new RequiredError('deviceId','Required parameter deviceId was null or undefined when calling getAlarmConfig.');
            }
            const localVarPath = `/api-business/alarm/getAlarmConfig`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["alarmId"] = alarmId;
        mapObj["deviceId"] = deviceId;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据传入的设备Id 返回对应的报警配置列表
         * @summary 获取报警配置列表
         * @param {string} deviceId 设备Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAlarmConfigList(deviceId: string, options: any = {}): FetchArgs {
            // verify required parameter 'deviceId' is not null or undefined
            if (deviceId === null || deviceId === undefined) {
                throw new RequiredError('deviceId','Required parameter deviceId was null or undefined when calling getAlarmConfigList.');
            }
            const localVarPath = `/api-business/alarm/getAlarmConfigList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["deviceId"] = deviceId;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据报警id查询报警确认记录
         * @summary 根据报警id查询报警确认记录
         * @param {AlarmParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAlarmConfirmationList(param: AlarmParam, options: any = {}): FetchArgs {
            // verify required parameter 'param' is not null or undefined
            if (param === null || param === undefined) {
                throw new RequiredError('param','Required parameter param was null or undefined when calling getAlarmConfirmationList.');
            }
            const localVarPath = `/api-business/alarm/getAlarmConfirmationList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"AlarmParam" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(param || {}) : (param || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据报警id查询报警确认时间和报警时间
         * @summary 根据报警id查询报警确认时间和报警时间
         * @param {AlarmParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAlarmDataList(param: AlarmParam, options: any = {}): FetchArgs {
            // verify required parameter 'param' is not null or undefined
            if (param === null || param === undefined) {
                throw new RequiredError('param','Required parameter param was null or undefined when calling getAlarmDataList.');
            }
            const localVarPath = `/api-business/alarm/getAlarmDataList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"AlarmParam" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(param || {}) : (param || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据param 查询出对应的历史报警信息
         * @summary 查询历史报警信息
         * @param {AlarmQueryParam} alarmQueryParam alarmQueryParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getHistoryAlarmData(alarmQueryParam: AlarmQueryParam, options: any = {}): FetchArgs {
            // verify required parameter 'alarmQueryParam' is not null or undefined
            if (alarmQueryParam === null || alarmQueryParam === undefined) {
                throw new RequiredError('alarmQueryParam','Required parameter alarmQueryParam was null or undefined when calling getHistoryAlarmData.');
            }
            const localVarPath = `/api-business/alarm/getHistoryAlarmData`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"AlarmQueryParam" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(alarmQueryParam || {}) : (alarmQueryParam || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 通过Form参数 分页查询实时报警
         * @summary 获取实时报警信息
         * @param {AlarmQueryParam} alarmQueryParam alarmQueryParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getRealtimeAlarmData(alarmQueryParam: AlarmQueryParam, options: any = {}): FetchArgs {
            // verify required parameter 'alarmQueryParam' is not null or undefined
            if (alarmQueryParam === null || alarmQueryParam === undefined) {
                throw new RequiredError('alarmQueryParam','Required parameter alarmQueryParam was null or undefined when calling getRealtimeAlarmData.');
            }
            const localVarPath = `/api-business/alarm/getRealtimeAlarmData`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"AlarmQueryParam" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(alarmQueryParam || {}) : (alarmQueryParam || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * AlarmApi - functional programming interface
 * 报警
 * @export
 */
export const AlarmApiFp = function(configuration?: Configuration) {
    if (configuration == null) {
        configuration = default_configuration;
    }

    return {
        /**
         * 根据传入的用户以及多个报警Id 确认报警信息
         * @summary 确认报警
         * @param {Array<string>} ids N个报警Id
         * @param {string} [confirmScheme] 确认报警方案
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        confirmAlarm(ids: Array<string>, confirmScheme?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = AlarmApiFetchParamCreator(configuration).confirmAlarm(ids, confirmScheme, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据传入的历史报警Id 删除对应的历史报警信息
         * @summary 删除历史报警
         * @param {Array<string>} ids N个历史报警Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteHistoryAlarm(ids: Array<string>, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = AlarmApiFetchParamCreator(configuration).deleteHistoryAlarm(ids, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据传入的设备Id以及报警Id 返回对应的单个报警配置信息
         * @summary 获取报警配置
         * @param {string} alarmId 报警Id
         * @param {string} deviceId 设备Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAlarmConfig(alarmId: string, deviceId: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultAlarmConfig> {
            const localVarFetchArgs = AlarmApiFetchParamCreator(configuration).getAlarmConfig(alarmId, deviceId, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据传入的设备Id 返回对应的报警配置列表
         * @summary 获取报警配置列表
         * @param {string} deviceId 设备Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAlarmConfigList(deviceId: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListAlarmConfig> {
            const localVarFetchArgs = AlarmApiFetchParamCreator(configuration).getAlarmConfigList(deviceId, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据报警id查询报警确认记录
         * @summary 根据报警id查询报警确认记录
         * @param {AlarmParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAlarmConfirmationList(param: AlarmParam, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListAlarmAffirmVo> {
            const localVarFetchArgs = AlarmApiFetchParamCreator(configuration).getAlarmConfirmationList(param, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据报警id查询报警确认时间和报警时间
         * @summary 根据报警id查询报警确认时间和报警时间
         * @param {AlarmParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAlarmDataList(param: AlarmParam, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListAlarmTimeVo> {
            const localVarFetchArgs = AlarmApiFetchParamCreator(configuration).getAlarmDataList(param, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据param 查询出对应的历史报警信息
         * @summary 查询历史报警信息
         * @param {AlarmQueryParam} alarmQueryParam alarmQueryParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getHistoryAlarmData(alarmQueryParam: AlarmQueryParam, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultIPageHistoryAlarmVo> {
            const localVarFetchArgs = AlarmApiFetchParamCreator(configuration).getHistoryAlarmData(alarmQueryParam, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 通过Form参数 分页查询实时报警
         * @summary 获取实时报警信息
         * @param {AlarmQueryParam} alarmQueryParam alarmQueryParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getRealtimeAlarmData(alarmQueryParam: AlarmQueryParam, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultIPageRealTimeAlarmVo> {
            const localVarFetchArgs = AlarmApiFetchParamCreator(configuration).getRealtimeAlarmData(alarmQueryParam, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
    }
};

/**
 * AlarmApi - factory interface
 * 报警
 * @export
 */
export const AlarmApiFactory = function (configuration?: Configuration, fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 根据传入的用户以及多个报警Id 确认报警信息
         * @summary 确认报警
         * @param {Array<string>} ids N个报警Id
         * @param {string} [confirmScheme] 确认报警方案
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        confirmAlarm(ids: Array<string>, confirmScheme?: string, options?: any) {
            return AlarmApiFp(configuration).confirmAlarm(ids, confirmScheme, options)(fetch, basePath);
        },
        /**
         * 根据传入的历史报警Id 删除对应的历史报警信息
         * @summary 删除历史报警
         * @param {Array<string>} ids N个历史报警Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteHistoryAlarm(ids: Array<string>, options?: any) {
            return AlarmApiFp(configuration).deleteHistoryAlarm(ids, options)(fetch, basePath);
        },
        /**
         * 根据传入的设备Id以及报警Id 返回对应的单个报警配置信息
         * @summary 获取报警配置
         * @param {string} alarmId 报警Id
         * @param {string} deviceId 设备Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAlarmConfig(alarmId: string, deviceId: string, options?: any) {
            return AlarmApiFp(configuration).getAlarmConfig(alarmId, deviceId, options)(fetch, basePath);
        },
        /**
         * 根据传入的设备Id 返回对应的报警配置列表
         * @summary 获取报警配置列表
         * @param {string} deviceId 设备Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAlarmConfigList(deviceId: string, options?: any) {
            return AlarmApiFp(configuration).getAlarmConfigList(deviceId, options)(fetch, basePath);
        },
        /**
         * 根据报警id查询报警确认记录
         * @summary 根据报警id查询报警确认记录
         * @param {AlarmParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAlarmConfirmationList(param: AlarmParam, options?: any) {
            return AlarmApiFp(configuration).getAlarmConfirmationList(param, options)(fetch, basePath);
        },
        /**
         * 根据报警id查询报警确认时间和报警时间
         * @summary 根据报警id查询报警确认时间和报警时间
         * @param {AlarmParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAlarmDataList(param: AlarmParam, options?: any) {
            return AlarmApiFp(configuration).getAlarmDataList(param, options)(fetch, basePath);
        },
        /**
         * 根据param 查询出对应的历史报警信息
         * @summary 查询历史报警信息
         * @param {AlarmQueryParam} alarmQueryParam alarmQueryParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getHistoryAlarmData(alarmQueryParam: AlarmQueryParam, options?: any) {
            return AlarmApiFp(configuration).getHistoryAlarmData(alarmQueryParam, options)(fetch, basePath);
        },
        /**
         * 通过Form参数 分页查询实时报警
         * @summary 获取实时报警信息
         * @param {AlarmQueryParam} alarmQueryParam alarmQueryParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getRealtimeAlarmData(alarmQueryParam: AlarmQueryParam, options?: any) {
            return AlarmApiFp(configuration).getRealtimeAlarmData(alarmQueryParam, options)(fetch, basePath);
        },
    };
};

/**
 * AlarmApi - object-oriented interface
 * 报警
 * @export
 * @class AlarmApi
 * @extends {BaseAPI}
 */
export class AlarmApi extends BaseAPI {
    /**
     * 根据传入的用户以及多个报警Id 确认报警信息
     * @summary 确认报警
     * @param {Array<string>} ids N个报警Id
     * @param {string} [confirmScheme] 确认报警方案
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AlarmApi
     */
    public confirmAlarm(ids: Array<string>, confirmScheme?: string, options?: any) {
        return AlarmApiFp(this.configuration).confirmAlarm(ids, confirmScheme, options)(this.fetch, this.basePath);
    }

    /**
     * 根据传入的历史报警Id 删除对应的历史报警信息
     * @summary 删除历史报警
     * @param {Array<string>} ids N个历史报警Id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AlarmApi
     */
    public deleteHistoryAlarm(ids: Array<string>, options?: any) {
        return AlarmApiFp(this.configuration).deleteHistoryAlarm(ids, options)(this.fetch, this.basePath);
    }

    /**
     * 根据传入的设备Id以及报警Id 返回对应的单个报警配置信息
     * @summary 获取报警配置
     * @param {string} alarmId 报警Id
     * @param {string} deviceId 设备Id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AlarmApi
     */
    public getAlarmConfig(alarmId: string, deviceId: string, options?: any) {
        return AlarmApiFp(this.configuration).getAlarmConfig(alarmId, deviceId, options)(this.fetch, this.basePath);
    }

    /**
     * 根据传入的设备Id 返回对应的报警配置列表
     * @summary 获取报警配置列表
     * @param {string} deviceId 设备Id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AlarmApi
     */
    public getAlarmConfigList(deviceId: string, options?: any) {
        return AlarmApiFp(this.configuration).getAlarmConfigList(deviceId, options)(this.fetch, this.basePath);
    }

    /**
     * 根据报警id查询报警确认记录
     * @summary 根据报警id查询报警确认记录
     * @param {AlarmParam} param param
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AlarmApi
     */
    public getAlarmConfirmationList(param: AlarmParam, options?: any) {
        return AlarmApiFp(this.configuration).getAlarmConfirmationList(param, options)(this.fetch, this.basePath);
    }

    /**
     * 根据报警id查询报警确认时间和报警时间
     * @summary 根据报警id查询报警确认时间和报警时间
     * @param {AlarmParam} param param
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AlarmApi
     */
    public getAlarmDataList(param: AlarmParam, options?: any) {
        return AlarmApiFp(this.configuration).getAlarmDataList(param, options)(this.fetch, this.basePath);
    }

    /**
     * 根据param 查询出对应的历史报警信息
     * @summary 查询历史报警信息
     * @param {AlarmQueryParam} alarmQueryParam alarmQueryParam
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AlarmApi
     */
    public getHistoryAlarmData(alarmQueryParam: AlarmQueryParam, options?: any) {
        return AlarmApiFp(this.configuration).getHistoryAlarmData(alarmQueryParam, options)(this.fetch, this.basePath);
    }

    /**
     * 通过Form参数 分页查询实时报警
     * @summary 获取实时报警信息
     * @param {AlarmQueryParam} alarmQueryParam alarmQueryParam
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AlarmApi
     */
    public getRealtimeAlarmData(alarmQueryParam: AlarmQueryParam, options?: any) {
        return AlarmApiFp(this.configuration).getRealtimeAlarmData(alarmQueryParam, options)(this.fetch, this.basePath);
    }

}

/**
 * ClientApi - fetch parameter creator
 * 客户
 * @export
 */
export const ClientApiFetchParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 根据搜索内容与分页参数获取客户列表
         * @summary 获取客户列表
         * @param {SearchClientParam} searchClientParam searchClientParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getClientList(searchClientParam: SearchClientParam, options: any = {}): FetchArgs {
            // verify required parameter 'searchClientParam' is not null or undefined
            if (searchClientParam === null || searchClientParam === undefined) {
                throw new RequiredError('searchClientParam','Required parameter searchClientParam was null or undefined when calling getClientList.');
            }
            const localVarPath = `/api-organization/client/getClientList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"SearchClientParam" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(searchClientParam || {}) : (searchClientParam || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * ClientApi - functional programming interface
 * 客户
 * @export
 */
export const ClientApiFp = function(configuration?: Configuration) {
    if (configuration == null) {
        configuration = default_configuration;
    }

    return {
        /**
         * 根据搜索内容与分页参数获取客户列表
         * @summary 获取客户列表
         * @param {SearchClientParam} searchClientParam searchClientParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getClientList(searchClientParam: SearchClientParam, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultIPageCompanyClientVo> {
            const localVarFetchArgs = ClientApiFetchParamCreator(configuration).getClientList(searchClientParam, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
    }
};

/**
 * ClientApi - factory interface
 * 客户
 * @export
 */
export const ClientApiFactory = function (configuration?: Configuration, fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 根据搜索内容与分页参数获取客户列表
         * @summary 获取客户列表
         * @param {SearchClientParam} searchClientParam searchClientParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getClientList(searchClientParam: SearchClientParam, options?: any) {
            return ClientApiFp(configuration).getClientList(searchClientParam, options)(fetch, basePath);
        },
    };
};

/**
 * ClientApi - object-oriented interface
 * 客户
 * @export
 * @class ClientApi
 * @extends {BaseAPI}
 */
export class ClientApi extends BaseAPI {
    /**
     * 根据搜索内容与分页参数获取客户列表
     * @summary 获取客户列表
     * @param {SearchClientParam} searchClientParam searchClientParam
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ClientApi
     */
    public getClientList(searchClientParam: SearchClientParam, options?: any) {
        return ClientApiFp(this.configuration).getClientList(searchClientParam, options)(this.fetch, this.basePath);
    }

}

/**
 * CompanyApi - fetch parameter creator
 * 企业
 * @export
 */
export const CompanyApiFetchParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 审核企业
         * @summary 审核企业
         * @param {RegisterAuditForm} registerAuditForm registerAuditForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        auditCompany(registerAuditForm: RegisterAuditForm, options: any = {}): FetchArgs {
            // verify required parameter 'registerAuditForm' is not null or undefined
            if (registerAuditForm === null || registerAuditForm === undefined) {
                throw new RequiredError('registerAuditForm','Required parameter registerAuditForm was null or undefined when calling auditCompany.');
            }
            const localVarPath = `/api-organization/company/auditCompany`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"RegisterAuditForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(registerAuditForm || {}) : (registerAuditForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 通过企业全称或者企业ID查询企业信息
         * @summary 查询企业基本信息
         * @param {string} [keyword] 企业全称或企业ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getCompanyInfo(keyword?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/company/getCompanyInfo`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["keyword"] = keyword;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取所有企业(目前被super调用)
         * @summary 获取所有企业
         * @param {number} [currentPage] 页码
         * @param {string} [keyword] 搜索关键字
         * @param {number} [pageSize] 每页数据数量
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getCompanyList(currentPage?: number, keyword?: string, pageSize?: number, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/company/getCompanyList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"number" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["currentPage"] = currentPage;
        mapObj["keyword"] = keyword;
        mapObj["pageSize"] = pageSize;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取所有企业已树节点展示(目前被super调用)
         * @summary 获取所有企业(树)
         * @param {string} [keyword] 搜索关键字
         * @param {boolean} [wantProject] 需要项目
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getCompanyListByTree(keyword?: string, wantProject?: boolean, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/company/getCompanyListByTree`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"boolean" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["keyword"] = keyword;
        mapObj["wantProject"] = wantProject;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取注册企业集合
         * @summary 获取注册企业集合
         * @param {number} [currentPage] 页码
         * @param {string} [keyword] 搜索关键字:企业名称/手机号/邮箱
         * @param {number} [pageSize] 每页数据数量
         * @param {string} [status] 状态
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getRegisterCompanyList(currentPage?: number, keyword?: string, pageSize?: number, status?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/company/getRegisterCompanyList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["currentPage"] = currentPage;
        mapObj["keyword"] = keyword;
        mapObj["pageSize"] = pageSize;
        mapObj["status"] = status;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 修改企业基本信息
         * @summary 修改企业基本信息
         * @param {CompanyForm} companyForm companyForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateCompanyInfo(companyForm: CompanyForm, options: any = {}): FetchArgs {
            // verify required parameter 'companyForm' is not null or undefined
            if (companyForm === null || companyForm === undefined) {
                throw new RequiredError('companyForm','Required parameter companyForm was null or undefined when calling updateCompanyInfo.');
            }
            const localVarPath = `/api-organization/company/updateCompanyInfo`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"CompanyForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(companyForm || {}) : (companyForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * CompanyApi - functional programming interface
 * 企业
 * @export
 */
export const CompanyApiFp = function(configuration?: Configuration) {
    if (configuration == null) {
        configuration = default_configuration;
    }

    return {
        /**
         * 审核企业
         * @summary 审核企业
         * @param {RegisterAuditForm} registerAuditForm registerAuditForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        auditCompany(registerAuditForm: RegisterAuditForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = CompanyApiFetchParamCreator(configuration).auditCompany(registerAuditForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 通过企业全称或者企业ID查询企业信息
         * @summary 查询企业基本信息
         * @param {string} [keyword] 企业全称或企业ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getCompanyInfo(keyword?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultCompany> {
            const localVarFetchArgs = CompanyApiFetchParamCreator(configuration).getCompanyInfo(keyword, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取所有企业(目前被super调用)
         * @summary 获取所有企业
         * @param {number} [currentPage] 页码
         * @param {string} [keyword] 搜索关键字
         * @param {number} [pageSize] 每页数据数量
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getCompanyList(currentPage?: number, keyword?: string, pageSize?: number, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultIPageSuperCompanyVo> {
            const localVarFetchArgs = CompanyApiFetchParamCreator(configuration).getCompanyList(currentPage, keyword, pageSize, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取所有企业已树节点展示(目前被super调用)
         * @summary 获取所有企业(树)
         * @param {string} [keyword] 搜索关键字
         * @param {boolean} [wantProject] 需要项目
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getCompanyListByTree(keyword?: string, wantProject?: boolean, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListCompanyTreeVo> {
            const localVarFetchArgs = CompanyApiFetchParamCreator(configuration).getCompanyListByTree(keyword, wantProject, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取注册企业集合
         * @summary 获取注册企业集合
         * @param {number} [currentPage] 页码
         * @param {string} [keyword] 搜索关键字:企业名称/手机号/邮箱
         * @param {number} [pageSize] 每页数据数量
         * @param {string} [status] 状态
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getRegisterCompanyList(currentPage?: number, keyword?: string, pageSize?: number, status?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultIPageRegisterCompanyVo> {
            const localVarFetchArgs = CompanyApiFetchParamCreator(configuration).getRegisterCompanyList(currentPage, keyword, pageSize, status, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 修改企业基本信息
         * @summary 修改企业基本信息
         * @param {CompanyForm} companyForm companyForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateCompanyInfo(companyForm: CompanyForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = CompanyApiFetchParamCreator(configuration).updateCompanyInfo(companyForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
    }
};

/**
 * CompanyApi - factory interface
 * 企业
 * @export
 */
export const CompanyApiFactory = function (configuration?: Configuration, fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 审核企业
         * @summary 审核企业
         * @param {RegisterAuditForm} registerAuditForm registerAuditForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        auditCompany(registerAuditForm: RegisterAuditForm, options?: any) {
            return CompanyApiFp(configuration).auditCompany(registerAuditForm, options)(fetch, basePath);
        },
        /**
         * 通过企业全称或者企业ID查询企业信息
         * @summary 查询企业基本信息
         * @param {string} [keyword] 企业全称或企业ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getCompanyInfo(keyword?: string, options?: any) {
            return CompanyApiFp(configuration).getCompanyInfo(keyword, options)(fetch, basePath);
        },
        /**
         * 获取所有企业(目前被super调用)
         * @summary 获取所有企业
         * @param {number} [currentPage] 页码
         * @param {string} [keyword] 搜索关键字
         * @param {number} [pageSize] 每页数据数量
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getCompanyList(currentPage?: number, keyword?: string, pageSize?: number, options?: any) {
            return CompanyApiFp(configuration).getCompanyList(currentPage, keyword, pageSize, options)(fetch, basePath);
        },
        /**
         * 获取所有企业已树节点展示(目前被super调用)
         * @summary 获取所有企业(树)
         * @param {string} [keyword] 搜索关键字
         * @param {boolean} [wantProject] 需要项目
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getCompanyListByTree(keyword?: string, wantProject?: boolean, options?: any) {
            return CompanyApiFp(configuration).getCompanyListByTree(keyword, wantProject, options)(fetch, basePath);
        },
        /**
         * 获取注册企业集合
         * @summary 获取注册企业集合
         * @param {number} [currentPage] 页码
         * @param {string} [keyword] 搜索关键字:企业名称/手机号/邮箱
         * @param {number} [pageSize] 每页数据数量
         * @param {string} [status] 状态
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getRegisterCompanyList(currentPage?: number, keyword?: string, pageSize?: number, status?: string, options?: any) {
            return CompanyApiFp(configuration).getRegisterCompanyList(currentPage, keyword, pageSize, status, options)(fetch, basePath);
        },
        /**
         * 修改企业基本信息
         * @summary 修改企业基本信息
         * @param {CompanyForm} companyForm companyForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateCompanyInfo(companyForm: CompanyForm, options?: any) {
            return CompanyApiFp(configuration).updateCompanyInfo(companyForm, options)(fetch, basePath);
        },
    };
};

/**
 * CompanyApi - object-oriented interface
 * 企业
 * @export
 * @class CompanyApi
 * @extends {BaseAPI}
 */
export class CompanyApi extends BaseAPI {
    /**
     * 审核企业
     * @summary 审核企业
     * @param {RegisterAuditForm} registerAuditForm registerAuditForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CompanyApi
     */
    public auditCompany(registerAuditForm: RegisterAuditForm, options?: any) {
        return CompanyApiFp(this.configuration).auditCompany(registerAuditForm, options)(this.fetch, this.basePath);
    }

    /**
     * 通过企业全称或者企业ID查询企业信息
     * @summary 查询企业基本信息
     * @param {string} [keyword] 企业全称或企业ID
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CompanyApi
     */
    public getCompanyInfo(keyword?: string, options?: any) {
        return CompanyApiFp(this.configuration).getCompanyInfo(keyword, options)(this.fetch, this.basePath);
    }

    /**
     * 获取所有企业(目前被super调用)
     * @summary 获取所有企业
     * @param {number} [currentPage] 页码
     * @param {string} [keyword] 搜索关键字
     * @param {number} [pageSize] 每页数据数量
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CompanyApi
     */
    public getCompanyList(currentPage?: number, keyword?: string, pageSize?: number, options?: any) {
        return CompanyApiFp(this.configuration).getCompanyList(currentPage, keyword, pageSize, options)(this.fetch, this.basePath);
    }

    /**
     * 获取所有企业已树节点展示(目前被super调用)
     * @summary 获取所有企业(树)
     * @param {string} [keyword] 搜索关键字
     * @param {boolean} [wantProject] 需要项目
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CompanyApi
     */
    public getCompanyListByTree(keyword?: string, wantProject?: boolean, options?: any) {
        return CompanyApiFp(this.configuration).getCompanyListByTree(keyword, wantProject, options)(this.fetch, this.basePath);
    }

    /**
     * 获取注册企业集合
     * @summary 获取注册企业集合
     * @param {number} [currentPage] 页码
     * @param {string} [keyword] 搜索关键字:企业名称/手机号/邮箱
     * @param {number} [pageSize] 每页数据数量
     * @param {string} [status] 状态
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CompanyApi
     */
    public getRegisterCompanyList(currentPage?: number, keyword?: string, pageSize?: number, status?: string, options?: any) {
        return CompanyApiFp(this.configuration).getRegisterCompanyList(currentPage, keyword, pageSize, status, options)(this.fetch, this.basePath);
    }

    /**
     * 修改企业基本信息
     * @summary 修改企业基本信息
     * @param {CompanyForm} companyForm companyForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CompanyApi
     */
    public updateCompanyInfo(companyForm: CompanyForm, options?: any) {
        return CompanyApiFp(this.configuration).updateCompanyInfo(companyForm, options)(this.fetch, this.basePath);
    }

}

/**
 * DepartmentApi - fetch parameter creator
 * 部门
 * @export
 */
export const DepartmentApiFetchParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 新增部门
         * @summary 新增部门
         * @param {DepartForm} departForm departForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addDepartment(departForm: DepartForm, options: any = {}): FetchArgs {
            // verify required parameter 'departForm' is not null or undefined
            if (departForm === null || departForm === undefined) {
                throw new RequiredError('departForm','Required parameter departForm was null or undefined when calling addDepartment.');
            }
            const localVarPath = `/api-organization/dept/addDepartment`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"DepartForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(departForm || {}) : (departForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据部门Id删除部门
         * @summary 删除部门
         * @param {string} [deptId] 部门ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteDepartment(deptId?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/dept/deleteDepartment`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["deptId"] = deptId;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取企业所有部门
         * @summary 获取企业所有部门
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getCompanyAllDepartmentList(options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/dept/getCompanyAllDepartmentList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据当前登录用户ID查询所在部门及子部门
         * @summary 获取部门列表
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getDepartmentList(options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/dept/getDepartmentList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 修改部门
         * @summary 修改部门
         * @param {DepartForm} departForm departForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateDepartment(departForm: DepartForm, options: any = {}): FetchArgs {
            // verify required parameter 'departForm' is not null or undefined
            if (departForm === null || departForm === undefined) {
                throw new RequiredError('departForm','Required parameter departForm was null or undefined when calling updateDepartment.');
            }
            const localVarPath = `/api-organization/dept/updateDepartment`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"DepartForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(departForm || {}) : (departForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * DepartmentApi - functional programming interface
 * 部门
 * @export
 */
export const DepartmentApiFp = function(configuration?: Configuration) {
    if (configuration == null) {
        configuration = default_configuration;
    }

    return {
        /**
         * 新增部门
         * @summary 新增部门
         * @param {DepartForm} departForm departForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addDepartment(departForm: DepartForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = DepartmentApiFetchParamCreator(configuration).addDepartment(departForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据部门Id删除部门
         * @summary 删除部门
         * @param {string} [deptId] 部门ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteDepartment(deptId?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = DepartmentApiFetchParamCreator(configuration).deleteDepartment(deptId, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取企业所有部门
         * @summary 获取企业所有部门
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getCompanyAllDepartmentList(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListDepartment> {
            const localVarFetchArgs = DepartmentApiFetchParamCreator(configuration).getCompanyAllDepartmentList(options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据当前登录用户ID查询所在部门及子部门
         * @summary 获取部门列表
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getDepartmentList(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListDepartment> {
            const localVarFetchArgs = DepartmentApiFetchParamCreator(configuration).getDepartmentList(options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 修改部门
         * @summary 修改部门
         * @param {DepartForm} departForm departForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateDepartment(departForm: DepartForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = DepartmentApiFetchParamCreator(configuration).updateDepartment(departForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
    }
};

/**
 * DepartmentApi - factory interface
 * 部门
 * @export
 */
export const DepartmentApiFactory = function (configuration?: Configuration, fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 新增部门
         * @summary 新增部门
         * @param {DepartForm} departForm departForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addDepartment(departForm: DepartForm, options?: any) {
            return DepartmentApiFp(configuration).addDepartment(departForm, options)(fetch, basePath);
        },
        /**
         * 根据部门Id删除部门
         * @summary 删除部门
         * @param {string} [deptId] 部门ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteDepartment(deptId?: string, options?: any) {
            return DepartmentApiFp(configuration).deleteDepartment(deptId, options)(fetch, basePath);
        },
        /**
         * 获取企业所有部门
         * @summary 获取企业所有部门
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getCompanyAllDepartmentList(options?: any) {
            return DepartmentApiFp(configuration).getCompanyAllDepartmentList(options)(fetch, basePath);
        },
        /**
         * 根据当前登录用户ID查询所在部门及子部门
         * @summary 获取部门列表
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getDepartmentList(options?: any) {
            return DepartmentApiFp(configuration).getDepartmentList(options)(fetch, basePath);
        },
        /**
         * 修改部门
         * @summary 修改部门
         * @param {DepartForm} departForm departForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateDepartment(departForm: DepartForm, options?: any) {
            return DepartmentApiFp(configuration).updateDepartment(departForm, options)(fetch, basePath);
        },
    };
};

/**
 * DepartmentApi - object-oriented interface
 * 部门
 * @export
 * @class DepartmentApi
 * @extends {BaseAPI}
 */
export class DepartmentApi extends BaseAPI {
    /**
     * 新增部门
     * @summary 新增部门
     * @param {DepartForm} departForm departForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DepartmentApi
     */
    public addDepartment(departForm: DepartForm, options?: any) {
        return DepartmentApiFp(this.configuration).addDepartment(departForm, options)(this.fetch, this.basePath);
    }

    /**
     * 根据部门Id删除部门
     * @summary 删除部门
     * @param {string} [deptId] 部门ID
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DepartmentApi
     */
    public deleteDepartment(deptId?: string, options?: any) {
        return DepartmentApiFp(this.configuration).deleteDepartment(deptId, options)(this.fetch, this.basePath);
    }

    /**
     * 获取企业所有部门
     * @summary 获取企业所有部门
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DepartmentApi
     */
    public getCompanyAllDepartmentList(options?: any) {
        return DepartmentApiFp(this.configuration).getCompanyAllDepartmentList(options)(this.fetch, this.basePath);
    }

    /**
     * 根据当前登录用户ID查询所在部门及子部门
     * @summary 获取部门列表
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DepartmentApi
     */
    public getDepartmentList(options?: any) {
        return DepartmentApiFp(this.configuration).getDepartmentList(options)(this.fetch, this.basePath);
    }

    /**
     * 修改部门
     * @summary 修改部门
     * @param {DepartForm} departForm departForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DepartmentApi
     */
    public updateDepartment(departForm: DepartForm, options?: any) {
        return DepartmentApiFp(this.configuration).updateDepartment(departForm, options)(this.fetch, this.basePath);
    }

}

/**
 * DeviceApi - fetch parameter creator
 * 设备
 * @export
 */
export const DeviceApiFetchParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 绑定/或更换设备序列号
         * @summary 绑定/或更换设备序列号
         * @param {BindDeviceForm} bindDeviceForm bindDeviceForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        bindDevice(bindDeviceForm: BindDeviceForm, options: any = {}): FetchArgs {
            // verify required parameter 'bindDeviceForm' is not null or undefined
            if (bindDeviceForm === null || bindDeviceForm === undefined) {
                throw new RequiredError('bindDeviceForm','Required parameter bindDeviceForm was null or undefined when calling bindDevice.');
            }
            const localVarPath = `/api-business/device/bindDevice`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"BindDeviceForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(bindDeviceForm || {}) : (bindDeviceForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 数据同步
         * @summary 数据同步
         * @param {string} deviceId 设备ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        dataSynchronization(deviceId: string, options: any = {}): FetchArgs {
            // verify required parameter 'deviceId' is not null or undefined
            if (deviceId === null || deviceId === undefined) {
                throw new RequiredError('deviceId','Required parameter deviceId was null or undefined when calling dataSynchronization.');
            }
            const localVarPath = `/api-business/device/dataSynchronization`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["deviceId"] = deviceId;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取多个项目设备(不可查模板)的详细信息
         * @summary 查询设备详细信息
         * @param {Array<string>} deviceIds 多个设备id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getDeviceInfoList(deviceIds: Array<string>, options: any = {}): FetchArgs {
            // verify required parameter 'deviceIds' is not null or undefined
            if (deviceIds === null || deviceIds === undefined) {
                throw new RequiredError('deviceIds','Required parameter deviceIds was null or undefined when calling getDeviceInfoList.');
            }
            const localVarPath = `/api-business/device/getDeviceInfoList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"Array&lt;string&gt;" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["deviceIds"] = deviceIds;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取企业、用户、项目的采集器列表
         * @summary 查询设备列表
         * @param {QueryDeviceListParam} queryDeviceListParam queryDeviceListParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getDeviceList(queryDeviceListParam: QueryDeviceListParam, options: any = {}): FetchArgs {
            // verify required parameter 'queryDeviceListParam' is not null or undefined
            if (queryDeviceListParam === null || queryDeviceListParam === undefined) {
                throw new RequiredError('queryDeviceListParam','Required parameter queryDeviceListParam was null or undefined when calling getDeviceList.');
            }
            const localVarPath = `/api-business/device/getDeviceList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"QueryDeviceListParam" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(queryDeviceListParam || {}) : (queryDeviceListParam || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取设备的状态信息，包裹plc的状态
         * @summary 查询设备状态信息
         * @param {Array<string>} deviceIds 多个设备id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getDeviceStatusInfoList(deviceIds: Array<string>, options: any = {}): FetchArgs {
            // verify required parameter 'deviceIds' is not null or undefined
            if (deviceIds === null || deviceIds === undefined) {
                throw new RequiredError('deviceIds','Required parameter deviceIds was null or undefined when calling getDeviceStatusInfoList.');
            }
            const localVarPath = `/api-business/device/getDeviceStatusInfoList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"Array&lt;string&gt;" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["deviceIds"] = deviceIds;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取企业、用户、项目的采集器列表
         * @summary 查询设备列表
         * @param {QueryPlcListParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getPlcList(param: QueryPlcListParam, options: any = {}): FetchArgs {
            // verify required parameter 'param' is not null or undefined
            if (param === null || param === undefined) {
                throw new RequiredError('param','Required parameter param was null or undefined when calling getPlcList.');
            }
            const localVarPath = `/api-business/device/getPlcList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"QueryPlcListParam" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(param || {}) : (param || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据项目id
         * @summary 根据项目id
         * @param {Array<string>} projectIds 项目id
         * @param {string} [keyword] keyword
         * @param {string} [status] 0：停机，1：正常,2：注销,3：其它 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getSimCardFlowInfoListByProjectIds(projectIds: Array<string>, keyword?: string, status?: string, options: any = {}): FetchArgs {
            // verify required parameter 'projectIds' is not null or undefined
            if (projectIds === null || projectIds === undefined) {
                throw new RequiredError('projectIds','Required parameter projectIds was null or undefined when calling getSimCardFlowInfoListByProjectIds.');
            }
            const localVarPath = `/api-business/device/getSimCardFlowInfoListByProjectIds`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["keyword"] = keyword;
        mapObj["projectIds"] = projectIds;
        mapObj["status"] = status;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 远程重启
         * @summary 远程重启
         * @param {string} deviceId 设备ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        remoteRestart(deviceId: string, options: any = {}): FetchArgs {
            // verify required parameter 'deviceId' is not null or undefined
            if (deviceId === null || deviceId === undefined) {
                throw new RequiredError('deviceId','Required parameter deviceId was null or undefined when calling remoteRestart.');
            }
            const localVarPath = `/api-business/device/remoteRestart`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["deviceId"] = deviceId;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 恢复采集
         * @summary 恢复采集
         * @param {string} deviceId 设备ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        restoreCollect(deviceId: string, options: any = {}): FetchArgs {
            // verify required parameter 'deviceId' is not null or undefined
            if (deviceId === null || deviceId === undefined) {
                throw new RequiredError('deviceId','Required parameter deviceId was null or undefined when calling restoreCollect.');
            }
            const localVarPath = `/api-business/device/restoreCollect`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["deviceId"] = deviceId;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 恢复上传
         * @summary 恢复上传
         * @param {string} deviceId 设备ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        restoreUpload(deviceId: string, options: any = {}): FetchArgs {
            // verify required parameter 'deviceId' is not null or undefined
            if (deviceId === null || deviceId === undefined) {
                throw new RequiredError('deviceId','Required parameter deviceId was null or undefined when calling restoreUpload.');
            }
            const localVarPath = `/api-business/device/restoreUpload`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["deviceId"] = deviceId;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 停止采集
         * @summary 停止采集
         * @param {string} deviceId 设备ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        stopCollect(deviceId: string, options: any = {}): FetchArgs {
            // verify required parameter 'deviceId' is not null or undefined
            if (deviceId === null || deviceId === undefined) {
                throw new RequiredError('deviceId','Required parameter deviceId was null or undefined when calling stopCollect.');
            }
            const localVarPath = `/api-business/device/stopCollect`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["deviceId"] = deviceId;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 停止上传
         * @summary 停止上传
         * @param {string} deviceId 设备ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        stopUpload(deviceId: string, options: any = {}): FetchArgs {
            // verify required parameter 'deviceId' is not null or undefined
            if (deviceId === null || deviceId === undefined) {
                throw new RequiredError('deviceId','Required parameter deviceId was null or undefined when calling stopUpload.');
            }
            const localVarPath = `/api-business/device/stopUpload`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["deviceId"] = deviceId;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 解绑device
         * @summary 解绑device
         * @param {string} deviceId 设备ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        unbindDevice(deviceId: string, options: any = {}): FetchArgs {
            // verify required parameter 'deviceId' is not null or undefined
            if (deviceId === null || deviceId === undefined) {
                throw new RequiredError('deviceId','Required parameter deviceId was null or undefined when calling unbindDevice.');
            }
            const localVarPath = `/api-business/device/unbindDevice`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["deviceId"] = deviceId;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * DeviceApi - functional programming interface
 * 设备
 * @export
 */
export const DeviceApiFp = function(configuration?: Configuration) {
    if (configuration == null) {
        configuration = default_configuration;
    }

    return {
        /**
         * 绑定/或更换设备序列号
         * @summary 绑定/或更换设备序列号
         * @param {BindDeviceForm} bindDeviceForm bindDeviceForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        bindDevice(bindDeviceForm: BindDeviceForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<Result> {
            const localVarFetchArgs = DeviceApiFetchParamCreator(configuration).bindDevice(bindDeviceForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 数据同步
         * @summary 数据同步
         * @param {string} deviceId 设备ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        dataSynchronization(deviceId: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<Result> {
            const localVarFetchArgs = DeviceApiFetchParamCreator(configuration).dataSynchronization(deviceId, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取多个项目设备(不可查模板)的详细信息
         * @summary 查询设备详细信息
         * @param {Array<string>} deviceIds 多个设备id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getDeviceInfoList(deviceIds: Array<string>, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListDeviceInfoVo> {
            const localVarFetchArgs = DeviceApiFetchParamCreator(configuration).getDeviceInfoList(deviceIds, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取企业、用户、项目的采集器列表
         * @summary 查询设备列表
         * @param {QueryDeviceListParam} queryDeviceListParam queryDeviceListParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getDeviceList(queryDeviceListParam: QueryDeviceListParam, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListDeviceVo> {
            const localVarFetchArgs = DeviceApiFetchParamCreator(configuration).getDeviceList(queryDeviceListParam, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取设备的状态信息，包裹plc的状态
         * @summary 查询设备状态信息
         * @param {Array<string>} deviceIds 多个设备id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getDeviceStatusInfoList(deviceIds: Array<string>, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListDeviceStatusInfoVo> {
            const localVarFetchArgs = DeviceApiFetchParamCreator(configuration).getDeviceStatusInfoList(deviceIds, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取企业、用户、项目的采集器列表
         * @summary 查询设备列表
         * @param {QueryPlcListParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getPlcList(param: QueryPlcListParam, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListPlc> {
            const localVarFetchArgs = DeviceApiFetchParamCreator(configuration).getPlcList(param, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据项目id
         * @summary 根据项目id
         * @param {Array<string>} projectIds 项目id
         * @param {string} [keyword] keyword
         * @param {string} [status] 0：停机，1：正常,2：注销,3：其它 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getSimCardFlowInfoListByProjectIds(projectIds: Array<string>, keyword?: string, status?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListSim> {
            const localVarFetchArgs = DeviceApiFetchParamCreator(configuration).getSimCardFlowInfoListByProjectIds(projectIds, keyword, status, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 远程重启
         * @summary 远程重启
         * @param {string} deviceId 设备ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        remoteRestart(deviceId: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<Result> {
            const localVarFetchArgs = DeviceApiFetchParamCreator(configuration).remoteRestart(deviceId, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 恢复采集
         * @summary 恢复采集
         * @param {string} deviceId 设备ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        restoreCollect(deviceId: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<Result> {
            const localVarFetchArgs = DeviceApiFetchParamCreator(configuration).restoreCollect(deviceId, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 恢复上传
         * @summary 恢复上传
         * @param {string} deviceId 设备ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        restoreUpload(deviceId: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<Result> {
            const localVarFetchArgs = DeviceApiFetchParamCreator(configuration).restoreUpload(deviceId, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 停止采集
         * @summary 停止采集
         * @param {string} deviceId 设备ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        stopCollect(deviceId: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<Result> {
            const localVarFetchArgs = DeviceApiFetchParamCreator(configuration).stopCollect(deviceId, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 停止上传
         * @summary 停止上传
         * @param {string} deviceId 设备ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        stopUpload(deviceId: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = DeviceApiFetchParamCreator(configuration).stopUpload(deviceId, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 解绑device
         * @summary 解绑device
         * @param {string} deviceId 设备ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        unbindDevice(deviceId: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<Result> {
            const localVarFetchArgs = DeviceApiFetchParamCreator(configuration).unbindDevice(deviceId, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
    }
};

/**
 * DeviceApi - factory interface
 * 设备
 * @export
 */
export const DeviceApiFactory = function (configuration?: Configuration, fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 绑定/或更换设备序列号
         * @summary 绑定/或更换设备序列号
         * @param {BindDeviceForm} bindDeviceForm bindDeviceForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        bindDevice(bindDeviceForm: BindDeviceForm, options?: any) {
            return DeviceApiFp(configuration).bindDevice(bindDeviceForm, options)(fetch, basePath);
        },
        /**
         * 数据同步
         * @summary 数据同步
         * @param {string} deviceId 设备ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        dataSynchronization(deviceId: string, options?: any) {
            return DeviceApiFp(configuration).dataSynchronization(deviceId, options)(fetch, basePath);
        },
        /**
         * 获取多个项目设备(不可查模板)的详细信息
         * @summary 查询设备详细信息
         * @param {Array<string>} deviceIds 多个设备id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getDeviceInfoList(deviceIds: Array<string>, options?: any) {
            return DeviceApiFp(configuration).getDeviceInfoList(deviceIds, options)(fetch, basePath);
        },
        /**
         * 获取企业、用户、项目的采集器列表
         * @summary 查询设备列表
         * @param {QueryDeviceListParam} queryDeviceListParam queryDeviceListParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getDeviceList(queryDeviceListParam: QueryDeviceListParam, options?: any) {
            return DeviceApiFp(configuration).getDeviceList(queryDeviceListParam, options)(fetch, basePath);
        },
        /**
         * 获取设备的状态信息，包裹plc的状态
         * @summary 查询设备状态信息
         * @param {Array<string>} deviceIds 多个设备id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getDeviceStatusInfoList(deviceIds: Array<string>, options?: any) {
            return DeviceApiFp(configuration).getDeviceStatusInfoList(deviceIds, options)(fetch, basePath);
        },
        /**
         * 获取企业、用户、项目的采集器列表
         * @summary 查询设备列表
         * @param {QueryPlcListParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getPlcList(param: QueryPlcListParam, options?: any) {
            return DeviceApiFp(configuration).getPlcList(param, options)(fetch, basePath);
        },
        /**
         * 根据项目id
         * @summary 根据项目id
         * @param {Array<string>} projectIds 项目id
         * @param {string} [keyword] keyword
         * @param {string} [status] 0：停机，1：正常,2：注销,3：其它 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getSimCardFlowInfoListByProjectIds(projectIds: Array<string>, keyword?: string, status?: string, options?: any) {
            return DeviceApiFp(configuration).getSimCardFlowInfoListByProjectIds(projectIds, keyword, status, options)(fetch, basePath);
        },
        /**
         * 远程重启
         * @summary 远程重启
         * @param {string} deviceId 设备ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        remoteRestart(deviceId: string, options?: any) {
            return DeviceApiFp(configuration).remoteRestart(deviceId, options)(fetch, basePath);
        },
        /**
         * 恢复采集
         * @summary 恢复采集
         * @param {string} deviceId 设备ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        restoreCollect(deviceId: string, options?: any) {
            return DeviceApiFp(configuration).restoreCollect(deviceId, options)(fetch, basePath);
        },
        /**
         * 恢复上传
         * @summary 恢复上传
         * @param {string} deviceId 设备ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        restoreUpload(deviceId: string, options?: any) {
            return DeviceApiFp(configuration).restoreUpload(deviceId, options)(fetch, basePath);
        },
        /**
         * 停止采集
         * @summary 停止采集
         * @param {string} deviceId 设备ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        stopCollect(deviceId: string, options?: any) {
            return DeviceApiFp(configuration).stopCollect(deviceId, options)(fetch, basePath);
        },
        /**
         * 停止上传
         * @summary 停止上传
         * @param {string} deviceId 设备ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        stopUpload(deviceId: string, options?: any) {
            return DeviceApiFp(configuration).stopUpload(deviceId, options)(fetch, basePath);
        },
        /**
         * 解绑device
         * @summary 解绑device
         * @param {string} deviceId 设备ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        unbindDevice(deviceId: string, options?: any) {
            return DeviceApiFp(configuration).unbindDevice(deviceId, options)(fetch, basePath);
        },
    };
};

/**
 * DeviceApi - object-oriented interface
 * 设备
 * @export
 * @class DeviceApi
 * @extends {BaseAPI}
 */
export class DeviceApi extends BaseAPI {
    /**
     * 绑定/或更换设备序列号
     * @summary 绑定/或更换设备序列号
     * @param {BindDeviceForm} bindDeviceForm bindDeviceForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DeviceApi
     */
    public bindDevice(bindDeviceForm: BindDeviceForm, options?: any) {
        return DeviceApiFp(this.configuration).bindDevice(bindDeviceForm, options)(this.fetch, this.basePath);
    }

    /**
     * 数据同步
     * @summary 数据同步
     * @param {string} deviceId 设备ID
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DeviceApi
     */
    public dataSynchronization(deviceId: string, options?: any) {
        return DeviceApiFp(this.configuration).dataSynchronization(deviceId, options)(this.fetch, this.basePath);
    }

    /**
     * 获取多个项目设备(不可查模板)的详细信息
     * @summary 查询设备详细信息
     * @param {Array<string>} deviceIds 多个设备id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DeviceApi
     */
    public getDeviceInfoList(deviceIds: Array<string>, options?: any) {
        return DeviceApiFp(this.configuration).getDeviceInfoList(deviceIds, options)(this.fetch, this.basePath);
    }

    /**
     * 获取企业、用户、项目的采集器列表
     * @summary 查询设备列表
     * @param {QueryDeviceListParam} queryDeviceListParam queryDeviceListParam
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DeviceApi
     */
    public getDeviceList(queryDeviceListParam: QueryDeviceListParam, options?: any) {
        return DeviceApiFp(this.configuration).getDeviceList(queryDeviceListParam, options)(this.fetch, this.basePath);
    }

    /**
     * 获取设备的状态信息，包裹plc的状态
     * @summary 查询设备状态信息
     * @param {Array<string>} deviceIds 多个设备id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DeviceApi
     */
    public getDeviceStatusInfoList(deviceIds: Array<string>, options?: any) {
        return DeviceApiFp(this.configuration).getDeviceStatusInfoList(deviceIds, options)(this.fetch, this.basePath);
    }

    /**
     * 获取企业、用户、项目的采集器列表
     * @summary 查询设备列表
     * @param {QueryPlcListParam} param param
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DeviceApi
     */
    public getPlcList(param: QueryPlcListParam, options?: any) {
        return DeviceApiFp(this.configuration).getPlcList(param, options)(this.fetch, this.basePath);
    }

    /**
     * 根据项目id
     * @summary 根据项目id
     * @param {Array<string>} projectIds 项目id
     * @param {string} [keyword] keyword
     * @param {string} [status] 0：停机，1：正常,2：注销,3：其它 
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DeviceApi
     */
    public getSimCardFlowInfoListByProjectIds(projectIds: Array<string>, keyword?: string, status?: string, options?: any) {
        return DeviceApiFp(this.configuration).getSimCardFlowInfoListByProjectIds(projectIds, keyword, status, options)(this.fetch, this.basePath);
    }

    /**
     * 远程重启
     * @summary 远程重启
     * @param {string} deviceId 设备ID
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DeviceApi
     */
    public remoteRestart(deviceId: string, options?: any) {
        return DeviceApiFp(this.configuration).remoteRestart(deviceId, options)(this.fetch, this.basePath);
    }

    /**
     * 恢复采集
     * @summary 恢复采集
     * @param {string} deviceId 设备ID
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DeviceApi
     */
    public restoreCollect(deviceId: string, options?: any) {
        return DeviceApiFp(this.configuration).restoreCollect(deviceId, options)(this.fetch, this.basePath);
    }

    /**
     * 恢复上传
     * @summary 恢复上传
     * @param {string} deviceId 设备ID
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DeviceApi
     */
    public restoreUpload(deviceId: string, options?: any) {
        return DeviceApiFp(this.configuration).restoreUpload(deviceId, options)(this.fetch, this.basePath);
    }

    /**
     * 停止采集
     * @summary 停止采集
     * @param {string} deviceId 设备ID
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DeviceApi
     */
    public stopCollect(deviceId: string, options?: any) {
        return DeviceApiFp(this.configuration).stopCollect(deviceId, options)(this.fetch, this.basePath);
    }

    /**
     * 停止上传
     * @summary 停止上传
     * @param {string} deviceId 设备ID
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DeviceApi
     */
    public stopUpload(deviceId: string, options?: any) {
        return DeviceApiFp(this.configuration).stopUpload(deviceId, options)(this.fetch, this.basePath);
    }

    /**
     * 解绑device
     * @summary 解绑device
     * @param {string} deviceId 设备ID
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DeviceApi
     */
    public unbindDevice(deviceId: string, options?: any) {
        return DeviceApiFp(this.configuration).unbindDevice(deviceId, options)(this.fetch, this.basePath);
    }

}

/**
 * LogApi - fetch parameter creator
 * 日志
 * @export
 */
export const LogApiFetchParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 根据form类添加
         * @summary 添加日志格式化模板
         * @param {AddLogFormatForm} addLogFormatForm addLogFormatForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addLogFormat(addLogFormatForm: AddLogFormatForm, options: any = {}): FetchArgs {
            // verify required parameter 'addLogFormatForm' is not null or undefined
            if (addLogFormatForm === null || addLogFormatForm === undefined) {
                throw new RequiredError('addLogFormatForm','Required parameter addLogFormatForm was null or undefined when calling addLogFormat.');
            }
            const localVarPath = `/api-organization/log/addLogFormat`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"AddLogFormatForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(addLogFormatForm || {}) : (addLogFormatForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据传入的Form类添加日志
         * @summary 添加日志数据
         * @param {AddUserLogForm} addUserLogForm addUserLogForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addUserLog(addUserLogForm: AddUserLogForm, options: any = {}): FetchArgs {
            // verify required parameter 'addUserLogForm' is not null or undefined
            if (addUserLogForm === null || addUserLogForm === undefined) {
                throw new RequiredError('addUserLogForm','Required parameter addUserLogForm was null or undefined when calling addUserLog.');
            }
            const localVarPath = `/api-organization/log/addUserLog`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"AddUserLogForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(addUserLogForm || {}) : (addUserLogForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据Id删除
         * @summary 删除日志格式化模板
         * @param {string} [deleteType] 删除类型  all：删除该uri下的所有模板 为空则删除当前传入的模板
         * @param {string} [id] 日志格式化模板Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteLogFormat(deleteType?: string, id?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/log/deleteLogFormat`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["deleteType"] = deleteType;
        mapObj["id"] = id;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据传入的N个日志ID 删除
         * @summary 删除日志
         * @param {Array<string>} [logIds] N个日志ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteUserLog(logIds?: Array<string>, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/log/deleteUserLog`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"Array&lt;string&gt;" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["logIds"] = logIds;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取日志格式化模板
         * @summary 获取 日志格式化模板列表
         * @param {LogFormatParam} logFormatParam logFormatParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getLogFormatList(logFormatParam: LogFormatParam, options: any = {}): FetchArgs {
            // verify required parameter 'logFormatParam' is not null or undefined
            if (logFormatParam === null || logFormatParam === undefined) {
                throw new RequiredError('logFormatParam','Required parameter logFormatParam was null or undefined when calling getLogFormatList.');
            }
            const localVarPath = `/api-organization/log/getLogFormatList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"LogFormatParam" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(logFormatParam || {}) : (logFormatParam || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 分页查询 日志列表
         * @summary 获取日志列表
         * @param {UserLogParam} userLogParam userLogParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getUserLogList(userLogParam: UserLogParam, options: any = {}): FetchArgs {
            // verify required parameter 'userLogParam' is not null or undefined
            if (userLogParam === null || userLogParam === undefined) {
                throw new RequiredError('userLogParam','Required parameter userLogParam was null or undefined when calling getUserLogList.');
            }
            const localVarPath = `/api-organization/log/getUserLogList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"UserLogParam" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(userLogParam || {}) : (userLogParam || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据Id修改 (只供 修改格式化模板信息)
         * @summary 修改日志格式化模板
         * @param {string} [formatTemplate] 格式化模板
         * @param {string} [id] 日志格式化模板Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateLogFormat(formatTemplate?: string, id?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/log/updateLogFormat`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["formatTemplate"] = formatTemplate;
        mapObj["id"] = id;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * LogApi - functional programming interface
 * 日志
 * @export
 */
export const LogApiFp = function(configuration?: Configuration) {
    if (configuration == null) {
        configuration = default_configuration;
    }

    return {
        /**
         * 根据form类添加
         * @summary 添加日志格式化模板
         * @param {AddLogFormatForm} addLogFormatForm addLogFormatForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addLogFormat(addLogFormatForm: AddLogFormatForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = LogApiFetchParamCreator(configuration).addLogFormat(addLogFormatForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据传入的Form类添加日志
         * @summary 添加日志数据
         * @param {AddUserLogForm} addUserLogForm addUserLogForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addUserLog(addUserLogForm: AddUserLogForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = LogApiFetchParamCreator(configuration).addUserLog(addUserLogForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据Id删除
         * @summary 删除日志格式化模板
         * @param {string} [deleteType] 删除类型  all：删除该uri下的所有模板 为空则删除当前传入的模板
         * @param {string} [id] 日志格式化模板Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteLogFormat(deleteType?: string, id?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = LogApiFetchParamCreator(configuration).deleteLogFormat(deleteType, id, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据传入的N个日志ID 删除
         * @summary 删除日志
         * @param {Array<string>} [logIds] N个日志ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteUserLog(logIds?: Array<string>, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = LogApiFetchParamCreator(configuration).deleteUserLog(logIds, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取日志格式化模板
         * @summary 获取 日志格式化模板列表
         * @param {LogFormatParam} logFormatParam logFormatParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getLogFormatList(logFormatParam: LogFormatParam, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultIPageSysLogLanguageFormat> {
            const localVarFetchArgs = LogApiFetchParamCreator(configuration).getLogFormatList(logFormatParam, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 分页查询 日志列表
         * @summary 获取日志列表
         * @param {UserLogParam} userLogParam userLogParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getUserLogList(userLogParam: UserLogParam, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultIPageUserLog> {
            const localVarFetchArgs = LogApiFetchParamCreator(configuration).getUserLogList(userLogParam, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据Id修改 (只供 修改格式化模板信息)
         * @summary 修改日志格式化模板
         * @param {string} [formatTemplate] 格式化模板
         * @param {string} [id] 日志格式化模板Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateLogFormat(formatTemplate?: string, id?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = LogApiFetchParamCreator(configuration).updateLogFormat(formatTemplate, id, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
    }
};

/**
 * LogApi - factory interface
 * 日志
 * @export
 */
export const LogApiFactory = function (configuration?: Configuration, fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 根据form类添加
         * @summary 添加日志格式化模板
         * @param {AddLogFormatForm} addLogFormatForm addLogFormatForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addLogFormat(addLogFormatForm: AddLogFormatForm, options?: any) {
            return LogApiFp(configuration).addLogFormat(addLogFormatForm, options)(fetch, basePath);
        },
        /**
         * 根据传入的Form类添加日志
         * @summary 添加日志数据
         * @param {AddUserLogForm} addUserLogForm addUserLogForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addUserLog(addUserLogForm: AddUserLogForm, options?: any) {
            return LogApiFp(configuration).addUserLog(addUserLogForm, options)(fetch, basePath);
        },
        /**
         * 根据Id删除
         * @summary 删除日志格式化模板
         * @param {string} [deleteType] 删除类型  all：删除该uri下的所有模板 为空则删除当前传入的模板
         * @param {string} [id] 日志格式化模板Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteLogFormat(deleteType?: string, id?: string, options?: any) {
            return LogApiFp(configuration).deleteLogFormat(deleteType, id, options)(fetch, basePath);
        },
        /**
         * 根据传入的N个日志ID 删除
         * @summary 删除日志
         * @param {Array<string>} [logIds] N个日志ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteUserLog(logIds?: Array<string>, options?: any) {
            return LogApiFp(configuration).deleteUserLog(logIds, options)(fetch, basePath);
        },
        /**
         * 获取日志格式化模板
         * @summary 获取 日志格式化模板列表
         * @param {LogFormatParam} logFormatParam logFormatParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getLogFormatList(logFormatParam: LogFormatParam, options?: any) {
            return LogApiFp(configuration).getLogFormatList(logFormatParam, options)(fetch, basePath);
        },
        /**
         * 分页查询 日志列表
         * @summary 获取日志列表
         * @param {UserLogParam} userLogParam userLogParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getUserLogList(userLogParam: UserLogParam, options?: any) {
            return LogApiFp(configuration).getUserLogList(userLogParam, options)(fetch, basePath);
        },
        /**
         * 根据Id修改 (只供 修改格式化模板信息)
         * @summary 修改日志格式化模板
         * @param {string} [formatTemplate] 格式化模板
         * @param {string} [id] 日志格式化模板Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateLogFormat(formatTemplate?: string, id?: string, options?: any) {
            return LogApiFp(configuration).updateLogFormat(formatTemplate, id, options)(fetch, basePath);
        },
    };
};

/**
 * LogApi - object-oriented interface
 * 日志
 * @export
 * @class LogApi
 * @extends {BaseAPI}
 */
export class LogApi extends BaseAPI {
    /**
     * 根据form类添加
     * @summary 添加日志格式化模板
     * @param {AddLogFormatForm} addLogFormatForm addLogFormatForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LogApi
     */
    public addLogFormat(addLogFormatForm: AddLogFormatForm, options?: any) {
        return LogApiFp(this.configuration).addLogFormat(addLogFormatForm, options)(this.fetch, this.basePath);
    }

    /**
     * 根据传入的Form类添加日志
     * @summary 添加日志数据
     * @param {AddUserLogForm} addUserLogForm addUserLogForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LogApi
     */
    public addUserLog(addUserLogForm: AddUserLogForm, options?: any) {
        return LogApiFp(this.configuration).addUserLog(addUserLogForm, options)(this.fetch, this.basePath);
    }

    /**
     * 根据Id删除
     * @summary 删除日志格式化模板
     * @param {string} [deleteType] 删除类型  all：删除该uri下的所有模板 为空则删除当前传入的模板
     * @param {string} [id] 日志格式化模板Id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LogApi
     */
    public deleteLogFormat(deleteType?: string, id?: string, options?: any) {
        return LogApiFp(this.configuration).deleteLogFormat(deleteType, id, options)(this.fetch, this.basePath);
    }

    /**
     * 根据传入的N个日志ID 删除
     * @summary 删除日志
     * @param {Array<string>} [logIds] N个日志ID
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LogApi
     */
    public deleteUserLog(logIds?: Array<string>, options?: any) {
        return LogApiFp(this.configuration).deleteUserLog(logIds, options)(this.fetch, this.basePath);
    }

    /**
     * 获取日志格式化模板
     * @summary 获取 日志格式化模板列表
     * @param {LogFormatParam} logFormatParam logFormatParam
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LogApi
     */
    public getLogFormatList(logFormatParam: LogFormatParam, options?: any) {
        return LogApiFp(this.configuration).getLogFormatList(logFormatParam, options)(this.fetch, this.basePath);
    }

    /**
     * 分页查询 日志列表
     * @summary 获取日志列表
     * @param {UserLogParam} userLogParam userLogParam
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LogApi
     */
    public getUserLogList(userLogParam: UserLogParam, options?: any) {
        return LogApiFp(this.configuration).getUserLogList(userLogParam, options)(this.fetch, this.basePath);
    }

    /**
     * 根据Id修改 (只供 修改格式化模板信息)
     * @summary 修改日志格式化模板
     * @param {string} [formatTemplate] 格式化模板
     * @param {string} [id] 日志格式化模板Id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof LogApi
     */
    public updateLogFormat(formatTemplate?: string, id?: string, options?: any) {
        return LogApiFp(this.configuration).updateLogFormat(formatTemplate, id, options)(this.fetch, this.basePath);
    }

}

/**
 * MessageApi - fetch parameter creator
 * 消息中心服务
 * @export
 */
export const MessageApiFetchParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 
         * @summary 清除声光报警
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        clearShengGuangAlarm(options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/message/clearAcoustoOpticAlarm`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 清除当前用户所有报警分组
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteMessageGroup(options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/message/deleteMessageGroup`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 查询公司的声光报警声音路径
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAcoustoopticPath(options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/message/getAcoustoOpticPath`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 获取当前用户消息收藏分组
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getMessageGroupInfo(options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/message/getMessageGroupInfo`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 获取消息接收管理消息类型及推送方式
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getSystemMessageType(options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/message/getSystemMessageType`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary  查询用户是否含有声光报警信息
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getacoustoopticMessage(options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/message/getAcoustoOpticMessage`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 恢复默认声光报警为默认
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        resetAcoustooptic(options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/message/resetAcoustooptic`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 更换声光报警的音频文件
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateAcoustoopticFile(options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/message/updateAcoustoopticFile`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 修改当前用户选中的收藏分组
         * @param {boolean} flag 是否选中
         * @param {number} index 收藏分组下标
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateMessageGroup(flag: boolean, index: number, options: any = {}): FetchArgs {
            // verify required parameter 'flag' is not null or undefined
            if (flag === null || flag === undefined) {
                throw new RequiredError('flag','Required parameter flag was null or undefined when calling updateMessageGroup.');
            }
            // verify required parameter 'index' is not null or undefined
            if (index === null || index === undefined) {
                throw new RequiredError('index','Required parameter index was null or undefined when calling updateMessageGroup.');
            }
            const localVarPath = `/api-organization/message/updateMessageGroup`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"number" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["flag"] = flag;
        mapObj["index"] = index;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * MessageApi - functional programming interface
 * 消息中心服务
 * @export
 */
export const MessageApiFp = function(configuration?: Configuration) {
    if (configuration == null) {
        configuration = default_configuration;
    }

    return {
        /**
         * 
         * @summary 清除声光报警
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        clearShengGuangAlarm(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = MessageApiFetchParamCreator(configuration).clearShengGuangAlarm(options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 清除当前用户所有报警分组
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteMessageGroup(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = MessageApiFetchParamCreator(configuration).deleteMessageGroup(options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 查询公司的声光报警声音路径
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAcoustoopticPath(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultString> {
            const localVarFetchArgs = MessageApiFetchParamCreator(configuration).getAcoustoopticPath(options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 获取当前用户消息收藏分组
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getMessageGroupInfo(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListMessageAlarmGroupVo> {
            const localVarFetchArgs = MessageApiFetchParamCreator(configuration).getMessageGroupInfo(options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 获取消息接收管理消息类型及推送方式
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getSystemMessageType(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListMessageRecevieVo> {
            const localVarFetchArgs = MessageApiFetchParamCreator(configuration).getSystemMessageType(options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary  查询用户是否含有声光报警信息
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getacoustoopticMessage(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = MessageApiFetchParamCreator(configuration).getacoustoopticMessage(options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 恢复默认声光报警为默认
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        resetAcoustooptic(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = MessageApiFetchParamCreator(configuration).resetAcoustooptic(options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 更换声光报警的音频文件
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateAcoustoopticFile(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = MessageApiFetchParamCreator(configuration).updateAcoustoopticFile(options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 修改当前用户选中的收藏分组
         * @param {boolean} flag 是否选中
         * @param {number} index 收藏分组下标
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateMessageGroup(flag: boolean, index: number, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<Result> {
            const localVarFetchArgs = MessageApiFetchParamCreator(configuration).updateMessageGroup(flag, index, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
    }
};

/**
 * MessageApi - factory interface
 * 消息中心服务
 * @export
 */
export const MessageApiFactory = function (configuration?: Configuration, fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @summary 清除声光报警
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        clearShengGuangAlarm(options?: any) {
            return MessageApiFp(configuration).clearShengGuangAlarm(options)(fetch, basePath);
        },
        /**
         * 
         * @summary 清除当前用户所有报警分组
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteMessageGroup(options?: any) {
            return MessageApiFp(configuration).deleteMessageGroup(options)(fetch, basePath);
        },
        /**
         * 
         * @summary 查询公司的声光报警声音路径
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAcoustoopticPath(options?: any) {
            return MessageApiFp(configuration).getAcoustoopticPath(options)(fetch, basePath);
        },
        /**
         * 
         * @summary 获取当前用户消息收藏分组
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getMessageGroupInfo(options?: any) {
            return MessageApiFp(configuration).getMessageGroupInfo(options)(fetch, basePath);
        },
        /**
         * 
         * @summary 获取消息接收管理消息类型及推送方式
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getSystemMessageType(options?: any) {
            return MessageApiFp(configuration).getSystemMessageType(options)(fetch, basePath);
        },
        /**
         * 
         * @summary  查询用户是否含有声光报警信息
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getacoustoopticMessage(options?: any) {
            return MessageApiFp(configuration).getacoustoopticMessage(options)(fetch, basePath);
        },
        /**
         * 
         * @summary 恢复默认声光报警为默认
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        resetAcoustooptic(options?: any) {
            return MessageApiFp(configuration).resetAcoustooptic(options)(fetch, basePath);
        },
        /**
         * 
         * @summary 更换声光报警的音频文件
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateAcoustoopticFile(options?: any) {
            return MessageApiFp(configuration).updateAcoustoopticFile(options)(fetch, basePath);
        },
        /**
         * 
         * @summary 修改当前用户选中的收藏分组
         * @param {boolean} flag 是否选中
         * @param {number} index 收藏分组下标
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateMessageGroup(flag: boolean, index: number, options?: any) {
            return MessageApiFp(configuration).updateMessageGroup(flag, index, options)(fetch, basePath);
        },
    };
};

/**
 * MessageApi - object-oriented interface
 * 消息中心服务
 * @export
 * @class MessageApi
 * @extends {BaseAPI}
 */
export class MessageApi extends BaseAPI {
    /**
     * 
     * @summary 清除声光报警
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MessageApi
     */
    public clearShengGuangAlarm(options?: any) {
        return MessageApiFp(this.configuration).clearShengGuangAlarm(options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 清除当前用户所有报警分组
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MessageApi
     */
    public deleteMessageGroup(options?: any) {
        return MessageApiFp(this.configuration).deleteMessageGroup(options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 查询公司的声光报警声音路径
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MessageApi
     */
    public getAcoustoopticPath(options?: any) {
        return MessageApiFp(this.configuration).getAcoustoopticPath(options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 获取当前用户消息收藏分组
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MessageApi
     */
    public getMessageGroupInfo(options?: any) {
        return MessageApiFp(this.configuration).getMessageGroupInfo(options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 获取消息接收管理消息类型及推送方式
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MessageApi
     */
    public getSystemMessageType(options?: any) {
        return MessageApiFp(this.configuration).getSystemMessageType(options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary  查询用户是否含有声光报警信息
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MessageApi
     */
    public getacoustoopticMessage(options?: any) {
        return MessageApiFp(this.configuration).getacoustoopticMessage(options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 恢复默认声光报警为默认
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MessageApi
     */
    public resetAcoustooptic(options?: any) {
        return MessageApiFp(this.configuration).resetAcoustooptic(options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 更换声光报警的音频文件
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MessageApi
     */
    public updateAcoustoopticFile(options?: any) {
        return MessageApiFp(this.configuration).updateAcoustoopticFile(options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 修改当前用户选中的收藏分组
     * @param {boolean} flag 是否选中
     * @param {number} index 收藏分组下标
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MessageApi
     */
    public updateMessageGroup(flag: boolean, index: number, options?: any) {
        return MessageApiFp(this.configuration).updateMessageGroup(flag, index, options)(this.fetch, this.basePath);
    }

}

/**
 * MessagePushApi - fetch parameter creator
 * 消息推送
 * @export
 */
export const MessagePushApiFetchParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 
         * @summary 发送邮件模板邮件
         * @param {EmailTemplateMessageParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        sendMailMessageUseTemplate(param: EmailTemplateMessageParam, options: any = {}): FetchArgs {
            // verify required parameter 'param' is not null or undefined
            if (param === null || param === undefined) {
                throw new RequiredError('param','Required parameter param was null or undefined when calling sendMailMessageUseTemplate.');
            }
            const localVarPath = `/api-organization/messagePush/sendMailMessageUseTemplate`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"EmailTemplateMessageParam" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(param || {}) : (param || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 推送项目消息
         * @param {ProjectServiceMessageParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        sendMessageToProjectFollowedUser(param: ProjectServiceMessageParam, options: any = {}): FetchArgs {
            // verify required parameter 'param' is not null or undefined
            if (param === null || param === undefined) {
                throw new RequiredError('param','Required parameter param was null or undefined when calling sendMessageToProjectFollowedUser.');
            }
            const localVarPath = `/api-organization/messagePush/sendMessageToProject`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"ProjectServiceMessageParam" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(param || {}) : (param || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 推送项目消息报警使用
         * @param {ProjectAlarmMessageParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        sendMessageToProjectFollowedUserAlarm(param: ProjectAlarmMessageParam, options: any = {}): FetchArgs {
            // verify required parameter 'param' is not null or undefined
            if (param === null || param === undefined) {
                throw new RequiredError('param','Required parameter param was null or undefined when calling sendMessageToProjectFollowedUserAlarm.');
            }
            const localVarPath = `/api-organization/messagePush/sendMessageToProjectAlarm`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"ProjectAlarmMessageParam" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(param || {}) : (param || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 推送消息到指定用户
         * @param {SpecifyServiceMessageParam} messageParam messageParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        sendMessageToSpecialUser(messageParam: SpecifyServiceMessageParam, options: any = {}): FetchArgs {
            // verify required parameter 'messageParam' is not null or undefined
            if (messageParam === null || messageParam === undefined) {
                throw new RequiredError('messageParam','Required parameter messageParam was null or undefined when calling sendMessageToSpecialUser.');
            }
            const localVarPath = `/api-organization/messagePush/sendMessageToSpecialUser`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"SpecifyServiceMessageParam" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(messageParam || {}) : (messageParam || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 推送消息到指定用户报警使用
         * @param {SpecifyUserMessageParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        sendMessageToSpecialUserAlarm(param: SpecifyUserMessageParam, options: any = {}): FetchArgs {
            // verify required parameter 'param' is not null or undefined
            if (param === null || param === undefined) {
                throw new RequiredError('param','Required parameter param was null or undefined when calling sendMessageToSpecialUserAlarm.');
            }
            const localVarPath = `/api-organization/messagePush/sendMessageToSpecialUserAlarm`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"SpecifyUserMessageParam" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(param || {}) : (param || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 模板平台消息推送
         * @param {PlatformTemplateMessageParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        sendPlatformMessageUseTemplate(param: PlatformTemplateMessageParam, options: any = {}): FetchArgs {
            // verify required parameter 'param' is not null or undefined
            if (param === null || param === undefined) {
                throw new RequiredError('param','Required parameter param was null or undefined when calling sendPlatformMessageUseTemplate.');
            }
            const localVarPath = `/api-organization/messagePush/sendPlatformMessageUseTemplate`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"PlatformTemplateMessageParam" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(param || {}) : (param || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 发送短信
         * @param {SmsMessageParam} smsMessageParam smsMessageParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        sendSmsMessage(smsMessageParam: SmsMessageParam, options: any = {}): FetchArgs {
            // verify required parameter 'smsMessageParam' is not null or undefined
            if (smsMessageParam === null || smsMessageParam === undefined) {
                throw new RequiredError('smsMessageParam','Required parameter smsMessageParam was null or undefined when calling sendSmsMessage.');
            }
            const localVarPath = `/api-organization/messagePush/sendSmsMessage`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"SmsMessageParam" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(smsMessageParam || {}) : (smsMessageParam || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 发送语音
         * @param {VoiceMessageParam} voiceMessageParam voiceMessageParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        sendVoiceMessage(voiceMessageParam: VoiceMessageParam, options: any = {}): FetchArgs {
            // verify required parameter 'voiceMessageParam' is not null or undefined
            if (voiceMessageParam === null || voiceMessageParam === undefined) {
                throw new RequiredError('voiceMessageParam','Required parameter voiceMessageParam was null or undefined when calling sendVoiceMessage.');
            }
            const localVarPath = `/api-organization/messagePush/sendVoiceMessage`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"VoiceMessageParam" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(voiceMessageParam || {}) : (voiceMessageParam || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 发送微信
         * @param {WeChatMessageParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        sendWeChatMessage(param: WeChatMessageParam, options: any = {}): FetchArgs {
            // verify required parameter 'param' is not null or undefined
            if (param === null || param === undefined) {
                throw new RequiredError('param','Required parameter param was null or undefined when calling sendWeChatMessage.');
            }
            const localVarPath = `/api-organization/messagePush/sendWeChatMessage`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"WeChatMessageParam" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(param || {}) : (param || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * MessagePushApi - functional programming interface
 * 消息推送
 * @export
 */
export const MessagePushApiFp = function(configuration?: Configuration) {
    if (configuration == null) {
        configuration = default_configuration;
    }

    return {
        /**
         * 
         * @summary 发送邮件模板邮件
         * @param {EmailTemplateMessageParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        sendMailMessageUseTemplate(param: EmailTemplateMessageParam, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultString> {
            const localVarFetchArgs = MessagePushApiFetchParamCreator(configuration).sendMailMessageUseTemplate(param, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 推送项目消息
         * @param {ProjectServiceMessageParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        sendMessageToProjectFollowedUser(param: ProjectServiceMessageParam, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = MessagePushApiFetchParamCreator(configuration).sendMessageToProjectFollowedUser(param, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 推送项目消息报警使用
         * @param {ProjectAlarmMessageParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        sendMessageToProjectFollowedUserAlarm(param: ProjectAlarmMessageParam, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = MessagePushApiFetchParamCreator(configuration).sendMessageToProjectFollowedUserAlarm(param, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 推送消息到指定用户
         * @param {SpecifyServiceMessageParam} messageParam messageParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        sendMessageToSpecialUser(messageParam: SpecifyServiceMessageParam, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = MessagePushApiFetchParamCreator(configuration).sendMessageToSpecialUser(messageParam, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 推送消息到指定用户报警使用
         * @param {SpecifyUserMessageParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        sendMessageToSpecialUserAlarm(param: SpecifyUserMessageParam, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = MessagePushApiFetchParamCreator(configuration).sendMessageToSpecialUserAlarm(param, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 模板平台消息推送
         * @param {PlatformTemplateMessageParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        sendPlatformMessageUseTemplate(param: PlatformTemplateMessageParam, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultString> {
            const localVarFetchArgs = MessagePushApiFetchParamCreator(configuration).sendPlatformMessageUseTemplate(param, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 发送短信
         * @param {SmsMessageParam} smsMessageParam smsMessageParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        sendSmsMessage(smsMessageParam: SmsMessageParam, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultString> {
            const localVarFetchArgs = MessagePushApiFetchParamCreator(configuration).sendSmsMessage(smsMessageParam, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 发送语音
         * @param {VoiceMessageParam} voiceMessageParam voiceMessageParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        sendVoiceMessage(voiceMessageParam: VoiceMessageParam, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultString> {
            const localVarFetchArgs = MessagePushApiFetchParamCreator(configuration).sendVoiceMessage(voiceMessageParam, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 发送微信
         * @param {WeChatMessageParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        sendWeChatMessage(param: WeChatMessageParam, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultString> {
            const localVarFetchArgs = MessagePushApiFetchParamCreator(configuration).sendWeChatMessage(param, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
    }
};

/**
 * MessagePushApi - factory interface
 * 消息推送
 * @export
 */
export const MessagePushApiFactory = function (configuration?: Configuration, fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @summary 发送邮件模板邮件
         * @param {EmailTemplateMessageParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        sendMailMessageUseTemplate(param: EmailTemplateMessageParam, options?: any) {
            return MessagePushApiFp(configuration).sendMailMessageUseTemplate(param, options)(fetch, basePath);
        },
        /**
         * 
         * @summary 推送项目消息
         * @param {ProjectServiceMessageParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        sendMessageToProjectFollowedUser(param: ProjectServiceMessageParam, options?: any) {
            return MessagePushApiFp(configuration).sendMessageToProjectFollowedUser(param, options)(fetch, basePath);
        },
        /**
         * 
         * @summary 推送项目消息报警使用
         * @param {ProjectAlarmMessageParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        sendMessageToProjectFollowedUserAlarm(param: ProjectAlarmMessageParam, options?: any) {
            return MessagePushApiFp(configuration).sendMessageToProjectFollowedUserAlarm(param, options)(fetch, basePath);
        },
        /**
         * 
         * @summary 推送消息到指定用户
         * @param {SpecifyServiceMessageParam} messageParam messageParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        sendMessageToSpecialUser(messageParam: SpecifyServiceMessageParam, options?: any) {
            return MessagePushApiFp(configuration).sendMessageToSpecialUser(messageParam, options)(fetch, basePath);
        },
        /**
         * 
         * @summary 推送消息到指定用户报警使用
         * @param {SpecifyUserMessageParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        sendMessageToSpecialUserAlarm(param: SpecifyUserMessageParam, options?: any) {
            return MessagePushApiFp(configuration).sendMessageToSpecialUserAlarm(param, options)(fetch, basePath);
        },
        /**
         * 
         * @summary 模板平台消息推送
         * @param {PlatformTemplateMessageParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        sendPlatformMessageUseTemplate(param: PlatformTemplateMessageParam, options?: any) {
            return MessagePushApiFp(configuration).sendPlatformMessageUseTemplate(param, options)(fetch, basePath);
        },
        /**
         * 
         * @summary 发送短信
         * @param {SmsMessageParam} smsMessageParam smsMessageParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        sendSmsMessage(smsMessageParam: SmsMessageParam, options?: any) {
            return MessagePushApiFp(configuration).sendSmsMessage(smsMessageParam, options)(fetch, basePath);
        },
        /**
         * 
         * @summary 发送语音
         * @param {VoiceMessageParam} voiceMessageParam voiceMessageParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        sendVoiceMessage(voiceMessageParam: VoiceMessageParam, options?: any) {
            return MessagePushApiFp(configuration).sendVoiceMessage(voiceMessageParam, options)(fetch, basePath);
        },
        /**
         * 
         * @summary 发送微信
         * @param {WeChatMessageParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        sendWeChatMessage(param: WeChatMessageParam, options?: any) {
            return MessagePushApiFp(configuration).sendWeChatMessage(param, options)(fetch, basePath);
        },
    };
};

/**
 * MessagePushApi - object-oriented interface
 * 消息推送
 * @export
 * @class MessagePushApi
 * @extends {BaseAPI}
 */
export class MessagePushApi extends BaseAPI {
    /**
     * 
     * @summary 发送邮件模板邮件
     * @param {EmailTemplateMessageParam} param param
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MessagePushApi
     */
    public sendMailMessageUseTemplate(param: EmailTemplateMessageParam, options?: any) {
        return MessagePushApiFp(this.configuration).sendMailMessageUseTemplate(param, options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 推送项目消息
     * @param {ProjectServiceMessageParam} param param
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MessagePushApi
     */
    public sendMessageToProjectFollowedUser(param: ProjectServiceMessageParam, options?: any) {
        return MessagePushApiFp(this.configuration).sendMessageToProjectFollowedUser(param, options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 推送项目消息报警使用
     * @param {ProjectAlarmMessageParam} param param
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MessagePushApi
     */
    public sendMessageToProjectFollowedUserAlarm(param: ProjectAlarmMessageParam, options?: any) {
        return MessagePushApiFp(this.configuration).sendMessageToProjectFollowedUserAlarm(param, options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 推送消息到指定用户
     * @param {SpecifyServiceMessageParam} messageParam messageParam
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MessagePushApi
     */
    public sendMessageToSpecialUser(messageParam: SpecifyServiceMessageParam, options?: any) {
        return MessagePushApiFp(this.configuration).sendMessageToSpecialUser(messageParam, options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 推送消息到指定用户报警使用
     * @param {SpecifyUserMessageParam} param param
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MessagePushApi
     */
    public sendMessageToSpecialUserAlarm(param: SpecifyUserMessageParam, options?: any) {
        return MessagePushApiFp(this.configuration).sendMessageToSpecialUserAlarm(param, options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 模板平台消息推送
     * @param {PlatformTemplateMessageParam} param param
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MessagePushApi
     */
    public sendPlatformMessageUseTemplate(param: PlatformTemplateMessageParam, options?: any) {
        return MessagePushApiFp(this.configuration).sendPlatformMessageUseTemplate(param, options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 发送短信
     * @param {SmsMessageParam} smsMessageParam smsMessageParam
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MessagePushApi
     */
    public sendSmsMessage(smsMessageParam: SmsMessageParam, options?: any) {
        return MessagePushApiFp(this.configuration).sendSmsMessage(smsMessageParam, options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 发送语音
     * @param {VoiceMessageParam} voiceMessageParam voiceMessageParam
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MessagePushApi
     */
    public sendVoiceMessage(voiceMessageParam: VoiceMessageParam, options?: any) {
        return MessagePushApiFp(this.configuration).sendVoiceMessage(voiceMessageParam, options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 发送微信
     * @param {WeChatMessageParam} param param
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MessagePushApi
     */
    public sendWeChatMessage(param: WeChatMessageParam, options?: any) {
        return MessagePushApiFp(this.configuration).sendWeChatMessage(param, options)(this.fetch, this.basePath);
    }

}

/**
 * PermissionGroupApi - fetch parameter creator
 * 权限组
 * @export
 */
export const PermissionGroupApiFetchParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 添加权限组
         * @summary 添加权限组
         * @param {string} [name] 权限组名称
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addPermissionGroup(name?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/permissiongroup/addPermissionGroup`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["name"] = name;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 授权权限组
         * @summary 授权权限组
         * @param {AddAuthForm} addAuthForm addAuthForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        authPermissionGroup(addAuthForm: AddAuthForm, options: any = {}): FetchArgs {
            // verify required parameter 'addAuthForm' is not null or undefined
            if (addAuthForm === null || addAuthForm === undefined) {
                throw new RequiredError('addAuthForm','Required parameter addAuthForm was null or undefined when calling authPermissionGroup.');
            }
            const localVarPath = `/api-organization/permissiongroup/authPermissionGroup`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"AddAuthForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(addAuthForm || {}) : (addAuthForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 授权项目
         * @summary 授权项目
         * @param {AddAuthForm} addAuthForm addAuthForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        authProject(addAuthForm: AddAuthForm, options: any = {}): FetchArgs {
            // verify required parameter 'addAuthForm' is not null or undefined
            if (addAuthForm === null || addAuthForm === undefined) {
                throw new RequiredError('addAuthForm','Required parameter addAuthForm was null or undefined when calling authProject.');
            }
            const localVarPath = `/api-organization/permissiongroup/authProject`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"AddAuthForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(addAuthForm || {}) : (addAuthForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 删除授权权限组
         * @summary 删除授权权限组
         * @param {DeleteAuthForm} deleteAuthForm deleteAuthForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteAuthPermissionGroup(deleteAuthForm: DeleteAuthForm, options: any = {}): FetchArgs {
            // verify required parameter 'deleteAuthForm' is not null or undefined
            if (deleteAuthForm === null || deleteAuthForm === undefined) {
                throw new RequiredError('deleteAuthForm','Required parameter deleteAuthForm was null or undefined when calling deleteAuthPermissionGroup.');
            }
            const localVarPath = `/api-organization/permissiongroup/deleteAuthPermissionGroup`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"DeleteAuthForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(deleteAuthForm || {}) : (deleteAuthForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 删除授权项目
         * @summary 删除授权项目
         * @param {DeleteAuthForm} deleteAuthForm deleteAuthForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteAuthProject(deleteAuthForm: DeleteAuthForm, options: any = {}): FetchArgs {
            // verify required parameter 'deleteAuthForm' is not null or undefined
            if (deleteAuthForm === null || deleteAuthForm === undefined) {
                throw new RequiredError('deleteAuthForm','Required parameter deleteAuthForm was null or undefined when calling deleteAuthProject.');
            }
            const localVarPath = `/api-organization/permissiongroup/deleteAuthProject`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"DeleteAuthForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(deleteAuthForm || {}) : (deleteAuthForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 删除权限组
         * @summary 删除权限组
         * @param {string} [groupId] 权限组ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deletePermissionGroup(groupId?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/permissiongroup/deletePermissionGroup`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["groupId"] = groupId;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取用户的授权权限组
         * @summary 获取用户的授权权限组
         * @param {string} [userId] 用户id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAuthPermissionGroup(userId?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/permissiongroup/getAuthPermissionGroup`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["userId"] = userId;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取用户的授权项目
         * @summary 获取用户的授权项目
         * @param {string} [userId] 用户id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAuthProject(userId?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/permissiongroup/getAuthProject`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["userId"] = userId;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取当前用户企业下所有权限组
         * @summary 获取权限组列表
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getPermissionGroupList(options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/permissiongroup/getPermissionGroupList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取拥有的项目
         * @summary 获取拥有的项目
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getPermissionGroupProjectTree(options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/permissiongroup/getPermissionGroupProjectTree`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 修改权限组名称
         * @summary 修改权限组
         * @param {string} [groupId] 权限组ID
         * @param {string} [name] 权限组名称
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updatePermissionGroup(groupId?: string, name?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/permissiongroup/updatePermissionGroup`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["groupId"] = groupId;
        mapObj["name"] = name;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * PermissionGroupApi - functional programming interface
 * 权限组
 * @export
 */
export const PermissionGroupApiFp = function(configuration?: Configuration) {
    if (configuration == null) {
        configuration = default_configuration;
    }

    return {
        /**
         * 添加权限组
         * @summary 添加权限组
         * @param {string} [name] 权限组名称
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addPermissionGroup(name?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = PermissionGroupApiFetchParamCreator(configuration).addPermissionGroup(name, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 授权权限组
         * @summary 授权权限组
         * @param {AddAuthForm} addAuthForm addAuthForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        authPermissionGroup(addAuthForm: AddAuthForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = PermissionGroupApiFetchParamCreator(configuration).authPermissionGroup(addAuthForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 授权项目
         * @summary 授权项目
         * @param {AddAuthForm} addAuthForm addAuthForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        authProject(addAuthForm: AddAuthForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = PermissionGroupApiFetchParamCreator(configuration).authProject(addAuthForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 删除授权权限组
         * @summary 删除授权权限组
         * @param {DeleteAuthForm} deleteAuthForm deleteAuthForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteAuthPermissionGroup(deleteAuthForm: DeleteAuthForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = PermissionGroupApiFetchParamCreator(configuration).deleteAuthPermissionGroup(deleteAuthForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 删除授权项目
         * @summary 删除授权项目
         * @param {DeleteAuthForm} deleteAuthForm deleteAuthForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteAuthProject(deleteAuthForm: DeleteAuthForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = PermissionGroupApiFetchParamCreator(configuration).deleteAuthProject(deleteAuthForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 删除权限组
         * @summary 删除权限组
         * @param {string} [groupId] 权限组ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deletePermissionGroup(groupId?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = PermissionGroupApiFetchParamCreator(configuration).deletePermissionGroup(groupId, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取用户的授权权限组
         * @summary 获取用户的授权权限组
         * @param {string} [userId] 用户id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAuthPermissionGroup(userId?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListPermissionVo> {
            const localVarFetchArgs = PermissionGroupApiFetchParamCreator(configuration).getAuthPermissionGroup(userId, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取用户的授权项目
         * @summary 获取用户的授权项目
         * @param {string} [userId] 用户id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAuthProject(userId?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListPermissionVo> {
            const localVarFetchArgs = PermissionGroupApiFetchParamCreator(configuration).getAuthProject(userId, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取当前用户企业下所有权限组
         * @summary 获取权限组列表
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getPermissionGroupList(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListPermissionGroup> {
            const localVarFetchArgs = PermissionGroupApiFetchParamCreator(configuration).getPermissionGroupList(options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取拥有的项目
         * @summary 获取拥有的项目
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getPermissionGroupProjectTree(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListPermissionGroup> {
            const localVarFetchArgs = PermissionGroupApiFetchParamCreator(configuration).getPermissionGroupProjectTree(options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 修改权限组名称
         * @summary 修改权限组
         * @param {string} [groupId] 权限组ID
         * @param {string} [name] 权限组名称
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updatePermissionGroup(groupId?: string, name?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = PermissionGroupApiFetchParamCreator(configuration).updatePermissionGroup(groupId, name, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
    }
};

/**
 * PermissionGroupApi - factory interface
 * 权限组
 * @export
 */
export const PermissionGroupApiFactory = function (configuration?: Configuration, fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 添加权限组
         * @summary 添加权限组
         * @param {string} [name] 权限组名称
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addPermissionGroup(name?: string, options?: any) {
            return PermissionGroupApiFp(configuration).addPermissionGroup(name, options)(fetch, basePath);
        },
        /**
         * 授权权限组
         * @summary 授权权限组
         * @param {AddAuthForm} addAuthForm addAuthForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        authPermissionGroup(addAuthForm: AddAuthForm, options?: any) {
            return PermissionGroupApiFp(configuration).authPermissionGroup(addAuthForm, options)(fetch, basePath);
        },
        /**
         * 授权项目
         * @summary 授权项目
         * @param {AddAuthForm} addAuthForm addAuthForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        authProject(addAuthForm: AddAuthForm, options?: any) {
            return PermissionGroupApiFp(configuration).authProject(addAuthForm, options)(fetch, basePath);
        },
        /**
         * 删除授权权限组
         * @summary 删除授权权限组
         * @param {DeleteAuthForm} deleteAuthForm deleteAuthForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteAuthPermissionGroup(deleteAuthForm: DeleteAuthForm, options?: any) {
            return PermissionGroupApiFp(configuration).deleteAuthPermissionGroup(deleteAuthForm, options)(fetch, basePath);
        },
        /**
         * 删除授权项目
         * @summary 删除授权项目
         * @param {DeleteAuthForm} deleteAuthForm deleteAuthForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteAuthProject(deleteAuthForm: DeleteAuthForm, options?: any) {
            return PermissionGroupApiFp(configuration).deleteAuthProject(deleteAuthForm, options)(fetch, basePath);
        },
        /**
         * 删除权限组
         * @summary 删除权限组
         * @param {string} [groupId] 权限组ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deletePermissionGroup(groupId?: string, options?: any) {
            return PermissionGroupApiFp(configuration).deletePermissionGroup(groupId, options)(fetch, basePath);
        },
        /**
         * 获取用户的授权权限组
         * @summary 获取用户的授权权限组
         * @param {string} [userId] 用户id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAuthPermissionGroup(userId?: string, options?: any) {
            return PermissionGroupApiFp(configuration).getAuthPermissionGroup(userId, options)(fetch, basePath);
        },
        /**
         * 获取用户的授权项目
         * @summary 获取用户的授权项目
         * @param {string} [userId] 用户id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAuthProject(userId?: string, options?: any) {
            return PermissionGroupApiFp(configuration).getAuthProject(userId, options)(fetch, basePath);
        },
        /**
         * 获取当前用户企业下所有权限组
         * @summary 获取权限组列表
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getPermissionGroupList(options?: any) {
            return PermissionGroupApiFp(configuration).getPermissionGroupList(options)(fetch, basePath);
        },
        /**
         * 获取拥有的项目
         * @summary 获取拥有的项目
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getPermissionGroupProjectTree(options?: any) {
            return PermissionGroupApiFp(configuration).getPermissionGroupProjectTree(options)(fetch, basePath);
        },
        /**
         * 修改权限组名称
         * @summary 修改权限组
         * @param {string} [groupId] 权限组ID
         * @param {string} [name] 权限组名称
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updatePermissionGroup(groupId?: string, name?: string, options?: any) {
            return PermissionGroupApiFp(configuration).updatePermissionGroup(groupId, name, options)(fetch, basePath);
        },
    };
};

/**
 * PermissionGroupApi - object-oriented interface
 * 权限组
 * @export
 * @class PermissionGroupApi
 * @extends {BaseAPI}
 */
export class PermissionGroupApi extends BaseAPI {
    /**
     * 添加权限组
     * @summary 添加权限组
     * @param {string} [name] 权限组名称
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PermissionGroupApi
     */
    public addPermissionGroup(name?: string, options?: any) {
        return PermissionGroupApiFp(this.configuration).addPermissionGroup(name, options)(this.fetch, this.basePath);
    }

    /**
     * 授权权限组
     * @summary 授权权限组
     * @param {AddAuthForm} addAuthForm addAuthForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PermissionGroupApi
     */
    public authPermissionGroup(addAuthForm: AddAuthForm, options?: any) {
        return PermissionGroupApiFp(this.configuration).authPermissionGroup(addAuthForm, options)(this.fetch, this.basePath);
    }

    /**
     * 授权项目
     * @summary 授权项目
     * @param {AddAuthForm} addAuthForm addAuthForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PermissionGroupApi
     */
    public authProject(addAuthForm: AddAuthForm, options?: any) {
        return PermissionGroupApiFp(this.configuration).authProject(addAuthForm, options)(this.fetch, this.basePath);
    }

    /**
     * 删除授权权限组
     * @summary 删除授权权限组
     * @param {DeleteAuthForm} deleteAuthForm deleteAuthForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PermissionGroupApi
     */
    public deleteAuthPermissionGroup(deleteAuthForm: DeleteAuthForm, options?: any) {
        return PermissionGroupApiFp(this.configuration).deleteAuthPermissionGroup(deleteAuthForm, options)(this.fetch, this.basePath);
    }

    /**
     * 删除授权项目
     * @summary 删除授权项目
     * @param {DeleteAuthForm} deleteAuthForm deleteAuthForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PermissionGroupApi
     */
    public deleteAuthProject(deleteAuthForm: DeleteAuthForm, options?: any) {
        return PermissionGroupApiFp(this.configuration).deleteAuthProject(deleteAuthForm, options)(this.fetch, this.basePath);
    }

    /**
     * 删除权限组
     * @summary 删除权限组
     * @param {string} [groupId] 权限组ID
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PermissionGroupApi
     */
    public deletePermissionGroup(groupId?: string, options?: any) {
        return PermissionGroupApiFp(this.configuration).deletePermissionGroup(groupId, options)(this.fetch, this.basePath);
    }

    /**
     * 获取用户的授权权限组
     * @summary 获取用户的授权权限组
     * @param {string} [userId] 用户id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PermissionGroupApi
     */
    public getAuthPermissionGroup(userId?: string, options?: any) {
        return PermissionGroupApiFp(this.configuration).getAuthPermissionGroup(userId, options)(this.fetch, this.basePath);
    }

    /**
     * 获取用户的授权项目
     * @summary 获取用户的授权项目
     * @param {string} [userId] 用户id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PermissionGroupApi
     */
    public getAuthProject(userId?: string, options?: any) {
        return PermissionGroupApiFp(this.configuration).getAuthProject(userId, options)(this.fetch, this.basePath);
    }

    /**
     * 获取当前用户企业下所有权限组
     * @summary 获取权限组列表
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PermissionGroupApi
     */
    public getPermissionGroupList(options?: any) {
        return PermissionGroupApiFp(this.configuration).getPermissionGroupList(options)(this.fetch, this.basePath);
    }

    /**
     * 获取拥有的项目
     * @summary 获取拥有的项目
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PermissionGroupApi
     */
    public getPermissionGroupProjectTree(options?: any) {
        return PermissionGroupApiFp(this.configuration).getPermissionGroupProjectTree(options)(this.fetch, this.basePath);
    }

    /**
     * 修改权限组名称
     * @summary 修改权限组
     * @param {string} [groupId] 权限组ID
     * @param {string} [name] 权限组名称
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PermissionGroupApi
     */
    public updatePermissionGroup(groupId?: string, name?: string, options?: any) {
        return PermissionGroupApiFp(this.configuration).updatePermissionGroup(groupId, name, options)(this.fetch, this.basePath);
    }

}

/**
 * PlatformOperationApi - fetch parameter creator
 * 平台运营管理
 * @export
 */
export const PlatformOperationApiFetchParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 添加套餐
         * @summary 添加套餐
         * @param {AddAuthPackageForm} form form
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addAuthPackage(form: AddAuthPackageForm, options: any = {}): FetchArgs {
            // verify required parameter 'form' is not null or undefined
            if (form === null || form === undefined) {
                throw new RequiredError('form','Required parameter form was null or undefined when calling addAuthPackage.');
            }
            const localVarPath = `/api-organization/platform/addAuthPackage`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"AddAuthPackageForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(form || {}) : (form || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 添加授权套餐类型
         * @param {AddAuthPackagePropertiesConfigForm} config config
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addAuthPackagePropertiesConfig(config: AddAuthPackagePropertiesConfigForm, options: any = {}): FetchArgs {
            // verify required parameter 'config' is not null or undefined
            if (config === null || config === undefined) {
                throw new RequiredError('config','Required parameter config was null or undefined when calling addAuthPackagePropertiesConfig.');
            }
            const localVarPath = `/api-organization/platform/addAuthPackagePropertiesConfig`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"AddAuthPackagePropertiesConfigForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(config || {}) : (config || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 删除套餐
         * @summary 删除套餐
         * @param {string} id 套餐id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteAuthPackage(id: string, options: any = {}): FetchArgs {
            // verify required parameter 'id' is not null or undefined
            if (id === null || id === undefined) {
                throw new RequiredError('id','Required parameter id was null or undefined when calling deleteAuthPackage.');
            }
            const localVarPath = `/api-organization/platform/deleteAuthPackage`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["id"] = id;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 获取授权日志
         * @param {AuthLogParam} form form
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAuthLogData(form: AuthLogParam, options: any = {}): FetchArgs {
            // verify required parameter 'form' is not null or undefined
            if (form === null || form === undefined) {
                throw new RequiredError('form','Required parameter form was null or undefined when calling getAuthLogData.');
            }
            const localVarPath = `/api-organization/platform/getAuthLogData`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"AuthLogParam" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(form || {}) : (form || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 获取套餐列表数据
         * @param {QueryAuthPackageParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAuthPackageList(param: QueryAuthPackageParam, options: any = {}): FetchArgs {
            // verify required parameter 'param' is not null or undefined
            if (param === null || param === undefined) {
                throw new RequiredError('param','Required parameter param was null or undefined when calling getAuthPackageList.');
            }
            const localVarPath = `/api-organization/platform/getAuthPackageList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"QueryAuthPackageParam" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(param || {}) : (param || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 获取授权套餐类型
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAuthPackagePropertiesConfig(options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/platform/getAuthPackagePropertiesConfig`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取企业的授权状态
         * @summary  获取企业的授权状态
         * @param {CompanyAuthInfoParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getCompanyAuthInfoList(param: CompanyAuthInfoParam, options: any = {}): FetchArgs {
            // verify required parameter 'param' is not null or undefined
            if (param === null || param === undefined) {
                throw new RequiredError('param','Required parameter param was null or undefined when calling getCompanyAuthInfoList.');
            }
            const localVarPath = `/api-organization/platform/getCompanyAuthInfoList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"CompanyAuthInfoParam" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(param || {}) : (param || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 获取设备免费额度配置
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getDeviceAuthConfig(options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/platform/getDeviceAuthConfig`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 获取新企业试用期配置
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getNewCompanyProbationaryConfig(options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/platform/getNewCompanyProbationaryConfig`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 获取旧企业策略配置
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getOldCompanyStrategyConfig(options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/platform/getOldCompanyStrategyConfig`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 获取平台额度详情
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getPlatformAuthInfo(options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/platform/getPlatformAuthInfo`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取平台的授权信息
         * @summary 获取平台的授权信息
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getPlatformStatusInfo(options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/platform/getPlatformStatusInfo`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取离线激活 请求码
         * @summary 获取安全码
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getVerifyCode(options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/platform/getVerifyCode`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 离线激活
         * @summary 离线激活
         * @param {string} offlineActivateCode 离线激活码
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        offlineActivate(offlineActivateCode: string, options: any = {}): FetchArgs {
            // verify required parameter 'offlineActivateCode' is not null or undefined
            if (offlineActivateCode === null || offlineActivateCode === undefined) {
                throw new RequiredError('offlineActivateCode','Required parameter offlineActivateCode was null or undefined when calling offlineActivate.');
            }
            const localVarPath = `/api-organization/platform/offlineActivate`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["offlineActivateCode"] = offlineActivateCode;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 在线激活
         * @summary 在线激活
         * @param {string} onlineActivateCode 在线激活码
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        onlineActivate(onlineActivateCode: string, options: any = {}): FetchArgs {
            // verify required parameter 'onlineActivateCode' is not null or undefined
            if (onlineActivateCode === null || onlineActivateCode === undefined) {
                throw new RequiredError('onlineActivateCode','Required parameter onlineActivateCode was null or undefined when calling onlineActivate.');
            }
            const localVarPath = `/api-organization/platform/onlineActivate`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            if (onlineActivateCode !== undefined) {
                localVarQueryParameter['onlineActivateCode'] = onlineActivateCode;
            }

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 缴费(￥)
         * @summary 缴费(￥)
         * @param {string} companyId 企业id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        payTheFee(companyId: string, options: any = {}): FetchArgs {
            // verify required parameter 'companyId' is not null or undefined
            if (companyId === null || companyId === undefined) {
                throw new RequiredError('companyId','Required parameter companyId was null or undefined when calling payTheFee.');
            }
            const localVarPath = `/api-organization/platform/payTheFee`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            if (companyId !== undefined) {
                localVarQueryParameter['companyId'] = companyId;
            }

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 刷新授权
         * @summary 刷新授权
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        refreshAuth(options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/platform/refreshAuth`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 同步企业信息到信息服务平台
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        synchronizingCompany2Server(options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/platform/synchronizingCompany2Server`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 修改套餐
         * @summary 修改套餐
         * @param {UpdateAuthPackageForm} form form
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateAuthPackage(form: UpdateAuthPackageForm, options: any = {}): FetchArgs {
            // verify required parameter 'form' is not null or undefined
            if (form === null || form === undefined) {
                throw new RequiredError('form','Required parameter form was null or undefined when calling updateAuthPackage.');
            }
            const localVarPath = `/api-organization/platform/updateAuthPackage`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"UpdateAuthPackageForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(form || {}) : (form || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 获取授权套餐类型
         * @param {UpdateAuthPackagePropertiesConfigForm} form form
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateAuthPackagePropertiesConfig(form: UpdateAuthPackagePropertiesConfigForm, options: any = {}): FetchArgs {
            // verify required parameter 'form' is not null or undefined
            if (form === null || form === undefined) {
                throw new RequiredError('form','Required parameter form was null or undefined when calling updateAuthPackagePropertiesConfig.');
            }
            const localVarPath = `/api-organization/platform/updateAuthPackagePropertiesConfig`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"UpdateAuthPackagePropertiesConfigForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(form || {}) : (form || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 修改企业套餐
         * @summary 修改企业套餐
         * @param {CompanyPackageForm} form form
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateCompanyPackage(form: CompanyPackageForm, options: any = {}): FetchArgs {
            // verify required parameter 'form' is not null or undefined
            if (form === null || form === undefined) {
                throw new RequiredError('form','Required parameter form was null or undefined when calling updateCompanyPackage.');
            }
            const localVarPath = `/api-organization/platform/updateCompanyPackage`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"CompanyPackageForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(form || {}) : (form || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 修改企业的状态
         * @summary  修改企业的状态
         * @param {CompanyStatusForm} form form
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateCompanyStatus(form: CompanyStatusForm, options: any = {}): FetchArgs {
            // verify required parameter 'form' is not null or undefined
            if (form === null || form === undefined) {
                throw new RequiredError('form','Required parameter form was null or undefined when calling updateCompanyStatus.');
            }
            const localVarPath = `/api-organization/platform/updateCompanyStatus`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"CompanyStatusForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(form || {}) : (form || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 修改设备免费额度配置
         * @param {DeviceAuthConfig} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateDeviceAuthConfig(param: DeviceAuthConfig, options: any = {}): FetchArgs {
            // verify required parameter 'param' is not null or undefined
            if (param === null || param === undefined) {
                throw new RequiredError('param','Required parameter param was null or undefined when calling updateDeviceAuthConfig.');
            }
            const localVarPath = `/api-organization/platform/updateDeviceAuthConfig`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"DeviceAuthConfig" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(param || {}) : (param || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 修改企业的过期时间
         * @summary 修改企业的过期时间
         * @param {ExpirationTimeForm} form form
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateExpirationTime(form: ExpirationTimeForm, options: any = {}): FetchArgs {
            // verify required parameter 'form' is not null or undefined
            if (form === null || form === undefined) {
                throw new RequiredError('form','Required parameter form was null or undefined when calling updateExpirationTime.');
            }
            const localVarPath = `/api-organization/platform/updateExpirationTime`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"ExpirationTimeForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(form || {}) : (form || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 修改企业应缴费用
         * @summary 修改企业应缴费用
         * @param {FeesPayableForm} form form
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateFeesPayable(form: FeesPayableForm, options: any = {}): FetchArgs {
            // verify required parameter 'form' is not null or undefined
            if (form === null || form === undefined) {
                throw new RequiredError('form','Required parameter form was null or undefined when calling updateFeesPayable.');
            }
            const localVarPath = `/api-organization/platform/updateFeesPayable`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"FeesPayableForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(form || {}) : (form || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 修改新企业试用期配置
         * @param {NewCompanyProbationaryConfig} config config
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateNewCompanyProbationaryConfig(config: NewCompanyProbationaryConfig, options: any = {}): FetchArgs {
            // verify required parameter 'config' is not null or undefined
            if (config === null || config === undefined) {
                throw new RequiredError('config','Required parameter config was null or undefined when calling updateNewCompanyProbationaryConfig.');
            }
            const localVarPath = `/api-organization/platform/updateNewCompanyProbationaryConfig`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"NewCompanyProbationaryConfig" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(config || {}) : (config || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 获取旧企业策略配置
         * @param {OldCompanyStrategyConfigForm} config config
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateOldCompanyStrategyConfig(config: OldCompanyStrategyConfigForm, options: any = {}): FetchArgs {
            // verify required parameter 'config' is not null or undefined
            if (config === null || config === undefined) {
                throw new RequiredError('config','Required parameter config was null or undefined when calling updateOldCompanyStrategyConfig.');
            }
            const localVarPath = `/api-organization/platform/updateOldCompanyStrategyConfig`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"OldCompanyStrategyConfigForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(config || {}) : (config || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 企业是否过期
         * @summary 企业是否过期
         * @param {string} [companyId] 企业id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        whetherItHasExpired(companyId?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/platform/whetherItHasExpired`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["companyId"] = companyId;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 企业是否冻结
         * @summary 企业是否冻结
         * @param {string} companyId 企业id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        whetherItHasFreeze(companyId: string, options: any = {}): FetchArgs {
            // verify required parameter 'companyId' is not null or undefined
            if (companyId === null || companyId === undefined) {
                throw new RequiredError('companyId','Required parameter companyId was null or undefined when calling whetherItHasFreeze.');
            }
            const localVarPath = `/api-organization/platform/whetherItHasFreeze`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["companyId"] = companyId;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * PlatformOperationApi - functional programming interface
 * 平台运营管理
 * @export
 */
export const PlatformOperationApiFp = function(configuration?: Configuration) {
    if (configuration == null) {
        configuration = default_configuration;
    }

    return {
        /**
         * 添加套餐
         * @summary 添加套餐
         * @param {AddAuthPackageForm} form form
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addAuthPackage(form: AddAuthPackageForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = PlatformOperationApiFetchParamCreator(configuration).addAuthPackage(form, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 添加授权套餐类型
         * @param {AddAuthPackagePropertiesConfigForm} config config
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addAuthPackagePropertiesConfig(config: AddAuthPackagePropertiesConfigForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = PlatformOperationApiFetchParamCreator(configuration).addAuthPackagePropertiesConfig(config, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 删除套餐
         * @summary 删除套餐
         * @param {string} id 套餐id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteAuthPackage(id: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = PlatformOperationApiFetchParamCreator(configuration).deleteAuthPackage(id, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 获取授权日志
         * @param {AuthLogParam} form form
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAuthLogData(form: AuthLogParam, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultIPageAuthLog> {
            const localVarFetchArgs = PlatformOperationApiFetchParamCreator(configuration).getAuthLogData(form, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 获取套餐列表数据
         * @param {QueryAuthPackageParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAuthPackageList(param: QueryAuthPackageParam, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultIPageAuthPackageVo> {
            const localVarFetchArgs = PlatformOperationApiFetchParamCreator(configuration).getAuthPackageList(param, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 获取授权套餐类型
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAuthPackagePropertiesConfig(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListAuthPackagePropertiesConfig> {
            const localVarFetchArgs = PlatformOperationApiFetchParamCreator(configuration).getAuthPackagePropertiesConfig(options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取企业的授权状态
         * @summary  获取企业的授权状态
         * @param {CompanyAuthInfoParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getCompanyAuthInfoList(param: CompanyAuthInfoParam, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultIPageCompanyAuthInfo> {
            const localVarFetchArgs = PlatformOperationApiFetchParamCreator(configuration).getCompanyAuthInfoList(param, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 获取设备免费额度配置
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getDeviceAuthConfig(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultDeviceAuthConfig> {
            const localVarFetchArgs = PlatformOperationApiFetchParamCreator(configuration).getDeviceAuthConfig(options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 获取新企业试用期配置
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getNewCompanyProbationaryConfig(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultNewCompanyProbationaryConfig> {
            const localVarFetchArgs = PlatformOperationApiFetchParamCreator(configuration).getNewCompanyProbationaryConfig(options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 获取旧企业策略配置
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getOldCompanyStrategyConfig(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultOldCompanyStrategyConfig> {
            const localVarFetchArgs = PlatformOperationApiFetchParamCreator(configuration).getOldCompanyStrategyConfig(options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 获取平台额度详情
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getPlatformAuthInfo(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultPlatformAuthInfo> {
            const localVarFetchArgs = PlatformOperationApiFetchParamCreator(configuration).getPlatformAuthInfo(options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取平台的授权信息
         * @summary 获取平台的授权信息
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getPlatformStatusInfo(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultPlatformStatusInfoVo> {
            const localVarFetchArgs = PlatformOperationApiFetchParamCreator(configuration).getPlatformStatusInfo(options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取离线激活 请求码
         * @summary 获取安全码
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getVerifyCode(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<Result> {
            const localVarFetchArgs = PlatformOperationApiFetchParamCreator(configuration).getVerifyCode(options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 离线激活
         * @summary 离线激活
         * @param {string} offlineActivateCode 离线激活码
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        offlineActivate(offlineActivateCode: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<Result> {
            const localVarFetchArgs = PlatformOperationApiFetchParamCreator(configuration).offlineActivate(offlineActivateCode, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 在线激活
         * @summary 在线激活
         * @param {string} onlineActivateCode 在线激活码
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        onlineActivate(onlineActivateCode: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<Result> {
            const localVarFetchArgs = PlatformOperationApiFetchParamCreator(configuration).onlineActivate(onlineActivateCode, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 缴费(￥)
         * @summary 缴费(￥)
         * @param {string} companyId 企业id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        payTheFee(companyId: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<Result> {
            const localVarFetchArgs = PlatformOperationApiFetchParamCreator(configuration).payTheFee(companyId, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 刷新授权
         * @summary 刷新授权
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        refreshAuth(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<Result> {
            const localVarFetchArgs = PlatformOperationApiFetchParamCreator(configuration).refreshAuth(options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 同步企业信息到信息服务平台
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        synchronizingCompany2Server(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = PlatformOperationApiFetchParamCreator(configuration).synchronizingCompany2Server(options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 修改套餐
         * @summary 修改套餐
         * @param {UpdateAuthPackageForm} form form
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateAuthPackage(form: UpdateAuthPackageForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = PlatformOperationApiFetchParamCreator(configuration).updateAuthPackage(form, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 获取授权套餐类型
         * @param {UpdateAuthPackagePropertiesConfigForm} form form
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateAuthPackagePropertiesConfig(form: UpdateAuthPackagePropertiesConfigForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = PlatformOperationApiFetchParamCreator(configuration).updateAuthPackagePropertiesConfig(form, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 修改企业套餐
         * @summary 修改企业套餐
         * @param {CompanyPackageForm} form form
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateCompanyPackage(form: CompanyPackageForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<Result> {
            const localVarFetchArgs = PlatformOperationApiFetchParamCreator(configuration).updateCompanyPackage(form, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 修改企业的状态
         * @summary  修改企业的状态
         * @param {CompanyStatusForm} form form
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateCompanyStatus(form: CompanyStatusForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<Result> {
            const localVarFetchArgs = PlatformOperationApiFetchParamCreator(configuration).updateCompanyStatus(form, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 修改设备免费额度配置
         * @param {DeviceAuthConfig} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateDeviceAuthConfig(param: DeviceAuthConfig, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = PlatformOperationApiFetchParamCreator(configuration).updateDeviceAuthConfig(param, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 修改企业的过期时间
         * @summary 修改企业的过期时间
         * @param {ExpirationTimeForm} form form
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateExpirationTime(form: ExpirationTimeForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<Result> {
            const localVarFetchArgs = PlatformOperationApiFetchParamCreator(configuration).updateExpirationTime(form, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 修改企业应缴费用
         * @summary 修改企业应缴费用
         * @param {FeesPayableForm} form form
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateFeesPayable(form: FeesPayableForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<Result> {
            const localVarFetchArgs = PlatformOperationApiFetchParamCreator(configuration).updateFeesPayable(form, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 修改新企业试用期配置
         * @param {NewCompanyProbationaryConfig} config config
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateNewCompanyProbationaryConfig(config: NewCompanyProbationaryConfig, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = PlatformOperationApiFetchParamCreator(configuration).updateNewCompanyProbationaryConfig(config, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 获取旧企业策略配置
         * @param {OldCompanyStrategyConfigForm} config config
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateOldCompanyStrategyConfig(config: OldCompanyStrategyConfigForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = PlatformOperationApiFetchParamCreator(configuration).updateOldCompanyStrategyConfig(config, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 企业是否过期
         * @summary 企业是否过期
         * @param {string} [companyId] 企业id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        whetherItHasExpired(companyId?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<boolean> {
            const localVarFetchArgs = PlatformOperationApiFetchParamCreator(configuration).whetherItHasExpired(companyId, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 企业是否冻结
         * @summary 企业是否冻结
         * @param {string} companyId 企业id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        whetherItHasFreeze(companyId: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<boolean> {
            const localVarFetchArgs = PlatformOperationApiFetchParamCreator(configuration).whetherItHasFreeze(companyId, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
    }
};

/**
 * PlatformOperationApi - factory interface
 * 平台运营管理
 * @export
 */
export const PlatformOperationApiFactory = function (configuration?: Configuration, fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 添加套餐
         * @summary 添加套餐
         * @param {AddAuthPackageForm} form form
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addAuthPackage(form: AddAuthPackageForm, options?: any) {
            return PlatformOperationApiFp(configuration).addAuthPackage(form, options)(fetch, basePath);
        },
        /**
         * 
         * @summary 添加授权套餐类型
         * @param {AddAuthPackagePropertiesConfigForm} config config
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addAuthPackagePropertiesConfig(config: AddAuthPackagePropertiesConfigForm, options?: any) {
            return PlatformOperationApiFp(configuration).addAuthPackagePropertiesConfig(config, options)(fetch, basePath);
        },
        /**
         * 删除套餐
         * @summary 删除套餐
         * @param {string} id 套餐id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteAuthPackage(id: string, options?: any) {
            return PlatformOperationApiFp(configuration).deleteAuthPackage(id, options)(fetch, basePath);
        },
        /**
         * 
         * @summary 获取授权日志
         * @param {AuthLogParam} form form
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAuthLogData(form: AuthLogParam, options?: any) {
            return PlatformOperationApiFp(configuration).getAuthLogData(form, options)(fetch, basePath);
        },
        /**
         * 
         * @summary 获取套餐列表数据
         * @param {QueryAuthPackageParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAuthPackageList(param: QueryAuthPackageParam, options?: any) {
            return PlatformOperationApiFp(configuration).getAuthPackageList(param, options)(fetch, basePath);
        },
        /**
         * 
         * @summary 获取授权套餐类型
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAuthPackagePropertiesConfig(options?: any) {
            return PlatformOperationApiFp(configuration).getAuthPackagePropertiesConfig(options)(fetch, basePath);
        },
        /**
         * 获取企业的授权状态
         * @summary  获取企业的授权状态
         * @param {CompanyAuthInfoParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getCompanyAuthInfoList(param: CompanyAuthInfoParam, options?: any) {
            return PlatformOperationApiFp(configuration).getCompanyAuthInfoList(param, options)(fetch, basePath);
        },
        /**
         * 
         * @summary 获取设备免费额度配置
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getDeviceAuthConfig(options?: any) {
            return PlatformOperationApiFp(configuration).getDeviceAuthConfig(options)(fetch, basePath);
        },
        /**
         * 
         * @summary 获取新企业试用期配置
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getNewCompanyProbationaryConfig(options?: any) {
            return PlatformOperationApiFp(configuration).getNewCompanyProbationaryConfig(options)(fetch, basePath);
        },
        /**
         * 
         * @summary 获取旧企业策略配置
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getOldCompanyStrategyConfig(options?: any) {
            return PlatformOperationApiFp(configuration).getOldCompanyStrategyConfig(options)(fetch, basePath);
        },
        /**
         * 
         * @summary 获取平台额度详情
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getPlatformAuthInfo(options?: any) {
            return PlatformOperationApiFp(configuration).getPlatformAuthInfo(options)(fetch, basePath);
        },
        /**
         * 获取平台的授权信息
         * @summary 获取平台的授权信息
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getPlatformStatusInfo(options?: any) {
            return PlatformOperationApiFp(configuration).getPlatformStatusInfo(options)(fetch, basePath);
        },
        /**
         * 获取离线激活 请求码
         * @summary 获取安全码
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getVerifyCode(options?: any) {
            return PlatformOperationApiFp(configuration).getVerifyCode(options)(fetch, basePath);
        },
        /**
         * 离线激活
         * @summary 离线激活
         * @param {string} offlineActivateCode 离线激活码
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        offlineActivate(offlineActivateCode: string, options?: any) {
            return PlatformOperationApiFp(configuration).offlineActivate(offlineActivateCode, options)(fetch, basePath);
        },
        /**
         * 在线激活
         * @summary 在线激活
         * @param {string} onlineActivateCode 在线激活码
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        onlineActivate(onlineActivateCode: string, options?: any) {
            return PlatformOperationApiFp(configuration).onlineActivate(onlineActivateCode, options)(fetch, basePath);
        },
        /**
         * 缴费(￥)
         * @summary 缴费(￥)
         * @param {string} companyId 企业id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        payTheFee(companyId: string, options?: any) {
            return PlatformOperationApiFp(configuration).payTheFee(companyId, options)(fetch, basePath);
        },
        /**
         * 刷新授权
         * @summary 刷新授权
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        refreshAuth(options?: any) {
            return PlatformOperationApiFp(configuration).refreshAuth(options)(fetch, basePath);
        },
        /**
         * 
         * @summary 同步企业信息到信息服务平台
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        synchronizingCompany2Server(options?: any) {
            return PlatformOperationApiFp(configuration).synchronizingCompany2Server(options)(fetch, basePath);
        },
        /**
         * 修改套餐
         * @summary 修改套餐
         * @param {UpdateAuthPackageForm} form form
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateAuthPackage(form: UpdateAuthPackageForm, options?: any) {
            return PlatformOperationApiFp(configuration).updateAuthPackage(form, options)(fetch, basePath);
        },
        /**
         * 
         * @summary 获取授权套餐类型
         * @param {UpdateAuthPackagePropertiesConfigForm} form form
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateAuthPackagePropertiesConfig(form: UpdateAuthPackagePropertiesConfigForm, options?: any) {
            return PlatformOperationApiFp(configuration).updateAuthPackagePropertiesConfig(form, options)(fetch, basePath);
        },
        /**
         * 修改企业套餐
         * @summary 修改企业套餐
         * @param {CompanyPackageForm} form form
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateCompanyPackage(form: CompanyPackageForm, options?: any) {
            return PlatformOperationApiFp(configuration).updateCompanyPackage(form, options)(fetch, basePath);
        },
        /**
         * 修改企业的状态
         * @summary  修改企业的状态
         * @param {CompanyStatusForm} form form
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateCompanyStatus(form: CompanyStatusForm, options?: any) {
            return PlatformOperationApiFp(configuration).updateCompanyStatus(form, options)(fetch, basePath);
        },
        /**
         * 
         * @summary 修改设备免费额度配置
         * @param {DeviceAuthConfig} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateDeviceAuthConfig(param: DeviceAuthConfig, options?: any) {
            return PlatformOperationApiFp(configuration).updateDeviceAuthConfig(param, options)(fetch, basePath);
        },
        /**
         * 修改企业的过期时间
         * @summary 修改企业的过期时间
         * @param {ExpirationTimeForm} form form
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateExpirationTime(form: ExpirationTimeForm, options?: any) {
            return PlatformOperationApiFp(configuration).updateExpirationTime(form, options)(fetch, basePath);
        },
        /**
         * 修改企业应缴费用
         * @summary 修改企业应缴费用
         * @param {FeesPayableForm} form form
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateFeesPayable(form: FeesPayableForm, options?: any) {
            return PlatformOperationApiFp(configuration).updateFeesPayable(form, options)(fetch, basePath);
        },
        /**
         * 
         * @summary 修改新企业试用期配置
         * @param {NewCompanyProbationaryConfig} config config
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateNewCompanyProbationaryConfig(config: NewCompanyProbationaryConfig, options?: any) {
            return PlatformOperationApiFp(configuration).updateNewCompanyProbationaryConfig(config, options)(fetch, basePath);
        },
        /**
         * 
         * @summary 获取旧企业策略配置
         * @param {OldCompanyStrategyConfigForm} config config
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateOldCompanyStrategyConfig(config: OldCompanyStrategyConfigForm, options?: any) {
            return PlatformOperationApiFp(configuration).updateOldCompanyStrategyConfig(config, options)(fetch, basePath);
        },
        /**
         * 企业是否过期
         * @summary 企业是否过期
         * @param {string} [companyId] 企业id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        whetherItHasExpired(companyId?: string, options?: any) {
            return PlatformOperationApiFp(configuration).whetherItHasExpired(companyId, options)(fetch, basePath);
        },
        /**
         * 企业是否冻结
         * @summary 企业是否冻结
         * @param {string} companyId 企业id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        whetherItHasFreeze(companyId: string, options?: any) {
            return PlatformOperationApiFp(configuration).whetherItHasFreeze(companyId, options)(fetch, basePath);
        },
    };
};

/**
 * PlatformOperationApi - object-oriented interface
 * 平台运营管理
 * @export
 * @class PlatformOperationApi
 * @extends {BaseAPI}
 */
export class PlatformOperationApi extends BaseAPI {
    /**
     * 添加套餐
     * @summary 添加套餐
     * @param {AddAuthPackageForm} form form
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlatformOperationApi
     */
    public addAuthPackage(form: AddAuthPackageForm, options?: any) {
        return PlatformOperationApiFp(this.configuration).addAuthPackage(form, options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 添加授权套餐类型
     * @param {AddAuthPackagePropertiesConfigForm} config config
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlatformOperationApi
     */
    public addAuthPackagePropertiesConfig(config: AddAuthPackagePropertiesConfigForm, options?: any) {
        return PlatformOperationApiFp(this.configuration).addAuthPackagePropertiesConfig(config, options)(this.fetch, this.basePath);
    }

    /**
     * 删除套餐
     * @summary 删除套餐
     * @param {string} id 套餐id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlatformOperationApi
     */
    public deleteAuthPackage(id: string, options?: any) {
        return PlatformOperationApiFp(this.configuration).deleteAuthPackage(id, options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 获取授权日志
     * @param {AuthLogParam} form form
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlatformOperationApi
     */
    public getAuthLogData(form: AuthLogParam, options?: any) {
        return PlatformOperationApiFp(this.configuration).getAuthLogData(form, options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 获取套餐列表数据
     * @param {QueryAuthPackageParam} param param
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlatformOperationApi
     */
    public getAuthPackageList(param: QueryAuthPackageParam, options?: any) {
        return PlatformOperationApiFp(this.configuration).getAuthPackageList(param, options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 获取授权套餐类型
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlatformOperationApi
     */
    public getAuthPackagePropertiesConfig(options?: any) {
        return PlatformOperationApiFp(this.configuration).getAuthPackagePropertiesConfig(options)(this.fetch, this.basePath);
    }

    /**
     * 获取企业的授权状态
     * @summary  获取企业的授权状态
     * @param {CompanyAuthInfoParam} param param
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlatformOperationApi
     */
    public getCompanyAuthInfoList(param: CompanyAuthInfoParam, options?: any) {
        return PlatformOperationApiFp(this.configuration).getCompanyAuthInfoList(param, options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 获取设备免费额度配置
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlatformOperationApi
     */
    public getDeviceAuthConfig(options?: any) {
        return PlatformOperationApiFp(this.configuration).getDeviceAuthConfig(options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 获取新企业试用期配置
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlatformOperationApi
     */
    public getNewCompanyProbationaryConfig(options?: any) {
        return PlatformOperationApiFp(this.configuration).getNewCompanyProbationaryConfig(options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 获取旧企业策略配置
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlatformOperationApi
     */
    public getOldCompanyStrategyConfig(options?: any) {
        return PlatformOperationApiFp(this.configuration).getOldCompanyStrategyConfig(options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 获取平台额度详情
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlatformOperationApi
     */
    public getPlatformAuthInfo(options?: any) {
        return PlatformOperationApiFp(this.configuration).getPlatformAuthInfo(options)(this.fetch, this.basePath);
    }

    /**
     * 获取平台的授权信息
     * @summary 获取平台的授权信息
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlatformOperationApi
     */
    public getPlatformStatusInfo(options?: any) {
        return PlatformOperationApiFp(this.configuration).getPlatformStatusInfo(options)(this.fetch, this.basePath);
    }

    /**
     * 获取离线激活 请求码
     * @summary 获取安全码
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlatformOperationApi
     */
    public getVerifyCode(options?: any) {
        return PlatformOperationApiFp(this.configuration).getVerifyCode(options)(this.fetch, this.basePath);
    }

    /**
     * 离线激活
     * @summary 离线激活
     * @param {string} offlineActivateCode 离线激活码
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlatformOperationApi
     */
    public offlineActivate(offlineActivateCode: string, options?: any) {
        return PlatformOperationApiFp(this.configuration).offlineActivate(offlineActivateCode, options)(this.fetch, this.basePath);
    }

    /**
     * 在线激活
     * @summary 在线激活
     * @param {string} onlineActivateCode 在线激活码
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlatformOperationApi
     */
    public onlineActivate(onlineActivateCode: string, options?: any) {
        return PlatformOperationApiFp(this.configuration).onlineActivate(onlineActivateCode, options)(this.fetch, this.basePath);
    }

    /**
     * 缴费(￥)
     * @summary 缴费(￥)
     * @param {string} companyId 企业id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlatformOperationApi
     */
    public payTheFee(companyId: string, options?: any) {
        return PlatformOperationApiFp(this.configuration).payTheFee(companyId, options)(this.fetch, this.basePath);
    }

    /**
     * 刷新授权
     * @summary 刷新授权
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlatformOperationApi
     */
    public refreshAuth(options?: any) {
        return PlatformOperationApiFp(this.configuration).refreshAuth(options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 同步企业信息到信息服务平台
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlatformOperationApi
     */
    public synchronizingCompany2Server(options?: any) {
        return PlatformOperationApiFp(this.configuration).synchronizingCompany2Server(options)(this.fetch, this.basePath);
    }

    /**
     * 修改套餐
     * @summary 修改套餐
     * @param {UpdateAuthPackageForm} form form
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlatformOperationApi
     */
    public updateAuthPackage(form: UpdateAuthPackageForm, options?: any) {
        return PlatformOperationApiFp(this.configuration).updateAuthPackage(form, options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 获取授权套餐类型
     * @param {UpdateAuthPackagePropertiesConfigForm} form form
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlatformOperationApi
     */
    public updateAuthPackagePropertiesConfig(form: UpdateAuthPackagePropertiesConfigForm, options?: any) {
        return PlatformOperationApiFp(this.configuration).updateAuthPackagePropertiesConfig(form, options)(this.fetch, this.basePath);
    }

    /**
     * 修改企业套餐
     * @summary 修改企业套餐
     * @param {CompanyPackageForm} form form
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlatformOperationApi
     */
    public updateCompanyPackage(form: CompanyPackageForm, options?: any) {
        return PlatformOperationApiFp(this.configuration).updateCompanyPackage(form, options)(this.fetch, this.basePath);
    }

    /**
     * 修改企业的状态
     * @summary  修改企业的状态
     * @param {CompanyStatusForm} form form
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlatformOperationApi
     */
    public updateCompanyStatus(form: CompanyStatusForm, options?: any) {
        return PlatformOperationApiFp(this.configuration).updateCompanyStatus(form, options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 修改设备免费额度配置
     * @param {DeviceAuthConfig} param param
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlatformOperationApi
     */
    public updateDeviceAuthConfig(param: DeviceAuthConfig, options?: any) {
        return PlatformOperationApiFp(this.configuration).updateDeviceAuthConfig(param, options)(this.fetch, this.basePath);
    }

    /**
     * 修改企业的过期时间
     * @summary 修改企业的过期时间
     * @param {ExpirationTimeForm} form form
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlatformOperationApi
     */
    public updateExpirationTime(form: ExpirationTimeForm, options?: any) {
        return PlatformOperationApiFp(this.configuration).updateExpirationTime(form, options)(this.fetch, this.basePath);
    }

    /**
     * 修改企业应缴费用
     * @summary 修改企业应缴费用
     * @param {FeesPayableForm} form form
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlatformOperationApi
     */
    public updateFeesPayable(form: FeesPayableForm, options?: any) {
        return PlatformOperationApiFp(this.configuration).updateFeesPayable(form, options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 修改新企业试用期配置
     * @param {NewCompanyProbationaryConfig} config config
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlatformOperationApi
     */
    public updateNewCompanyProbationaryConfig(config: NewCompanyProbationaryConfig, options?: any) {
        return PlatformOperationApiFp(this.configuration).updateNewCompanyProbationaryConfig(config, options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 获取旧企业策略配置
     * @param {OldCompanyStrategyConfigForm} config config
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlatformOperationApi
     */
    public updateOldCompanyStrategyConfig(config: OldCompanyStrategyConfigForm, options?: any) {
        return PlatformOperationApiFp(this.configuration).updateOldCompanyStrategyConfig(config, options)(this.fetch, this.basePath);
    }

    /**
     * 企业是否过期
     * @summary 企业是否过期
     * @param {string} [companyId] 企业id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlatformOperationApi
     */
    public whetherItHasExpired(companyId?: string, options?: any) {
        return PlatformOperationApiFp(this.configuration).whetherItHasExpired(companyId, options)(this.fetch, this.basePath);
    }

    /**
     * 企业是否冻结
     * @summary 企业是否冻结
     * @param {string} companyId 企业id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PlatformOperationApi
     */
    public whetherItHasFreeze(companyId: string, options?: any) {
        return PlatformOperationApiFp(this.configuration).whetherItHasFreeze(companyId, options)(this.fetch, this.basePath);
    }

}

/**
 * ProjectApi - fetch parameter creator
 * 项目信息

 * @export
 */
export const ProjectApiFetchParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 添加项目
         * @summary 添加项目
         * @param {AddProjectForm} addProjectForm addProjectForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addProject(addProjectForm: AddProjectForm, options: any = {}): FetchArgs {
            // verify required parameter 'addProjectForm' is not null or undefined
            if (addProjectForm === null || addProjectForm === undefined) {
                throw new RequiredError('addProjectForm','Required parameter addProjectForm was null or undefined when calling addProject.');
            }
            const localVarPath = `/api-organization/project/addProject`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"AddProjectForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(addProjectForm || {}) : (addProjectForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 新增项目属性 根据Form参数类 添加
         * @summary 添加项目属性
         * @param {AddProjectPropertiesForm} addProjectPropertiesForm addProjectPropertiesForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addProjectProperties(addProjectPropertiesForm: AddProjectPropertiesForm, options: any = {}): FetchArgs {
            // verify required parameter 'addProjectPropertiesForm' is not null or undefined
            if (addProjectPropertiesForm === null || addProjectPropertiesForm === undefined) {
                throw new RequiredError('addProjectPropertiesForm','Required parameter addProjectPropertiesForm was null or undefined when calling addProjectProperties.');
            }
            const localVarPath = `/api-organization/projectProperties/addProjectProperties`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"AddProjectPropertiesForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(addProjectPropertiesForm || {}) : (addProjectPropertiesForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据传入的Form类 新增枚举属性
         * @summary 添加枚举属性
         * @param {Array<AddProjectPropertiesEnum>} addProjectPropertiesEnums addProjectPropertiesEnums
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addProjectPropertiesEnum(addProjectPropertiesEnums: Array<AddProjectPropertiesEnum>, options: any = {}): FetchArgs {
            // verify required parameter 'addProjectPropertiesEnums' is not null or undefined
            if (addProjectPropertiesEnums === null || addProjectPropertiesEnums === undefined) {
                throw new RequiredError('addProjectPropertiesEnums','Required parameter addProjectPropertiesEnums was null or undefined when calling addProjectPropertiesEnum.');
            }
            const localVarPath = `/api-organization/projectProperties/addProjectPropertiesEnum`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"Array&lt;AddProjectPropertiesEnum&gt;" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(addProjectPropertiesEnums || {}) : (addProjectPropertiesEnums || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 项目属性关联项目 一个项目属性可同时关联多个项目 
         * @summary 属性关联项目
         * @param {ProjectPropertiesRelParam} projectPropertiesRelParam projectPropertiesRelParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addProjectPropertiesRel(projectPropertiesRelParam: ProjectPropertiesRelParam, options: any = {}): FetchArgs {
            // verify required parameter 'projectPropertiesRelParam' is not null or undefined
            if (projectPropertiesRelParam === null || projectPropertiesRelParam === undefined) {
                throw new RequiredError('projectPropertiesRelParam','Required parameter projectPropertiesRelParam was null or undefined when calling addProjectPropertiesRel.');
            }
            const localVarPath = `/api-organization/projectProperties/addProjectPropertiesRel`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"ProjectPropertiesRelParam" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(projectPropertiesRelParam || {}) : (projectPropertiesRelParam || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 复制项目属性 将该属性的 枚举或关联关系复制
         * @summary 复制项目属性
         * @param {CopyProjectPropertiesForm} copyProjectPropertiesForm copyProjectPropertiesForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        copyProjectProperties(copyProjectPropertiesForm: CopyProjectPropertiesForm, options: any = {}): FetchArgs {
            // verify required parameter 'copyProjectPropertiesForm' is not null or undefined
            if (copyProjectPropertiesForm === null || copyProjectPropertiesForm === undefined) {
                throw new RequiredError('copyProjectPropertiesForm','Required parameter copyProjectPropertiesForm was null or undefined when calling copyProjectProperties.');
            }
            const localVarPath = `/api-organization/projectProperties/copyProjectProperties`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"CopyProjectPropertiesForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(copyProjectPropertiesForm || {}) : (copyProjectPropertiesForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 删除项目
         * @summary 删除项目
         * @param {string} projectId 项目的id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteProject(projectId: string, options: any = {}): FetchArgs {
            // verify required parameter 'projectId' is not null or undefined
            if (projectId === null || projectId === undefined) {
                throw new RequiredError('projectId','Required parameter projectId was null or undefined when calling deleteProject.');
            }
            const localVarPath = `/api-organization/project/deleteProject`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["projectId"] = projectId;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 删除项目属性 根据传入的属性Id 删除
         * @summary 删除项目属性
         * @param {string} [id] 属性Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteProjectProperties(id?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/projectProperties/deleteProjectProperties`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["id"] = id;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 取消与项目的关联关系
         * @summary 属性取消关联项目
         * @param {ProjectPropertiesRelParam} projectPropertiesRelParam projectPropertiesRelParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteProjectPropertiesRel(projectPropertiesRelParam: ProjectPropertiesRelParam, options: any = {}): FetchArgs {
            // verify required parameter 'projectPropertiesRelParam' is not null or undefined
            if (projectPropertiesRelParam === null || projectPropertiesRelParam === undefined) {
                throw new RequiredError('projectPropertiesRelParam','Required parameter projectPropertiesRelParam was null or undefined when calling deleteProjectPropertiesRel.');
            }
            const localVarPath = `/api-organization/projectProperties/deleteProjectPropertiesRel`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"ProjectPropertiesRelParam" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(projectPropertiesRelParam || {}) : (projectPropertiesRelParam || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据传入的 枚举属性Id 删除对应的枚举属性
         * @summary 删除枚举属性
         * @param {string} [propertiesEnumId] 枚举属性Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deletePropertiesEnum(propertiesEnumId?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/projectProperties/deletePropertiesEnum`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["propertiesEnumId"] = propertiesEnumId;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取当前用户拥有权限的项目列表
         * @summary 获取当前用户拥有权限的项目列表
         * @param {QueryProjectListParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAuthProjectList(param: QueryProjectListParam, options: any = {}): FetchArgs {
            // verify required parameter 'param' is not null or undefined
            if (param === null || param === undefined) {
                throw new RequiredError('param','Required parameter param was null or undefined when calling getAuthProjectList.');
            }
            const localVarPath = `/api-organization/project/getAuthProjectList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"QueryProjectListParam" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(param || {}) : (param || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据用户id获取用户拥有权限的项目
         * @summary 根据用户id获取用户拥有权限的项目
         * @param {string} userId 用户id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAuthProjectListByUserId(userId: string, options: any = {}): FetchArgs {
            // verify required parameter 'userId' is not null or undefined
            if (userId === null || userId === undefined) {
                throw new RequiredError('userId','Required parameter userId was null or undefined when calling getAuthProjectListByUserId.');
            }
            const localVarPath = `/api-organization/project/getAuthProjectListByUserId`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["userId"] = userId;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取项目菜单的权限码
         * @summary 获取项目菜单的权限码
         * @param {string} [projectId] projectId
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getPermissionCodeListByProjectId(projectId?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/project/getPermissionCodeListByProjectId`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["projectId"] = projectId;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取app项目主页配置
         * @summary 获取app项目主页配置
         * @param {Array<string>} projectIds 项目id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectAppMainMenu(projectIds: Array<string>, options: any = {}): FetchArgs {
            // verify required parameter 'projectIds' is not null or undefined
            if (projectIds === null || projectIds === undefined) {
                throw new RequiredError('projectIds','Required parameter projectIds was null or undefined when calling getProjectAppMainMenu.');
            }
            const localVarPath = `/api-organization/project/getProjectAppMainMenu`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"Array&lt;string&gt;" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["projectIds"] = projectIds;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取项目关注状态
         * @summary 获取项目关注状态
         * @param {Array<string>} [projectIds] projectIds
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectAttentionStatusList(projectIds?: Array<string>, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/project/getProjectAttentionStatusList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"Array&lt;string&gt;" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["projectIds"] = projectIds;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 通过客户企业id获取客户被授权的项目列表
         * @summary 获取客户被授权的项目列表
         * @param {string} clientId 客户企业id
         * @param {string} [keyword] 模糊搜索项目名称/角色名称
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectAuthInfoListByClientId(clientId: string, keyword?: string, options: any = {}): FetchArgs {
            // verify required parameter 'clientId' is not null or undefined
            if (clientId === null || clientId === undefined) {
                throw new RequiredError('clientId','Required parameter clientId was null or undefined when calling getProjectAuthInfoListByClientId.');
            }
            const localVarPath = `/api-organization/project/getProjectAuthInfoListByClientId`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["clientId"] = clientId;
        mapObj["keyword"] = keyword;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取项目的组态编辑URL
         * @summary 获取组态编辑URL
         * @param {string} projectId 项目id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectConfigurationEditUrl(projectId: string, options: any = {}): FetchArgs {
            // verify required parameter 'projectId' is not null or undefined
            if (projectId === null || projectId === undefined) {
                throw new RequiredError('projectId','Required parameter projectId was null or undefined when calling getProjectConfigurationEditUrl.');
            }
            const localVarPath = `/api-organization/project/getProjectConfigurationEditUrl`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["projectId"] = projectId;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取项目的组态运行URL
         * @summary 获取项目组态组态运行URL
         * @param {Array<string>} projectIds 项目ids
         * @param {string} [type] 获取组态的类型，0：项目主页，1，移动端，2：集中监控
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectConfigurationRuntimeUrlList(projectIds: Array<string>, type?: string, options: any = {}): FetchArgs {
            // verify required parameter 'projectIds' is not null or undefined
            if (projectIds === null || projectIds === undefined) {
                throw new RequiredError('projectIds','Required parameter projectIds was null or undefined when calling getProjectConfigurationRuntimeUrlList.');
            }
            const localVarPath = `/api-organization/project/getProjectConfigurationRuntimeUrlList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["projectIds"] = projectIds;
        mapObj["type"] = type;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 查询项目信息
         * @summary 查询项目信息列表
         * @param {Array<string>} projectIds 项目id列表
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectInfoList(projectIds: Array<string>, options: any = {}): FetchArgs {
            // verify required parameter 'projectIds' is not null or undefined
            if (projectIds === null || projectIds === undefined) {
                throw new RequiredError('projectIds','Required parameter projectIds was null or undefined when calling getProjectInfoList.');
            }
            const localVarPath = `/api-business/projectInfo/getProjectInfoList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"Array&lt;string&gt;" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["projectIds"] = projectIds;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据项目id获取项目列表
         * @summary 根据项目id获取项目列表
         * @param {Array<string>} projectIds 项目id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectListByIds(projectIds: Array<string>, options: any = {}): FetchArgs {
            // verify required parameter 'projectIds' is not null or undefined
            if (projectIds === null || projectIds === undefined) {
                throw new RequiredError('projectIds','Required parameter projectIds was null or undefined when calling getProjectListByIds.');
            }
            const localVarPath = `/api-organization/project/getProjectListByIds`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"Array&lt;string&gt;" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["projectIds"] = projectIds;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 查询项目属性 根据当前登录用户企业下的所有项目属性信息
         * @summary 查询属性
         * @param {string} [resourceType] 查询类型 [0：枚举,1：文本、2：日期，3：数值],
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectPropertiesList(resourceType?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/projectProperties/getProjectPropertiesList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["resourceType"] = resourceType;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据属性值Id 获取对应的关联的项目信息
         * @summary 查询项目属性关联项目的信息
         * @param {string} [propertiesId] 属性值Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectPropertiesRelList(propertiesId?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/projectProperties/getProjectPropertiesRelList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["propertiesId"] = propertiesId;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取项目和项目属性值属性以及属性值之间的关系
         * @summary 获取项目和项目属性值属性以及属性值之间的关系
         * @param {string} projectId 项目id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectPropertiesValueList(projectId: string, options: any = {}): FetchArgs {
            // verify required parameter 'projectId' is not null or undefined
            if (projectId === null || projectId === undefined) {
                throw new RequiredError('projectId','Required parameter projectId was null or undefined when calling getProjectPropertiesValueList.');
            }
            const localVarPath = `/api-organization/project/getProjectPropertiesValueList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["projectId"] = projectId;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取报表编辑URL
         * @summary 获取报表编辑URL
         * @param {string} projectId 项目id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectReportEditUrl(projectId: string, options: any = {}): FetchArgs {
            // verify required parameter 'projectId' is not null or undefined
            if (projectId === null || projectId === undefined) {
                throw new RequiredError('projectId','Required parameter projectId was null or undefined when calling getProjectReportEditUrl.');
            }
            const localVarPath = `/api-organization/project/getProjectReportEditUrl`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["projectId"] = projectId;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取项目的报表列表
         * @summary 获取报表列表
         * @param {string} projectId 项目id
         * @param {string} type 0:电脑端，1:移动端
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectReportList(projectId: string, type: string, options: any = {}): FetchArgs {
            // verify required parameter 'projectId' is not null or undefined
            if (projectId === null || projectId === undefined) {
                throw new RequiredError('projectId','Required parameter projectId was null or undefined when calling getProjectReportList.');
            }
            // verify required parameter 'type' is not null or undefined
            if (type === null || type === undefined) {
                throw new RequiredError('type','Required parameter type was null or undefined when calling getProjectReportList.');
            }
            const localVarPath = `/api-organization/project/getProjectReportList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["projectId"] = projectId;
        mapObj["type"] = type;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取用户对项目变量的操作级别列表
         * @summary 获取用户对项目变量的操作级别列表
         * @param {string} [projectId] projectId
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectRoleLevelList(projectId?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/project/getProjectRoleLevelList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["projectId"] = projectId;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 查询项目状态列表
         * @summary 查询项目状态列表
         * @param {Array<string>} projectIds 项目id列表
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectStatusList(projectIds: Array<string>, options: any = {}): FetchArgs {
            // verify required parameter 'projectIds' is not null or undefined
            if (projectIds === null || projectIds === undefined) {
                throw new RequiredError('projectIds','Required parameter projectIds was null or undefined when calling getProjectStatusList.');
            }
            const localVarPath = `/api-business/projectInfo/getProjectStatusList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"Array&lt;string&gt;" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["projectIds"] = projectIds;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据看板id获取项目树结构数据
         * @summary 根据看板id获取项目树结构数据
         * @param {QueryProjectParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectTreeList(param: QueryProjectParam, options: any = {}): FetchArgs {
            // verify required parameter 'param' is not null or undefined
            if (param === null || param === undefined) {
                throw new RequiredError('param','Required parameter param was null or undefined when calling getProjectTreeList.');
            }
            const localVarPath = `/api-organization/project/getProjectTreeList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"QueryProjectParam" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(param || {}) : (param || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取所有项目(目前被super调用)
         * @summary 获取所有项目
         * @param {string} [companyId] 企业ID
         * @param {number} [currentPage] 页码
         * @param {number} [pageSize] 每页数据数量
         * @param {string} [searchKey] 搜索关键字
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjects(companyId?: string, currentPage?: number, pageSize?: number, searchKey?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/project/getProjects`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["companyId"] = companyId;
        mapObj["currentPage"] = currentPage;
        mapObj["pageSize"] = pageSize;
        mapObj["searchKey"] = searchKey;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据属性Id 或枚举属性Id 查询对应的 枚举
         * @summary 查询枚举属性
         * @param {string} [resourceId] 属性Id/枚举Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getPropertiesEnumList(resourceId?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/projectProperties/getPropertiesEnumList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["resourceId"] = resourceId;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据属性Id 以及查询类型 获取对应的属性值 （除枚举类外 其余属性必须与项目存在关联关系并存在值）
         * @summary 查询属性值信息
         * @param {string} [propertiesId] 属性ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getPropertiesValueList(propertiesId?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/projectProperties/getPropertiesValueList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["propertiesId"] = propertiesId;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取系统项目列表
         * @summary 获取系统项目列表
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getSysProjectList(options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/project/getSysProjectList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 修改项目关注状态
         * @summary 修改项目关注状态
         * @param {string} value 0:取消关注，1：关注
         * @param {Array<string>} [projectIds] projectIds
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateAttentionStatus(value: string, projectIds?: Array<string>, options: any = {}): FetchArgs {
            // verify required parameter 'value' is not null or undefined
            if (value === null || value === undefined) {
                throw new RequiredError('value','Required parameter value was null or undefined when calling updateAttentionStatus.');
            }
            const localVarPath = `/api-organization/project/updateAttentionStatus`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["projectIds"] = projectIds;
        mapObj["value"] = value;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据传入的Form的 修改对应的枚举属性
         * @summary 修改枚举属性
         * @param {UpdateEnumPropertiesForm} updateEnumPropertiesForm updateEnumPropertiesForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateEnumProperties(updateEnumPropertiesForm: UpdateEnumPropertiesForm, options: any = {}): FetchArgs {
            // verify required parameter 'updateEnumPropertiesForm' is not null or undefined
            if (updateEnumPropertiesForm === null || updateEnumPropertiesForm === undefined) {
                throw new RequiredError('updateEnumPropertiesForm','Required parameter updateEnumPropertiesForm was null or undefined when calling updateEnumProperties.');
            }
            const localVarPath = `/api-organization/projectProperties/updateEnumProperties`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"UpdateEnumPropertiesForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(updateEnumPropertiesForm || {}) : (updateEnumPropertiesForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 修改项目信息(名称、备注、排序)
         * @summary 修改项目信息
         * @param {ProjectForm} form form
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateProject(form: ProjectForm, options: any = {}): FetchArgs {
            // verify required parameter 'form' is not null or undefined
            if (form === null || form === undefined) {
                throw new RequiredError('form','Required parameter form was null or undefined when calling updateProject.');
            }
            const localVarPath = `/api-organization/project/updateProject`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"ProjectForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(form || {}) : (form || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 修改app项目主页配置
         * @summary 修改app项目主页配置
         * @param {string} mainMenu app主页,0：组态，1：详情，2：报表：3：视频，4：创建保修
         * @param {string} projectId 项目id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateProjectAppMainMenu(mainMenu: string, projectId: string, options: any = {}): FetchArgs {
            // verify required parameter 'mainMenu' is not null or undefined
            if (mainMenu === null || mainMenu === undefined) {
                throw new RequiredError('mainMenu','Required parameter mainMenu was null or undefined when calling updateProjectAppMainMenu.');
            }
            // verify required parameter 'projectId' is not null or undefined
            if (projectId === null || projectId === undefined) {
                throw new RequiredError('projectId','Required parameter projectId was null or undefined when calling updateProjectAppMainMenu.');
            }
            const localVarPath = `/api-organization/project/updateProjectAppMainMenu`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["mainMenu"] = mainMenu;
        mapObj["projectId"] = projectId;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 修改项目定位信息
         * @summary 修改项目定位信息
         * @param {ProjectInfoForm} form form
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateProjectInfo(form: ProjectInfoForm, options: any = {}): FetchArgs {
            // verify required parameter 'form' is not null or undefined
            if (form === null || form === undefined) {
                throw new RequiredError('form','Required parameter form was null or undefined when calling updateProjectInfo.');
            }
            const localVarPath = `/api-business/projectInfo/updateProjectInfo`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"ProjectInfoForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(form || {}) : (form || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 修改项目经纬度
         * @summary 修改项目经纬度
         * @param {ProjectLonLatForm} form form
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateProjectLonLat(form: ProjectLonLatForm, options: any = {}): FetchArgs {
            // verify required parameter 'form' is not null or undefined
            if (form === null || form === undefined) {
                throw new RequiredError('form','Required parameter form was null or undefined when calling updateProjectLonLat.');
            }
            const localVarPath = `/api-organization/project/updateProjectLonLat`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"ProjectLonLatForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(form || {}) : (form || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 修改项目的权限组id
         * @summary 修改项目的权限组id
         * @param {string} permissionGroupId 权限组id
         * @param {string} projectId 项目id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateProjectPermissionGroupId(permissionGroupId: string, projectId: string, options: any = {}): FetchArgs {
            // verify required parameter 'permissionGroupId' is not null or undefined
            if (permissionGroupId === null || permissionGroupId === undefined) {
                throw new RequiredError('permissionGroupId','Required parameter permissionGroupId was null or undefined when calling updateProjectPermissionGroupId.');
            }
            // verify required parameter 'projectId' is not null or undefined
            if (projectId === null || projectId === undefined) {
                throw new RequiredError('projectId','Required parameter projectId was null or undefined when calling updateProjectPermissionGroupId.');
            }
            const localVarPath = `/api-organization/project/updateProjectPermissionGroupId`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["permissionGroupId"] = permissionGroupId;
        mapObj["projectId"] = projectId;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 修改项目属性 根据Form参数类
         * @summary 修改项目属性
         * @param {UpdateProjectPropertiesForm} updateProjectPropertiesForm updateProjectPropertiesForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateProjectProperties(updateProjectPropertiesForm: UpdateProjectPropertiesForm, options: any = {}): FetchArgs {
            // verify required parameter 'updateProjectPropertiesForm' is not null or undefined
            if (updateProjectPropertiesForm === null || updateProjectPropertiesForm === undefined) {
                throw new RequiredError('updateProjectPropertiesForm','Required parameter updateProjectPropertiesForm was null or undefined when calling updateProjectProperties.');
            }
            const localVarPath = `/api-organization/projectProperties/updateProjectProperties`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"UpdateProjectPropertiesForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(updateProjectPropertiesForm || {}) : (updateProjectPropertiesForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 修改项目和项目属性值属性以及属性值之间的关系
         * @summary 修改项目和项目属性值属性以及属性值之间的关系
         * @param {UpdateProjectPropertiesValueForm} form form
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateProjectPropertiesValue(form: UpdateProjectPropertiesValueForm, options: any = {}): FetchArgs {
            // verify required parameter 'form' is not null or undefined
            if (form === null || form === undefined) {
                throw new RequiredError('form','Required parameter form was null or undefined when calling updateProjectPropertiesValue.');
            }
            const localVarPath = `/api-organization/project/updateProjectPropertiesValue`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"UpdateProjectPropertiesValueForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(form || {}) : (form || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * ProjectApi - functional programming interface
 * 项目信息

 * @export
 */
export const ProjectApiFp = function(configuration?: Configuration) {
    if (configuration == null) {
        configuration = default_configuration;
    }

    return {
        /**
         * 添加项目
         * @summary 添加项目
         * @param {AddProjectForm} addProjectForm addProjectForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addProject(addProjectForm: AddProjectForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).addProject(addProjectForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 新增项目属性 根据Form参数类 添加
         * @summary 添加项目属性
         * @param {AddProjectPropertiesForm} addProjectPropertiesForm addProjectPropertiesForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addProjectProperties(addProjectPropertiesForm: AddProjectPropertiesForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).addProjectProperties(addProjectPropertiesForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据传入的Form类 新增枚举属性
         * @summary 添加枚举属性
         * @param {Array<AddProjectPropertiesEnum>} addProjectPropertiesEnums addProjectPropertiesEnums
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addProjectPropertiesEnum(addProjectPropertiesEnums: Array<AddProjectPropertiesEnum>, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).addProjectPropertiesEnum(addProjectPropertiesEnums, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 项目属性关联项目 一个项目属性可同时关联多个项目 
         * @summary 属性关联项目
         * @param {ProjectPropertiesRelParam} projectPropertiesRelParam projectPropertiesRelParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addProjectPropertiesRel(projectPropertiesRelParam: ProjectPropertiesRelParam, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).addProjectPropertiesRel(projectPropertiesRelParam, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 复制项目属性 将该属性的 枚举或关联关系复制
         * @summary 复制项目属性
         * @param {CopyProjectPropertiesForm} copyProjectPropertiesForm copyProjectPropertiesForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        copyProjectProperties(copyProjectPropertiesForm: CopyProjectPropertiesForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).copyProjectProperties(copyProjectPropertiesForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 删除项目
         * @summary 删除项目
         * @param {string} projectId 项目的id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteProject(projectId: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).deleteProject(projectId, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 删除项目属性 根据传入的属性Id 删除
         * @summary 删除项目属性
         * @param {string} [id] 属性Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteProjectProperties(id?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).deleteProjectProperties(id, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 取消与项目的关联关系
         * @summary 属性取消关联项目
         * @param {ProjectPropertiesRelParam} projectPropertiesRelParam projectPropertiesRelParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteProjectPropertiesRel(projectPropertiesRelParam: ProjectPropertiesRelParam, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).deleteProjectPropertiesRel(projectPropertiesRelParam, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据传入的 枚举属性Id 删除对应的枚举属性
         * @summary 删除枚举属性
         * @param {string} [propertiesEnumId] 枚举属性Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deletePropertiesEnum(propertiesEnumId?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).deletePropertiesEnum(propertiesEnumId, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取当前用户拥有权限的项目列表
         * @summary 获取当前用户拥有权限的项目列表
         * @param {QueryProjectListParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAuthProjectList(param: QueryProjectListParam, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListProjectVo> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).getAuthProjectList(param, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据用户id获取用户拥有权限的项目
         * @summary 根据用户id获取用户拥有权限的项目
         * @param {string} userId 用户id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAuthProjectListByUserId(userId: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListProjectVo> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).getAuthProjectListByUserId(userId, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取项目菜单的权限码
         * @summary 获取项目菜单的权限码
         * @param {string} [projectId] projectId
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getPermissionCodeListByProjectId(projectId?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListString> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).getPermissionCodeListByProjectId(projectId, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取app项目主页配置
         * @summary 获取app项目主页配置
         * @param {Array<string>} projectIds 项目id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectAppMainMenu(projectIds: Array<string>, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListAppMainMenu> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).getProjectAppMainMenu(projectIds, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取项目关注状态
         * @summary 获取项目关注状态
         * @param {Array<string>} [projectIds] projectIds
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectAttentionStatusList(projectIds?: Array<string>, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListAttentionStatusVo> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).getProjectAttentionStatusList(projectIds, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 通过客户企业id获取客户被授权的项目列表
         * @summary 获取客户被授权的项目列表
         * @param {string} clientId 客户企业id
         * @param {string} [keyword] 模糊搜索项目名称/角色名称
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectAuthInfoListByClientId(clientId: string, keyword?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListClientProjectInfoVo> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).getProjectAuthInfoListByClientId(clientId, keyword, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取项目的组态编辑URL
         * @summary 获取组态编辑URL
         * @param {string} projectId 项目id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectConfigurationEditUrl(projectId: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).getProjectConfigurationEditUrl(projectId, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取项目的组态运行URL
         * @summary 获取项目组态组态运行URL
         * @param {Array<string>} projectIds 项目ids
         * @param {string} [type] 获取组态的类型，0：项目主页，1，移动端，2：集中监控
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectConfigurationRuntimeUrlList(projectIds: Array<string>, type?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListConfigurationRuntimeUrlVo> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).getProjectConfigurationRuntimeUrlList(projectIds, type, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 查询项目信息
         * @summary 查询项目信息列表
         * @param {Array<string>} projectIds 项目id列表
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectInfoList(projectIds: Array<string>, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListProjectInfo> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).getProjectInfoList(projectIds, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据项目id获取项目列表
         * @summary 根据项目id获取项目列表
         * @param {Array<string>} projectIds 项目id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectListByIds(projectIds: Array<string>, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListProjectVo> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).getProjectListByIds(projectIds, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 查询项目属性 根据当前登录用户企业下的所有项目属性信息
         * @summary 查询属性
         * @param {string} [resourceType] 查询类型 [0：枚举,1：文本、2：日期，3：数值],
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectPropertiesList(resourceType?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListProjectPropertiesVo> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).getProjectPropertiesList(resourceType, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据属性值Id 获取对应的关联的项目信息
         * @summary 查询项目属性关联项目的信息
         * @param {string} [propertiesId] 属性值Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectPropertiesRelList(propertiesId?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListProjectPropertiesActionVo> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).getProjectPropertiesRelList(propertiesId, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取项目和项目属性值属性以及属性值之间的关系
         * @summary 获取项目和项目属性值属性以及属性值之间的关系
         * @param {string} projectId 项目id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectPropertiesValueList(projectId: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListProjectPropertiesValueVo> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).getProjectPropertiesValueList(projectId, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取报表编辑URL
         * @summary 获取报表编辑URL
         * @param {string} projectId 项目id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectReportEditUrl(projectId: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultString> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).getProjectReportEditUrl(projectId, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取项目的报表列表
         * @summary 获取报表列表
         * @param {string} projectId 项目id
         * @param {string} type 0:电脑端，1:移动端
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectReportList(projectId: string, type: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListReportBoardVo> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).getProjectReportList(projectId, type, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取用户对项目变量的操作级别列表
         * @summary 获取用户对项目变量的操作级别列表
         * @param {string} [projectId] projectId
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectRoleLevelList(projectId?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListString> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).getProjectRoleLevelList(projectId, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 查询项目状态列表
         * @summary 查询项目状态列表
         * @param {Array<string>} projectIds 项目id列表
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectStatusList(projectIds: Array<string>, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListProjectStatus> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).getProjectStatusList(projectIds, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据看板id获取项目树结构数据
         * @summary 根据看板id获取项目树结构数据
         * @param {QueryProjectParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectTreeList(param: QueryProjectParam, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListTreeNodeVo> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).getProjectTreeList(param, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取所有项目(目前被super调用)
         * @summary 获取所有项目
         * @param {string} [companyId] 企业ID
         * @param {number} [currentPage] 页码
         * @param {number} [pageSize] 每页数据数量
         * @param {string} [searchKey] 搜索关键字
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjects(companyId?: string, currentPage?: number, pageSize?: number, searchKey?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultIPageSuperProjectVo> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).getProjects(companyId, currentPage, pageSize, searchKey, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据属性Id 或枚举属性Id 查询对应的 枚举
         * @summary 查询枚举属性
         * @param {string} [resourceId] 属性Id/枚举Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getPropertiesEnumList(resourceId?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListPropertiesEnumVo> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).getPropertiesEnumList(resourceId, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据属性Id 以及查询类型 获取对应的属性值 （除枚举类外 其余属性必须与项目存在关联关系并存在值）
         * @summary 查询属性值信息
         * @param {string} [propertiesId] 属性ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getPropertiesValueList(propertiesId?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListPropertiesValueVo> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).getPropertiesValueList(propertiesId, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取系统项目列表
         * @summary 获取系统项目列表
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getSysProjectList(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListProjectVo> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).getSysProjectList(options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 修改项目关注状态
         * @summary 修改项目关注状态
         * @param {string} value 0:取消关注，1：关注
         * @param {Array<string>} [projectIds] projectIds
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateAttentionStatus(value: string, projectIds?: Array<string>, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).updateAttentionStatus(value, projectIds, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据传入的Form的 修改对应的枚举属性
         * @summary 修改枚举属性
         * @param {UpdateEnumPropertiesForm} updateEnumPropertiesForm updateEnumPropertiesForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateEnumProperties(updateEnumPropertiesForm: UpdateEnumPropertiesForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).updateEnumProperties(updateEnumPropertiesForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 修改项目信息(名称、备注、排序)
         * @summary 修改项目信息
         * @param {ProjectForm} form form
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateProject(form: ProjectForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).updateProject(form, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 修改app项目主页配置
         * @summary 修改app项目主页配置
         * @param {string} mainMenu app主页,0：组态，1：详情，2：报表：3：视频，4：创建保修
         * @param {string} projectId 项目id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateProjectAppMainMenu(mainMenu: string, projectId: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).updateProjectAppMainMenu(mainMenu, projectId, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 修改项目定位信息
         * @summary 修改项目定位信息
         * @param {ProjectInfoForm} form form
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateProjectInfo(form: ProjectInfoForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).updateProjectInfo(form, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 修改项目经纬度
         * @summary 修改项目经纬度
         * @param {ProjectLonLatForm} form form
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateProjectLonLat(form: ProjectLonLatForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).updateProjectLonLat(form, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 修改项目的权限组id
         * @summary 修改项目的权限组id
         * @param {string} permissionGroupId 权限组id
         * @param {string} projectId 项目id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateProjectPermissionGroupId(permissionGroupId: string, projectId: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).updateProjectPermissionGroupId(permissionGroupId, projectId, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 修改项目属性 根据Form参数类
         * @summary 修改项目属性
         * @param {UpdateProjectPropertiesForm} updateProjectPropertiesForm updateProjectPropertiesForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateProjectProperties(updateProjectPropertiesForm: UpdateProjectPropertiesForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).updateProjectProperties(updateProjectPropertiesForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 修改项目和项目属性值属性以及属性值之间的关系
         * @summary 修改项目和项目属性值属性以及属性值之间的关系
         * @param {UpdateProjectPropertiesValueForm} form form
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateProjectPropertiesValue(form: UpdateProjectPropertiesValueForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = ProjectApiFetchParamCreator(configuration).updateProjectPropertiesValue(form, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
    }
};

/**
 * ProjectApi - factory interface
 * 项目信息

 * @export
 */
export const ProjectApiFactory = function (configuration?: Configuration, fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 添加项目
         * @summary 添加项目
         * @param {AddProjectForm} addProjectForm addProjectForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addProject(addProjectForm: AddProjectForm, options?: any) {
            return ProjectApiFp(configuration).addProject(addProjectForm, options)(fetch, basePath);
        },
        /**
         * 新增项目属性 根据Form参数类 添加
         * @summary 添加项目属性
         * @param {AddProjectPropertiesForm} addProjectPropertiesForm addProjectPropertiesForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addProjectProperties(addProjectPropertiesForm: AddProjectPropertiesForm, options?: any) {
            return ProjectApiFp(configuration).addProjectProperties(addProjectPropertiesForm, options)(fetch, basePath);
        },
        /**
         * 根据传入的Form类 新增枚举属性
         * @summary 添加枚举属性
         * @param {Array<AddProjectPropertiesEnum>} addProjectPropertiesEnums addProjectPropertiesEnums
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addProjectPropertiesEnum(addProjectPropertiesEnums: Array<AddProjectPropertiesEnum>, options?: any) {
            return ProjectApiFp(configuration).addProjectPropertiesEnum(addProjectPropertiesEnums, options)(fetch, basePath);
        },
        /**
         * 项目属性关联项目 一个项目属性可同时关联多个项目 
         * @summary 属性关联项目
         * @param {ProjectPropertiesRelParam} projectPropertiesRelParam projectPropertiesRelParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addProjectPropertiesRel(projectPropertiesRelParam: ProjectPropertiesRelParam, options?: any) {
            return ProjectApiFp(configuration).addProjectPropertiesRel(projectPropertiesRelParam, options)(fetch, basePath);
        },
        /**
         * 复制项目属性 将该属性的 枚举或关联关系复制
         * @summary 复制项目属性
         * @param {CopyProjectPropertiesForm} copyProjectPropertiesForm copyProjectPropertiesForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        copyProjectProperties(copyProjectPropertiesForm: CopyProjectPropertiesForm, options?: any) {
            return ProjectApiFp(configuration).copyProjectProperties(copyProjectPropertiesForm, options)(fetch, basePath);
        },
        /**
         * 删除项目
         * @summary 删除项目
         * @param {string} projectId 项目的id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteProject(projectId: string, options?: any) {
            return ProjectApiFp(configuration).deleteProject(projectId, options)(fetch, basePath);
        },
        /**
         * 删除项目属性 根据传入的属性Id 删除
         * @summary 删除项目属性
         * @param {string} [id] 属性Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteProjectProperties(id?: string, options?: any) {
            return ProjectApiFp(configuration).deleteProjectProperties(id, options)(fetch, basePath);
        },
        /**
         * 取消与项目的关联关系
         * @summary 属性取消关联项目
         * @param {ProjectPropertiesRelParam} projectPropertiesRelParam projectPropertiesRelParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteProjectPropertiesRel(projectPropertiesRelParam: ProjectPropertiesRelParam, options?: any) {
            return ProjectApiFp(configuration).deleteProjectPropertiesRel(projectPropertiesRelParam, options)(fetch, basePath);
        },
        /**
         * 根据传入的 枚举属性Id 删除对应的枚举属性
         * @summary 删除枚举属性
         * @param {string} [propertiesEnumId] 枚举属性Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deletePropertiesEnum(propertiesEnumId?: string, options?: any) {
            return ProjectApiFp(configuration).deletePropertiesEnum(propertiesEnumId, options)(fetch, basePath);
        },
        /**
         * 获取当前用户拥有权限的项目列表
         * @summary 获取当前用户拥有权限的项目列表
         * @param {QueryProjectListParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAuthProjectList(param: QueryProjectListParam, options?: any) {
            return ProjectApiFp(configuration).getAuthProjectList(param, options)(fetch, basePath);
        },
        /**
         * 根据用户id获取用户拥有权限的项目
         * @summary 根据用户id获取用户拥有权限的项目
         * @param {string} userId 用户id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAuthProjectListByUserId(userId: string, options?: any) {
            return ProjectApiFp(configuration).getAuthProjectListByUserId(userId, options)(fetch, basePath);
        },
        /**
         * 获取项目菜单的权限码
         * @summary 获取项目菜单的权限码
         * @param {string} [projectId] projectId
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getPermissionCodeListByProjectId(projectId?: string, options?: any) {
            return ProjectApiFp(configuration).getPermissionCodeListByProjectId(projectId, options)(fetch, basePath);
        },
        /**
         * 获取app项目主页配置
         * @summary 获取app项目主页配置
         * @param {Array<string>} projectIds 项目id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectAppMainMenu(projectIds: Array<string>, options?: any) {
            return ProjectApiFp(configuration).getProjectAppMainMenu(projectIds, options)(fetch, basePath);
        },
        /**
         * 获取项目关注状态
         * @summary 获取项目关注状态
         * @param {Array<string>} [projectIds] projectIds
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectAttentionStatusList(projectIds?: Array<string>, options?: any) {
            return ProjectApiFp(configuration).getProjectAttentionStatusList(projectIds, options)(fetch, basePath);
        },
        /**
         * 通过客户企业id获取客户被授权的项目列表
         * @summary 获取客户被授权的项目列表
         * @param {string} clientId 客户企业id
         * @param {string} [keyword] 模糊搜索项目名称/角色名称
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectAuthInfoListByClientId(clientId: string, keyword?: string, options?: any) {
            return ProjectApiFp(configuration).getProjectAuthInfoListByClientId(clientId, keyword, options)(fetch, basePath);
        },
        /**
         * 获取项目的组态编辑URL
         * @summary 获取组态编辑URL
         * @param {string} projectId 项目id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectConfigurationEditUrl(projectId: string, options?: any) {
            return ProjectApiFp(configuration).getProjectConfigurationEditUrl(projectId, options)(fetch, basePath);
        },
        /**
         * 获取项目的组态运行URL
         * @summary 获取项目组态组态运行URL
         * @param {Array<string>} projectIds 项目ids
         * @param {string} [type] 获取组态的类型，0：项目主页，1，移动端，2：集中监控
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectConfigurationRuntimeUrlList(projectIds: Array<string>, type?: string, options?: any) {
            return ProjectApiFp(configuration).getProjectConfigurationRuntimeUrlList(projectIds, type, options)(fetch, basePath);
        },
        /**
         * 查询项目信息
         * @summary 查询项目信息列表
         * @param {Array<string>} projectIds 项目id列表
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectInfoList(projectIds: Array<string>, options?: any) {
            return ProjectApiFp(configuration).getProjectInfoList(projectIds, options)(fetch, basePath);
        },
        /**
         * 根据项目id获取项目列表
         * @summary 根据项目id获取项目列表
         * @param {Array<string>} projectIds 项目id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectListByIds(projectIds: Array<string>, options?: any) {
            return ProjectApiFp(configuration).getProjectListByIds(projectIds, options)(fetch, basePath);
        },
        /**
         * 查询项目属性 根据当前登录用户企业下的所有项目属性信息
         * @summary 查询属性
         * @param {string} [resourceType] 查询类型 [0：枚举,1：文本、2：日期，3：数值],
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectPropertiesList(resourceType?: string, options?: any) {
            return ProjectApiFp(configuration).getProjectPropertiesList(resourceType, options)(fetch, basePath);
        },
        /**
         * 根据属性值Id 获取对应的关联的项目信息
         * @summary 查询项目属性关联项目的信息
         * @param {string} [propertiesId] 属性值Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectPropertiesRelList(propertiesId?: string, options?: any) {
            return ProjectApiFp(configuration).getProjectPropertiesRelList(propertiesId, options)(fetch, basePath);
        },
        /**
         * 获取项目和项目属性值属性以及属性值之间的关系
         * @summary 获取项目和项目属性值属性以及属性值之间的关系
         * @param {string} projectId 项目id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectPropertiesValueList(projectId: string, options?: any) {
            return ProjectApiFp(configuration).getProjectPropertiesValueList(projectId, options)(fetch, basePath);
        },
        /**
         * 获取报表编辑URL
         * @summary 获取报表编辑URL
         * @param {string} projectId 项目id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectReportEditUrl(projectId: string, options?: any) {
            return ProjectApiFp(configuration).getProjectReportEditUrl(projectId, options)(fetch, basePath);
        },
        /**
         * 获取项目的报表列表
         * @summary 获取报表列表
         * @param {string} projectId 项目id
         * @param {string} type 0:电脑端，1:移动端
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectReportList(projectId: string, type: string, options?: any) {
            return ProjectApiFp(configuration).getProjectReportList(projectId, type, options)(fetch, basePath);
        },
        /**
         * 获取用户对项目变量的操作级别列表
         * @summary 获取用户对项目变量的操作级别列表
         * @param {string} [projectId] projectId
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectRoleLevelList(projectId?: string, options?: any) {
            return ProjectApiFp(configuration).getProjectRoleLevelList(projectId, options)(fetch, basePath);
        },
        /**
         * 查询项目状态列表
         * @summary 查询项目状态列表
         * @param {Array<string>} projectIds 项目id列表
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectStatusList(projectIds: Array<string>, options?: any) {
            return ProjectApiFp(configuration).getProjectStatusList(projectIds, options)(fetch, basePath);
        },
        /**
         * 根据看板id获取项目树结构数据
         * @summary 根据看板id获取项目树结构数据
         * @param {QueryProjectParam} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectTreeList(param: QueryProjectParam, options?: any) {
            return ProjectApiFp(configuration).getProjectTreeList(param, options)(fetch, basePath);
        },
        /**
         * 获取所有项目(目前被super调用)
         * @summary 获取所有项目
         * @param {string} [companyId] 企业ID
         * @param {number} [currentPage] 页码
         * @param {number} [pageSize] 每页数据数量
         * @param {string} [searchKey] 搜索关键字
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjects(companyId?: string, currentPage?: number, pageSize?: number, searchKey?: string, options?: any) {
            return ProjectApiFp(configuration).getProjects(companyId, currentPage, pageSize, searchKey, options)(fetch, basePath);
        },
        /**
         * 根据属性Id 或枚举属性Id 查询对应的 枚举
         * @summary 查询枚举属性
         * @param {string} [resourceId] 属性Id/枚举Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getPropertiesEnumList(resourceId?: string, options?: any) {
            return ProjectApiFp(configuration).getPropertiesEnumList(resourceId, options)(fetch, basePath);
        },
        /**
         * 根据属性Id 以及查询类型 获取对应的属性值 （除枚举类外 其余属性必须与项目存在关联关系并存在值）
         * @summary 查询属性值信息
         * @param {string} [propertiesId] 属性ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getPropertiesValueList(propertiesId?: string, options?: any) {
            return ProjectApiFp(configuration).getPropertiesValueList(propertiesId, options)(fetch, basePath);
        },
        /**
         * 获取系统项目列表
         * @summary 获取系统项目列表
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getSysProjectList(options?: any) {
            return ProjectApiFp(configuration).getSysProjectList(options)(fetch, basePath);
        },
        /**
         * 修改项目关注状态
         * @summary 修改项目关注状态
         * @param {string} value 0:取消关注，1：关注
         * @param {Array<string>} [projectIds] projectIds
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateAttentionStatus(value: string, projectIds?: Array<string>, options?: any) {
            return ProjectApiFp(configuration).updateAttentionStatus(value, projectIds, options)(fetch, basePath);
        },
        /**
         * 根据传入的Form的 修改对应的枚举属性
         * @summary 修改枚举属性
         * @param {UpdateEnumPropertiesForm} updateEnumPropertiesForm updateEnumPropertiesForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateEnumProperties(updateEnumPropertiesForm: UpdateEnumPropertiesForm, options?: any) {
            return ProjectApiFp(configuration).updateEnumProperties(updateEnumPropertiesForm, options)(fetch, basePath);
        },
        /**
         * 修改项目信息(名称、备注、排序)
         * @summary 修改项目信息
         * @param {ProjectForm} form form
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateProject(form: ProjectForm, options?: any) {
            return ProjectApiFp(configuration).updateProject(form, options)(fetch, basePath);
        },
        /**
         * 修改app项目主页配置
         * @summary 修改app项目主页配置
         * @param {string} mainMenu app主页,0：组态，1：详情，2：报表：3：视频，4：创建保修
         * @param {string} projectId 项目id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateProjectAppMainMenu(mainMenu: string, projectId: string, options?: any) {
            return ProjectApiFp(configuration).updateProjectAppMainMenu(mainMenu, projectId, options)(fetch, basePath);
        },
        /**
         * 修改项目定位信息
         * @summary 修改项目定位信息
         * @param {ProjectInfoForm} form form
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateProjectInfo(form: ProjectInfoForm, options?: any) {
            return ProjectApiFp(configuration).updateProjectInfo(form, options)(fetch, basePath);
        },
        /**
         * 修改项目经纬度
         * @summary 修改项目经纬度
         * @param {ProjectLonLatForm} form form
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateProjectLonLat(form: ProjectLonLatForm, options?: any) {
            return ProjectApiFp(configuration).updateProjectLonLat(form, options)(fetch, basePath);
        },
        /**
         * 修改项目的权限组id
         * @summary 修改项目的权限组id
         * @param {string} permissionGroupId 权限组id
         * @param {string} projectId 项目id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateProjectPermissionGroupId(permissionGroupId: string, projectId: string, options?: any) {
            return ProjectApiFp(configuration).updateProjectPermissionGroupId(permissionGroupId, projectId, options)(fetch, basePath);
        },
        /**
         * 修改项目属性 根据Form参数类
         * @summary 修改项目属性
         * @param {UpdateProjectPropertiesForm} updateProjectPropertiesForm updateProjectPropertiesForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateProjectProperties(updateProjectPropertiesForm: UpdateProjectPropertiesForm, options?: any) {
            return ProjectApiFp(configuration).updateProjectProperties(updateProjectPropertiesForm, options)(fetch, basePath);
        },
        /**
         * 修改项目和项目属性值属性以及属性值之间的关系
         * @summary 修改项目和项目属性值属性以及属性值之间的关系
         * @param {UpdateProjectPropertiesValueForm} form form
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateProjectPropertiesValue(form: UpdateProjectPropertiesValueForm, options?: any) {
            return ProjectApiFp(configuration).updateProjectPropertiesValue(form, options)(fetch, basePath);
        },
    };
};

/**
 * ProjectApi - object-oriented interface
 * 项目信息

 * @export
 * @class ProjectApi
 * @extends {BaseAPI}
 */
export class ProjectApi extends BaseAPI {
    /**
     * 添加项目
     * @summary 添加项目
     * @param {AddProjectForm} addProjectForm addProjectForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public addProject(addProjectForm: AddProjectForm, options?: any) {
        return ProjectApiFp(this.configuration).addProject(addProjectForm, options)(this.fetch, this.basePath);
    }

    /**
     * 新增项目属性 根据Form参数类 添加
     * @summary 添加项目属性
     * @param {AddProjectPropertiesForm} addProjectPropertiesForm addProjectPropertiesForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public addProjectProperties(addProjectPropertiesForm: AddProjectPropertiesForm, options?: any) {
        return ProjectApiFp(this.configuration).addProjectProperties(addProjectPropertiesForm, options)(this.fetch, this.basePath);
    }

    /**
     * 根据传入的Form类 新增枚举属性
     * @summary 添加枚举属性
     * @param {Array<AddProjectPropertiesEnum>} addProjectPropertiesEnums addProjectPropertiesEnums
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public addProjectPropertiesEnum(addProjectPropertiesEnums: Array<AddProjectPropertiesEnum>, options?: any) {
        return ProjectApiFp(this.configuration).addProjectPropertiesEnum(addProjectPropertiesEnums, options)(this.fetch, this.basePath);
    }

    /**
     * 项目属性关联项目 一个项目属性可同时关联多个项目 
     * @summary 属性关联项目
     * @param {ProjectPropertiesRelParam} projectPropertiesRelParam projectPropertiesRelParam
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public addProjectPropertiesRel(projectPropertiesRelParam: ProjectPropertiesRelParam, options?: any) {
        return ProjectApiFp(this.configuration).addProjectPropertiesRel(projectPropertiesRelParam, options)(this.fetch, this.basePath);
    }

    /**
     * 复制项目属性 将该属性的 枚举或关联关系复制
     * @summary 复制项目属性
     * @param {CopyProjectPropertiesForm} copyProjectPropertiesForm copyProjectPropertiesForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public copyProjectProperties(copyProjectPropertiesForm: CopyProjectPropertiesForm, options?: any) {
        return ProjectApiFp(this.configuration).copyProjectProperties(copyProjectPropertiesForm, options)(this.fetch, this.basePath);
    }

    /**
     * 删除项目
     * @summary 删除项目
     * @param {string} projectId 项目的id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public deleteProject(projectId: string, options?: any) {
        return ProjectApiFp(this.configuration).deleteProject(projectId, options)(this.fetch, this.basePath);
    }

    /**
     * 删除项目属性 根据传入的属性Id 删除
     * @summary 删除项目属性
     * @param {string} [id] 属性Id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public deleteProjectProperties(id?: string, options?: any) {
        return ProjectApiFp(this.configuration).deleteProjectProperties(id, options)(this.fetch, this.basePath);
    }

    /**
     * 取消与项目的关联关系
     * @summary 属性取消关联项目
     * @param {ProjectPropertiesRelParam} projectPropertiesRelParam projectPropertiesRelParam
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public deleteProjectPropertiesRel(projectPropertiesRelParam: ProjectPropertiesRelParam, options?: any) {
        return ProjectApiFp(this.configuration).deleteProjectPropertiesRel(projectPropertiesRelParam, options)(this.fetch, this.basePath);
    }

    /**
     * 根据传入的 枚举属性Id 删除对应的枚举属性
     * @summary 删除枚举属性
     * @param {string} [propertiesEnumId] 枚举属性Id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public deletePropertiesEnum(propertiesEnumId?: string, options?: any) {
        return ProjectApiFp(this.configuration).deletePropertiesEnum(propertiesEnumId, options)(this.fetch, this.basePath);
    }

    /**
     * 获取当前用户拥有权限的项目列表
     * @summary 获取当前用户拥有权限的项目列表
     * @param {QueryProjectListParam} param param
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public getAuthProjectList(param: QueryProjectListParam, options?: any) {
        return ProjectApiFp(this.configuration).getAuthProjectList(param, options)(this.fetch, this.basePath);
    }

    /**
     * 根据用户id获取用户拥有权限的项目
     * @summary 根据用户id获取用户拥有权限的项目
     * @param {string} userId 用户id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public getAuthProjectListByUserId(userId: string, options?: any) {
        return ProjectApiFp(this.configuration).getAuthProjectListByUserId(userId, options)(this.fetch, this.basePath);
    }

    /**
     * 获取项目菜单的权限码
     * @summary 获取项目菜单的权限码
     * @param {string} [projectId] projectId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public getPermissionCodeListByProjectId(projectId?: string, options?: any) {
        return ProjectApiFp(this.configuration).getPermissionCodeListByProjectId(projectId, options)(this.fetch, this.basePath);
    }

    /**
     * 获取app项目主页配置
     * @summary 获取app项目主页配置
     * @param {Array<string>} projectIds 项目id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public getProjectAppMainMenu(projectIds: Array<string>, options?: any) {
        return ProjectApiFp(this.configuration).getProjectAppMainMenu(projectIds, options)(this.fetch, this.basePath);
    }

    /**
     * 获取项目关注状态
     * @summary 获取项目关注状态
     * @param {Array<string>} [projectIds] projectIds
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public getProjectAttentionStatusList(projectIds?: Array<string>, options?: any) {
        return ProjectApiFp(this.configuration).getProjectAttentionStatusList(projectIds, options)(this.fetch, this.basePath);
    }

    /**
     * 通过客户企业id获取客户被授权的项目列表
     * @summary 获取客户被授权的项目列表
     * @param {string} clientId 客户企业id
     * @param {string} [keyword] 模糊搜索项目名称/角色名称
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public getProjectAuthInfoListByClientId(clientId: string, keyword?: string, options?: any) {
        return ProjectApiFp(this.configuration).getProjectAuthInfoListByClientId(clientId, keyword, options)(this.fetch, this.basePath);
    }

    /**
     * 获取项目的组态编辑URL
     * @summary 获取组态编辑URL
     * @param {string} projectId 项目id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public getProjectConfigurationEditUrl(projectId: string, options?: any) {
        return ProjectApiFp(this.configuration).getProjectConfigurationEditUrl(projectId, options)(this.fetch, this.basePath);
    }

    /**
     * 获取项目的组态运行URL
     * @summary 获取项目组态组态运行URL
     * @param {Array<string>} projectIds 项目ids
     * @param {string} [type] 获取组态的类型，0：项目主页，1，移动端，2：集中监控
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public getProjectConfigurationRuntimeUrlList(projectIds: Array<string>, type?: string, options?: any) {
        return ProjectApiFp(this.configuration).getProjectConfigurationRuntimeUrlList(projectIds, type, options)(this.fetch, this.basePath);
    }

    /**
     * 查询项目信息
     * @summary 查询项目信息列表
     * @param {Array<string>} projectIds 项目id列表
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public getProjectInfoList(projectIds: Array<string>, options?: any) {
        return ProjectApiFp(this.configuration).getProjectInfoList(projectIds, options)(this.fetch, this.basePath);
    }

    /**
     * 根据项目id获取项目列表
     * @summary 根据项目id获取项目列表
     * @param {Array<string>} projectIds 项目id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public getProjectListByIds(projectIds: Array<string>, options?: any) {
        return ProjectApiFp(this.configuration).getProjectListByIds(projectIds, options)(this.fetch, this.basePath);
    }

    /**
     * 查询项目属性 根据当前登录用户企业下的所有项目属性信息
     * @summary 查询属性
     * @param {string} [resourceType] 查询类型 [0：枚举,1：文本、2：日期，3：数值],
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public getProjectPropertiesList(resourceType?: string, options?: any) {
        return ProjectApiFp(this.configuration).getProjectPropertiesList(resourceType, options)(this.fetch, this.basePath);
    }

    /**
     * 根据属性值Id 获取对应的关联的项目信息
     * @summary 查询项目属性关联项目的信息
     * @param {string} [propertiesId] 属性值Id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public getProjectPropertiesRelList(propertiesId?: string, options?: any) {
        return ProjectApiFp(this.configuration).getProjectPropertiesRelList(propertiesId, options)(this.fetch, this.basePath);
    }

    /**
     * 获取项目和项目属性值属性以及属性值之间的关系
     * @summary 获取项目和项目属性值属性以及属性值之间的关系
     * @param {string} projectId 项目id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public getProjectPropertiesValueList(projectId: string, options?: any) {
        return ProjectApiFp(this.configuration).getProjectPropertiesValueList(projectId, options)(this.fetch, this.basePath);
    }

    /**
     * 获取报表编辑URL
     * @summary 获取报表编辑URL
     * @param {string} projectId 项目id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public getProjectReportEditUrl(projectId: string, options?: any) {
        return ProjectApiFp(this.configuration).getProjectReportEditUrl(projectId, options)(this.fetch, this.basePath);
    }

    /**
     * 获取项目的报表列表
     * @summary 获取报表列表
     * @param {string} projectId 项目id
     * @param {string} type 0:电脑端，1:移动端
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public getProjectReportList(projectId: string, type: string, options?: any) {
        return ProjectApiFp(this.configuration).getProjectReportList(projectId, type, options)(this.fetch, this.basePath);
    }

    /**
     * 获取用户对项目变量的操作级别列表
     * @summary 获取用户对项目变量的操作级别列表
     * @param {string} [projectId] projectId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public getProjectRoleLevelList(projectId?: string, options?: any) {
        return ProjectApiFp(this.configuration).getProjectRoleLevelList(projectId, options)(this.fetch, this.basePath);
    }

    /**
     * 查询项目状态列表
     * @summary 查询项目状态列表
     * @param {Array<string>} projectIds 项目id列表
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public getProjectStatusList(projectIds: Array<string>, options?: any) {
        return ProjectApiFp(this.configuration).getProjectStatusList(projectIds, options)(this.fetch, this.basePath);
    }

    /**
     * 根据看板id获取项目树结构数据
     * @summary 根据看板id获取项目树结构数据
     * @param {QueryProjectParam} param param
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public getProjectTreeList(param: QueryProjectParam, options?: any) {
        return ProjectApiFp(this.configuration).getProjectTreeList(param, options)(this.fetch, this.basePath);
    }

    /**
     * 获取所有项目(目前被super调用)
     * @summary 获取所有项目
     * @param {string} [companyId] 企业ID
     * @param {number} [currentPage] 页码
     * @param {number} [pageSize] 每页数据数量
     * @param {string} [searchKey] 搜索关键字
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public getProjects(companyId?: string, currentPage?: number, pageSize?: number, searchKey?: string, options?: any) {
        return ProjectApiFp(this.configuration).getProjects(companyId, currentPage, pageSize, searchKey, options)(this.fetch, this.basePath);
    }

    /**
     * 根据属性Id 或枚举属性Id 查询对应的 枚举
     * @summary 查询枚举属性
     * @param {string} [resourceId] 属性Id/枚举Id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public getPropertiesEnumList(resourceId?: string, options?: any) {
        return ProjectApiFp(this.configuration).getPropertiesEnumList(resourceId, options)(this.fetch, this.basePath);
    }

    /**
     * 根据属性Id 以及查询类型 获取对应的属性值 （除枚举类外 其余属性必须与项目存在关联关系并存在值）
     * @summary 查询属性值信息
     * @param {string} [propertiesId] 属性ID
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public getPropertiesValueList(propertiesId?: string, options?: any) {
        return ProjectApiFp(this.configuration).getPropertiesValueList(propertiesId, options)(this.fetch, this.basePath);
    }

    /**
     * 获取系统项目列表
     * @summary 获取系统项目列表
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public getSysProjectList(options?: any) {
        return ProjectApiFp(this.configuration).getSysProjectList(options)(this.fetch, this.basePath);
    }

    /**
     * 修改项目关注状态
     * @summary 修改项目关注状态
     * @param {string} value 0:取消关注，1：关注
     * @param {Array<string>} [projectIds] projectIds
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public updateAttentionStatus(value: string, projectIds?: Array<string>, options?: any) {
        return ProjectApiFp(this.configuration).updateAttentionStatus(value, projectIds, options)(this.fetch, this.basePath);
    }

    /**
     * 根据传入的Form的 修改对应的枚举属性
     * @summary 修改枚举属性
     * @param {UpdateEnumPropertiesForm} updateEnumPropertiesForm updateEnumPropertiesForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public updateEnumProperties(updateEnumPropertiesForm: UpdateEnumPropertiesForm, options?: any) {
        return ProjectApiFp(this.configuration).updateEnumProperties(updateEnumPropertiesForm, options)(this.fetch, this.basePath);
    }

    /**
     * 修改项目信息(名称、备注、排序)
     * @summary 修改项目信息
     * @param {ProjectForm} form form
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public updateProject(form: ProjectForm, options?: any) {
        return ProjectApiFp(this.configuration).updateProject(form, options)(this.fetch, this.basePath);
    }

    /**
     * 修改app项目主页配置
     * @summary 修改app项目主页配置
     * @param {string} mainMenu app主页,0：组态，1：详情，2：报表：3：视频，4：创建保修
     * @param {string} projectId 项目id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public updateProjectAppMainMenu(mainMenu: string, projectId: string, options?: any) {
        return ProjectApiFp(this.configuration).updateProjectAppMainMenu(mainMenu, projectId, options)(this.fetch, this.basePath);
    }

    /**
     * 修改项目定位信息
     * @summary 修改项目定位信息
     * @param {ProjectInfoForm} form form
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public updateProjectInfo(form: ProjectInfoForm, options?: any) {
        return ProjectApiFp(this.configuration).updateProjectInfo(form, options)(this.fetch, this.basePath);
    }

    /**
     * 修改项目经纬度
     * @summary 修改项目经纬度
     * @param {ProjectLonLatForm} form form
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public updateProjectLonLat(form: ProjectLonLatForm, options?: any) {
        return ProjectApiFp(this.configuration).updateProjectLonLat(form, options)(this.fetch, this.basePath);
    }

    /**
     * 修改项目的权限组id
     * @summary 修改项目的权限组id
     * @param {string} permissionGroupId 权限组id
     * @param {string} projectId 项目id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public updateProjectPermissionGroupId(permissionGroupId: string, projectId: string, options?: any) {
        return ProjectApiFp(this.configuration).updateProjectPermissionGroupId(permissionGroupId, projectId, options)(this.fetch, this.basePath);
    }

    /**
     * 修改项目属性 根据Form参数类
     * @summary 修改项目属性
     * @param {UpdateProjectPropertiesForm} updateProjectPropertiesForm updateProjectPropertiesForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public updateProjectProperties(updateProjectPropertiesForm: UpdateProjectPropertiesForm, options?: any) {
        return ProjectApiFp(this.configuration).updateProjectProperties(updateProjectPropertiesForm, options)(this.fetch, this.basePath);
    }

    /**
     * 修改项目和项目属性值属性以及属性值之间的关系
     * @summary 修改项目和项目属性值属性以及属性值之间的关系
     * @param {UpdateProjectPropertiesValueForm} form form
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectApi
     */
    public updateProjectPropertiesValue(form: UpdateProjectPropertiesValueForm, options?: any) {
        return ProjectApiFp(this.configuration).updateProjectPropertiesValue(form, options)(this.fetch, this.basePath);
    }

}

/**
 * ProjectBoardApi - fetch parameter creator
 * 看板
 * @export
 */
export const ProjectBoardApiFetchParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 根据传入的Form 添加看板信息
         * @summary 新增看板
         * @param {AddProjectBoardForm} addProjectBoardForm addProjectBoardForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addProjectBoard(addProjectBoardForm: AddProjectBoardForm, options: any = {}): FetchArgs {
            // verify required parameter 'addProjectBoardForm' is not null or undefined
            if (addProjectBoardForm === null || addProjectBoardForm === undefined) {
                throw new RequiredError('addProjectBoardForm','Required parameter addProjectBoardForm was null or undefined when calling addProjectBoard.');
            }
            const localVarPath = `/api-organization/projectBoard/addProjectBoard`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"AddProjectBoardForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(addProjectBoardForm || {}) : (addProjectBoardForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据传入的看板Id 删除该看板下的所有信息
         * @summary 删除项目看板
         * @param {string} [id] 看板Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteProjectBoard(id?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/projectBoard/deleteProjectBoard`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["id"] = id;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 查询所有看板信息 
         * @summary 查询所有项目看板列表
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAllProjectBoardList(options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/projectBoard/getAllProjectBoardList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 查询单条看板信息
         * @summary 查询单条看板信息
         * @param {string} [id] id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectBoard(id?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/projectBoard/getProjectBoard`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["id"] = id;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 查询当前登录用户可见的的项目看板列表
         * @summary 查询可用项目看板列表
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getVisibleProjectBoardList(options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/projectBoard/getVisibleProjectBoardList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 只可修改 该看板的[名称, 是否使用, 排序号, 备注]
         * @summary 修改项目看板
         * @param {UpdateProjectBoardForm} updateProjectBoardForm updateProjectBoardForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateProjectBoard(updateProjectBoardForm: UpdateProjectBoardForm, options: any = {}): FetchArgs {
            // verify required parameter 'updateProjectBoardForm' is not null or undefined
            if (updateProjectBoardForm === null || updateProjectBoardForm === undefined) {
                throw new RequiredError('updateProjectBoardForm','Required parameter updateProjectBoardForm was null or undefined when calling updateProjectBoard.');
            }
            const localVarPath = `/api-organization/projectBoard/updateProjectBoard`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"UpdateProjectBoardForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(updateProjectBoardForm || {}) : (updateProjectBoardForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * ProjectBoardApi - functional programming interface
 * 看板
 * @export
 */
export const ProjectBoardApiFp = function(configuration?: Configuration) {
    if (configuration == null) {
        configuration = default_configuration;
    }

    return {
        /**
         * 根据传入的Form 添加看板信息
         * @summary 新增看板
         * @param {AddProjectBoardForm} addProjectBoardForm addProjectBoardForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addProjectBoard(addProjectBoardForm: AddProjectBoardForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = ProjectBoardApiFetchParamCreator(configuration).addProjectBoard(addProjectBoardForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据传入的看板Id 删除该看板下的所有信息
         * @summary 删除项目看板
         * @param {string} [id] 看板Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteProjectBoard(id?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = ProjectBoardApiFetchParamCreator(configuration).deleteProjectBoard(id, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 查询所有看板信息 
         * @summary 查询所有项目看板列表
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAllProjectBoardList(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListProjectBoardVo> {
            const localVarFetchArgs = ProjectBoardApiFetchParamCreator(configuration).getAllProjectBoardList(options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 查询单条看板信息
         * @summary 查询单条看板信息
         * @param {string} [id] id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectBoard(id?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultProjectBoard> {
            const localVarFetchArgs = ProjectBoardApiFetchParamCreator(configuration).getProjectBoard(id, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 查询当前登录用户可见的的项目看板列表
         * @summary 查询可用项目看板列表
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getVisibleProjectBoardList(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListProjectBoardVo> {
            const localVarFetchArgs = ProjectBoardApiFetchParamCreator(configuration).getVisibleProjectBoardList(options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 只可修改 该看板的[名称, 是否使用, 排序号, 备注]
         * @summary 修改项目看板
         * @param {UpdateProjectBoardForm} updateProjectBoardForm updateProjectBoardForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateProjectBoard(updateProjectBoardForm: UpdateProjectBoardForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = ProjectBoardApiFetchParamCreator(configuration).updateProjectBoard(updateProjectBoardForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
    }
};

/**
 * ProjectBoardApi - factory interface
 * 看板
 * @export
 */
export const ProjectBoardApiFactory = function (configuration?: Configuration, fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 根据传入的Form 添加看板信息
         * @summary 新增看板
         * @param {AddProjectBoardForm} addProjectBoardForm addProjectBoardForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addProjectBoard(addProjectBoardForm: AddProjectBoardForm, options?: any) {
            return ProjectBoardApiFp(configuration).addProjectBoard(addProjectBoardForm, options)(fetch, basePath);
        },
        /**
         * 根据传入的看板Id 删除该看板下的所有信息
         * @summary 删除项目看板
         * @param {string} [id] 看板Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteProjectBoard(id?: string, options?: any) {
            return ProjectBoardApiFp(configuration).deleteProjectBoard(id, options)(fetch, basePath);
        },
        /**
         * 查询所有看板信息 
         * @summary 查询所有项目看板列表
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAllProjectBoardList(options?: any) {
            return ProjectBoardApiFp(configuration).getAllProjectBoardList(options)(fetch, basePath);
        },
        /**
         * 查询单条看板信息
         * @summary 查询单条看板信息
         * @param {string} [id] id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectBoard(id?: string, options?: any) {
            return ProjectBoardApiFp(configuration).getProjectBoard(id, options)(fetch, basePath);
        },
        /**
         * 查询当前登录用户可见的的项目看板列表
         * @summary 查询可用项目看板列表
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getVisibleProjectBoardList(options?: any) {
            return ProjectBoardApiFp(configuration).getVisibleProjectBoardList(options)(fetch, basePath);
        },
        /**
         * 只可修改 该看板的[名称, 是否使用, 排序号, 备注]
         * @summary 修改项目看板
         * @param {UpdateProjectBoardForm} updateProjectBoardForm updateProjectBoardForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateProjectBoard(updateProjectBoardForm: UpdateProjectBoardForm, options?: any) {
            return ProjectBoardApiFp(configuration).updateProjectBoard(updateProjectBoardForm, options)(fetch, basePath);
        },
    };
};

/**
 * ProjectBoardApi - object-oriented interface
 * 看板
 * @export
 * @class ProjectBoardApi
 * @extends {BaseAPI}
 */
export class ProjectBoardApi extends BaseAPI {
    /**
     * 根据传入的Form 添加看板信息
     * @summary 新增看板
     * @param {AddProjectBoardForm} addProjectBoardForm addProjectBoardForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectBoardApi
     */
    public addProjectBoard(addProjectBoardForm: AddProjectBoardForm, options?: any) {
        return ProjectBoardApiFp(this.configuration).addProjectBoard(addProjectBoardForm, options)(this.fetch, this.basePath);
    }

    /**
     * 根据传入的看板Id 删除该看板下的所有信息
     * @summary 删除项目看板
     * @param {string} [id] 看板Id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectBoardApi
     */
    public deleteProjectBoard(id?: string, options?: any) {
        return ProjectBoardApiFp(this.configuration).deleteProjectBoard(id, options)(this.fetch, this.basePath);
    }

    /**
     * 查询所有看板信息 
     * @summary 查询所有项目看板列表
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectBoardApi
     */
    public getAllProjectBoardList(options?: any) {
        return ProjectBoardApiFp(this.configuration).getAllProjectBoardList(options)(this.fetch, this.basePath);
    }

    /**
     * 查询单条看板信息
     * @summary 查询单条看板信息
     * @param {string} [id] id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectBoardApi
     */
    public getProjectBoard(id?: string, options?: any) {
        return ProjectBoardApiFp(this.configuration).getProjectBoard(id, options)(this.fetch, this.basePath);
    }

    /**
     * 查询当前登录用户可见的的项目看板列表
     * @summary 查询可用项目看板列表
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectBoardApi
     */
    public getVisibleProjectBoardList(options?: any) {
        return ProjectBoardApiFp(this.configuration).getVisibleProjectBoardList(options)(this.fetch, this.basePath);
    }

    /**
     * 只可修改 该看板的[名称, 是否使用, 排序号, 备注]
     * @summary 修改项目看板
     * @param {UpdateProjectBoardForm} updateProjectBoardForm updateProjectBoardForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectBoardApi
     */
    public updateProjectBoard(updateProjectBoardForm: UpdateProjectBoardForm, options?: any) {
        return ProjectBoardApiFp(this.configuration).updateProjectBoard(updateProjectBoardForm, options)(this.fetch, this.basePath);
    }

}

/**
 * ProjectBoardFilterGroupApi - fetch parameter creator
 * 看板过滤分组
 * @export
 */
export const ProjectBoardFilterGroupApiFetchParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 根据Form 添加看板过滤分组
         * @summary 添加看板过滤分组
         * @param {AddProjectBoardFilterGroupForm} addProjectBoardFilterGroupForm addProjectBoardFilterGroupForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addProjectBoardFilterGroup(addProjectBoardFilterGroupForm: AddProjectBoardFilterGroupForm, options: any = {}): FetchArgs {
            // verify required parameter 'addProjectBoardFilterGroupForm' is not null or undefined
            if (addProjectBoardFilterGroupForm === null || addProjectBoardFilterGroupForm === undefined) {
                throw new RequiredError('addProjectBoardFilterGroupForm','Required parameter addProjectBoardFilterGroupForm was null or undefined when calling addProjectBoardFilterGroup.');
            }
            const localVarPath = `/api-organization/projectBoardFilterGroup/addProjectBoardFilterGroup`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"AddProjectBoardFilterGroupForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(addProjectBoardFilterGroupForm || {}) : (addProjectBoardFilterGroupForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据过滤分组Id 删除对应的过滤分组 以及关联关系
         * @summary 删除看板过滤分组
         * @param {string} id 过滤分组Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteProjectBoardFilterGroup(id: string, options: any = {}): FetchArgs {
            // verify required parameter 'id' is not null or undefined
            if (id === null || id === undefined) {
                throw new RequiredError('id','Required parameter id was null or undefined when calling deleteProjectBoardFilterGroup.');
            }
            const localVarPath = `/api-organization/projectBoardFilterGroup/deleteProjectBoardFilterGroup`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["id"] = id;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据过滤看板Id 查询该看板下的所有过滤分组信息
         * @summary 获取看板过滤分组信息
         * @param {string} boardId 看板Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectBoardFilterGroupList(boardId: string, options: any = {}): FetchArgs {
            // verify required parameter 'boardId' is not null or undefined
            if (boardId === null || boardId === undefined) {
                throw new RequiredError('boardId','Required parameter boardId was null or undefined when calling getProjectBoardFilterGroupList.');
            }
            const localVarPath = `/api-organization/projectBoardFilterGroup/getProjectBoardFilterGroupList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["boardId"] = boardId;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据过滤分组Id 获取对应的过滤分组 筛选条件内容
         * @summary 获取看板过滤分组条件值
         * @param {string} [id] 过滤分组Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectBoardFilterGroupPropertiesList(id?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/projectBoardFilterGroup/getProjectBoardFilterGroupPropertiesList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["id"] = id;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取默认过滤分组筛选条件内容（地区，客户，日期，属性）
         * @summary 获取默认过滤分组筛选条件
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectBoardFilterList(options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/projectBoardFilterGroup/getProjectBoardFilterList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据传入的type编号  获取该type对应的 筛选条件值
         * @summary 获取筛选条件的值
         * @param {string} [propertiesId] 属性Id
         * @param {string} [type] 筛选条件类型  0:地区,1:年月,2:客户,3:属性
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectBoardFilterValueList(propertiesId?: string, type?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/projectBoardFilterGroup/getProjectBoardFilterValueList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["propertiesId"] = propertiesId;
        mapObj["type"] = type;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据Form 修改过滤分组 只可修改['名称', '备注', '排序号']
         * @summary 修改看板过滤分组
         * @param {UpdateProjectBoardFilterGroupForm} updateProjectBoardFilterGroupForm updateProjectBoardFilterGroupForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateProjectBoardFilterGroup(updateProjectBoardFilterGroupForm: UpdateProjectBoardFilterGroupForm, options: any = {}): FetchArgs {
            // verify required parameter 'updateProjectBoardFilterGroupForm' is not null or undefined
            if (updateProjectBoardFilterGroupForm === null || updateProjectBoardFilterGroupForm === undefined) {
                throw new RequiredError('updateProjectBoardFilterGroupForm','Required parameter updateProjectBoardFilterGroupForm was null or undefined when calling updateProjectBoardFilterGroup.');
            }
            const localVarPath = `/api-organization/projectBoardFilterGroup/updateProjectBoardFilterGroup`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"UpdateProjectBoardFilterGroupForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(updateProjectBoardFilterGroupForm || {}) : (updateProjectBoardFilterGroupForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据Form 保存对应的 过滤分组筛选值
         * @summary 保存过滤分组筛选值
         * @param {UpdateProjectBoardFilterPropertiesForm} updateProjectBoardFilterPropertiesForm updateProjectBoardFilterPropertiesForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateProjectBoardFilterGroupProperties(updateProjectBoardFilterPropertiesForm: UpdateProjectBoardFilterPropertiesForm, options: any = {}): FetchArgs {
            // verify required parameter 'updateProjectBoardFilterPropertiesForm' is not null or undefined
            if (updateProjectBoardFilterPropertiesForm === null || updateProjectBoardFilterPropertiesForm === undefined) {
                throw new RequiredError('updateProjectBoardFilterPropertiesForm','Required parameter updateProjectBoardFilterPropertiesForm was null or undefined when calling updateProjectBoardFilterGroupProperties.');
            }
            const localVarPath = `/api-organization/projectBoardFilterGroup/updateProjectBoardFilterGroupProperties`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"UpdateProjectBoardFilterPropertiesForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(updateProjectBoardFilterPropertiesForm || {}) : (updateProjectBoardFilterPropertiesForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * ProjectBoardFilterGroupApi - functional programming interface
 * 看板过滤分组
 * @export
 */
export const ProjectBoardFilterGroupApiFp = function(configuration?: Configuration) {
    if (configuration == null) {
        configuration = default_configuration;
    }

    return {
        /**
         * 根据Form 添加看板过滤分组
         * @summary 添加看板过滤分组
         * @param {AddProjectBoardFilterGroupForm} addProjectBoardFilterGroupForm addProjectBoardFilterGroupForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addProjectBoardFilterGroup(addProjectBoardFilterGroupForm: AddProjectBoardFilterGroupForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = ProjectBoardFilterGroupApiFetchParamCreator(configuration).addProjectBoardFilterGroup(addProjectBoardFilterGroupForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据过滤分组Id 删除对应的过滤分组 以及关联关系
         * @summary 删除看板过滤分组
         * @param {string} id 过滤分组Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteProjectBoardFilterGroup(id: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = ProjectBoardFilterGroupApiFetchParamCreator(configuration).deleteProjectBoardFilterGroup(id, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据过滤看板Id 查询该看板下的所有过滤分组信息
         * @summary 获取看板过滤分组信息
         * @param {string} boardId 看板Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectBoardFilterGroupList(boardId: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListProjectBoardFilterGroupVo> {
            const localVarFetchArgs = ProjectBoardFilterGroupApiFetchParamCreator(configuration).getProjectBoardFilterGroupList(boardId, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据过滤分组Id 获取对应的过滤分组 筛选条件内容
         * @summary 获取看板过滤分组条件值
         * @param {string} [id] 过滤分组Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectBoardFilterGroupPropertiesList(id?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListProjectBoardFilterPropertiesTypeValue> {
            const localVarFetchArgs = ProjectBoardFilterGroupApiFetchParamCreator(configuration).getProjectBoardFilterGroupPropertiesList(id, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取默认过滤分组筛选条件内容（地区，客户，日期，属性）
         * @summary 获取默认过滤分组筛选条件
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectBoardFilterList(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListProjectBoardFilterGroupPropertiesVo> {
            const localVarFetchArgs = ProjectBoardFilterGroupApiFetchParamCreator(configuration).getProjectBoardFilterList(options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据传入的type编号  获取该type对应的 筛选条件值
         * @summary 获取筛选条件的值
         * @param {string} [propertiesId] 属性Id
         * @param {string} [type] 筛选条件类型  0:地区,1:年月,2:客户,3:属性
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectBoardFilterValueList(propertiesId?: string, type?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListProjectBoardFilterGroupPropertiesValueVo> {
            const localVarFetchArgs = ProjectBoardFilterGroupApiFetchParamCreator(configuration).getProjectBoardFilterValueList(propertiesId, type, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据Form 修改过滤分组 只可修改['名称', '备注', '排序号']
         * @summary 修改看板过滤分组
         * @param {UpdateProjectBoardFilterGroupForm} updateProjectBoardFilterGroupForm updateProjectBoardFilterGroupForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateProjectBoardFilterGroup(updateProjectBoardFilterGroupForm: UpdateProjectBoardFilterGroupForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = ProjectBoardFilterGroupApiFetchParamCreator(configuration).updateProjectBoardFilterGroup(updateProjectBoardFilterGroupForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据Form 保存对应的 过滤分组筛选值
         * @summary 保存过滤分组筛选值
         * @param {UpdateProjectBoardFilterPropertiesForm} updateProjectBoardFilterPropertiesForm updateProjectBoardFilterPropertiesForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateProjectBoardFilterGroupProperties(updateProjectBoardFilterPropertiesForm: UpdateProjectBoardFilterPropertiesForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = ProjectBoardFilterGroupApiFetchParamCreator(configuration).updateProjectBoardFilterGroupProperties(updateProjectBoardFilterPropertiesForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
    }
};

/**
 * ProjectBoardFilterGroupApi - factory interface
 * 看板过滤分组
 * @export
 */
export const ProjectBoardFilterGroupApiFactory = function (configuration?: Configuration, fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 根据Form 添加看板过滤分组
         * @summary 添加看板过滤分组
         * @param {AddProjectBoardFilterGroupForm} addProjectBoardFilterGroupForm addProjectBoardFilterGroupForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addProjectBoardFilterGroup(addProjectBoardFilterGroupForm: AddProjectBoardFilterGroupForm, options?: any) {
            return ProjectBoardFilterGroupApiFp(configuration).addProjectBoardFilterGroup(addProjectBoardFilterGroupForm, options)(fetch, basePath);
        },
        /**
         * 根据过滤分组Id 删除对应的过滤分组 以及关联关系
         * @summary 删除看板过滤分组
         * @param {string} id 过滤分组Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteProjectBoardFilterGroup(id: string, options?: any) {
            return ProjectBoardFilterGroupApiFp(configuration).deleteProjectBoardFilterGroup(id, options)(fetch, basePath);
        },
        /**
         * 根据过滤看板Id 查询该看板下的所有过滤分组信息
         * @summary 获取看板过滤分组信息
         * @param {string} boardId 看板Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectBoardFilterGroupList(boardId: string, options?: any) {
            return ProjectBoardFilterGroupApiFp(configuration).getProjectBoardFilterGroupList(boardId, options)(fetch, basePath);
        },
        /**
         * 根据过滤分组Id 获取对应的过滤分组 筛选条件内容
         * @summary 获取看板过滤分组条件值
         * @param {string} [id] 过滤分组Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectBoardFilterGroupPropertiesList(id?: string, options?: any) {
            return ProjectBoardFilterGroupApiFp(configuration).getProjectBoardFilterGroupPropertiesList(id, options)(fetch, basePath);
        },
        /**
         * 获取默认过滤分组筛选条件内容（地区，客户，日期，属性）
         * @summary 获取默认过滤分组筛选条件
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectBoardFilterList(options?: any) {
            return ProjectBoardFilterGroupApiFp(configuration).getProjectBoardFilterList(options)(fetch, basePath);
        },
        /**
         * 根据传入的type编号  获取该type对应的 筛选条件值
         * @summary 获取筛选条件的值
         * @param {string} [propertiesId] 属性Id
         * @param {string} [type] 筛选条件类型  0:地区,1:年月,2:客户,3:属性
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectBoardFilterValueList(propertiesId?: string, type?: string, options?: any) {
            return ProjectBoardFilterGroupApiFp(configuration).getProjectBoardFilterValueList(propertiesId, type, options)(fetch, basePath);
        },
        /**
         * 根据Form 修改过滤分组 只可修改['名称', '备注', '排序号']
         * @summary 修改看板过滤分组
         * @param {UpdateProjectBoardFilterGroupForm} updateProjectBoardFilterGroupForm updateProjectBoardFilterGroupForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateProjectBoardFilterGroup(updateProjectBoardFilterGroupForm: UpdateProjectBoardFilterGroupForm, options?: any) {
            return ProjectBoardFilterGroupApiFp(configuration).updateProjectBoardFilterGroup(updateProjectBoardFilterGroupForm, options)(fetch, basePath);
        },
        /**
         * 根据Form 保存对应的 过滤分组筛选值
         * @summary 保存过滤分组筛选值
         * @param {UpdateProjectBoardFilterPropertiesForm} updateProjectBoardFilterPropertiesForm updateProjectBoardFilterPropertiesForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateProjectBoardFilterGroupProperties(updateProjectBoardFilterPropertiesForm: UpdateProjectBoardFilterPropertiesForm, options?: any) {
            return ProjectBoardFilterGroupApiFp(configuration).updateProjectBoardFilterGroupProperties(updateProjectBoardFilterPropertiesForm, options)(fetch, basePath);
        },
    };
};

/**
 * ProjectBoardFilterGroupApi - object-oriented interface
 * 看板过滤分组
 * @export
 * @class ProjectBoardFilterGroupApi
 * @extends {BaseAPI}
 */
export class ProjectBoardFilterGroupApi extends BaseAPI {
    /**
     * 根据Form 添加看板过滤分组
     * @summary 添加看板过滤分组
     * @param {AddProjectBoardFilterGroupForm} addProjectBoardFilterGroupForm addProjectBoardFilterGroupForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectBoardFilterGroupApi
     */
    public addProjectBoardFilterGroup(addProjectBoardFilterGroupForm: AddProjectBoardFilterGroupForm, options?: any) {
        return ProjectBoardFilterGroupApiFp(this.configuration).addProjectBoardFilterGroup(addProjectBoardFilterGroupForm, options)(this.fetch, this.basePath);
    }

    /**
     * 根据过滤分组Id 删除对应的过滤分组 以及关联关系
     * @summary 删除看板过滤分组
     * @param {string} id 过滤分组Id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectBoardFilterGroupApi
     */
    public deleteProjectBoardFilterGroup(id: string, options?: any) {
        return ProjectBoardFilterGroupApiFp(this.configuration).deleteProjectBoardFilterGroup(id, options)(this.fetch, this.basePath);
    }

    /**
     * 根据过滤看板Id 查询该看板下的所有过滤分组信息
     * @summary 获取看板过滤分组信息
     * @param {string} boardId 看板Id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectBoardFilterGroupApi
     */
    public getProjectBoardFilterGroupList(boardId: string, options?: any) {
        return ProjectBoardFilterGroupApiFp(this.configuration).getProjectBoardFilterGroupList(boardId, options)(this.fetch, this.basePath);
    }

    /**
     * 根据过滤分组Id 获取对应的过滤分组 筛选条件内容
     * @summary 获取看板过滤分组条件值
     * @param {string} [id] 过滤分组Id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectBoardFilterGroupApi
     */
    public getProjectBoardFilterGroupPropertiesList(id?: string, options?: any) {
        return ProjectBoardFilterGroupApiFp(this.configuration).getProjectBoardFilterGroupPropertiesList(id, options)(this.fetch, this.basePath);
    }

    /**
     * 获取默认过滤分组筛选条件内容（地区，客户，日期，属性）
     * @summary 获取默认过滤分组筛选条件
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectBoardFilterGroupApi
     */
    public getProjectBoardFilterList(options?: any) {
        return ProjectBoardFilterGroupApiFp(this.configuration).getProjectBoardFilterList(options)(this.fetch, this.basePath);
    }

    /**
     * 根据传入的type编号  获取该type对应的 筛选条件值
     * @summary 获取筛选条件的值
     * @param {string} [propertiesId] 属性Id
     * @param {string} [type] 筛选条件类型  0:地区,1:年月,2:客户,3:属性
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectBoardFilterGroupApi
     */
    public getProjectBoardFilterValueList(propertiesId?: string, type?: string, options?: any) {
        return ProjectBoardFilterGroupApiFp(this.configuration).getProjectBoardFilterValueList(propertiesId, type, options)(this.fetch, this.basePath);
    }

    /**
     * 根据Form 修改过滤分组 只可修改['名称', '备注', '排序号']
     * @summary 修改看板过滤分组
     * @param {UpdateProjectBoardFilterGroupForm} updateProjectBoardFilterGroupForm updateProjectBoardFilterGroupForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectBoardFilterGroupApi
     */
    public updateProjectBoardFilterGroup(updateProjectBoardFilterGroupForm: UpdateProjectBoardFilterGroupForm, options?: any) {
        return ProjectBoardFilterGroupApiFp(this.configuration).updateProjectBoardFilterGroup(updateProjectBoardFilterGroupForm, options)(this.fetch, this.basePath);
    }

    /**
     * 根据Form 保存对应的 过滤分组筛选值
     * @summary 保存过滤分组筛选值
     * @param {UpdateProjectBoardFilterPropertiesForm} updateProjectBoardFilterPropertiesForm updateProjectBoardFilterPropertiesForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectBoardFilterGroupApi
     */
    public updateProjectBoardFilterGroupProperties(updateProjectBoardFilterPropertiesForm: UpdateProjectBoardFilterPropertiesForm, options?: any) {
        return ProjectBoardFilterGroupApiFp(this.configuration).updateProjectBoardFilterGroupProperties(updateProjectBoardFilterPropertiesForm, options)(this.fetch, this.basePath);
    }

}

/**
 * ProjectBoardGroupApi - fetch parameter creator
 * 看板分组
 * @export
 */
export const ProjectBoardGroupApiFetchParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 根据Form参数 添加分组节点
         * @summary 添加项目看板分组节点
         * @param {AddProjectBoardGroupNodeForm} addProjectBoardGroupNodeForm addProjectBoardGroupNodeForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addProjectGroupNode(addProjectBoardGroupNodeForm: AddProjectBoardGroupNodeForm, options: any = {}): FetchArgs {
            // verify required parameter 'addProjectBoardGroupNodeForm' is not null or undefined
            if (addProjectBoardGroupNodeForm === null || addProjectBoardGroupNodeForm === undefined) {
                throw new RequiredError('addProjectBoardGroupNodeForm','Required parameter addProjectBoardGroupNodeForm was null or undefined when calling addProjectGroupNode.');
            }
            const localVarPath = `/api-organization/projectBoardGroup/addProjectBoardGroupNode`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"AddProjectBoardGroupNodeForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(addProjectBoardGroupNodeForm || {}) : (addProjectBoardGroupNodeForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 通过传入的节点Id 与N个项目Id 进行节点与项目的绑定
         * @summary 分组节点绑定项目
         * @param {ProjectBoardGroupRelForm} projectBoardGroupRelForm projectBoardGroupRelForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addProjectGroupRel(projectBoardGroupRelForm: ProjectBoardGroupRelForm, options: any = {}): FetchArgs {
            // verify required parameter 'projectBoardGroupRelForm' is not null or undefined
            if (projectBoardGroupRelForm === null || projectBoardGroupRelForm === undefined) {
                throw new RequiredError('projectBoardGroupRelForm','Required parameter projectBoardGroupRelForm was null or undefined when calling addProjectGroupRel.');
            }
            const localVarPath = `/api-organization/projectBoardGroup/addProjectGroupRel`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"ProjectBoardGroupRelForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(projectBoardGroupRelForm || {}) : (projectBoardGroupRelForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据传入的节点Id 删除该节点以及对应的关联关系
         * @summary 删除项目看板分组节点
         * @param {string} [id] 看板分组Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteProjectGroupNode(id?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/projectBoardGroup/deleteProjectBoardGroupNode`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["id"] = id;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据节点Id 与N个项目Id 取消该节点与该项目的关联关系
         * @summary 分组节点取消绑定项目
         * @param {ProjectBoardGroupRelForm} projectBoardGroupRelForm projectBoardGroupRelForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteProjectGroupRel(projectBoardGroupRelForm: ProjectBoardGroupRelForm, options: any = {}): FetchArgs {
            // verify required parameter 'projectBoardGroupRelForm' is not null or undefined
            if (projectBoardGroupRelForm === null || projectBoardGroupRelForm === undefined) {
                throw new RequiredError('projectBoardGroupRelForm','Required parameter projectBoardGroupRelForm was null or undefined when calling deleteProjectGroupRel.');
            }
            const localVarPath = `/api-organization/projectBoardGroup/deleteProjectGroupRel`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"ProjectBoardGroupRelForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(projectBoardGroupRelForm || {}) : (projectBoardGroupRelForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据节点Id 查询对应的项目关联关系信息 
         * @summary 获取节点关联的项目信息
         * @param {string} id 看板分组节点Id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getBindGroupProjectList(id: string, options: any = {}): FetchArgs {
            // verify required parameter 'id' is not null or undefined
            if (id === null || id === undefined) {
                throw new RequiredError('id','Required parameter id was null or undefined when calling getBindGroupProjectList.');
            }
            const localVarPath = `/api-organization/projectBoardGroup/getBindGroupProjectList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["id"] = id;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据传入的看板Id 查询看板分组 
         * @summary 获取看板分组信息
         * @param {string} boardId 项目看板Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectBoardTheRootNodeList(boardId: string, options: any = {}): FetchArgs {
            // verify required parameter 'boardId' is not null or undefined
            if (boardId === null || boardId === undefined) {
                throw new RequiredError('boardId','Required parameter boardId was null or undefined when calling getProjectBoardTheRootNodeList.');
            }
            const localVarPath = `/api-organization/projectBoardGroup/getProjectBoardTheRootNode`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["boardId"] = boardId;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据分组节点Id 查询该节点的所有子节点信息
         * @summary 获取指定节点信息
         * @param {string} id 项目看板分组节点Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectGroupNodeList(id: string, options: any = {}): FetchArgs {
            // verify required parameter 'id' is not null or undefined
            if (id === null || id === undefined) {
                throw new RequiredError('id','Required parameter id was null or undefined when calling getProjectGroupNodeList.');
            }
            const localVarPath = `/api-organization/projectBoardGroup/getProjectBoardGroup`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["id"] = id;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据传入的 看板分组Id 获取该节点可关联的项目信息 
         * @summary 获取可关联的项目
         * @param {string} groupBoardId 看板分组Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getUnbindGroupProjectList(groupBoardId: string, options: any = {}): FetchArgs {
            // verify required parameter 'groupBoardId' is not null or undefined
            if (groupBoardId === null || groupBoardId === undefined) {
                throw new RequiredError('groupBoardId','Required parameter groupBoardId was null or undefined when calling getUnbindGroupProjectList.');
            }
            const localVarPath = `/api-organization/projectBoardGroup/getUnbindGroupProjectList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["groupBoardId"] = groupBoardId;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据Form参数 修改项目分组节点信息
         * @summary 修改项目分组节点
         * @param {ProjectBoardGroupNodeForm} projectBoardGroupNodeForm projectBoardGroupNodeForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateProjectGroup(projectBoardGroupNodeForm: ProjectBoardGroupNodeForm, options: any = {}): FetchArgs {
            // verify required parameter 'projectBoardGroupNodeForm' is not null or undefined
            if (projectBoardGroupNodeForm === null || projectBoardGroupNodeForm === undefined) {
                throw new RequiredError('projectBoardGroupNodeForm','Required parameter projectBoardGroupNodeForm was null or undefined when calling updateProjectGroup.');
            }
            const localVarPath = `/api-organization/projectBoardGroup/updateProjectGroup`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"ProjectBoardGroupNodeForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(projectBoardGroupNodeForm || {}) : (projectBoardGroupNodeForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * ProjectBoardGroupApi - functional programming interface
 * 看板分组
 * @export
 */
export const ProjectBoardGroupApiFp = function(configuration?: Configuration) {
    if (configuration == null) {
        configuration = default_configuration;
    }

    return {
        /**
         * 根据Form参数 添加分组节点
         * @summary 添加项目看板分组节点
         * @param {AddProjectBoardGroupNodeForm} addProjectBoardGroupNodeForm addProjectBoardGroupNodeForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addProjectGroupNode(addProjectBoardGroupNodeForm: AddProjectBoardGroupNodeForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = ProjectBoardGroupApiFetchParamCreator(configuration).addProjectGroupNode(addProjectBoardGroupNodeForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 通过传入的节点Id 与N个项目Id 进行节点与项目的绑定
         * @summary 分组节点绑定项目
         * @param {ProjectBoardGroupRelForm} projectBoardGroupRelForm projectBoardGroupRelForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addProjectGroupRel(projectBoardGroupRelForm: ProjectBoardGroupRelForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = ProjectBoardGroupApiFetchParamCreator(configuration).addProjectGroupRel(projectBoardGroupRelForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据传入的节点Id 删除该节点以及对应的关联关系
         * @summary 删除项目看板分组节点
         * @param {string} [id] 看板分组Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteProjectGroupNode(id?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = ProjectBoardGroupApiFetchParamCreator(configuration).deleteProjectGroupNode(id, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据节点Id 与N个项目Id 取消该节点与该项目的关联关系
         * @summary 分组节点取消绑定项目
         * @param {ProjectBoardGroupRelForm} projectBoardGroupRelForm projectBoardGroupRelForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteProjectGroupRel(projectBoardGroupRelForm: ProjectBoardGroupRelForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = ProjectBoardGroupApiFetchParamCreator(configuration).deleteProjectGroupRel(projectBoardGroupRelForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据节点Id 查询对应的项目关联关系信息 
         * @summary 获取节点关联的项目信息
         * @param {string} id 看板分组节点Id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getBindGroupProjectList(id: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultProjectBoardGroupRelVo> {
            const localVarFetchArgs = ProjectBoardGroupApiFetchParamCreator(configuration).getBindGroupProjectList(id, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据传入的看板Id 查询看板分组 
         * @summary 获取看板分组信息
         * @param {string} boardId 项目看板Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectBoardTheRootNodeList(boardId: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListProjectBoardGroupNodeVo> {
            const localVarFetchArgs = ProjectBoardGroupApiFetchParamCreator(configuration).getProjectBoardTheRootNodeList(boardId, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据分组节点Id 查询该节点的所有子节点信息
         * @summary 获取指定节点信息
         * @param {string} id 项目看板分组节点Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectGroupNodeList(id: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListProjectBoardGroupNodeVo> {
            const localVarFetchArgs = ProjectBoardGroupApiFetchParamCreator(configuration).getProjectGroupNodeList(id, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据传入的 看板分组Id 获取该节点可关联的项目信息 
         * @summary 获取可关联的项目
         * @param {string} groupBoardId 看板分组Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getUnbindGroupProjectList(groupBoardId: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListProjectBoardGroupRelevanceVo> {
            const localVarFetchArgs = ProjectBoardGroupApiFetchParamCreator(configuration).getUnbindGroupProjectList(groupBoardId, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据Form参数 修改项目分组节点信息
         * @summary 修改项目分组节点
         * @param {ProjectBoardGroupNodeForm} projectBoardGroupNodeForm projectBoardGroupNodeForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateProjectGroup(projectBoardGroupNodeForm: ProjectBoardGroupNodeForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = ProjectBoardGroupApiFetchParamCreator(configuration).updateProjectGroup(projectBoardGroupNodeForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
    }
};

/**
 * ProjectBoardGroupApi - factory interface
 * 看板分组
 * @export
 */
export const ProjectBoardGroupApiFactory = function (configuration?: Configuration, fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 根据Form参数 添加分组节点
         * @summary 添加项目看板分组节点
         * @param {AddProjectBoardGroupNodeForm} addProjectBoardGroupNodeForm addProjectBoardGroupNodeForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addProjectGroupNode(addProjectBoardGroupNodeForm: AddProjectBoardGroupNodeForm, options?: any) {
            return ProjectBoardGroupApiFp(configuration).addProjectGroupNode(addProjectBoardGroupNodeForm, options)(fetch, basePath);
        },
        /**
         * 通过传入的节点Id 与N个项目Id 进行节点与项目的绑定
         * @summary 分组节点绑定项目
         * @param {ProjectBoardGroupRelForm} projectBoardGroupRelForm projectBoardGroupRelForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addProjectGroupRel(projectBoardGroupRelForm: ProjectBoardGroupRelForm, options?: any) {
            return ProjectBoardGroupApiFp(configuration).addProjectGroupRel(projectBoardGroupRelForm, options)(fetch, basePath);
        },
        /**
         * 根据传入的节点Id 删除该节点以及对应的关联关系
         * @summary 删除项目看板分组节点
         * @param {string} [id] 看板分组Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteProjectGroupNode(id?: string, options?: any) {
            return ProjectBoardGroupApiFp(configuration).deleteProjectGroupNode(id, options)(fetch, basePath);
        },
        /**
         * 根据节点Id 与N个项目Id 取消该节点与该项目的关联关系
         * @summary 分组节点取消绑定项目
         * @param {ProjectBoardGroupRelForm} projectBoardGroupRelForm projectBoardGroupRelForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteProjectGroupRel(projectBoardGroupRelForm: ProjectBoardGroupRelForm, options?: any) {
            return ProjectBoardGroupApiFp(configuration).deleteProjectGroupRel(projectBoardGroupRelForm, options)(fetch, basePath);
        },
        /**
         * 根据节点Id 查询对应的项目关联关系信息 
         * @summary 获取节点关联的项目信息
         * @param {string} id 看板分组节点Id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getBindGroupProjectList(id: string, options?: any) {
            return ProjectBoardGroupApiFp(configuration).getBindGroupProjectList(id, options)(fetch, basePath);
        },
        /**
         * 根据传入的看板Id 查询看板分组 
         * @summary 获取看板分组信息
         * @param {string} boardId 项目看板Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectBoardTheRootNodeList(boardId: string, options?: any) {
            return ProjectBoardGroupApiFp(configuration).getProjectBoardTheRootNodeList(boardId, options)(fetch, basePath);
        },
        /**
         * 根据分组节点Id 查询该节点的所有子节点信息
         * @summary 获取指定节点信息
         * @param {string} id 项目看板分组节点Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectGroupNodeList(id: string, options?: any) {
            return ProjectBoardGroupApiFp(configuration).getProjectGroupNodeList(id, options)(fetch, basePath);
        },
        /**
         * 根据传入的 看板分组Id 获取该节点可关联的项目信息 
         * @summary 获取可关联的项目
         * @param {string} groupBoardId 看板分组Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getUnbindGroupProjectList(groupBoardId: string, options?: any) {
            return ProjectBoardGroupApiFp(configuration).getUnbindGroupProjectList(groupBoardId, options)(fetch, basePath);
        },
        /**
         * 根据Form参数 修改项目分组节点信息
         * @summary 修改项目分组节点
         * @param {ProjectBoardGroupNodeForm} projectBoardGroupNodeForm projectBoardGroupNodeForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateProjectGroup(projectBoardGroupNodeForm: ProjectBoardGroupNodeForm, options?: any) {
            return ProjectBoardGroupApiFp(configuration).updateProjectGroup(projectBoardGroupNodeForm, options)(fetch, basePath);
        },
    };
};

/**
 * ProjectBoardGroupApi - object-oriented interface
 * 看板分组
 * @export
 * @class ProjectBoardGroupApi
 * @extends {BaseAPI}
 */
export class ProjectBoardGroupApi extends BaseAPI {
    /**
     * 根据Form参数 添加分组节点
     * @summary 添加项目看板分组节点
     * @param {AddProjectBoardGroupNodeForm} addProjectBoardGroupNodeForm addProjectBoardGroupNodeForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectBoardGroupApi
     */
    public addProjectGroupNode(addProjectBoardGroupNodeForm: AddProjectBoardGroupNodeForm, options?: any) {
        return ProjectBoardGroupApiFp(this.configuration).addProjectGroupNode(addProjectBoardGroupNodeForm, options)(this.fetch, this.basePath);
    }

    /**
     * 通过传入的节点Id 与N个项目Id 进行节点与项目的绑定
     * @summary 分组节点绑定项目
     * @param {ProjectBoardGroupRelForm} projectBoardGroupRelForm projectBoardGroupRelForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectBoardGroupApi
     */
    public addProjectGroupRel(projectBoardGroupRelForm: ProjectBoardGroupRelForm, options?: any) {
        return ProjectBoardGroupApiFp(this.configuration).addProjectGroupRel(projectBoardGroupRelForm, options)(this.fetch, this.basePath);
    }

    /**
     * 根据传入的节点Id 删除该节点以及对应的关联关系
     * @summary 删除项目看板分组节点
     * @param {string} [id] 看板分组Id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectBoardGroupApi
     */
    public deleteProjectGroupNode(id?: string, options?: any) {
        return ProjectBoardGroupApiFp(this.configuration).deleteProjectGroupNode(id, options)(this.fetch, this.basePath);
    }

    /**
     * 根据节点Id 与N个项目Id 取消该节点与该项目的关联关系
     * @summary 分组节点取消绑定项目
     * @param {ProjectBoardGroupRelForm} projectBoardGroupRelForm projectBoardGroupRelForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectBoardGroupApi
     */
    public deleteProjectGroupRel(projectBoardGroupRelForm: ProjectBoardGroupRelForm, options?: any) {
        return ProjectBoardGroupApiFp(this.configuration).deleteProjectGroupRel(projectBoardGroupRelForm, options)(this.fetch, this.basePath);
    }

    /**
     * 根据节点Id 查询对应的项目关联关系信息 
     * @summary 获取节点关联的项目信息
     * @param {string} id 看板分组节点Id 
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectBoardGroupApi
     */
    public getBindGroupProjectList(id: string, options?: any) {
        return ProjectBoardGroupApiFp(this.configuration).getBindGroupProjectList(id, options)(this.fetch, this.basePath);
    }

    /**
     * 根据传入的看板Id 查询看板分组 
     * @summary 获取看板分组信息
     * @param {string} boardId 项目看板Id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectBoardGroupApi
     */
    public getProjectBoardTheRootNodeList(boardId: string, options?: any) {
        return ProjectBoardGroupApiFp(this.configuration).getProjectBoardTheRootNodeList(boardId, options)(this.fetch, this.basePath);
    }

    /**
     * 根据分组节点Id 查询该节点的所有子节点信息
     * @summary 获取指定节点信息
     * @param {string} id 项目看板分组节点Id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectBoardGroupApi
     */
    public getProjectGroupNodeList(id: string, options?: any) {
        return ProjectBoardGroupApiFp(this.configuration).getProjectGroupNodeList(id, options)(this.fetch, this.basePath);
    }

    /**
     * 根据传入的 看板分组Id 获取该节点可关联的项目信息 
     * @summary 获取可关联的项目
     * @param {string} groupBoardId 看板分组Id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectBoardGroupApi
     */
    public getUnbindGroupProjectList(groupBoardId: string, options?: any) {
        return ProjectBoardGroupApiFp(this.configuration).getUnbindGroupProjectList(groupBoardId, options)(this.fetch, this.basePath);
    }

    /**
     * 根据Form参数 修改项目分组节点信息
     * @summary 修改项目分组节点
     * @param {ProjectBoardGroupNodeForm} projectBoardGroupNodeForm projectBoardGroupNodeForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectBoardGroupApi
     */
    public updateProjectGroup(projectBoardGroupNodeForm: ProjectBoardGroupNodeForm, options?: any) {
        return ProjectBoardGroupApiFp(this.configuration).updateProjectGroup(projectBoardGroupNodeForm, options)(this.fetch, this.basePath);
    }

}

/**
 * ProjectBoardTreeApi - fetch parameter creator
 * 看板树
 * @export
 */
export const ProjectBoardTreeApiFetchParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 根据看板Id 查询看板树信息
         * @summary 查询项目看板树
         * @param {string} boardId 项目看板ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getBoardTreeNodeList(boardId: string, options: any = {}): FetchArgs {
            // verify required parameter 'boardId' is not null or undefined
            if (boardId === null || boardId === undefined) {
                throw new RequiredError('boardId','Required parameter boardId was null or undefined when calling getBoardTreeNodeList.');
            }
            const localVarPath = `/api-organization/projectBoardTree/getTreeNodeByBoardId`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["boardId"] = boardId;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 查询默认树结构 分类条件
         * @summary 查询默认树结构 分类条件
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectBoardTreeConditionList(options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/projectBoardTree/getProjectBoardTreeCondition`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据Form 保存看板树
         * @summary 保存項目看板树分类
         * @param {UpdateProjectBoardTreeNodeForm} updateProjectBoardTreeNodeForm updateProjectBoardTreeNodeForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateProjectBoardTreeNode(updateProjectBoardTreeNodeForm: UpdateProjectBoardTreeNodeForm, options: any = {}): FetchArgs {
            // verify required parameter 'updateProjectBoardTreeNodeForm' is not null or undefined
            if (updateProjectBoardTreeNodeForm === null || updateProjectBoardTreeNodeForm === undefined) {
                throw new RequiredError('updateProjectBoardTreeNodeForm','Required parameter updateProjectBoardTreeNodeForm was null or undefined when calling updateProjectBoardTreeNode.');
            }
            const localVarPath = `/api-organization/projectBoardTree/updateProjectBoardTreeNode`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"UpdateProjectBoardTreeNodeForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(updateProjectBoardTreeNodeForm || {}) : (updateProjectBoardTreeNodeForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * ProjectBoardTreeApi - functional programming interface
 * 看板树
 * @export
 */
export const ProjectBoardTreeApiFp = function(configuration?: Configuration) {
    if (configuration == null) {
        configuration = default_configuration;
    }

    return {
        /**
         * 根据看板Id 查询看板树信息
         * @summary 查询项目看板树
         * @param {string} boardId 项目看板ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getBoardTreeNodeList(boardId: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListProjectBoardTreeNodeVo> {
            const localVarFetchArgs = ProjectBoardTreeApiFetchParamCreator(configuration).getBoardTreeNodeList(boardId, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 查询默认树结构 分类条件
         * @summary 查询默认树结构 分类条件
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectBoardTreeConditionList(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListPropertiesBoardTreeConditionVo> {
            const localVarFetchArgs = ProjectBoardTreeApiFetchParamCreator(configuration).getProjectBoardTreeConditionList(options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据Form 保存看板树
         * @summary 保存項目看板树分类
         * @param {UpdateProjectBoardTreeNodeForm} updateProjectBoardTreeNodeForm updateProjectBoardTreeNodeForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateProjectBoardTreeNode(updateProjectBoardTreeNodeForm: UpdateProjectBoardTreeNodeForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = ProjectBoardTreeApiFetchParamCreator(configuration).updateProjectBoardTreeNode(updateProjectBoardTreeNodeForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
    }
};

/**
 * ProjectBoardTreeApi - factory interface
 * 看板树
 * @export
 */
export const ProjectBoardTreeApiFactory = function (configuration?: Configuration, fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 根据看板Id 查询看板树信息
         * @summary 查询项目看板树
         * @param {string} boardId 项目看板ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getBoardTreeNodeList(boardId: string, options?: any) {
            return ProjectBoardTreeApiFp(configuration).getBoardTreeNodeList(boardId, options)(fetch, basePath);
        },
        /**
         * 查询默认树结构 分类条件
         * @summary 查询默认树结构 分类条件
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectBoardTreeConditionList(options?: any) {
            return ProjectBoardTreeApiFp(configuration).getProjectBoardTreeConditionList(options)(fetch, basePath);
        },
        /**
         * 根据Form 保存看板树
         * @summary 保存項目看板树分类
         * @param {UpdateProjectBoardTreeNodeForm} updateProjectBoardTreeNodeForm updateProjectBoardTreeNodeForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateProjectBoardTreeNode(updateProjectBoardTreeNodeForm: UpdateProjectBoardTreeNodeForm, options?: any) {
            return ProjectBoardTreeApiFp(configuration).updateProjectBoardTreeNode(updateProjectBoardTreeNodeForm, options)(fetch, basePath);
        },
    };
};

/**
 * ProjectBoardTreeApi - object-oriented interface
 * 看板树
 * @export
 * @class ProjectBoardTreeApi
 * @extends {BaseAPI}
 */
export class ProjectBoardTreeApi extends BaseAPI {
    /**
     * 根据看板Id 查询看板树信息
     * @summary 查询项目看板树
     * @param {string} boardId 项目看板ID
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectBoardTreeApi
     */
    public getBoardTreeNodeList(boardId: string, options?: any) {
        return ProjectBoardTreeApiFp(this.configuration).getBoardTreeNodeList(boardId, options)(this.fetch, this.basePath);
    }

    /**
     * 查询默认树结构 分类条件
     * @summary 查询默认树结构 分类条件
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectBoardTreeApi
     */
    public getProjectBoardTreeConditionList(options?: any) {
        return ProjectBoardTreeApiFp(this.configuration).getProjectBoardTreeConditionList(options)(this.fetch, this.basePath);
    }

    /**
     * 根据Form 保存看板树
     * @summary 保存項目看板树分类
     * @param {UpdateProjectBoardTreeNodeForm} updateProjectBoardTreeNodeForm updateProjectBoardTreeNodeForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ProjectBoardTreeApi
     */
    public updateProjectBoardTreeNode(updateProjectBoardTreeNodeForm: UpdateProjectBoardTreeNodeForm, options?: any) {
        return ProjectBoardTreeApiFp(this.configuration).updateProjectBoardTreeNode(updateProjectBoardTreeNodeForm, options)(this.fetch, this.basePath);
    }

}

/**
 * ReportApi - fetch parameter creator
 * 报表
 * @export
 */
export const ReportApiFetchParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 获取指定Id
         * @summary 获取企业大屏
         * @param {string} [terminal] 终端类型（0：PC端，1：移动端）
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getCompanyHomePageReport(terminal?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/report/getCompanyHomePageReport`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["terminal"] = terminal;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取指定Id
         * @summary 获取编辑报表Url
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getCompanyReportEditURL(options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/report/getCompanyReportEditURL`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取指定Id
         * @summary 获取企业报告列表报表Url
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getCompanyReportList(options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/report/getCompanyReportList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * ReportApi - functional programming interface
 * 报表
 * @export
 */
export const ReportApiFp = function(configuration?: Configuration) {
    if (configuration == null) {
        configuration = default_configuration;
    }

    return {
        /**
         * 获取指定Id
         * @summary 获取企业大屏
         * @param {string} [terminal] 终端类型（0：PC端，1：移动端）
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getCompanyHomePageReport(terminal?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultString> {
            const localVarFetchArgs = ReportApiFetchParamCreator(configuration).getCompanyHomePageReport(terminal, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取指定Id
         * @summary 获取编辑报表Url
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getCompanyReportEditURL(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = ReportApiFetchParamCreator(configuration).getCompanyReportEditURL(options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取指定Id
         * @summary 获取企业报告列表报表Url
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getCompanyReportList(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListBoardAndCategoryTreeVo> {
            const localVarFetchArgs = ReportApiFetchParamCreator(configuration).getCompanyReportList(options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
    }
};

/**
 * ReportApi - factory interface
 * 报表
 * @export
 */
export const ReportApiFactory = function (configuration?: Configuration, fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 获取指定Id
         * @summary 获取企业大屏
         * @param {string} [terminal] 终端类型（0：PC端，1：移动端）
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getCompanyHomePageReport(terminal?: string, options?: any) {
            return ReportApiFp(configuration).getCompanyHomePageReport(terminal, options)(fetch, basePath);
        },
        /**
         * 获取指定Id
         * @summary 获取编辑报表Url
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getCompanyReportEditURL(options?: any) {
            return ReportApiFp(configuration).getCompanyReportEditURL(options)(fetch, basePath);
        },
        /**
         * 获取指定Id
         * @summary 获取企业报告列表报表Url
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getCompanyReportList(options?: any) {
            return ReportApiFp(configuration).getCompanyReportList(options)(fetch, basePath);
        },
    };
};

/**
 * ReportApi - object-oriented interface
 * 报表
 * @export
 * @class ReportApi
 * @extends {BaseAPI}
 */
export class ReportApi extends BaseAPI {
    /**
     * 获取指定Id
     * @summary 获取企业大屏
     * @param {string} [terminal] 终端类型（0：PC端，1：移动端）
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ReportApi
     */
    public getCompanyHomePageReport(terminal?: string, options?: any) {
        return ReportApiFp(this.configuration).getCompanyHomePageReport(terminal, options)(this.fetch, this.basePath);
    }

    /**
     * 获取指定Id
     * @summary 获取编辑报表Url
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ReportApi
     */
    public getCompanyReportEditURL(options?: any) {
        return ReportApiFp(this.configuration).getCompanyReportEditURL(options)(this.fetch, this.basePath);
    }

    /**
     * 获取指定Id
     * @summary 获取企业报告列表报表Url
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ReportApi
     */
    public getCompanyReportList(options?: any) {
        return ReportApiFp(this.configuration).getCompanyReportList(options)(this.fetch, this.basePath);
    }

}

/**
 * RoleApi - fetch parameter creator
 * 角色
 * @export
 */
export const RoleApiFetchParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 添加角色
         * @summary 添加角色
         * @param {string} [name] name
         * @param {number} [type] type
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addRole(name?: string, type?: number, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/role/addRole`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"number" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["name"] = name;
        mapObj["type"] = type;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 删除角色
         * @summary 删除角色
         * @param {string} [roleId] 角色ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteRole(roleId?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/role/deleteRole`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["roleId"] = roleId;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据id查询角色
         * @summary 查询角色
         * @param {string} [roleId] 角色ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getRole(roleId?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/role/getRole`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["roleId"] = roleId;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据角色类型查询角色列表
         * @summary 查询角色列表
         * @param {number} [roleType] 角色类型(0系统角色,1项目角色,2企业管理,3部门管理,4所有用户通用,5super角色,6超级管理员,7个人企业)
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getRoleList(roleType?: number, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/role/getRoleList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"number" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["roleType"] = roleType;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         *  修改角色
         * @summary  修改角色
         * @param {UpdateRoleForm} updateRoleForm updateRoleForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateRole(updateRoleForm: UpdateRoleForm, options: any = {}): FetchArgs {
            // verify required parameter 'updateRoleForm' is not null or undefined
            if (updateRoleForm === null || updateRoleForm === undefined) {
                throw new RequiredError('updateRoleForm','Required parameter updateRoleForm was null or undefined when calling updateRole.');
            }
            const localVarPath = `/api-organization/role/updateRole`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"UpdateRoleForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(updateRoleForm || {}) : (updateRoleForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * RoleApi - functional programming interface
 * 角色
 * @export
 */
export const RoleApiFp = function(configuration?: Configuration) {
    if (configuration == null) {
        configuration = default_configuration;
    }

    return {
        /**
         * 添加角色
         * @summary 添加角色
         * @param {string} [name] name
         * @param {number} [type] type
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addRole(name?: string, type?: number, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = RoleApiFetchParamCreator(configuration).addRole(name, type, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 删除角色
         * @summary 删除角色
         * @param {string} [roleId] 角色ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteRole(roleId?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = RoleApiFetchParamCreator(configuration).deleteRole(roleId, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据id查询角色
         * @summary 查询角色
         * @param {string} [roleId] 角色ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getRole(roleId?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultRole> {
            const localVarFetchArgs = RoleApiFetchParamCreator(configuration).getRole(roleId, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据角色类型查询角色列表
         * @summary 查询角色列表
         * @param {number} [roleType] 角色类型(0系统角色,1项目角色,2企业管理,3部门管理,4所有用户通用,5super角色,6超级管理员,7个人企业)
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getRoleList(roleType?: number, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListRole> {
            const localVarFetchArgs = RoleApiFetchParamCreator(configuration).getRoleList(roleType, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         *  修改角色
         * @summary  修改角色
         * @param {UpdateRoleForm} updateRoleForm updateRoleForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateRole(updateRoleForm: UpdateRoleForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = RoleApiFetchParamCreator(configuration).updateRole(updateRoleForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
    }
};

/**
 * RoleApi - factory interface
 * 角色
 * @export
 */
export const RoleApiFactory = function (configuration?: Configuration, fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 添加角色
         * @summary 添加角色
         * @param {string} [name] name
         * @param {number} [type] type
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addRole(name?: string, type?: number, options?: any) {
            return RoleApiFp(configuration).addRole(name, type, options)(fetch, basePath);
        },
        /**
         * 删除角色
         * @summary 删除角色
         * @param {string} [roleId] 角色ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteRole(roleId?: string, options?: any) {
            return RoleApiFp(configuration).deleteRole(roleId, options)(fetch, basePath);
        },
        /**
         * 根据id查询角色
         * @summary 查询角色
         * @param {string} [roleId] 角色ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getRole(roleId?: string, options?: any) {
            return RoleApiFp(configuration).getRole(roleId, options)(fetch, basePath);
        },
        /**
         * 根据角色类型查询角色列表
         * @summary 查询角色列表
         * @param {number} [roleType] 角色类型(0系统角色,1项目角色,2企业管理,3部门管理,4所有用户通用,5super角色,6超级管理员,7个人企业)
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getRoleList(roleType?: number, options?: any) {
            return RoleApiFp(configuration).getRoleList(roleType, options)(fetch, basePath);
        },
        /**
         *  修改角色
         * @summary  修改角色
         * @param {UpdateRoleForm} updateRoleForm updateRoleForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateRole(updateRoleForm: UpdateRoleForm, options?: any) {
            return RoleApiFp(configuration).updateRole(updateRoleForm, options)(fetch, basePath);
        },
    };
};

/**
 * RoleApi - object-oriented interface
 * 角色
 * @export
 * @class RoleApi
 * @extends {BaseAPI}
 */
export class RoleApi extends BaseAPI {
    /**
     * 添加角色
     * @summary 添加角色
     * @param {string} [name] name
     * @param {number} [type] type
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RoleApi
     */
    public addRole(name?: string, type?: number, options?: any) {
        return RoleApiFp(this.configuration).addRole(name, type, options)(this.fetch, this.basePath);
    }

    /**
     * 删除角色
     * @summary 删除角色
     * @param {string} [roleId] 角色ID
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RoleApi
     */
    public deleteRole(roleId?: string, options?: any) {
        return RoleApiFp(this.configuration).deleteRole(roleId, options)(this.fetch, this.basePath);
    }

    /**
     * 根据id查询角色
     * @summary 查询角色
     * @param {string} [roleId] 角色ID
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RoleApi
     */
    public getRole(roleId?: string, options?: any) {
        return RoleApiFp(this.configuration).getRole(roleId, options)(this.fetch, this.basePath);
    }

    /**
     * 根据角色类型查询角色列表
     * @summary 查询角色列表
     * @param {number} [roleType] 角色类型(0系统角色,1项目角色,2企业管理,3部门管理,4所有用户通用,5super角色,6超级管理员,7个人企业)
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RoleApi
     */
    public getRoleList(roleType?: number, options?: any) {
        return RoleApiFp(this.configuration).getRoleList(roleType, options)(this.fetch, this.basePath);
    }

    /**
     *  修改角色
     * @summary  修改角色
     * @param {UpdateRoleForm} updateRoleForm updateRoleForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof RoleApi
     */
    public updateRole(updateRoleForm: UpdateRoleForm, options?: any) {
        return RoleApiFp(this.configuration).updateRole(updateRoleForm, options)(this.fetch, this.basePath);
    }

}

/**
 * SystemApi - fetch parameter creator
 * 系统描述
 keyId:相当于用户的id 
 keySecret:用户的二次开发密码 
 * @export
 */
export const SystemApiFetchParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 
         * @summary 用户登录
         * @param {string} keyId 对应用户的uid
         * @param {string} keySecret 对应用户的sid
         * @param {string} grantType 固定为key_secret
         * @param {string} clientId 固定为webApp
         * @param {string} clientSecret 固定为webApp
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        login(keyId: string, keySecret: string, grantType: string, clientId: string, clientSecret: string, options: any = {}): FetchArgs {
            // verify required parameter 'keyId' is not null or undefined
            if (keyId === null || keyId === undefined) {
                throw new RequiredError('keyId','Required parameter keyId was null or undefined when calling login.');
            }
            // verify required parameter 'keySecret' is not null or undefined
            if (keySecret === null || keySecret === undefined) {
                throw new RequiredError('keySecret','Required parameter keySecret was null or undefined when calling login.');
            }
            // verify required parameter 'grantType' is not null or undefined
            if (grantType === null || grantType === undefined) {
                throw new RequiredError('grantType','Required parameter grantType was null or undefined when calling login.');
            }
            // verify required parameter 'clientId' is not null or undefined
            if (clientId === null || clientId === undefined) {
                throw new RequiredError('clientId','Required parameter clientId was null or undefined when calling login.');
            }
            // verify required parameter 'clientSecret' is not null or undefined
            if (clientSecret === null || clientSecret === undefined) {
                throw new RequiredError('clientSecret','Required parameter clientSecret was null or undefined when calling login.');
            }
            const localVarPath = `/api-uaa/oauth/token`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            if (keyId !== undefined) {
                localVarQueryParameter['keyId'] = keyId;
            }

            if (keySecret !== undefined) {
                localVarQueryParameter['keySecret'] = keySecret;
            }

            if (grantType !== undefined) {
                localVarQueryParameter['grant_type'] = grantType;
            }

            if (clientId !== undefined) {
                localVarQueryParameter['client_id'] = clientId;
            }

            if (clientSecret !== undefined) {
                localVarQueryParameter['client_secret'] = clientSecret;
            }

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 退出登录
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        logout(options: any = {}): FetchArgs {
            const localVarPath = `/api-uaa/oauth/remove/token`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 发送手机注册验证码
         * @param {string} phone 手机号
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        sendPhoneRegisterCode(phone: string, options: any = {}): FetchArgs {
            // verify required parameter 'phone' is not null or undefined
            if (phone === null || phone === undefined) {
                throw new RequiredError('phone','Required parameter phone was null or undefined when calling sendPhoneRegisterCode.');
            }
            const localVarPath = `/api-uaa/validate/sendPhoneRegisterCode`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["phone"] = phone;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 发送手机验证码
         * @param {string} [phone] 手机号(不指定时使用当前登录用户的手机号)
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        sendPhoneVerificationCode(phone?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-uaa/validate/sendPhoneVerificationCode`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["phone"] = phone;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * SystemApi - functional programming interface
 * 系统描述
 keyId:相当于用户的id 
 keySecret:用户的二次开发密码 
 * @export
 */
export const SystemApiFp = function(configuration?: Configuration) {
    if (configuration == null) {
        configuration = default_configuration;
    }

    return {
        /**
         * 
         * @summary 用户登录
         * @param {string} keyId 对应用户的uid
         * @param {string} keySecret 对应用户的sid
         * @param {string} grantType 固定为key_secret
         * @param {string} clientId 固定为webApp
         * @param {string} clientSecret 固定为webApp
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        login(keyId: string, keySecret: string, grantType: string, clientId: string, clientSecret: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultTokenInfo> {
            const localVarFetchArgs = SystemApiFetchParamCreator(configuration).login(keyId, keySecret, grantType, clientId, clientSecret, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 退出登录
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        logout(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<Response> {
            const localVarFetchArgs = SystemApiFetchParamCreator(configuration).logout(options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response;
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 发送手机注册验证码
         * @param {string} phone 手机号
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        sendPhoneRegisterCode(phone: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<Result> {
            const localVarFetchArgs = SystemApiFetchParamCreator(configuration).sendPhoneRegisterCode(phone, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 发送手机验证码
         * @param {string} [phone] 手机号(不指定时使用当前登录用户的手机号)
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        sendPhoneVerificationCode(phone?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<Result> {
            const localVarFetchArgs = SystemApiFetchParamCreator(configuration).sendPhoneVerificationCode(phone, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
    }
};

/**
 * SystemApi - factory interface
 * 系统描述
 keyId:相当于用户的id 
 keySecret:用户的二次开发密码 
 * @export
 */
export const SystemApiFactory = function (configuration?: Configuration, fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @summary 用户登录
         * @param {string} keyId 对应用户的uid
         * @param {string} keySecret 对应用户的sid
         * @param {string} grantType 固定为key_secret
         * @param {string} clientId 固定为webApp
         * @param {string} clientSecret 固定为webApp
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        login(keyId: string, keySecret: string, grantType: string, clientId: string, clientSecret: string, options?: any) {
            return SystemApiFp(configuration).login(keyId, keySecret, grantType, clientId, clientSecret, options)(fetch, basePath);
        },
        /**
         * 
         * @summary 退出登录
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        logout(options?: any) {
            return SystemApiFp(configuration).logout(options)(fetch, basePath);
        },
        /**
         * 
         * @summary 发送手机注册验证码
         * @param {string} phone 手机号
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        sendPhoneRegisterCode(phone: string, options?: any) {
            return SystemApiFp(configuration).sendPhoneRegisterCode(phone, options)(fetch, basePath);
        },
        /**
         * 
         * @summary 发送手机验证码
         * @param {string} [phone] 手机号(不指定时使用当前登录用户的手机号)
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        sendPhoneVerificationCode(phone?: string, options?: any) {
            return SystemApiFp(configuration).sendPhoneVerificationCode(phone, options)(fetch, basePath);
        },
    };
};

/**
 * SystemApi - object-oriented interface
 * 系统描述
 keyId:相当于用户的id 
 keySecret:用户的二次开发密码 
 * @export
 * @class SystemApi
 * @extends {BaseAPI}
 */
export class SystemApi extends BaseAPI {
    /**
     * 
     * @summary 用户登录
     * @param {string} keyId 对应用户的uid
     * @param {string} keySecret 对应用户的sid
     * @param {string} grantType 固定为key_secret
     * @param {string} clientId 固定为webApp
     * @param {string} clientSecret 固定为webApp
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SystemApi
     */
    public login(keyId: string, keySecret: string, grantType: string, clientId: string, clientSecret: string, options?: any) {
        return SystemApiFp(this.configuration).login(keyId, keySecret, grantType, clientId, clientSecret, options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 退出登录
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SystemApi
     */
    public logout(options?: any) {
        return SystemApiFp(this.configuration).logout(options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 发送手机注册验证码
     * @param {string} phone 手机号
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SystemApi
     */
    public sendPhoneRegisterCode(phone: string, options?: any) {
        return SystemApiFp(this.configuration).sendPhoneRegisterCode(phone, options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 发送手机验证码
     * @param {string} [phone] 手机号(不指定时使用当前登录用户的手机号)
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SystemApi
     */
    public sendPhoneVerificationCode(phone?: string, options?: any) {
        return SystemApiFp(this.configuration).sendPhoneVerificationCode(phone, options)(this.fetch, this.basePath);
    }

}

/**
 * TagApi - fetch parameter creator
 * 条件储存标签
 * @export
 */
export const TagApiFetchParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 根据传入的信息 添加对应的 条件储存标签
         * @summary 添加条件储存标签
         * @param {string} [name] 标签名
         * @param {number} [sort] 排序号
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addConditionTag(name?: string, sort?: number, options: any = {}): FetchArgs {
            const localVarPath = `/api-business/conditionTag/addConditionTag`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"number" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["name"] = name;
        mapObj["sort"] = sort;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 项目条件储存 绑定条件标签
         * @param {ProjectConditionTagStorageRelForm} projectConditionTagStorageRelForm projectConditionTagStorageRelForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addProjectConditionTagRel(projectConditionTagStorageRelForm: ProjectConditionTagStorageRelForm, options: any = {}): FetchArgs {
            // verify required parameter 'projectConditionTagStorageRelForm' is not null or undefined
            if (projectConditionTagStorageRelForm === null || projectConditionTagStorageRelForm === undefined) {
                throw new RequiredError('projectConditionTagStorageRelForm','Required parameter projectConditionTagStorageRelForm was null or undefined when calling addProjectConditionTagRel.');
            }
            const localVarPath = `/api-business/conditionTag/addProjectConditionTagRel`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"ProjectConditionTagStorageRelForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(projectConditionTagStorageRelForm || {}) : (projectConditionTagStorageRelForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据传入的 Form类 项目变量绑定标签
         * @summary 项目变量绑定标签
         * @param {VariantBindingTagForm} variantBindingTagForm variantBindingTagForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addProjectVariantTagRel(variantBindingTagForm: VariantBindingTagForm, options: any = {}): FetchArgs {
            // verify required parameter 'variantBindingTagForm' is not null or undefined
            if (variantBindingTagForm === null || variantBindingTagForm === undefined) {
                throw new RequiredError('variantBindingTagForm','Required parameter variantBindingTagForm was null or undefined when calling addProjectVariantTagRel.');
            }
            const localVarPath = `/api-business/variantTag/addProjectVariantTagRel`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"VariantBindingTagForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(variantBindingTagForm || {}) : (variantBindingTagForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 模板条件储存 绑定条件标签
         * @param {TemplateConditionTagStorageRelForm} templateConditionTagStorageRelForm templateConditionTagStorageRelForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addTemplateConditionTagRel(templateConditionTagStorageRelForm: TemplateConditionTagStorageRelForm, options: any = {}): FetchArgs {
            // verify required parameter 'templateConditionTagStorageRelForm' is not null or undefined
            if (templateConditionTagStorageRelForm === null || templateConditionTagStorageRelForm === undefined) {
                throw new RequiredError('templateConditionTagStorageRelForm','Required parameter templateConditionTagStorageRelForm was null or undefined when calling addTemplateConditionTagRel.');
            }
            const localVarPath = `/api-business/conditionTag/addTemplateConditionTagRel`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"TemplateConditionTagStorageRelForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(templateConditionTagStorageRelForm || {}) : (templateConditionTagStorageRelForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据传入的 Form类 模板变量绑定标签
         * @summary 模板变量绑定标签
         * @param {VariantBindingTagForm} variantBindingTagForm variantBindingTagForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addTemplateVariantTagRel(variantBindingTagForm: VariantBindingTagForm, options: any = {}): FetchArgs {
            // verify required parameter 'variantBindingTagForm' is not null or undefined
            if (variantBindingTagForm === null || variantBindingTagForm === undefined) {
                throw new RequiredError('variantBindingTagForm','Required parameter variantBindingTagForm was null or undefined when calling addTemplateVariantTagRel.');
            }
            const localVarPath = `/api-business/variantTag/addTemplateVariantTagRel`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"VariantBindingTagForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(variantBindingTagForm || {}) : (variantBindingTagForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据传入的参数 添加变量标签
         * @summary 添加变量标签信息
         * @param {string} [name] 标签名
         * @param {number} [sort] 排序号
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addVariantTag(name?: string, sort?: number, options: any = {}): FetchArgs {
            const localVarPath = `/api-business/variantTag/addVariantTag`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"number" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["name"] = name;
        mapObj["sort"] = sort;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据传入的 条件储存以及条件标签Id 与项目Id 删除对应的关联关系信息
         * @summary 删除项目条件储存关联关系
         * @param {ProjectConditionTagStorageRelForm} projectConditionTagStorageRelForm projectConditionTagStorageRelForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        delProjectConditionTagRel(projectConditionTagStorageRelForm: ProjectConditionTagStorageRelForm, options: any = {}): FetchArgs {
            // verify required parameter 'projectConditionTagStorageRelForm' is not null or undefined
            if (projectConditionTagStorageRelForm === null || projectConditionTagStorageRelForm === undefined) {
                throw new RequiredError('projectConditionTagStorageRelForm','Required parameter projectConditionTagStorageRelForm was null or undefined when calling delProjectConditionTagRel.');
            }
            const localVarPath = `/api-business/conditionTag/delProjectConditionTagRel`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"ProjectConditionTagStorageRelForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(projectConditionTagStorageRelForm || {}) : (projectConditionTagStorageRelForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据传入的 条件储存以及条件标签Id 与模板Id 删除对应的关联关系信息
         * @summary 删除模板条件储存关联关系
         * @param {TemplateConditionTagStorageRelForm} templateConditionTagStorageRelForm templateConditionTagStorageRelForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        delTemplateConditionTagRel(templateConditionTagStorageRelForm: TemplateConditionTagStorageRelForm, options: any = {}): FetchArgs {
            // verify required parameter 'templateConditionTagStorageRelForm' is not null or undefined
            if (templateConditionTagStorageRelForm === null || templateConditionTagStorageRelForm === undefined) {
                throw new RequiredError('templateConditionTagStorageRelForm','Required parameter templateConditionTagStorageRelForm was null or undefined when calling delTemplateConditionTagRel.');
            }
            const localVarPath = `/api-business/conditionTag/delTemplateConditionTagRel`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"TemplateConditionTagStorageRelForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(templateConditionTagStorageRelForm || {}) : (templateConditionTagStorageRelForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据传入的 条件储存标签Id 删除对应的条件储存信息
         * @summary 删除条件储存标签
         * @param {string} [id] 标签Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteConditionTag(id?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-business/conditionTag/deleteConditionTag`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["id"] = id;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据传入的变量标签Id 删除对应的变量标签信息与关联关系
         * @summary 删除变量标签信息
         * @param {string} [tagId] 标签Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteVariantTagByTagId(tagId?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-business/variantTag/deleteVariantTagByTagId`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["tagId"] = tagId;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据传入的查询参数信息 查询对应的(所有|或可用)条件储存信息
         * @summary 获取条件储存标签信息
         * @param {ConditionStorageParam} conditionStorageParam conditionStorageParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getConditionTagList(conditionStorageParam: ConditionStorageParam, options: any = {}): FetchArgs {
            // verify required parameter 'conditionStorageParam' is not null or undefined
            if (conditionStorageParam === null || conditionStorageParam === undefined) {
                throw new RequiredError('conditionStorageParam','Required parameter conditionStorageParam was null or undefined when calling getConditionTagList.');
            }
            const localVarPath = `/api-business/conditionTag/getConditionTagList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"ConditionStorageParam" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(conditionStorageParam || {}) : (conditionStorageParam || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * type [project， template， all] 除all外  传入对应type将查询 该type可绑定的标签信息
         * @summary 获取变量标签信息
         * @param {string} [resourceId] 与resourceType 与之对应
         * @param {string} [resourceType] [template: &#39;模板&#39;, project: &#39;项目&#39;, all: &#39;企业]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getVariantTagList(resourceId?: string, resourceType?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-business/variantTag/getVariantTagList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["resourceId"] = resourceId;
        mapObj["resourceType"] = resourceType;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据传入的 储存条件修改 对应的条件储存标签信息
         * @summary 修改储存标签
         * @param {UpdateConditionTagForm} updateConditionTagForm updateConditionTagForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateConditionTag(updateConditionTagForm: UpdateConditionTagForm, options: any = {}): FetchArgs {
            // verify required parameter 'updateConditionTagForm' is not null or undefined
            if (updateConditionTagForm === null || updateConditionTagForm === undefined) {
                throw new RequiredError('updateConditionTagForm','Required parameter updateConditionTagForm was null or undefined when calling updateConditionTag.');
            }
            const localVarPath = `/api-business/conditionTag/updateConditionTag`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"UpdateConditionTagForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(updateConditionTagForm || {}) : (updateConditionTagForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据传入的标签Id 修改对应的标签信息
         * @summary 修改变量标签信息
         * @param {UpdateVariantTagForm} updateVariantTagForm updateVariantTagForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateVariantTag(updateVariantTagForm: UpdateVariantTagForm, options: any = {}): FetchArgs {
            // verify required parameter 'updateVariantTagForm' is not null or undefined
            if (updateVariantTagForm === null || updateVariantTagForm === undefined) {
                throw new RequiredError('updateVariantTagForm','Required parameter updateVariantTagForm was null or undefined when calling updateVariantTag.');
            }
            const localVarPath = `/api-business/variantTag/updateVariantTag`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"UpdateVariantTagForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(updateVariantTagForm || {}) : (updateVariantTagForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据传入的标签Id 修改对应的变量指标信息
         * @summary 修改变量标签指标类型
         * @param {string} [id] 标签Id
         * @param {string} [variantTagIndexType] 变量标签指标
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateVariantTagIndexType(id?: string, variantTagIndexType?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-business/variantTag/updateVariantTagIndexType`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["id"] = id;
        mapObj["variantTagIndexType"] = variantTagIndexType;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * TagApi - functional programming interface
 * 条件储存标签
 * @export
 */
export const TagApiFp = function(configuration?: Configuration) {
    if (configuration == null) {
        configuration = default_configuration;
    }

    return {
        /**
         * 根据传入的信息 添加对应的 条件储存标签
         * @summary 添加条件储存标签
         * @param {string} [name] 标签名
         * @param {number} [sort] 排序号
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addConditionTag(name?: string, sort?: number, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = TagApiFetchParamCreator(configuration).addConditionTag(name, sort, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 项目条件储存 绑定条件标签
         * @param {ProjectConditionTagStorageRelForm} projectConditionTagStorageRelForm projectConditionTagStorageRelForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addProjectConditionTagRel(projectConditionTagStorageRelForm: ProjectConditionTagStorageRelForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = TagApiFetchParamCreator(configuration).addProjectConditionTagRel(projectConditionTagStorageRelForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据传入的 Form类 项目变量绑定标签
         * @summary 项目变量绑定标签
         * @param {VariantBindingTagForm} variantBindingTagForm variantBindingTagForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addProjectVariantTagRel(variantBindingTagForm: VariantBindingTagForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = TagApiFetchParamCreator(configuration).addProjectVariantTagRel(variantBindingTagForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 模板条件储存 绑定条件标签
         * @param {TemplateConditionTagStorageRelForm} templateConditionTagStorageRelForm templateConditionTagStorageRelForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addTemplateConditionTagRel(templateConditionTagStorageRelForm: TemplateConditionTagStorageRelForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = TagApiFetchParamCreator(configuration).addTemplateConditionTagRel(templateConditionTagStorageRelForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据传入的 Form类 模板变量绑定标签
         * @summary 模板变量绑定标签
         * @param {VariantBindingTagForm} variantBindingTagForm variantBindingTagForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addTemplateVariantTagRel(variantBindingTagForm: VariantBindingTagForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = TagApiFetchParamCreator(configuration).addTemplateVariantTagRel(variantBindingTagForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据传入的参数 添加变量标签
         * @summary 添加变量标签信息
         * @param {string} [name] 标签名
         * @param {number} [sort] 排序号
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addVariantTag(name?: string, sort?: number, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = TagApiFetchParamCreator(configuration).addVariantTag(name, sort, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据传入的 条件储存以及条件标签Id 与项目Id 删除对应的关联关系信息
         * @summary 删除项目条件储存关联关系
         * @param {ProjectConditionTagStorageRelForm} projectConditionTagStorageRelForm projectConditionTagStorageRelForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        delProjectConditionTagRel(projectConditionTagStorageRelForm: ProjectConditionTagStorageRelForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = TagApiFetchParamCreator(configuration).delProjectConditionTagRel(projectConditionTagStorageRelForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据传入的 条件储存以及条件标签Id 与模板Id 删除对应的关联关系信息
         * @summary 删除模板条件储存关联关系
         * @param {TemplateConditionTagStorageRelForm} templateConditionTagStorageRelForm templateConditionTagStorageRelForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        delTemplateConditionTagRel(templateConditionTagStorageRelForm: TemplateConditionTagStorageRelForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = TagApiFetchParamCreator(configuration).delTemplateConditionTagRel(templateConditionTagStorageRelForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据传入的 条件储存标签Id 删除对应的条件储存信息
         * @summary 删除条件储存标签
         * @param {string} [id] 标签Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteConditionTag(id?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = TagApiFetchParamCreator(configuration).deleteConditionTag(id, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据传入的变量标签Id 删除对应的变量标签信息与关联关系
         * @summary 删除变量标签信息
         * @param {string} [tagId] 标签Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteVariantTagByTagId(tagId?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = TagApiFetchParamCreator(configuration).deleteVariantTagByTagId(tagId, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据传入的查询参数信息 查询对应的(所有|或可用)条件储存信息
         * @summary 获取条件储存标签信息
         * @param {ConditionStorageParam} conditionStorageParam conditionStorageParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getConditionTagList(conditionStorageParam: ConditionStorageParam, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListConditionTagVo> {
            const localVarFetchArgs = TagApiFetchParamCreator(configuration).getConditionTagList(conditionStorageParam, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * type [project， template， all] 除all外  传入对应type将查询 该type可绑定的标签信息
         * @summary 获取变量标签信息
         * @param {string} [resourceId] 与resourceType 与之对应
         * @param {string} [resourceType] [template: &#39;模板&#39;, project: &#39;项目&#39;, all: &#39;企业]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getVariantTagList(resourceId?: string, resourceType?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListVariantTagVo> {
            const localVarFetchArgs = TagApiFetchParamCreator(configuration).getVariantTagList(resourceId, resourceType, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据传入的 储存条件修改 对应的条件储存标签信息
         * @summary 修改储存标签
         * @param {UpdateConditionTagForm} updateConditionTagForm updateConditionTagForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateConditionTag(updateConditionTagForm: UpdateConditionTagForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = TagApiFetchParamCreator(configuration).updateConditionTag(updateConditionTagForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据传入的标签Id 修改对应的标签信息
         * @summary 修改变量标签信息
         * @param {UpdateVariantTagForm} updateVariantTagForm updateVariantTagForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateVariantTag(updateVariantTagForm: UpdateVariantTagForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = TagApiFetchParamCreator(configuration).updateVariantTag(updateVariantTagForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据传入的标签Id 修改对应的变量指标信息
         * @summary 修改变量标签指标类型
         * @param {string} [id] 标签Id
         * @param {string} [variantTagIndexType] 变量标签指标
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateVariantTagIndexType(id?: string, variantTagIndexType?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = TagApiFetchParamCreator(configuration).updateVariantTagIndexType(id, variantTagIndexType, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
    }
};

/**
 * TagApi - factory interface
 * 条件储存标签
 * @export
 */
export const TagApiFactory = function (configuration?: Configuration, fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 根据传入的信息 添加对应的 条件储存标签
         * @summary 添加条件储存标签
         * @param {string} [name] 标签名
         * @param {number} [sort] 排序号
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addConditionTag(name?: string, sort?: number, options?: any) {
            return TagApiFp(configuration).addConditionTag(name, sort, options)(fetch, basePath);
        },
        /**
         * 
         * @summary 项目条件储存 绑定条件标签
         * @param {ProjectConditionTagStorageRelForm} projectConditionTagStorageRelForm projectConditionTagStorageRelForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addProjectConditionTagRel(projectConditionTagStorageRelForm: ProjectConditionTagStorageRelForm, options?: any) {
            return TagApiFp(configuration).addProjectConditionTagRel(projectConditionTagStorageRelForm, options)(fetch, basePath);
        },
        /**
         * 根据传入的 Form类 项目变量绑定标签
         * @summary 项目变量绑定标签
         * @param {VariantBindingTagForm} variantBindingTagForm variantBindingTagForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addProjectVariantTagRel(variantBindingTagForm: VariantBindingTagForm, options?: any) {
            return TagApiFp(configuration).addProjectVariantTagRel(variantBindingTagForm, options)(fetch, basePath);
        },
        /**
         * 
         * @summary 模板条件储存 绑定条件标签
         * @param {TemplateConditionTagStorageRelForm} templateConditionTagStorageRelForm templateConditionTagStorageRelForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addTemplateConditionTagRel(templateConditionTagStorageRelForm: TemplateConditionTagStorageRelForm, options?: any) {
            return TagApiFp(configuration).addTemplateConditionTagRel(templateConditionTagStorageRelForm, options)(fetch, basePath);
        },
        /**
         * 根据传入的 Form类 模板变量绑定标签
         * @summary 模板变量绑定标签
         * @param {VariantBindingTagForm} variantBindingTagForm variantBindingTagForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addTemplateVariantTagRel(variantBindingTagForm: VariantBindingTagForm, options?: any) {
            return TagApiFp(configuration).addTemplateVariantTagRel(variantBindingTagForm, options)(fetch, basePath);
        },
        /**
         * 根据传入的参数 添加变量标签
         * @summary 添加变量标签信息
         * @param {string} [name] 标签名
         * @param {number} [sort] 排序号
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addVariantTag(name?: string, sort?: number, options?: any) {
            return TagApiFp(configuration).addVariantTag(name, sort, options)(fetch, basePath);
        },
        /**
         * 根据传入的 条件储存以及条件标签Id 与项目Id 删除对应的关联关系信息
         * @summary 删除项目条件储存关联关系
         * @param {ProjectConditionTagStorageRelForm} projectConditionTagStorageRelForm projectConditionTagStorageRelForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        delProjectConditionTagRel(projectConditionTagStorageRelForm: ProjectConditionTagStorageRelForm, options?: any) {
            return TagApiFp(configuration).delProjectConditionTagRel(projectConditionTagStorageRelForm, options)(fetch, basePath);
        },
        /**
         * 根据传入的 条件储存以及条件标签Id 与模板Id 删除对应的关联关系信息
         * @summary 删除模板条件储存关联关系
         * @param {TemplateConditionTagStorageRelForm} templateConditionTagStorageRelForm templateConditionTagStorageRelForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        delTemplateConditionTagRel(templateConditionTagStorageRelForm: TemplateConditionTagStorageRelForm, options?: any) {
            return TagApiFp(configuration).delTemplateConditionTagRel(templateConditionTagStorageRelForm, options)(fetch, basePath);
        },
        /**
         * 根据传入的 条件储存标签Id 删除对应的条件储存信息
         * @summary 删除条件储存标签
         * @param {string} [id] 标签Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteConditionTag(id?: string, options?: any) {
            return TagApiFp(configuration).deleteConditionTag(id, options)(fetch, basePath);
        },
        /**
         * 根据传入的变量标签Id 删除对应的变量标签信息与关联关系
         * @summary 删除变量标签信息
         * @param {string} [tagId] 标签Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteVariantTagByTagId(tagId?: string, options?: any) {
            return TagApiFp(configuration).deleteVariantTagByTagId(tagId, options)(fetch, basePath);
        },
        /**
         * 根据传入的查询参数信息 查询对应的(所有|或可用)条件储存信息
         * @summary 获取条件储存标签信息
         * @param {ConditionStorageParam} conditionStorageParam conditionStorageParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getConditionTagList(conditionStorageParam: ConditionStorageParam, options?: any) {
            return TagApiFp(configuration).getConditionTagList(conditionStorageParam, options)(fetch, basePath);
        },
        /**
         * type [project， template， all] 除all外  传入对应type将查询 该type可绑定的标签信息
         * @summary 获取变量标签信息
         * @param {string} [resourceId] 与resourceType 与之对应
         * @param {string} [resourceType] [template: &#39;模板&#39;, project: &#39;项目&#39;, all: &#39;企业]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getVariantTagList(resourceId?: string, resourceType?: string, options?: any) {
            return TagApiFp(configuration).getVariantTagList(resourceId, resourceType, options)(fetch, basePath);
        },
        /**
         * 根据传入的 储存条件修改 对应的条件储存标签信息
         * @summary 修改储存标签
         * @param {UpdateConditionTagForm} updateConditionTagForm updateConditionTagForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateConditionTag(updateConditionTagForm: UpdateConditionTagForm, options?: any) {
            return TagApiFp(configuration).updateConditionTag(updateConditionTagForm, options)(fetch, basePath);
        },
        /**
         * 根据传入的标签Id 修改对应的标签信息
         * @summary 修改变量标签信息
         * @param {UpdateVariantTagForm} updateVariantTagForm updateVariantTagForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateVariantTag(updateVariantTagForm: UpdateVariantTagForm, options?: any) {
            return TagApiFp(configuration).updateVariantTag(updateVariantTagForm, options)(fetch, basePath);
        },
        /**
         * 根据传入的标签Id 修改对应的变量指标信息
         * @summary 修改变量标签指标类型
         * @param {string} [id] 标签Id
         * @param {string} [variantTagIndexType] 变量标签指标
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateVariantTagIndexType(id?: string, variantTagIndexType?: string, options?: any) {
            return TagApiFp(configuration).updateVariantTagIndexType(id, variantTagIndexType, options)(fetch, basePath);
        },
    };
};

/**
 * TagApi - object-oriented interface
 * 条件储存标签
 * @export
 * @class TagApi
 * @extends {BaseAPI}
 */
export class TagApi extends BaseAPI {
    /**
     * 根据传入的信息 添加对应的 条件储存标签
     * @summary 添加条件储存标签
     * @param {string} [name] 标签名
     * @param {number} [sort] 排序号
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof TagApi
     */
    public addConditionTag(name?: string, sort?: number, options?: any) {
        return TagApiFp(this.configuration).addConditionTag(name, sort, options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 项目条件储存 绑定条件标签
     * @param {ProjectConditionTagStorageRelForm} projectConditionTagStorageRelForm projectConditionTagStorageRelForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof TagApi
     */
    public addProjectConditionTagRel(projectConditionTagStorageRelForm: ProjectConditionTagStorageRelForm, options?: any) {
        return TagApiFp(this.configuration).addProjectConditionTagRel(projectConditionTagStorageRelForm, options)(this.fetch, this.basePath);
    }

    /**
     * 根据传入的 Form类 项目变量绑定标签
     * @summary 项目变量绑定标签
     * @param {VariantBindingTagForm} variantBindingTagForm variantBindingTagForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof TagApi
     */
    public addProjectVariantTagRel(variantBindingTagForm: VariantBindingTagForm, options?: any) {
        return TagApiFp(this.configuration).addProjectVariantTagRel(variantBindingTagForm, options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 模板条件储存 绑定条件标签
     * @param {TemplateConditionTagStorageRelForm} templateConditionTagStorageRelForm templateConditionTagStorageRelForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof TagApi
     */
    public addTemplateConditionTagRel(templateConditionTagStorageRelForm: TemplateConditionTagStorageRelForm, options?: any) {
        return TagApiFp(this.configuration).addTemplateConditionTagRel(templateConditionTagStorageRelForm, options)(this.fetch, this.basePath);
    }

    /**
     * 根据传入的 Form类 模板变量绑定标签
     * @summary 模板变量绑定标签
     * @param {VariantBindingTagForm} variantBindingTagForm variantBindingTagForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof TagApi
     */
    public addTemplateVariantTagRel(variantBindingTagForm: VariantBindingTagForm, options?: any) {
        return TagApiFp(this.configuration).addTemplateVariantTagRel(variantBindingTagForm, options)(this.fetch, this.basePath);
    }

    /**
     * 根据传入的参数 添加变量标签
     * @summary 添加变量标签信息
     * @param {string} [name] 标签名
     * @param {number} [sort] 排序号
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof TagApi
     */
    public addVariantTag(name?: string, sort?: number, options?: any) {
        return TagApiFp(this.configuration).addVariantTag(name, sort, options)(this.fetch, this.basePath);
    }

    /**
     * 根据传入的 条件储存以及条件标签Id 与项目Id 删除对应的关联关系信息
     * @summary 删除项目条件储存关联关系
     * @param {ProjectConditionTagStorageRelForm} projectConditionTagStorageRelForm projectConditionTagStorageRelForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof TagApi
     */
    public delProjectConditionTagRel(projectConditionTagStorageRelForm: ProjectConditionTagStorageRelForm, options?: any) {
        return TagApiFp(this.configuration).delProjectConditionTagRel(projectConditionTagStorageRelForm, options)(this.fetch, this.basePath);
    }

    /**
     * 根据传入的 条件储存以及条件标签Id 与模板Id 删除对应的关联关系信息
     * @summary 删除模板条件储存关联关系
     * @param {TemplateConditionTagStorageRelForm} templateConditionTagStorageRelForm templateConditionTagStorageRelForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof TagApi
     */
    public delTemplateConditionTagRel(templateConditionTagStorageRelForm: TemplateConditionTagStorageRelForm, options?: any) {
        return TagApiFp(this.configuration).delTemplateConditionTagRel(templateConditionTagStorageRelForm, options)(this.fetch, this.basePath);
    }

    /**
     * 根据传入的 条件储存标签Id 删除对应的条件储存信息
     * @summary 删除条件储存标签
     * @param {string} [id] 标签Id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof TagApi
     */
    public deleteConditionTag(id?: string, options?: any) {
        return TagApiFp(this.configuration).deleteConditionTag(id, options)(this.fetch, this.basePath);
    }

    /**
     * 根据传入的变量标签Id 删除对应的变量标签信息与关联关系
     * @summary 删除变量标签信息
     * @param {string} [tagId] 标签Id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof TagApi
     */
    public deleteVariantTagByTagId(tagId?: string, options?: any) {
        return TagApiFp(this.configuration).deleteVariantTagByTagId(tagId, options)(this.fetch, this.basePath);
    }

    /**
     * 根据传入的查询参数信息 查询对应的(所有|或可用)条件储存信息
     * @summary 获取条件储存标签信息
     * @param {ConditionStorageParam} conditionStorageParam conditionStorageParam
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof TagApi
     */
    public getConditionTagList(conditionStorageParam: ConditionStorageParam, options?: any) {
        return TagApiFp(this.configuration).getConditionTagList(conditionStorageParam, options)(this.fetch, this.basePath);
    }

    /**
     * type [project， template， all] 除all外  传入对应type将查询 该type可绑定的标签信息
     * @summary 获取变量标签信息
     * @param {string} [resourceId] 与resourceType 与之对应
     * @param {string} [resourceType] [template: &#39;模板&#39;, project: &#39;项目&#39;, all: &#39;企业]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof TagApi
     */
    public getVariantTagList(resourceId?: string, resourceType?: string, options?: any) {
        return TagApiFp(this.configuration).getVariantTagList(resourceId, resourceType, options)(this.fetch, this.basePath);
    }

    /**
     * 根据传入的 储存条件修改 对应的条件储存标签信息
     * @summary 修改储存标签
     * @param {UpdateConditionTagForm} updateConditionTagForm updateConditionTagForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof TagApi
     */
    public updateConditionTag(updateConditionTagForm: UpdateConditionTagForm, options?: any) {
        return TagApiFp(this.configuration).updateConditionTag(updateConditionTagForm, options)(this.fetch, this.basePath);
    }

    /**
     * 根据传入的标签Id 修改对应的标签信息
     * @summary 修改变量标签信息
     * @param {UpdateVariantTagForm} updateVariantTagForm updateVariantTagForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof TagApi
     */
    public updateVariantTag(updateVariantTagForm: UpdateVariantTagForm, options?: any) {
        return TagApiFp(this.configuration).updateVariantTag(updateVariantTagForm, options)(this.fetch, this.basePath);
    }

    /**
     * 根据传入的标签Id 修改对应的变量指标信息
     * @summary 修改变量标签指标类型
     * @param {string} [id] 标签Id
     * @param {string} [variantTagIndexType] 变量标签指标
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof TagApi
     */
    public updateVariantTagIndexType(id?: string, variantTagIndexType?: string, options?: any) {
        return TagApiFp(this.configuration).updateVariantTagIndexType(id, variantTagIndexType, options)(this.fetch, this.basePath);
    }

}

/**
 * TemplateApi - fetch parameter creator
 * 模板
 * @export
 */
export const TemplateApiFetchParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 只可选自由项目进行创建 模板将会复制一份与之相同的变量信息等
         * @summary 创建模板
         * @param {string} id 项目Id
         * @param {string} name 模板名
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addTemplate(id: string, name: string, options: any = {}): FetchArgs {
            // verify required parameter 'id' is not null or undefined
            if (id === null || id === undefined) {
                throw new RequiredError('id','Required parameter id was null or undefined when calling addTemplate.');
            }
            // verify required parameter 'name' is not null or undefined
            if (name === null || name === undefined) {
                throw new RequiredError('name','Required parameter name was null or undefined when calling addTemplate.');
            }
            const localVarPath = `/api-business/template/addTemplate`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["id"] = id;
        mapObj["name"] = name;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据传入的模板Id 复制一份相同的模板信息
         * @summary 复制模板
         * @param {string} id 模板Id
         * @param {string} name 模板名
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        copyTemplate(id: string, name: string, options: any = {}): FetchArgs {
            // verify required parameter 'id' is not null or undefined
            if (id === null || id === undefined) {
                throw new RequiredError('id','Required parameter id was null or undefined when calling copyTemplate.');
            }
            // verify required parameter 'name' is not null or undefined
            if (name === null || name === undefined) {
                throw new RequiredError('name','Required parameter name was null or undefined when calling copyTemplate.');
            }
            const localVarPath = `/api-business/template/copyTemplate`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["id"] = id;
        mapObj["name"] = name;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据传入的模板Id 删除对应的模板信息
         * @summary 删除模板
         * @param {string} [id] 模板Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteTemplate(id?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-business/template/deleteTemplate`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["id"] = id;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据模板Id 获取与之关联的项目ID
         * @summary 获取关联关系
         * @param {string} [id] 模板Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectByTemplateId(id?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-business/template/getProjectByTemplateId`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["id"] = id;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取模板组态编辑主页url
         * @summary 获取模板组态编辑主页url
         * @param {string} [id] 模板Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getTemplateConfigurationEditUrl(id?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-business/template/getTemplateConfigurationEditUrl`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["id"] = id;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取当前登录用户下的所有模板列表
         * @summary 查询模板列表
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getTemplateList(options: any = {}): FetchArgs {
            const localVarPath = `/api-business/template/getTemplateList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取模板组态主页
         * @summary 获取模板组态主页url
         * @param {string} [id] 模板Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getTemplateMainConfigurationRuntimeUrl(id?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-business/template/getTemplateMainConfigurationRuntimeUrl`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["id"] = id;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据传入的 修改模板Form类 修改对应的模板信息
         * @summary 修改模板
         * @param {UpdateTemplateForm} updateTemplateForm updateTemplateForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateTemplate(updateTemplateForm: UpdateTemplateForm, options: any = {}): FetchArgs {
            // verify required parameter 'updateTemplateForm' is not null or undefined
            if (updateTemplateForm === null || updateTemplateForm === undefined) {
                throw new RequiredError('updateTemplateForm','Required parameter updateTemplateForm was null or undefined when calling updateTemplate.');
            }
            const localVarPath = `/api-business/template/updateTemplate`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"UpdateTemplateForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(updateTemplateForm || {}) : (updateTemplateForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * TemplateApi - functional programming interface
 * 模板
 * @export
 */
export const TemplateApiFp = function(configuration?: Configuration) {
    if (configuration == null) {
        configuration = default_configuration;
    }

    return {
        /**
         * 只可选自由项目进行创建 模板将会复制一份与之相同的变量信息等
         * @summary 创建模板
         * @param {string} id 项目Id
         * @param {string} name 模板名
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addTemplate(id: string, name: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = TemplateApiFetchParamCreator(configuration).addTemplate(id, name, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据传入的模板Id 复制一份相同的模板信息
         * @summary 复制模板
         * @param {string} id 模板Id
         * @param {string} name 模板名
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        copyTemplate(id: string, name: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = TemplateApiFetchParamCreator(configuration).copyTemplate(id, name, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据传入的模板Id 删除对应的模板信息
         * @summary 删除模板
         * @param {string} [id] 模板Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteTemplate(id?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = TemplateApiFetchParamCreator(configuration).deleteTemplate(id, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据模板Id 获取与之关联的项目ID
         * @summary 获取关联关系
         * @param {string} [id] 模板Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectByTemplateId(id?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListString> {
            const localVarFetchArgs = TemplateApiFetchParamCreator(configuration).getProjectByTemplateId(id, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取模板组态编辑主页url
         * @summary 获取模板组态编辑主页url
         * @param {string} [id] 模板Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getTemplateConfigurationEditUrl(id?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultString> {
            const localVarFetchArgs = TemplateApiFetchParamCreator(configuration).getTemplateConfigurationEditUrl(id, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取当前登录用户下的所有模板列表
         * @summary 查询模板列表
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getTemplateList(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListTemplateVo> {
            const localVarFetchArgs = TemplateApiFetchParamCreator(configuration).getTemplateList(options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取模板组态主页
         * @summary 获取模板组态主页url
         * @param {string} [id] 模板Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getTemplateMainConfigurationRuntimeUrl(id?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultString> {
            const localVarFetchArgs = TemplateApiFetchParamCreator(configuration).getTemplateMainConfigurationRuntimeUrl(id, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据传入的 修改模板Form类 修改对应的模板信息
         * @summary 修改模板
         * @param {UpdateTemplateForm} updateTemplateForm updateTemplateForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateTemplate(updateTemplateForm: UpdateTemplateForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = TemplateApiFetchParamCreator(configuration).updateTemplate(updateTemplateForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
    }
};

/**
 * TemplateApi - factory interface
 * 模板
 * @export
 */
export const TemplateApiFactory = function (configuration?: Configuration, fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 只可选自由项目进行创建 模板将会复制一份与之相同的变量信息等
         * @summary 创建模板
         * @param {string} id 项目Id
         * @param {string} name 模板名
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addTemplate(id: string, name: string, options?: any) {
            return TemplateApiFp(configuration).addTemplate(id, name, options)(fetch, basePath);
        },
        /**
         * 根据传入的模板Id 复制一份相同的模板信息
         * @summary 复制模板
         * @param {string} id 模板Id
         * @param {string} name 模板名
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        copyTemplate(id: string, name: string, options?: any) {
            return TemplateApiFp(configuration).copyTemplate(id, name, options)(fetch, basePath);
        },
        /**
         * 根据传入的模板Id 删除对应的模板信息
         * @summary 删除模板
         * @param {string} [id] 模板Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteTemplate(id?: string, options?: any) {
            return TemplateApiFp(configuration).deleteTemplate(id, options)(fetch, basePath);
        },
        /**
         * 根据模板Id 获取与之关联的项目ID
         * @summary 获取关联关系
         * @param {string} [id] 模板Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getProjectByTemplateId(id?: string, options?: any) {
            return TemplateApiFp(configuration).getProjectByTemplateId(id, options)(fetch, basePath);
        },
        /**
         * 获取模板组态编辑主页url
         * @summary 获取模板组态编辑主页url
         * @param {string} [id] 模板Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getTemplateConfigurationEditUrl(id?: string, options?: any) {
            return TemplateApiFp(configuration).getTemplateConfigurationEditUrl(id, options)(fetch, basePath);
        },
        /**
         * 获取当前登录用户下的所有模板列表
         * @summary 查询模板列表
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getTemplateList(options?: any) {
            return TemplateApiFp(configuration).getTemplateList(options)(fetch, basePath);
        },
        /**
         * 获取模板组态主页
         * @summary 获取模板组态主页url
         * @param {string} [id] 模板Id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getTemplateMainConfigurationRuntimeUrl(id?: string, options?: any) {
            return TemplateApiFp(configuration).getTemplateMainConfigurationRuntimeUrl(id, options)(fetch, basePath);
        },
        /**
         * 根据传入的 修改模板Form类 修改对应的模板信息
         * @summary 修改模板
         * @param {UpdateTemplateForm} updateTemplateForm updateTemplateForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateTemplate(updateTemplateForm: UpdateTemplateForm, options?: any) {
            return TemplateApiFp(configuration).updateTemplate(updateTemplateForm, options)(fetch, basePath);
        },
    };
};

/**
 * TemplateApi - object-oriented interface
 * 模板
 * @export
 * @class TemplateApi
 * @extends {BaseAPI}
 */
export class TemplateApi extends BaseAPI {
    /**
     * 只可选自由项目进行创建 模板将会复制一份与之相同的变量信息等
     * @summary 创建模板
     * @param {string} id 项目Id
     * @param {string} name 模板名
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof TemplateApi
     */
    public addTemplate(id: string, name: string, options?: any) {
        return TemplateApiFp(this.configuration).addTemplate(id, name, options)(this.fetch, this.basePath);
    }

    /**
     * 根据传入的模板Id 复制一份相同的模板信息
     * @summary 复制模板
     * @param {string} id 模板Id
     * @param {string} name 模板名
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof TemplateApi
     */
    public copyTemplate(id: string, name: string, options?: any) {
        return TemplateApiFp(this.configuration).copyTemplate(id, name, options)(this.fetch, this.basePath);
    }

    /**
     * 根据传入的模板Id 删除对应的模板信息
     * @summary 删除模板
     * @param {string} [id] 模板Id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof TemplateApi
     */
    public deleteTemplate(id?: string, options?: any) {
        return TemplateApiFp(this.configuration).deleteTemplate(id, options)(this.fetch, this.basePath);
    }

    /**
     * 根据模板Id 获取与之关联的项目ID
     * @summary 获取关联关系
     * @param {string} [id] 模板Id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof TemplateApi
     */
    public getProjectByTemplateId(id?: string, options?: any) {
        return TemplateApiFp(this.configuration).getProjectByTemplateId(id, options)(this.fetch, this.basePath);
    }

    /**
     * 获取模板组态编辑主页url
     * @summary 获取模板组态编辑主页url
     * @param {string} [id] 模板Id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof TemplateApi
     */
    public getTemplateConfigurationEditUrl(id?: string, options?: any) {
        return TemplateApiFp(this.configuration).getTemplateConfigurationEditUrl(id, options)(this.fetch, this.basePath);
    }

    /**
     * 获取当前登录用户下的所有模板列表
     * @summary 查询模板列表
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof TemplateApi
     */
    public getTemplateList(options?: any) {
        return TemplateApiFp(this.configuration).getTemplateList(options)(this.fetch, this.basePath);
    }

    /**
     * 获取模板组态主页
     * @summary 获取模板组态主页url
     * @param {string} [id] 模板Id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof TemplateApi
     */
    public getTemplateMainConfigurationRuntimeUrl(id?: string, options?: any) {
        return TemplateApiFp(this.configuration).getTemplateMainConfigurationRuntimeUrl(id, options)(this.fetch, this.basePath);
    }

    /**
     * 根据传入的 修改模板Form类 修改对应的模板信息
     * @summary 修改模板
     * @param {UpdateTemplateForm} updateTemplateForm updateTemplateForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof TemplateApi
     */
    public updateTemplate(updateTemplateForm: UpdateTemplateForm, options?: any) {
        return TemplateApiFp(this.configuration).updateTemplate(updateTemplateForm, options)(this.fetch, this.basePath);
    }

}

/**
 * UserApi - fetch parameter creator
 * 用户
 * @export
 */
export const UserApiFetchParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 新增用户
         * @summary 新增用户
         * @param {UserForm} userForm userForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addUser(userForm: UserForm, options: any = {}): FetchArgs {
            // verify required parameter 'userForm' is not null or undefined
            if (userForm === null || userForm === undefined) {
                throw new RequiredError('userForm','Required parameter userForm was null or undefined when calling addUser.');
            }
            const localVarPath = `/api-organization/user/addUser`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"UserForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(userForm || {}) : (userForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据id删除用户
         * @summary 删除用户
         * @param {string} [userId] 用户ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteUser(userId?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/user/deleteUser`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["userId"] = userId;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取所有用户报表(目前被super调用)
         * @summary 获取所有用户报表
         * @param {string} [companyId] 企业ID
         * @param {string} [keyword] 搜索关键字
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        exportUserExcel(companyId?: string, keyword?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/user/exportUserExcel`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["companyId"] = companyId;
        mapObj["keyword"] = keyword;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取企业下所有用户
         * @summary 获取企业下所有用户
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getCompanyAllUser(options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/user/getCompanyAllUser`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取当前登录用户详细信息
         * @summary 获取当前登录用户详细信息
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getLoginUser(options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/user/getLoginUser`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据id集合获取用户信息集合
         * @summary 获取用户信息集合
         * @param {Array<string>} [userIds] 用户ID集合
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getUserInfoList(userIds?: Array<string>, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/user/getUserInfoList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"Array&lt;string&gt;" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["userIds"] = userIds;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取所有用户集合(目前被super调用)
         * @summary 获取所有用户列表
         * @param {string} [companyId] 企业ID
         * @param {number} [currentPage] 页码
         * @param {string} [keyword] 搜索关键字
         * @param {number} [pageSize] 每页数据数量
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getUserList(companyId?: string, currentPage?: number, keyword?: string, pageSize?: number, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/user/getUserList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"number" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["companyId"] = companyId;
        mapObj["currentPage"] = currentPage;
        mapObj["keyword"] = keyword;
        mapObj["pageSize"] = pageSize;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 获取当前登录用户的企业,再查询指定部门下的用户集合
         * @summary 获取指定部门下的用户列表
         * @param {string} [deptId] 部门ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getUserListByDeptId(deptId?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/user/getUserListByDeptId`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["deptId"] = deptId;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 查询AK(目前被devloper调用)
         * @summary 查询AK
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        queryAccessKey(options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/user/queryAccessKey`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 重置AK(目前被devloper调用)
         * @summary 重置AK
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        resetAccessKey(options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/user/resetAccessKey`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 修改当前用户的邮箱
         * @summary 修改邮箱
         * @param {string} [email] 邮箱
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateEmail(email?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/user/updateEmail`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["email"] = email;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 修改当前用户的密码
         * @summary 修改密码
         * @param {string} [data] data
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updatePassword(data?: string, options: any = {}): FetchArgs {
            const localVarPath = `/api-organization/user/updatePassword`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"string" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["data"] = data;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据手机号和验证码修改当前用户的手机号
         * @summary 修改当前用户手机号
         * @param {PersonalPhoneForm} phoneForm phoneForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updatePhone(phoneForm: PersonalPhoneForm, options: any = {}): FetchArgs {
            // verify required parameter 'phoneForm' is not null or undefined
            if (phoneForm === null || phoneForm === undefined) {
                throw new RequiredError('phoneForm','Required parameter phoneForm was null or undefined when calling updatePhone.');
            }
            const localVarPath = `/api-organization/user/updatePhone`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"PersonalPhoneForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(phoneForm || {}) : (phoneForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 修改当前用户基本信息
         * @summary 修改当前用户基本信息
         * @param {PersonalUserForm} userForm userForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateUserBaseInfo(userForm: PersonalUserForm, options: any = {}): FetchArgs {
            // verify required parameter 'userForm' is not null or undefined
            if (userForm === null || userForm === undefined) {
                throw new RequiredError('userForm','Required parameter userForm was null or undefined when calling updateUserBaseInfo.');
            }
            const localVarPath = `/api-organization/user/updateUserBaseInfo`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"PersonalUserForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(userForm || {}) : (userForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 修改用户信息
         * @summary 修改用户全部信息
         * @param {UpdateUserForm} updateUserForm updateUserForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateUserInfo(updateUserForm: UpdateUserForm, options: any = {}): FetchArgs {
            // verify required parameter 'updateUserForm' is not null or undefined
            if (updateUserForm === null || updateUserForm === undefined) {
                throw new RequiredError('updateUserForm','Required parameter updateUserForm was null or undefined when calling updateUserInfo.');
            }
            const localVarPath = `/api-organization/user/updateUserInfo`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"UpdateUserForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(updateUserForm || {}) : (updateUserForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * UserApi - functional programming interface
 * 用户
 * @export
 */
export const UserApiFp = function(configuration?: Configuration) {
    if (configuration == null) {
        configuration = default_configuration;
    }

    return {
        /**
         * 新增用户
         * @summary 新增用户
         * @param {UserForm} userForm userForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addUser(userForm: UserForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = UserApiFetchParamCreator(configuration).addUser(userForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据id删除用户
         * @summary 删除用户
         * @param {string} [userId] 用户ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteUser(userId?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = UserApiFetchParamCreator(configuration).deleteUser(userId, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取所有用户报表(目前被super调用)
         * @summary 获取所有用户报表
         * @param {string} [companyId] 企业ID
         * @param {string} [keyword] 搜索关键字
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        exportUserExcel(companyId?: string, keyword?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = UserApiFetchParamCreator(configuration).exportUserExcel(companyId, keyword, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取企业下所有用户
         * @summary 获取企业下所有用户
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getCompanyAllUser(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListUserVo> {
            const localVarFetchArgs = UserApiFetchParamCreator(configuration).getCompanyAllUser(options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取当前登录用户详细信息
         * @summary 获取当前登录用户详细信息
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getLoginUser(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultLoginUserVo> {
            const localVarFetchArgs = UserApiFetchParamCreator(configuration).getLoginUser(options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据id集合获取用户信息集合
         * @summary 获取用户信息集合
         * @param {Array<string>} [userIds] 用户ID集合
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getUserInfoList(userIds?: Array<string>, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListUserVo> {
            const localVarFetchArgs = UserApiFetchParamCreator(configuration).getUserInfoList(userIds, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取所有用户集合(目前被super调用)
         * @summary 获取所有用户列表
         * @param {string} [companyId] 企业ID
         * @param {number} [currentPage] 页码
         * @param {string} [keyword] 搜索关键字
         * @param {number} [pageSize] 每页数据数量
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getUserList(companyId?: string, currentPage?: number, keyword?: string, pageSize?: number, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultIPageSuperUserVo> {
            const localVarFetchArgs = UserApiFetchParamCreator(configuration).getUserList(companyId, currentPage, keyword, pageSize, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 获取当前登录用户的企业,再查询指定部门下的用户集合
         * @summary 获取指定部门下的用户列表
         * @param {string} [deptId] 部门ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getUserListByDeptId(deptId?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListUserVo> {
            const localVarFetchArgs = UserApiFetchParamCreator(configuration).getUserListByDeptId(deptId, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 查询AK(目前被devloper调用)
         * @summary 查询AK
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        queryAccessKey(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = UserApiFetchParamCreator(configuration).queryAccessKey(options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 重置AK(目前被devloper调用)
         * @summary 重置AK
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        resetAccessKey(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = UserApiFetchParamCreator(configuration).resetAccessKey(options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 修改当前用户的邮箱
         * @summary 修改邮箱
         * @param {string} [email] 邮箱
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateEmail(email?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = UserApiFetchParamCreator(configuration).updateEmail(email, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 修改当前用户的密码
         * @summary 修改密码
         * @param {string} [data] data
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updatePassword(data?: string, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = UserApiFetchParamCreator(configuration).updatePassword(data, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据手机号和验证码修改当前用户的手机号
         * @summary 修改当前用户手机号
         * @param {PersonalPhoneForm} phoneForm phoneForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updatePhone(phoneForm: PersonalPhoneForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = UserApiFetchParamCreator(configuration).updatePhone(phoneForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 修改当前用户基本信息
         * @summary 修改当前用户基本信息
         * @param {PersonalUserForm} userForm userForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateUserBaseInfo(userForm: PersonalUserForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = UserApiFetchParamCreator(configuration).updateUserBaseInfo(userForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 修改用户信息
         * @summary 修改用户全部信息
         * @param {UpdateUserForm} updateUserForm updateUserForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateUserInfo(updateUserForm: UpdateUserForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = UserApiFetchParamCreator(configuration).updateUserInfo(updateUserForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
    }
};

/**
 * UserApi - factory interface
 * 用户
 * @export
 */
export const UserApiFactory = function (configuration?: Configuration, fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 新增用户
         * @summary 新增用户
         * @param {UserForm} userForm userForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addUser(userForm: UserForm, options?: any) {
            return UserApiFp(configuration).addUser(userForm, options)(fetch, basePath);
        },
        /**
         * 根据id删除用户
         * @summary 删除用户
         * @param {string} [userId] 用户ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteUser(userId?: string, options?: any) {
            return UserApiFp(configuration).deleteUser(userId, options)(fetch, basePath);
        },
        /**
         * 获取所有用户报表(目前被super调用)
         * @summary 获取所有用户报表
         * @param {string} [companyId] 企业ID
         * @param {string} [keyword] 搜索关键字
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        exportUserExcel(companyId?: string, keyword?: string, options?: any) {
            return UserApiFp(configuration).exportUserExcel(companyId, keyword, options)(fetch, basePath);
        },
        /**
         * 获取企业下所有用户
         * @summary 获取企业下所有用户
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getCompanyAllUser(options?: any) {
            return UserApiFp(configuration).getCompanyAllUser(options)(fetch, basePath);
        },
        /**
         * 获取当前登录用户详细信息
         * @summary 获取当前登录用户详细信息
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getLoginUser(options?: any) {
            return UserApiFp(configuration).getLoginUser(options)(fetch, basePath);
        },
        /**
         * 根据id集合获取用户信息集合
         * @summary 获取用户信息集合
         * @param {Array<string>} [userIds] 用户ID集合
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getUserInfoList(userIds?: Array<string>, options?: any) {
            return UserApiFp(configuration).getUserInfoList(userIds, options)(fetch, basePath);
        },
        /**
         * 获取所有用户集合(目前被super调用)
         * @summary 获取所有用户列表
         * @param {string} [companyId] 企业ID
         * @param {number} [currentPage] 页码
         * @param {string} [keyword] 搜索关键字
         * @param {number} [pageSize] 每页数据数量
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getUserList(companyId?: string, currentPage?: number, keyword?: string, pageSize?: number, options?: any) {
            return UserApiFp(configuration).getUserList(companyId, currentPage, keyword, pageSize, options)(fetch, basePath);
        },
        /**
         * 获取当前登录用户的企业,再查询指定部门下的用户集合
         * @summary 获取指定部门下的用户列表
         * @param {string} [deptId] 部门ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getUserListByDeptId(deptId?: string, options?: any) {
            return UserApiFp(configuration).getUserListByDeptId(deptId, options)(fetch, basePath);
        },
        /**
         * 查询AK(目前被devloper调用)
         * @summary 查询AK
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        queryAccessKey(options?: any) {
            return UserApiFp(configuration).queryAccessKey(options)(fetch, basePath);
        },
        /**
         * 重置AK(目前被devloper调用)
         * @summary 重置AK
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        resetAccessKey(options?: any) {
            return UserApiFp(configuration).resetAccessKey(options)(fetch, basePath);
        },
        /**
         * 修改当前用户的邮箱
         * @summary 修改邮箱
         * @param {string} [email] 邮箱
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateEmail(email?: string, options?: any) {
            return UserApiFp(configuration).updateEmail(email, options)(fetch, basePath);
        },
        /**
         * 修改当前用户的密码
         * @summary 修改密码
         * @param {string} [data] data
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updatePassword(data?: string, options?: any) {
            return UserApiFp(configuration).updatePassword(data, options)(fetch, basePath);
        },
        /**
         * 根据手机号和验证码修改当前用户的手机号
         * @summary 修改当前用户手机号
         * @param {PersonalPhoneForm} phoneForm phoneForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updatePhone(phoneForm: PersonalPhoneForm, options?: any) {
            return UserApiFp(configuration).updatePhone(phoneForm, options)(fetch, basePath);
        },
        /**
         * 修改当前用户基本信息
         * @summary 修改当前用户基本信息
         * @param {PersonalUserForm} userForm userForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateUserBaseInfo(userForm: PersonalUserForm, options?: any) {
            return UserApiFp(configuration).updateUserBaseInfo(userForm, options)(fetch, basePath);
        },
        /**
         * 修改用户信息
         * @summary 修改用户全部信息
         * @param {UpdateUserForm} updateUserForm updateUserForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateUserInfo(updateUserForm: UpdateUserForm, options?: any) {
            return UserApiFp(configuration).updateUserInfo(updateUserForm, options)(fetch, basePath);
        },
    };
};

/**
 * UserApi - object-oriented interface
 * 用户
 * @export
 * @class UserApi
 * @extends {BaseAPI}
 */
export class UserApi extends BaseAPI {
    /**
     * 新增用户
     * @summary 新增用户
     * @param {UserForm} userForm userForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    public addUser(userForm: UserForm, options?: any) {
        return UserApiFp(this.configuration).addUser(userForm, options)(this.fetch, this.basePath);
    }

    /**
     * 根据id删除用户
     * @summary 删除用户
     * @param {string} [userId] 用户ID
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    public deleteUser(userId?: string, options?: any) {
        return UserApiFp(this.configuration).deleteUser(userId, options)(this.fetch, this.basePath);
    }

    /**
     * 获取所有用户报表(目前被super调用)
     * @summary 获取所有用户报表
     * @param {string} [companyId] 企业ID
     * @param {string} [keyword] 搜索关键字
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    public exportUserExcel(companyId?: string, keyword?: string, options?: any) {
        return UserApiFp(this.configuration).exportUserExcel(companyId, keyword, options)(this.fetch, this.basePath);
    }

    /**
     * 获取企业下所有用户
     * @summary 获取企业下所有用户
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    public getCompanyAllUser(options?: any) {
        return UserApiFp(this.configuration).getCompanyAllUser(options)(this.fetch, this.basePath);
    }

    /**
     * 获取当前登录用户详细信息
     * @summary 获取当前登录用户详细信息
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    public getLoginUser(options?: any) {
        return UserApiFp(this.configuration).getLoginUser(options)(this.fetch, this.basePath);
    }

    /**
     * 根据id集合获取用户信息集合
     * @summary 获取用户信息集合
     * @param {Array<string>} [userIds] 用户ID集合
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    public getUserInfoList(userIds?: Array<string>, options?: any) {
        return UserApiFp(this.configuration).getUserInfoList(userIds, options)(this.fetch, this.basePath);
    }

    /**
     * 获取所有用户集合(目前被super调用)
     * @summary 获取所有用户列表
     * @param {string} [companyId] 企业ID
     * @param {number} [currentPage] 页码
     * @param {string} [keyword] 搜索关键字
     * @param {number} [pageSize] 每页数据数量
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    public getUserList(companyId?: string, currentPage?: number, keyword?: string, pageSize?: number, options?: any) {
        return UserApiFp(this.configuration).getUserList(companyId, currentPage, keyword, pageSize, options)(this.fetch, this.basePath);
    }

    /**
     * 获取当前登录用户的企业,再查询指定部门下的用户集合
     * @summary 获取指定部门下的用户列表
     * @param {string} [deptId] 部门ID
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    public getUserListByDeptId(deptId?: string, options?: any) {
        return UserApiFp(this.configuration).getUserListByDeptId(deptId, options)(this.fetch, this.basePath);
    }

    /**
     * 查询AK(目前被devloper调用)
     * @summary 查询AK
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    public queryAccessKey(options?: any) {
        return UserApiFp(this.configuration).queryAccessKey(options)(this.fetch, this.basePath);
    }

    /**
     * 重置AK(目前被devloper调用)
     * @summary 重置AK
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    public resetAccessKey(options?: any) {
        return UserApiFp(this.configuration).resetAccessKey(options)(this.fetch, this.basePath);
    }

    /**
     * 修改当前用户的邮箱
     * @summary 修改邮箱
     * @param {string} [email] 邮箱
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    public updateEmail(email?: string, options?: any) {
        return UserApiFp(this.configuration).updateEmail(email, options)(this.fetch, this.basePath);
    }

    /**
     * 修改当前用户的密码
     * @summary 修改密码
     * @param {string} [data] data
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    public updatePassword(data?: string, options?: any) {
        return UserApiFp(this.configuration).updatePassword(data, options)(this.fetch, this.basePath);
    }

    /**
     * 根据手机号和验证码修改当前用户的手机号
     * @summary 修改当前用户手机号
     * @param {PersonalPhoneForm} phoneForm phoneForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    public updatePhone(phoneForm: PersonalPhoneForm, options?: any) {
        return UserApiFp(this.configuration).updatePhone(phoneForm, options)(this.fetch, this.basePath);
    }

    /**
     * 修改当前用户基本信息
     * @summary 修改当前用户基本信息
     * @param {PersonalUserForm} userForm userForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    public updateUserBaseInfo(userForm: PersonalUserForm, options?: any) {
        return UserApiFp(this.configuration).updateUserBaseInfo(userForm, options)(this.fetch, this.basePath);
    }

    /**
     * 修改用户信息
     * @summary 修改用户全部信息
     * @param {UpdateUserForm} updateUserForm updateUserForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof UserApi
     */
    public updateUserInfo(updateUserForm: UpdateUserForm, options?: any) {
        return UserApiFp(this.configuration).updateUserInfo(updateUserForm, options)(this.fetch, this.basePath);
    }

}

/**
 * VariantApi - fetch parameter creator
 * 变量
 * @export
 */
export const VariantApiFetchParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 
         * @summary 批量变量控制
         * @param {Array<WriteVariantValue>} variantValues 批量设置变量值 ，格式: 设备ID1:变量ID1:值1,设备ID2:变量ID2:值2
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        batchWriteVariantValue(variantValues: Array<WriteVariantValue>, options: any = {}): FetchArgs {
            // verify required parameter 'variantValues' is not null or undefined
            if (variantValues === null || variantValues === undefined) {
                throw new RequiredError('variantValues','Required parameter variantValues was null or undefined when calling batchWriteVariantValue.');
            }
            const localVarPath = `/api-business/variant/batchWriteVariantValue`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"Array&lt;WriteVariantValue&gt;" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(variantValues || {}) : (variantValues || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 批量变量控制(SUPER)
         * @param {Array<WriteVariantValue>} variantValues 批量设置变量值 ，格式: 设备ID1:变量ID1:值1,设备ID2:变量ID2:值2
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        batchWriteVariantValueBySuper(variantValues: Array<WriteVariantValue>, options: any = {}): FetchArgs {
            // verify required parameter 'variantValues' is not null or undefined
            if (variantValues === null || variantValues === undefined) {
                throw new RequiredError('variantValues','Required parameter variantValues was null or undefined when calling batchWriteVariantValueBySuper.');
            }
            const localVarPath = `/api-business/variant/batchWriteVariantValueBySuper`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"Array&lt;WriteVariantValue&gt;" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(variantValues || {}) : (variantValues || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 查询条件存储的变量历史值
         * @param {QueryConditionHistoryParam} queryHistoryCurveForm queryHistoryCurveForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getConditionHistoryVariantData(queryHistoryCurveForm: QueryConditionHistoryParam, options: any = {}): FetchArgs {
            // verify required parameter 'queryHistoryCurveForm' is not null or undefined
            if (queryHistoryCurveForm === null || queryHistoryCurveForm === undefined) {
                throw new RequiredError('queryHistoryCurveForm','Required parameter queryHistoryCurveForm was null or undefined when calling getConditionHistoryVariantData.');
            }
            const localVarPath = `/api-business/variant/getConditionHistoryVariantData`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"QueryConditionHistoryParam" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(queryHistoryCurveForm || {}) : (queryHistoryCurveForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 获取变量分组列表
         * @param {QueryVariantGroupParam} queryVariantGroupParam queryVariantGroupParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getVariantGroupList(queryVariantGroupParam: QueryVariantGroupParam, options: any = {}): FetchArgs {
            // verify required parameter 'queryVariantGroupParam' is not null or undefined
            if (queryVariantGroupParam === null || queryVariantGroupParam === undefined) {
                throw new RequiredError('queryVariantGroupParam','Required parameter queryVariantGroupParam was null or undefined when calling getVariantGroupList.');
            }
            const localVarPath = `/api-business/variant/getVariantGroupList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"QueryVariantGroupParam" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(queryVariantGroupParam || {}) : (queryVariantGroupParam || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 获取变量的历史数据
         * @param {QueryVariantHistoryParam} queryHistoryCurveForm queryHistoryCurveForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getVariantHistoryData(queryHistoryCurveForm: QueryVariantHistoryParam, options: any = {}): FetchArgs {
            // verify required parameter 'queryHistoryCurveForm' is not null or undefined
            if (queryHistoryCurveForm === null || queryHistoryCurveForm === undefined) {
                throw new RequiredError('queryHistoryCurveForm','Required parameter queryHistoryCurveForm was null or undefined when calling getVariantHistoryData.');
            }
            const localVarPath = `/api-business/variant/getVariantHistoryData`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"QueryVariantHistoryParam" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(queryHistoryCurveForm || {}) : (queryHistoryCurveForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据不同得条件查询变量
         * @summary 获取变量列表
         * @param {QueryVariantParam} queryVariantParam queryVariantParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getVariantList(queryVariantParam: QueryVariantParam, options: any = {}): FetchArgs {
            // verify required parameter 'queryVariantParam' is not null or undefined
            if (queryVariantParam === null || queryVariantParam === undefined) {
                throw new RequiredError('queryVariantParam','Required parameter queryVariantParam was null or undefined when calling getVariantList.');
            }
            const localVarPath = `/api-business/variant/getVariantList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"QueryVariantParam" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(queryVariantParam || {}) : (queryVariantParam || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据变量id获取变量详情
         * @summary 根据变量id获取变量列表
         * @param {Array<string>} variantList 变量列表 [设备id:变量id,设备id:...]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getVariantListByIds(variantList: Array<string>, options: any = {}): FetchArgs {
            // verify required parameter 'variantList' is not null or undefined
            if (variantList === null || variantList === undefined) {
                throw new RequiredError('variantList','Required parameter variantList was null or undefined when calling getVariantListByIds.');
            }
            const localVarPath = `/api-business/variant/getVariantListByIds`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"Array&lt;string&gt;" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["variantList"] = variantList;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 根据变量列表查询变量值
         * @summary 获取变量值
         * @param {Array<string>} [variantIds] 变量列表，结构为[设备id:变量id,...]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getVariantRealtimeValueList(variantIds?: Array<string>, options: any = {}): FetchArgs {
            const localVarPath = `/api-business/variant/getVariantRealtimeValueList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"Array&lt;string&gt;" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            let mapObj = {};
                    mapObj["variantIds"] = variantIds;
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(mapObj) : (mapObj || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 控制设备变量的值
         * @param {WriteVariantValue} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        writeVariantValue(param: WriteVariantValue, options: any = {}): FetchArgs {
            // verify required parameter 'param' is not null or undefined
            if (param === null || param === undefined) {
                throw new RequiredError('param','Required parameter param was null or undefined when calling writeVariantValue.');
            }
            const localVarPath = `/api-business/variant/writeVariantValue`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"WriteVariantValue" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(param || {}) : (param || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * VariantApi - functional programming interface
 * 变量
 * @export
 */
export const VariantApiFp = function(configuration?: Configuration) {
    if (configuration == null) {
        configuration = default_configuration;
    }

    return {
        /**
         * 
         * @summary 批量变量控制
         * @param {Array<WriteVariantValue>} variantValues 批量设置变量值 ，格式: 设备ID1:变量ID1:值1,设备ID2:变量ID2:值2
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        batchWriteVariantValue(variantValues: Array<WriteVariantValue>, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = VariantApiFetchParamCreator(configuration).batchWriteVariantValue(variantValues, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 批量变量控制(SUPER)
         * @param {Array<WriteVariantValue>} variantValues 批量设置变量值 ，格式: 设备ID1:变量ID1:值1,设备ID2:变量ID2:值2
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        batchWriteVariantValueBySuper(variantValues: Array<WriteVariantValue>, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = VariantApiFetchParamCreator(configuration).batchWriteVariantValueBySuper(variantValues, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 查询条件存储的变量历史值
         * @param {QueryConditionHistoryParam} queryHistoryCurveForm queryHistoryCurveForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getConditionHistoryVariantData(queryHistoryCurveForm: QueryConditionHistoryParam, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultMapStringListArrayObject> {
            const localVarFetchArgs = VariantApiFetchParamCreator(configuration).getConditionHistoryVariantData(queryHistoryCurveForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 获取变量分组列表
         * @param {QueryVariantGroupParam} queryVariantGroupParam queryVariantGroupParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getVariantGroupList(queryVariantGroupParam: QueryVariantGroupParam, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListVariantGroupVo> {
            const localVarFetchArgs = VariantApiFetchParamCreator(configuration).getVariantGroupList(queryVariantGroupParam, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 获取变量的历史数据
         * @param {QueryVariantHistoryParam} queryHistoryCurveForm queryHistoryCurveForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getVariantHistoryData(queryHistoryCurveForm: QueryVariantHistoryParam, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultMapStringListArrayObject> {
            const localVarFetchArgs = VariantApiFetchParamCreator(configuration).getVariantHistoryData(queryHistoryCurveForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据不同得条件查询变量
         * @summary 获取变量列表
         * @param {QueryVariantParam} queryVariantParam queryVariantParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getVariantList(queryVariantParam: QueryVariantParam, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultIPageVariantDetailedInfoVo> {
            const localVarFetchArgs = VariantApiFetchParamCreator(configuration).getVariantList(queryVariantParam, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据变量id获取变量详情
         * @summary 根据变量id获取变量列表
         * @param {Array<string>} variantList 变量列表 [设备id:变量id,设备id:...]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getVariantListByIds(variantList: Array<string>, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListVariantDetailedInfoVo> {
            const localVarFetchArgs = VariantApiFetchParamCreator(configuration).getVariantListByIds(variantList, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 根据变量列表查询变量值
         * @summary 获取变量值
         * @param {Array<string>} [variantIds] 变量列表，结构为[设备id:变量id,...]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getVariantRealtimeValueList(variantIds?: Array<string>, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListVariantRealtimeValue> {
            const localVarFetchArgs = VariantApiFetchParamCreator(configuration).getVariantRealtimeValueList(variantIds, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 控制设备变量的值
         * @param {WriteVariantValue} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        writeVariantValue(param: WriteVariantValue, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = VariantApiFetchParamCreator(configuration).writeVariantValue(param, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
    }
};

/**
 * VariantApi - factory interface
 * 变量
 * @export
 */
export const VariantApiFactory = function (configuration?: Configuration, fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @summary 批量变量控制
         * @param {Array<WriteVariantValue>} variantValues 批量设置变量值 ，格式: 设备ID1:变量ID1:值1,设备ID2:变量ID2:值2
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        batchWriteVariantValue(variantValues: Array<WriteVariantValue>, options?: any) {
            return VariantApiFp(configuration).batchWriteVariantValue(variantValues, options)(fetch, basePath);
        },
        /**
         * 
         * @summary 批量变量控制(SUPER)
         * @param {Array<WriteVariantValue>} variantValues 批量设置变量值 ，格式: 设备ID1:变量ID1:值1,设备ID2:变量ID2:值2
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        batchWriteVariantValueBySuper(variantValues: Array<WriteVariantValue>, options?: any) {
            return VariantApiFp(configuration).batchWriteVariantValueBySuper(variantValues, options)(fetch, basePath);
        },
        /**
         * 
         * @summary 查询条件存储的变量历史值
         * @param {QueryConditionHistoryParam} queryHistoryCurveForm queryHistoryCurveForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getConditionHistoryVariantData(queryHistoryCurveForm: QueryConditionHistoryParam, options?: any) {
            return VariantApiFp(configuration).getConditionHistoryVariantData(queryHistoryCurveForm, options)(fetch, basePath);
        },
        /**
         * 
         * @summary 获取变量分组列表
         * @param {QueryVariantGroupParam} queryVariantGroupParam queryVariantGroupParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getVariantGroupList(queryVariantGroupParam: QueryVariantGroupParam, options?: any) {
            return VariantApiFp(configuration).getVariantGroupList(queryVariantGroupParam, options)(fetch, basePath);
        },
        /**
         * 
         * @summary 获取变量的历史数据
         * @param {QueryVariantHistoryParam} queryHistoryCurveForm queryHistoryCurveForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getVariantHistoryData(queryHistoryCurveForm: QueryVariantHistoryParam, options?: any) {
            return VariantApiFp(configuration).getVariantHistoryData(queryHistoryCurveForm, options)(fetch, basePath);
        },
        /**
         * 根据不同得条件查询变量
         * @summary 获取变量列表
         * @param {QueryVariantParam} queryVariantParam queryVariantParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getVariantList(queryVariantParam: QueryVariantParam, options?: any) {
            return VariantApiFp(configuration).getVariantList(queryVariantParam, options)(fetch, basePath);
        },
        /**
         * 根据变量id获取变量详情
         * @summary 根据变量id获取变量列表
         * @param {Array<string>} variantList 变量列表 [设备id:变量id,设备id:...]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getVariantListByIds(variantList: Array<string>, options?: any) {
            return VariantApiFp(configuration).getVariantListByIds(variantList, options)(fetch, basePath);
        },
        /**
         * 根据变量列表查询变量值
         * @summary 获取变量值
         * @param {Array<string>} [variantIds] 变量列表，结构为[设备id:变量id,...]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getVariantRealtimeValueList(variantIds?: Array<string>, options?: any) {
            return VariantApiFp(configuration).getVariantRealtimeValueList(variantIds, options)(fetch, basePath);
        },
        /**
         * 
         * @summary 控制设备变量的值
         * @param {WriteVariantValue} param param
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        writeVariantValue(param: WriteVariantValue, options?: any) {
            return VariantApiFp(configuration).writeVariantValue(param, options)(fetch, basePath);
        },
    };
};

/**
 * VariantApi - object-oriented interface
 * 变量
 * @export
 * @class VariantApi
 * @extends {BaseAPI}
 */
export class VariantApi extends BaseAPI {
    /**
     * 
     * @summary 批量变量控制
     * @param {Array<WriteVariantValue>} variantValues 批量设置变量值 ，格式: 设备ID1:变量ID1:值1,设备ID2:变量ID2:值2
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof VariantApi
     */
    public batchWriteVariantValue(variantValues: Array<WriteVariantValue>, options?: any) {
        return VariantApiFp(this.configuration).batchWriteVariantValue(variantValues, options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 批量变量控制(SUPER)
     * @param {Array<WriteVariantValue>} variantValues 批量设置变量值 ，格式: 设备ID1:变量ID1:值1,设备ID2:变量ID2:值2
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof VariantApi
     */
    public batchWriteVariantValueBySuper(variantValues: Array<WriteVariantValue>, options?: any) {
        return VariantApiFp(this.configuration).batchWriteVariantValueBySuper(variantValues, options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 查询条件存储的变量历史值
     * @param {QueryConditionHistoryParam} queryHistoryCurveForm queryHistoryCurveForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof VariantApi
     */
    public getConditionHistoryVariantData(queryHistoryCurveForm: QueryConditionHistoryParam, options?: any) {
        return VariantApiFp(this.configuration).getConditionHistoryVariantData(queryHistoryCurveForm, options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 获取变量分组列表
     * @param {QueryVariantGroupParam} queryVariantGroupParam queryVariantGroupParam
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof VariantApi
     */
    public getVariantGroupList(queryVariantGroupParam: QueryVariantGroupParam, options?: any) {
        return VariantApiFp(this.configuration).getVariantGroupList(queryVariantGroupParam, options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 获取变量的历史数据
     * @param {QueryVariantHistoryParam} queryHistoryCurveForm queryHistoryCurveForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof VariantApi
     */
    public getVariantHistoryData(queryHistoryCurveForm: QueryVariantHistoryParam, options?: any) {
        return VariantApiFp(this.configuration).getVariantHistoryData(queryHistoryCurveForm, options)(this.fetch, this.basePath);
    }

    /**
     * 根据不同得条件查询变量
     * @summary 获取变量列表
     * @param {QueryVariantParam} queryVariantParam queryVariantParam
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof VariantApi
     */
    public getVariantList(queryVariantParam: QueryVariantParam, options?: any) {
        return VariantApiFp(this.configuration).getVariantList(queryVariantParam, options)(this.fetch, this.basePath);
    }

    /**
     * 根据变量id获取变量详情
     * @summary 根据变量id获取变量列表
     * @param {Array<string>} variantList 变量列表 [设备id:变量id,设备id:...]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof VariantApi
     */
    public getVariantListByIds(variantList: Array<string>, options?: any) {
        return VariantApiFp(this.configuration).getVariantListByIds(variantList, options)(this.fetch, this.basePath);
    }

    /**
     * 根据变量列表查询变量值
     * @summary 获取变量值
     * @param {Array<string>} [variantIds] 变量列表，结构为[设备id:变量id,...]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof VariantApi
     */
    public getVariantRealtimeValueList(variantIds?: Array<string>, options?: any) {
        return VariantApiFp(this.configuration).getVariantRealtimeValueList(variantIds, options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 控制设备变量的值
     * @param {WriteVariantValue} param param
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof VariantApi
     */
    public writeVariantValue(param: WriteVariantValue, options?: any) {
        return VariantApiFp(this.configuration).writeVariantValue(param, options)(this.fetch, this.basePath);
    }

}

/**
 * VariantFavoriteApi - fetch parameter creator
 * 变量收藏
 * @export
 */
export const VariantFavoriteApiFetchParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 
         * @summary 新增变量收藏分组
         * @param {SaveVariantFavoriteForm} saveVariantFavoriteForm saveVariantFavoriteForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addVariantFavorite(saveVariantFavoriteForm: SaveVariantFavoriteForm, options: any = {}): FetchArgs {
            // verify required parameter 'saveVariantFavoriteForm' is not null or undefined
            if (saveVariantFavoriteForm === null || saveVariantFavoriteForm === undefined) {
                throw new RequiredError('saveVariantFavoriteForm','Required parameter saveVariantFavoriteForm was null or undefined when calling addVariantFavorite.');
            }
            const localVarPath = `/api-business/variantFavorite/addVariantFavorite`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"SaveVariantFavoriteForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(saveVariantFavoriteForm || {}) : (saveVariantFavoriteForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 删除变量收藏组
         * @param {DeleteVariantFavoriteGroupForm} deleteVariantFavoriteGroupForm deleteVariantFavoriteGroupForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteVariantGroup(deleteVariantFavoriteGroupForm: DeleteVariantFavoriteGroupForm, options: any = {}): FetchArgs {
            // verify required parameter 'deleteVariantFavoriteGroupForm' is not null or undefined
            if (deleteVariantFavoriteGroupForm === null || deleteVariantFavoriteGroupForm === undefined) {
                throw new RequiredError('deleteVariantFavoriteGroupForm','Required parameter deleteVariantFavoriteGroupForm was null or undefined when calling deleteVariantGroup.');
            }
            const localVarPath = `/api-business/variantFavorite/deleteVariantFavorite`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"DeleteVariantFavoriteGroupForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(deleteVariantFavoriteGroupForm || {}) : (deleteVariantFavoriteGroupForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 获取变量收藏组列表
         * @param {QueryVariantGroupParam} queryVariantGroupParam queryVariantGroupParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getVariantFavoriteList(queryVariantGroupParam: QueryVariantGroupParam, options: any = {}): FetchArgs {
            // verify required parameter 'queryVariantGroupParam' is not null or undefined
            if (queryVariantGroupParam === null || queryVariantGroupParam === undefined) {
                throw new RequiredError('queryVariantGroupParam','Required parameter queryVariantGroupParam was null or undefined when calling getVariantFavoriteList.');
            }
            const localVarPath = `/api-business/variantFavorite/getVariantFavoriteList`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"QueryVariantGroupParam" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(queryVariantGroupParam || {}) : (queryVariantGroupParam || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary 修改变量收藏分组
         * @param {SaveVariantFavoriteForm} saveVariantFavoriteForm saveVariantFavoriteForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateVariantFavorite(saveVariantFavoriteForm: SaveVariantFavoriteForm, options: any = {}): FetchArgs {
            // verify required parameter 'saveVariantFavoriteForm' is not null or undefined
            if (saveVariantFavoriteForm === null || saveVariantFavoriteForm === undefined) {
                throw new RequiredError('saveVariantFavoriteForm','Required parameter saveVariantFavoriteForm was null or undefined when calling updateVariantFavorite.');
            }
            const localVarPath = `/api-business/variantFavorite/updateVariantFavorite`;
            const localVarUrlObj = url.parse(localVarPath, true);
            const localVarRequestOptions = Object.assign({ method: 'POST' }, options);
            const localVarHeaderParameter = Object.assign({}, customHeaders);
            const localVarQueryParameter = {} as any;

            // oauth required
            if (configuration && configuration.accessToken) {
                const localVarAccessTokenValue = typeof configuration.accessToken === 'function'
                ? configuration.accessToken("Authorization", [])
                : configuration.accessToken;
                localVarHeaderParameter["Authorization"] = "Bearer " + localVarAccessTokenValue;
            }
            // authentication Authorization required

            localVarHeaderParameter['Content-Type'] = 'application/json';

            localVarUrlObj.query = Object.assign({}, localVarUrlObj.query, localVarQueryParameter, options.query);
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            localVarRequestOptions.headers = Object.assign({}, localVarHeaderParameter, options.headers);
            const needsSerialization = (<any>"SaveVariantFavoriteForm" !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.body =  needsSerialization ? JSON.stringify(saveVariantFavoriteForm || {}) : (saveVariantFavoriteForm || "");

            return {
                url: url.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * VariantFavoriteApi - functional programming interface
 * 变量收藏
 * @export
 */
export const VariantFavoriteApiFp = function(configuration?: Configuration) {
    if (configuration == null) {
        configuration = default_configuration;
    }

    return {
        /**
         * 
         * @summary 新增变量收藏分组
         * @param {SaveVariantFavoriteForm} saveVariantFavoriteForm saveVariantFavoriteForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addVariantFavorite(saveVariantFavoriteForm: SaveVariantFavoriteForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = VariantFavoriteApiFetchParamCreator(configuration).addVariantFavorite(saveVariantFavoriteForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 删除变量收藏组
         * @param {DeleteVariantFavoriteGroupForm} deleteVariantFavoriteGroupForm deleteVariantFavoriteGroupForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteVariantGroup(deleteVariantFavoriteGroupForm: DeleteVariantFavoriteGroupForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = VariantFavoriteApiFetchParamCreator(configuration).deleteVariantGroup(deleteVariantFavoriteGroupForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 获取变量收藏组列表
         * @param {QueryVariantGroupParam} queryVariantGroupParam queryVariantGroupParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getVariantFavoriteList(queryVariantGroupParam: QueryVariantGroupParam, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultListVariantFavoriteVo> {
            const localVarFetchArgs = VariantFavoriteApiFetchParamCreator(configuration).getVariantFavoriteList(queryVariantGroupParam, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
        /**
         * 
         * @summary 修改变量收藏分组
         * @param {SaveVariantFavoriteForm} saveVariantFavoriteForm saveVariantFavoriteForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateVariantFavorite(saveVariantFavoriteForm: SaveVariantFavoriteForm, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ResultObject> {
            const localVarFetchArgs = VariantFavoriteApiFetchParamCreator(configuration).updateVariantFavorite(saveVariantFavoriteForm, options);
            return (fetch: FetchAPI = portableFetch, basePath: string = BASE_PATH) => {
                return fetch(basePath + localVarFetchArgs.url, localVarFetchArgs.options).then((response) => {
                    if (response.status >= 200 && response.status < 300) {
                        return response.json();
                    } else {
                        throw response;
                    }
                });
            };
        },
    }
};

/**
 * VariantFavoriteApi - factory interface
 * 变量收藏
 * @export
 */
export const VariantFavoriteApiFactory = function (configuration?: Configuration, fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @summary 新增变量收藏分组
         * @param {SaveVariantFavoriteForm} saveVariantFavoriteForm saveVariantFavoriteForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addVariantFavorite(saveVariantFavoriteForm: SaveVariantFavoriteForm, options?: any) {
            return VariantFavoriteApiFp(configuration).addVariantFavorite(saveVariantFavoriteForm, options)(fetch, basePath);
        },
        /**
         * 
         * @summary 删除变量收藏组
         * @param {DeleteVariantFavoriteGroupForm} deleteVariantFavoriteGroupForm deleteVariantFavoriteGroupForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteVariantGroup(deleteVariantFavoriteGroupForm: DeleteVariantFavoriteGroupForm, options?: any) {
            return VariantFavoriteApiFp(configuration).deleteVariantGroup(deleteVariantFavoriteGroupForm, options)(fetch, basePath);
        },
        /**
         * 
         * @summary 获取变量收藏组列表
         * @param {QueryVariantGroupParam} queryVariantGroupParam queryVariantGroupParam
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getVariantFavoriteList(queryVariantGroupParam: QueryVariantGroupParam, options?: any) {
            return VariantFavoriteApiFp(configuration).getVariantFavoriteList(queryVariantGroupParam, options)(fetch, basePath);
        },
        /**
         * 
         * @summary 修改变量收藏分组
         * @param {SaveVariantFavoriteForm} saveVariantFavoriteForm saveVariantFavoriteForm
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateVariantFavorite(saveVariantFavoriteForm: SaveVariantFavoriteForm, options?: any) {
            return VariantFavoriteApiFp(configuration).updateVariantFavorite(saveVariantFavoriteForm, options)(fetch, basePath);
        },
    };
};

/**
 * VariantFavoriteApi - object-oriented interface
 * 变量收藏
 * @export
 * @class VariantFavoriteApi
 * @extends {BaseAPI}
 */
export class VariantFavoriteApi extends BaseAPI {
    /**
     * 
     * @summary 新增变量收藏分组
     * @param {SaveVariantFavoriteForm} saveVariantFavoriteForm saveVariantFavoriteForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof VariantFavoriteApi
     */
    public addVariantFavorite(saveVariantFavoriteForm: SaveVariantFavoriteForm, options?: any) {
        return VariantFavoriteApiFp(this.configuration).addVariantFavorite(saveVariantFavoriteForm, options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 删除变量收藏组
     * @param {DeleteVariantFavoriteGroupForm} deleteVariantFavoriteGroupForm deleteVariantFavoriteGroupForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof VariantFavoriteApi
     */
    public deleteVariantGroup(deleteVariantFavoriteGroupForm: DeleteVariantFavoriteGroupForm, options?: any) {
        return VariantFavoriteApiFp(this.configuration).deleteVariantGroup(deleteVariantFavoriteGroupForm, options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 获取变量收藏组列表
     * @param {QueryVariantGroupParam} queryVariantGroupParam queryVariantGroupParam
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof VariantFavoriteApi
     */
    public getVariantFavoriteList(queryVariantGroupParam: QueryVariantGroupParam, options?: any) {
        return VariantFavoriteApiFp(this.configuration).getVariantFavoriteList(queryVariantGroupParam, options)(this.fetch, this.basePath);
    }

    /**
     * 
     * @summary 修改变量收藏分组
     * @param {SaveVariantFavoriteForm} saveVariantFavoriteForm saveVariantFavoriteForm
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof VariantFavoriteApi
     */
    public updateVariantFavorite(saveVariantFavoriteForm: SaveVariantFavoriteForm, options?: any) {
        return VariantFavoriteApiFp(this.configuration).updateVariantFavorite(saveVariantFavoriteForm, options)(this.fetch, this.basePath);
    }

}



export default {};